#!/bin/bash

#set -x

OUTPUT_PATH=$1
mkdir -p $OUTPUT_PATH

for query in use-cases/R-*.rb
do

    echo -n `date`: Processing query $query

    OUTFILE=$OUTPUT_PATH/`basename $query .rb`.texpart
    ./Run.rb --compare $query > $OUTFILE

    OUTFILE=$OUTPUT_PATH/`basename $query .rb`.result
    ./Run.rb --serialize $query > $OUTFILE

    echo

done
