a7 = LiteralTable.new :id => "a7",
    :colnames => [ :iter, :item ],
    :data => [[1, "result"]]

a23 = LiteralTable.new :id => "a23",
    :colnames => [ :iter, :item ],
    :data => [[1, "users.xml"]]

a22 = Doc.new :id => "a22",
    :input => a23,
    :src => :item,
    :dest => :res

a27 = Project.new :id => "a27",
    :input => a22,
    :projlist => [ [ :iter ], [ :item ], [ :res ]]

a26 = Project.new :id => "a26",
    :input => a27,
    :projlist => [ [ :iter ], [ :item, :res ]]

a25 = Scj.new :id => "a25",
    :input => a26,
    :src => :item,
    :step => "descendant-or-self::node()"

a24 = Project.new :id => "a24",
    :input => a25,
    :projlist => [ [ :iter ], [ :item ]]

a19 = Scj.new :id => "a19",
    :input => a24,
    :src => :item,
    :step => "child::user_tuple"

a18 = Rownum.new :id => "a18",
    :input => a19,
    :newcol => :pos,
    :order => [ :item ],
    :part => :iter

a17 = Rownum.new :id => "a17",
    :input => a18,
    :newcol => :inner,
    :order => [ :iter, :pos ]

a16 = Project.new :id => "a16",
    :input => a17,
    :projlist => [ [ :iter, :inner ], [ :item ]]

a15 = Project.new :id => "a15",
    :input => a16,
    :projlist => [ [ :iter ]]

a14 = Project.new :id => "a14",
    :input => a15,
    :projlist => [[ :item, "user" ],  [ :iter ]]

a32 = Project.new :id => "a32",
    :input => a16,
    :projlist => [ [ :iter ], [ :item ]]

a31 = Scj.new :id => "a31",
    :input => a32,
    :src => :item,
    :step => "child::userid"

a30 = Rownum.new :id => "a30",
    :input => a31,
    :newcol => :pos,
    :order => [ :item ],
    :part => :iter

a29 = a30     # ERRORContent.new

a36 = Scj.new :id => "a36",
    :input => a32,
    :src => :item,
    :step => "child::name"

a35 = Rownum.new :id => "a35",
    :input => a36,
    :newcol => :pos,
    :order => [ :item ],
    :part => :iter

a34 = a35     # ERRORContent.new

a59 = Project.new :id => "a59",
    :input => a15,
    :projlist => [[ :item, "bids.xml" ],  [ :iter ]]

a58 = Doc.new :id => "a58",
    :input => a59,
    :src => :item,
    :dest => :res

a63 = Project.new :id => "a63",
    :input => a58,
    :projlist => [ [ :iter ], [ :item ], [ :res ]]

a62 = Project.new :id => "a62",
    :input => a63,
    :projlist => [ [ :iter ], [ :item, :res ]]

a61 = Scj.new :id => "a61",
    :input => a62,
    :src => :item,
    :step => "descendant-or-self::node()"

a60 = Project.new :id => "a60",
    :input => a61,
    :projlist => [ [ :iter ], [ :item ]]

a55 = Scj.new :id => "a55",
    :input => a60,
    :src => :item,
    :step => "child::bid_tuple"

a54 = Rownum.new :id => "a54",
    :input => a55,
    :newcol => :pos,
    :order => [ :item ],
    :part => :iter

a53 = Rownum.new :id => "a53",
    :input => a54,
    :newcol => :inner,
    :order => [ :iter, :pos ]

a52 = Project.new :id => "a52",
    :input => a53,
    :projlist => [ [ :iter, :inner ], [ :item ]]

a89 = Project.new :id => "a89",
    :input => a52,
    :projlist => [ [ :iter ], [ :item ]]

a88 = Scj.new :id => "a88",
    :input => a89,
    :src => :item,
    :step => "child::userid"

a87 = Rownum.new :id => "a87",
    :input => a88,
    :newcol => :pos,
    :order => [ :item ],
    :part => :iter

a86 = Atomize.new :id => "a86",
    :input => a87,
    :src => :item,
    :dest => :res

a85 = Project.new :id => "a85",
    :input => a86,
    :projlist => [ [ :iter ], [ :pos ], [ :item, :res ]]

a84 = Rownum.new :id => "a84",
    :input => a85,
    :newcol => :inner,
    :order => [ :iter, :pos ]

a83 = Project.new :id => "a83",
    :input => a84,
    :projlist => [ [ :iter, :inner ], [ :item ]]

a100 = Project.new :id => "a100",
    :input => a53,
    :projlist => [ [ :iter, :inner ], [ :outer, :iter ]]

a101 = Project.new :id => "a101",
    :input => a84,
    :projlist => [ [ :iter2, :iter ], [ :inner ]]

a99 = Join.new :id => "a99",
    :left_rel => a100,
    :right_rel => a101,
    :left_col => :iter,
    :right_col => :iter2

a98 = Project.new :id => "a98",
    :input => a99,
    :projlist => [ [ :outer ], [ :inner ]]

a97 = Join.new :id => "a97",
    :left_rel => a16,
    :right_rel => a98,
    :left_col => :iter,
    :right_col => :outer

a96 = Project.new :id => "a96",
    :input => a97,
    :projlist => [ [ :iter, :inner ], [ :item ]]

a95 = Scj.new :id => "a95",
    :input => a96,
    :src => :item,
    :step => "child::userid"

a94 = Rownum.new :id => "a94",
    :input => a95,
    :newcol => :pos,
    :order => [ :item ],
    :part => :iter

a93 = Atomize.new :id => "a93",
    :input => a94,
    :src => :item,
    :dest => :res

a92 = Project.new :id => "a92",
    :input => a93,
    :projlist => [ [ :iter ], [ :pos ], [ :item, :res ]]

a91 = Rownum.new :id => "a91",
    :input => a92,
    :newcol => :inner,
    :order => [ :iter, :pos ]

a90 = Project.new :id => "a90",
    :input => a91,
    :projlist => [ [ :outer, :iter ], [ :inner ]]

a82 = Join.new :id => "a82",
    :left_rel => a83,
    :right_rel => a90,
    :left_col => :iter,
    :right_col => :outer

a81 = Project.new :id => "a81",
    :input => a82,
    :projlist => [ [ :iter, :inner ], [ :item ]]

a103 = Project.new :id => "a103",
    :input => a91,
    :projlist => [ [ :iter, :inner ], [ :item ]]

a102 = Project.new :id => "a102",
    :input => a103,
    :projlist => [ [ :iter1, :iter ], [ :item1, :item ]]

a80 = Join.new :id => "a80",
    :left_rel => a81,
    :right_rel => a102,
    :left_col => :iter,
    :right_col => :iter1

a79 = EqualOp.new :id => "a79",
    :input => a80,
    :newcol => :res,
    :arg1 => :item,
    :arg2 => :item1

a78 = Project.new :id => "a78",
    :input => a79,
    :projlist => [ [ :iter ], [ :item, :res ]]

a77 = Select.new :id => "a77",
    :input => a78,
    :column => :item

a76 = Project.new :id => "a76",
    :input => a77,
    :projlist => [ [ :iter ]]

a75 = Join.new :id => "a75",
    :left_rel => a76,
    :right_rel => a90,
    :left_col => :iter,
    :right_col => :inner

a74 = Project.new :id => "a74",
    :input => a75,
    :projlist => [ [ :iter, :outer ]]

a73 = Distinct.new :id => "a73",
    :input => a74

a72 = Project.new :id => "a72",
    :input => a73,
    :projlist => [[ :item, true ],  [ :iter ]]

a71 = Select.new :id => "a71",
    :input => a72,
    :column => :item

a70 = Project.new :id => "a70",
    :input => a71,
    :projlist => [ [ :iter ]]

a104 = Project.new :id => "a104",
    :input => a84,
    :projlist => [ [ :outer, :iter ], [ :inner ]]

a69 = Join.new :id => "a69",
    :left_rel => a70,
    :right_rel => a104,
    :left_col => :iter,
    :right_col => :inner

a68 = Project.new :id => "a68",
    :input => a69,
    :projlist => [ [ :iter, :outer ]]

a67 = Distinct.new :id => "a67",
    :input => a68

a66 = Project.new :id => "a66",
    :input => a67,
    :projlist => [[ :item, true ],  [ :iter ]]

a65 = Select.new :id => "a65",
    :input => a66,
    :column => :item

a64 = Project.new :id => "a64",
    :input => a65,
    :projlist => [ [ :outer, :iter ], [ :inner, :iter ]]

a51 = Join.new :id => "a51",
    :left_rel => a52,
    :right_rel => a64,
    :left_col => :iter,
    :right_col => :outer

a50 = Project.new :id => "a50",
    :input => a51,
    :projlist => [ [ :iter, :inner ]]

a105 = Project.new :id => "a105",
    :input => a53,
    :projlist => [ [ :outer, :iter ], [ :inner ]]

a49 = Join.new :id => "a49",
    :left_rel => a50,
    :right_rel => a105,
    :left_col => :iter,
    :right_col => :inner

a48 = Project.new :id => "a48",
    :input => a49,
    :projlist => [ [ :iter, :outer ]]

a47 = Difference.new :id => "a47",
    :left_rel => a15,
    :right_rel => a48

a46 = Project.new :id => "a46",
    :input => a47,
    :projlist => [[ :item, true ],  [ :iter ]]

a45 = Project.new :id => "a45",
    :input => a46,
    :projlist => [ [ :iter ]]

a44 = Project.new :id => "a44",
    :input => a45,
    :projlist => [[ :item, "status" ],  [ :iter ]]

a108 = Project.new :id => "a108",
    :input => a45,
    :projlist => [[ :item, "inactive" ],  [ :iter ]]

a107 = TextConstr.new :id => "a107",
    :input => a108,
    :iter => :iter,
    :item => :item


a106 = a107 # fncs
a43 = ElemConstr.new :id => "a43",
    :tagnames => a44,
    :content => a106

a42 = a43  # twig
a122 = Project.new :id => "a122",
    :input => a42,
    :projlist => [ [ :iter ], [ :item ]]

a121 = Project.new :id => "a121",
    :input => a122,
    :projlist => [[ :pos, 1 ],  [ :iter ], [ :item ]]

a116 = Distinct.new :id => "a116",
    :input => a48

a115 = Project.new :id => "a115",
    :input => a116,
    :projlist => [[ :item, false ],  [ :iter ]]

a114 = Project.new :id => "a114",
    :input => a115,
    :projlist => [ [ :iter ]]

a113 = Project.new :id => "a113",
    :input => a114,
    :projlist => [[ :item, "status" ],  [ :iter ]]

a119 = Project.new :id => "a119",
    :input => a114,
    :projlist => [[ :item, "active" ],  [ :iter ]]

a118 = TextConstr.new :id => "a118",
    :input => a119,
    :iter => :iter,
    :item => :item


a117 = a118 # fncs
a112 = ElemConstr.new :id => "a112",
    :tagnames => a113,
    :content => a117

a111 = a112  # twig
a124 = Project.new :id => "a124",
    :input => a111,
    :projlist => [ [ :iter ], [ :item ]]

a123 = Project.new :id => "a123",
    :input => a124,
    :projlist => [[ :pos, 1 ],  [ :iter ], [ :item ]]

a120 = Union.new :id => "a120",
    :left_rel => a121,
    :right_rel => a123

a38 = a120     # ERRORContent.new

a37 = a38 # fncs
a33 = Union.new :id => "a33",
    :left_rel => a34,
    :right_rel => a37
a28 = Union.new :id => "a28",
    :left_rel => a29,
    :right_rel => a33
a13 = ElemConstr.new :id => "a13",
    :tagnames => a14,
    :content => a28

a12 = a13  # twig
a129 = Project.new :id => "a129",
    :input => a12,
    :projlist => [ [ :iter ], [ :item ]]

a128 = Project.new :id => "a128",
    :input => a129,
    :projlist => [[ :pos, 1 ],  [ :iter ], [ :item ]]

a130 = Project.new :id => "a130",
    :input => a17,
    :projlist => [ [ :outer, :iter ], [ :sort, :pos ], [ :inner ]]

a127 = Join.new :id => "a127",
    :left_rel => a128,
    :right_rel => a130,
    :left_col => :iter,
    :right_col => :inner

a126 = Rownum.new :id => "a126",
    :input => a127,
    :newcol => :pos1,
    :order => [ :sort, :pos ],
    :part => :outer

a125 = Project.new :id => "a125",
    :input => a126,
    :projlist => [ [ :iter, :outer ], [ :pos, :pos1 ], [ :item ]]

a9 = a125     # ERRORContent.new

a8 = a9 # fncs
a6 = ElemConstr.new :id => "a6",
    :tagnames => a7,
    :content => a8

a5 = a6  # twig
a132 = Project.new :id => "a132",
    :input => a5,
    :projlist => [ [ :iter ], [ :item ]]

a131 = Project.new :id => "a131",
    :input => a132,
    :projlist => [[ :pos, 1 ],  [ :iter ], [ :item ]]

# serialize (:pos => :pos, :item => :item)
$root = a131
