a7 = LiteralTable.new :id => "a7",
    :colnames => [ :iter, :item ],
    :data => [[1, "frequent_bidder"]]

a13 = LiteralTable.new :id => "a13",
    :colnames => [ :iter, :item ],
    :data => [[1, "users.xml"]]

a12 = Doc.new :id => "a12",
    :input => a13,
    :src => :item,
    :dest => :res

a28 = Project.new :id => "a28",
    :input => a12,
    :projlist => [ [ :iter ], [ :item ], [ :res ]]

a27 = Project.new :id => "a27",
    :input => a28,
    :projlist => [ [ :iter ], [ :item, :res ]]

a26 = Scj.new :id => "a26",
    :input => a27,
    :src => :item,
    :step => "descendant-or-self::node()"

a25 = Project.new :id => "a25",
    :input => a26,
    :projlist => [ [ :iter ], [ :item ]]

a24 = Scj.new :id => "a24",
    :input => a25,
    :src => :item,
    :step => "child::user_tuple"

a23 = Rownum.new :id => "a23",
    :input => a24,
    :newcol => :pos,
    :order => [ :item ],
    :part => :iter

a22 = Rownum.new :id => "a22",
    :input => a23,
    :newcol => :inner,
    :order => [ :iter, :pos ]

a21 = Project.new :id => "a21",
    :input => a22,
    :projlist => [ [ :iter, :inner ], [ :item ]]

a34 = LiteralTable.new :id => "a34",
    :colnames => [ :iter, :item ],
    :data => []

a37 = Project.new :id => "a37",
    :input => a21,
    :projlist => [ [ :iter ]]

a45 = LiteralTable.new :id => "a45",
    :colnames => [ :iter, :item ],
    :data => []

a56 = Project.new :id => "a56",
    :input => a37,
    :projlist => [[ :item, "items.xml" ],  [ :iter ]]

a55 = Doc.new :id => "a55",
    :input => a56,
    :src => :item,
    :dest => :res

a60 = Project.new :id => "a60",
    :input => a55,
    :projlist => [ [ :iter ], [ :item ], [ :res ]]

a59 = Project.new :id => "a59",
    :input => a60,
    :projlist => [ [ :iter ], [ :item, :res ]]

a58 = Scj.new :id => "a58",
    :input => a59,
    :src => :item,
    :step => "descendant-or-self::node()"

a57 = Project.new :id => "a57",
    :input => a58,
    :projlist => [ [ :iter ], [ :item ]]

a52 = Scj.new :id => "a52",
    :input => a57,
    :src => :item,
    :step => "child::item_tuple"

a51 = Rownum.new :id => "a51",
    :input => a52,
    :newcol => :pos,
    :order => [ :item ],
    :part => :iter

a50 = Rownum.new :id => "a50",
    :input => a51,
    :newcol => :inner,
    :order => [ :iter, :pos ]

a49 = Project.new :id => "a49",
    :input => a50,
    :projlist => [ [ :iter, :inner ], [ :item ]]

a48 = Project.new :id => "a48",
    :input => a49,
    :projlist => [ [ :iter ]]

a94 = Project.new :id => "a94",
    :input => a50,
    :projlist => [ [ :iter, :inner ], [ :outer, :iter ]]

a102 = Project.new :id => "a102",
    :input => a48,
    :projlist => [[ :item, "bids.xml" ],  [ :iter ]]

a101 = Doc.new :id => "a101",
    :input => a102,
    :src => :item,
    :dest => :res

a106 = Project.new :id => "a106",
    :input => a101,
    :projlist => [ [ :iter ], [ :item ], [ :res ]]

a105 = Project.new :id => "a105",
    :input => a106,
    :projlist => [ [ :iter ], [ :item, :res ]]

a104 = Scj.new :id => "a104",
    :input => a105,
    :src => :item,
    :step => "descendant-or-self::node()"

a103 = Project.new :id => "a103",
    :input => a104,
    :projlist => [ [ :iter ], [ :item ]]

a98 = Scj.new :id => "a98",
    :input => a103,
    :src => :item,
    :step => "child::bid_tuple"

a97 = Rownum.new :id => "a97",
    :input => a98,
    :newcol => :pos,
    :order => [ :item ],
    :part => :iter

a96 = Rownum.new :id => "a96",
    :input => a97,
    :newcol => :inner,
    :order => [ :iter, :pos ]

a95 = Project.new :id => "a95",
    :input => a96,
    :projlist => [ [ :iter2, :iter ], [ :inner ]]

a93 = Join.new :id => "a93",
    :left_rel => a94,
    :right_rel => a95,
    :left_col => :iter,
    :right_col => :iter2

a92 = Project.new :id => "a92",
    :input => a93,
    :projlist => [ [ :outer ], [ :inner ]]

a134 = Project.new :id => "a134",
    :input => a96,
    :projlist => [ [ :outer, :iter ], [ :inner ]]

a133 = Join.new :id => "a133",
    :left_rel => a49,
    :right_rel => a134,
    :left_col => :iter,
    :right_col => :outer

a132 = Project.new :id => "a132",
    :input => a133,
    :projlist => [ [ :iter, :inner ], [ :item ]]

a131 = Scj.new :id => "a131",
    :input => a132,
    :src => :item,
    :step => "child::itemno"

a130 = Rownum.new :id => "a130",
    :input => a131,
    :newcol => :pos,
    :order => [ :item ],
    :part => :iter

a129 = Atomize.new :id => "a129",
    :input => a130,
    :src => :item,
    :dest => :res

a128 = Project.new :id => "a128",
    :input => a129,
    :projlist => [ [ :iter ], [ :pos ], [ :item, :res ]]

a127 = Rownum.new :id => "a127",
    :input => a128,
    :newcol => :inner,
    :order => [ :iter, :pos ]

a126 = Project.new :id => "a126",
    :input => a127,
    :projlist => [ [ :iter, :inner ], [ :item ]]

a143 = Project.new :id => "a143",
    :input => a96,
    :projlist => [ [ :iter, :inner ], [ :item ]]

a144 = Project.new :id => "a144",
    :input => a127,
    :projlist => [ [ :outer, :iter ], [ :inner ]]

a142 = Join.new :id => "a142",
    :left_rel => a143,
    :right_rel => a144,
    :left_col => :iter,
    :right_col => :outer

a141 = Project.new :id => "a141",
    :input => a142,
    :projlist => [ [ :iter, :inner ], [ :item ]]

a140 = Scj.new :id => "a140",
    :input => a141,
    :src => :item,
    :step => "child::itemno"

a139 = Rownum.new :id => "a139",
    :input => a140,
    :newcol => :pos,
    :order => [ :item ],
    :part => :iter

a138 = Atomize.new :id => "a138",
    :input => a139,
    :src => :item,
    :dest => :res

a137 = Project.new :id => "a137",
    :input => a138,
    :projlist => [ [ :iter ], [ :pos ], [ :item, :res ]]

a136 = Rownum.new :id => "a136",
    :input => a137,
    :newcol => :inner,
    :order => [ :iter, :pos ]

a135 = Project.new :id => "a135",
    :input => a136,
    :projlist => [ [ :outer, :iter ], [ :inner ]]

a125 = Join.new :id => "a125",
    :left_rel => a126,
    :right_rel => a135,
    :left_col => :iter,
    :right_col => :outer

a124 = Project.new :id => "a124",
    :input => a125,
    :projlist => [ [ :iter, :inner ], [ :item ]]

a146 = Project.new :id => "a146",
    :input => a136,
    :projlist => [ [ :iter, :inner ], [ :item ]]

a145 = Project.new :id => "a145",
    :input => a146,
    :projlist => [ [ :iter1, :iter ], [ :item1, :item ]]

a123 = Join.new :id => "a123",
    :left_rel => a124,
    :right_rel => a145,
    :left_col => :iter,
    :right_col => :iter1

a122 = EqualOp.new :id => "a122",
    :input => a123,
    :newcol => :res,
    :arg1 => :item,
    :arg2 => :item1

a121 = Project.new :id => "a121",
    :input => a122,
    :projlist => [ [ :iter ], [ :item, :res ]]

a120 = Select.new :id => "a120",
    :input => a121,
    :column => :item

a119 = Project.new :id => "a119",
    :input => a120,
    :projlist => [ [ :iter ]]

a118 = Join.new :id => "a118",
    :left_rel => a119,
    :right_rel => a135,
    :left_col => :iter,
    :right_col => :inner

a117 = Project.new :id => "a117",
    :input => a118,
    :projlist => [ [ :iter, :outer ]]

a116 = Distinct.new :id => "a116",
    :input => a117

a115 = Project.new :id => "a115",
    :input => a116,
    :projlist => [[ :item, true ],  [ :iter ]]

a114 = Select.new :id => "a114",
    :input => a115,
    :column => :item

a113 = Project.new :id => "a113",
    :input => a114,
    :projlist => [ [ :iter ]]

a112 = Join.new :id => "a112",
    :left_rel => a113,
    :right_rel => a144,
    :left_col => :iter,
    :right_col => :inner

a111 = Project.new :id => "a111",
    :input => a112,
    :projlist => [ [ :iter, :outer ]]

a110 = Distinct.new :id => "a110",
    :input => a111

a109 = Project.new :id => "a109",
    :input => a110,
    :projlist => [[ :item, true ],  [ :iter ]]

a108 = Select.new :id => "a108",
    :input => a109,
    :column => :item

a107 = Project.new :id => "a107",
    :input => a108,
    :projlist => [ [ :iter ]]

a91 = Join.new :id => "a91",
    :left_rel => a92,
    :right_rel => a107,
    :left_col => :inner,
    :right_col => :iter

a90 = Project.new :id => "a90",
    :input => a91,
    :projlist => [ [ :outer ], [ :inner ]]

a89 = Join.new :id => "a89",
    :left_rel => a21,
    :right_rel => a90,
    :left_col => :iter,
    :right_col => :outer

a88 = Project.new :id => "a88",
    :input => a89,
    :projlist => [ [ :iter, :inner ], [ :item ]]

a87 = Scj.new :id => "a87",
    :input => a88,
    :src => :item,
    :step => "child::userid"

a86 = Rownum.new :id => "a86",
    :input => a87,
    :newcol => :pos,
    :order => [ :item ],
    :part => :iter

a85 = Atomize.new :id => "a85",
    :input => a86,
    :src => :item,
    :dest => :res

a84 = Project.new :id => "a84",
    :input => a85,
    :projlist => [ [ :iter ], [ :pos ], [ :item, :res ]]

a83 = Rownum.new :id => "a83",
    :input => a84,
    :newcol => :inner,
    :order => [ :iter, :pos ]

a82 = Project.new :id => "a82",
    :input => a83,
    :projlist => [ [ :iter, :inner ], [ :item ]]

a157 = Project.new :id => "a157",
    :input => a108,
    :projlist => [ [ :iter ], [ :outer, :iter ]]

a158 = Project.new :id => "a158",
    :input => a83,
    :projlist => [ [ :iter2, :iter ], [ :inner ]]

a156 = Join.new :id => "a156",
    :left_rel => a157,
    :right_rel => a158,
    :left_col => :iter,
    :right_col => :iter2

a155 = Project.new :id => "a155",
    :input => a156,
    :projlist => [ [ :outer ], [ :inner ]]

a154 = Join.new :id => "a154",
    :left_rel => a143,
    :right_rel => a155,
    :left_col => :iter,
    :right_col => :outer

a153 = Project.new :id => "a153",
    :input => a154,
    :projlist => [ [ :iter, :inner ], [ :item ]]

a152 = Scj.new :id => "a152",
    :input => a153,
    :src => :item,
    :step => "child::userid"

a151 = Rownum.new :id => "a151",
    :input => a152,
    :newcol => :pos,
    :order => [ :item ],
    :part => :iter

a150 = Atomize.new :id => "a150",
    :input => a151,
    :src => :item,
    :dest => :res

a149 = Project.new :id => "a149",
    :input => a150,
    :projlist => [ [ :iter ], [ :pos ], [ :item, :res ]]

a148 = Rownum.new :id => "a148",
    :input => a149,
    :newcol => :inner,
    :order => [ :iter, :pos ]

a147 = Project.new :id => "a147",
    :input => a148,
    :projlist => [ [ :outer, :iter ], [ :inner ]]

a81 = Join.new :id => "a81",
    :left_rel => a82,
    :right_rel => a147,
    :left_col => :iter,
    :right_col => :outer

a80 = Project.new :id => "a80",
    :input => a81,
    :projlist => [ [ :iter, :inner ], [ :item ]]

a160 = Project.new :id => "a160",
    :input => a148,
    :projlist => [ [ :iter, :inner ], [ :item ]]

a159 = Project.new :id => "a159",
    :input => a160,
    :projlist => [ [ :iter1, :iter ], [ :item1, :item ]]

a79 = Join.new :id => "a79",
    :left_rel => a80,
    :right_rel => a159,
    :left_col => :iter,
    :right_col => :iter1

a78 = EqualOp.new :id => "a78",
    :input => a79,
    :newcol => :res,
    :arg1 => :item,
    :arg2 => :item1

a77 = Project.new :id => "a77",
    :input => a78,
    :projlist => [ [ :iter ], [ :item, :res ]]

a76 = Select.new :id => "a76",
    :input => a77,
    :column => :item

a75 = Project.new :id => "a75",
    :input => a76,
    :projlist => [ [ :iter ]]

a74 = Join.new :id => "a74",
    :left_rel => a75,
    :right_rel => a147,
    :left_col => :iter,
    :right_col => :inner

a73 = Project.new :id => "a73",
    :input => a74,
    :projlist => [ [ :iter, :outer ]]

a72 = Distinct.new :id => "a72",
    :input => a73

a71 = Project.new :id => "a71",
    :input => a72,
    :projlist => [[ :item, true ],  [ :iter ]]

a70 = Select.new :id => "a70",
    :input => a71,
    :column => :item

a69 = Project.new :id => "a69",
    :input => a70,
    :projlist => [ [ :iter ]]

a161 = Project.new :id => "a161",
    :input => a83,
    :projlist => [ [ :outer, :iter ], [ :inner ]]

a68 = Join.new :id => "a68",
    :left_rel => a69,
    :right_rel => a161,
    :left_col => :iter,
    :right_col => :inner

a67 = Project.new :id => "a67",
    :input => a68,
    :projlist => [ [ :iter, :outer ]]

a66 = Distinct.new :id => "a66",
    :input => a67

a65 = Project.new :id => "a65",
    :input => a66,
    :projlist => [[ :item, true ],  [ :iter ]]

a64 = Select.new :id => "a64",
    :input => a65,
    :column => :item

a63 = Project.new :id => "a63",
    :input => a64,
    :projlist => [ [ :iter ]]

a62 = Join.new :id => "a62",
    :left_rel => a63,
    :right_rel => a134,
    :left_col => :iter,
    :right_col => :inner

a61 = Project.new :id => "a61",
    :input => a62,
    :projlist => [ [ :iter, :outer ]]

a47 = Difference.new :id => "a47",
    :left_rel => a48,
    :right_rel => a61

a46 = Project.new :id => "a46",
    :input => a47,
    :projlist => [[ :item, false ],  [ :iter ]]

a44 = Union.new :id => "a44",
    :left_rel => a45,
    :right_rel => a46

a43 = Not.new :id => "a43",
    :input => a44,
    :newcol => :res,
    :arg => :item

a42 = Project.new :id => "a42",
    :input => a43,
    :projlist => [ [ :iter ], [ :item, :res ]]

a41 = Select.new :id => "a41",
    :input => a42,
    :column => :item

a40 = Project.new :id => "a40",
    :input => a41,
    :projlist => [ [ :iter ]]

a162 = Project.new :id => "a162",
    :input => a50,
    :projlist => [ [ :outer, :iter ], [ :inner ]]

a39 = Join.new :id => "a39",
    :left_rel => a40,
    :right_rel => a162,
    :left_col => :iter,
    :right_col => :inner

a38 = Project.new :id => "a38",
    :input => a39,
    :projlist => [ [ :iter, :outer ]]

a36 = Difference.new :id => "a36",
    :left_rel => a37,
    :right_rel => a38

a35 = Project.new :id => "a35",
    :input => a36,
    :projlist => [[ :item, false ],  [ :iter ]]

a33 = Union.new :id => "a33",
    :left_rel => a34,
    :right_rel => a35

a32 = Not.new :id => "a32",
    :input => a33,
    :newcol => :res,
    :arg => :item

a31 = Project.new :id => "a31",
    :input => a32,
    :projlist => [ [ :iter ], [ :item, :res ]]

a30 = Select.new :id => "a30",
    :input => a31,
    :column => :item

a29 = Project.new :id => "a29",
    :input => a30,
    :projlist => [ [ :outer, :iter ], [ :inner, :iter ]]

a20 = Join.new :id => "a20",
    :left_rel => a21,
    :right_rel => a29,
    :left_col => :iter,
    :right_col => :outer

a19 = Project.new :id => "a19",
    :input => a20,
    :projlist => [ [ :iter, :inner ], [ :item ]]

a18 = Scj.new :id => "a18",
    :input => a19,
    :src => :item,
    :step => "child::name"

a17 = Rownum.new :id => "a17",
    :input => a18,
    :newcol => :pos,
    :order => [ :item ],
    :part => :iter

a163 = Project.new :id => "a163",
    :input => a22,
    :projlist => [ [ :outer, :iter ], [ :sort, :pos ], [ :inner ]]

a16 = Join.new :id => "a16",
    :left_rel => a17,
    :right_rel => a163,
    :left_col => :iter,
    :right_col => :inner

a15 = Rownum.new :id => "a15",
    :input => a16,
    :newcol => :pos1,
    :order => [ :sort, :pos ],
    :part => :outer

a14 = Project.new :id => "a14",
    :input => a15,
    :projlist => [ [ :iter, :outer ], [ :pos, :pos1 ], [ :item ]]

a9 = a14     # ERRORContent.new

a8 = a9 # fncs
a6 = ElemConstr.new :id => "a6",
    :tagnames => a7,
    :content => a8

a5 = a6  # twig
a166 = Project.new :id => "a166",
    :input => a5,
    :projlist => [ [ :iter ], [ :item ]]

a165 = Project.new :id => "a165",
    :input => a166,
    :projlist => [[ :pos, 1 ],  [ :iter ], [ :item ]]

# serialize (:pos => :pos, :item => :item)
$root = a165
