a7 = LiteralTable.new :id => "a7",
    :colnames => [ :iter, :item ],
    :data => [[1, "result"]]

a23 = LiteralTable.new :id => "a23",
    :colnames => [ :iter, :item ],
    :data => [[1, "users.xml"]]

a22 = Doc.new :id => "a22",
    :input => a23,
    :src => :item,
    :dest => :res

a27 = Project.new :id => "a27",
    :input => a22,
    :projlist => [ [ :iter ], [ :item ], [ :res ]]

a26 = Project.new :id => "a26",
    :input => a27,
    :projlist => [ [ :iter ], [ :item, :res ]]

a25 = Scj.new :id => "a25",
    :input => a26,
    :src => :item,
    :step => "descendant-or-self::node()"

a24 = Project.new :id => "a24",
    :input => a25,
    :projlist => [ [ :iter ], [ :item ]]

a19 = Scj.new :id => "a19",
    :input => a24,
    :src => :item,
    :step => "child::user_tuple"

a18 = Rownum.new :id => "a18",
    :input => a19,
    :newcol => :pos,
    :order => [ :item ],
    :part => :iter

a17 = Rownum.new :id => "a17",
    :input => a18,
    :newcol => :inner,
    :order => [ :iter, :pos ]

a16 = Project.new :id => "a16",
    :input => a17,
    :projlist => [ [ :iter, :inner ], [ :item ]]

a15 = Project.new :id => "a15",
    :input => a16,
    :projlist => [ [ :iter ]]

a14 = Project.new :id => "a14",
    :input => a15,
    :projlist => [[ :item, "user" ],  [ :iter ]]

a32 = Project.new :id => "a32",
    :input => a16,
    :projlist => [ [ :iter ], [ :item ]]

a31 = Scj.new :id => "a31",
    :input => a32,
    :src => :item,
    :step => "child::name"

a30 = Rownum.new :id => "a30",
    :input => a31,
    :newcol => :pos,
    :order => [ :item ],
    :part => :iter

a29 = a30     # ERRORContent.new

a67 = Project.new :id => "a67",
    :input => a15,
    :projlist => [[ :item, "bids.xml" ],  [ :iter ]]

a66 = Doc.new :id => "a66",
    :input => a67,
    :src => :item,
    :dest => :res

a80 = Project.new :id => "a80",
    :input => a66,
    :projlist => [ [ :iter ], [ :item ], [ :res ]]

a79 = Project.new :id => "a79",
    :input => a80,
    :projlist => [ [ :iter ], [ :item, :res ]]

a78 = Scj.new :id => "a78",
    :input => a79,
    :src => :item,
    :step => "descendant-or-self::node()"

a77 = Project.new :id => "a77",
    :input => a78,
    :projlist => [ [ :iter ], [ :item ]]

a76 = Scj.new :id => "a76",
    :input => a77,
    :src => :item,
    :step => "child::bid_tuple"

a75 = Rownum.new :id => "a75",
    :input => a76,
    :newcol => :pos,
    :order => [ :item ],
    :part => :iter

a74 = Rownum.new :id => "a74",
    :input => a75,
    :newcol => :inner,
    :order => [ :iter, :pos ]

a73 = Project.new :id => "a73",
    :input => a74,
    :projlist => [ [ :iter, :inner ], [ :item ]]

a106 = Project.new :id => "a106",
    :input => a73,
    :projlist => [ [ :iter ], [ :item ]]

a105 = Scj.new :id => "a105",
    :input => a106,
    :src => :item,
    :step => "child::userid"

a104 = Rownum.new :id => "a104",
    :input => a105,
    :newcol => :pos,
    :order => [ :item ],
    :part => :iter

a103 = Atomize.new :id => "a103",
    :input => a104,
    :src => :item,
    :dest => :res

a102 = Project.new :id => "a102",
    :input => a103,
    :projlist => [ [ :iter ], [ :pos ], [ :item, :res ]]

a101 = Rownum.new :id => "a101",
    :input => a102,
    :newcol => :inner,
    :order => [ :iter, :pos ]

a100 = Project.new :id => "a100",
    :input => a101,
    :projlist => [ [ :iter, :inner ], [ :item ]]

a117 = Project.new :id => "a117",
    :input => a74,
    :projlist => [ [ :iter, :inner ], [ :outer, :iter ]]

a118 = Project.new :id => "a118",
    :input => a101,
    :projlist => [ [ :iter2, :iter ], [ :inner ]]

a116 = Join.new :id => "a116",
    :left_rel => a117,
    :right_rel => a118,
    :left_col => :iter,
    :right_col => :iter2

a115 = Project.new :id => "a115",
    :input => a116,
    :projlist => [ [ :outer ], [ :inner ]]

a114 = Join.new :id => "a114",
    :left_rel => a16,
    :right_rel => a115,
    :left_col => :iter,
    :right_col => :outer

a113 = Project.new :id => "a113",
    :input => a114,
    :projlist => [ [ :iter, :inner ], [ :item ]]

a112 = Scj.new :id => "a112",
    :input => a113,
    :src => :item,
    :step => "child::userid"

a111 = Rownum.new :id => "a111",
    :input => a112,
    :newcol => :pos,
    :order => [ :item ],
    :part => :iter

a110 = Atomize.new :id => "a110",
    :input => a111,
    :src => :item,
    :dest => :res

a109 = Project.new :id => "a109",
    :input => a110,
    :projlist => [ [ :iter ], [ :pos ], [ :item, :res ]]

a108 = Rownum.new :id => "a108",
    :input => a109,
    :newcol => :inner,
    :order => [ :iter, :pos ]

a107 = Project.new :id => "a107",
    :input => a108,
    :projlist => [ [ :outer, :iter ], [ :inner ]]

a99 = Join.new :id => "a99",
    :left_rel => a100,
    :right_rel => a107,
    :left_col => :iter,
    :right_col => :outer

a98 = Project.new :id => "a98",
    :input => a99,
    :projlist => [ [ :iter, :inner ], [ :item ]]

a120 = Project.new :id => "a120",
    :input => a108,
    :projlist => [ [ :iter, :inner ], [ :item ]]

a119 = Project.new :id => "a119",
    :input => a120,
    :projlist => [ [ :iter1, :iter ], [ :item1, :item ]]

a97 = Join.new :id => "a97",
    :left_rel => a98,
    :right_rel => a119,
    :left_col => :iter,
    :right_col => :iter1

a96 = EqualOp.new :id => "a96",
    :input => a97,
    :newcol => :res,
    :arg1 => :item,
    :arg2 => :item1

a95 = Project.new :id => "a95",
    :input => a96,
    :projlist => [ [ :iter ], [ :item, :res ]]

a94 = Select.new :id => "a94",
    :input => a95,
    :column => :item

a93 = Project.new :id => "a93",
    :input => a94,
    :projlist => [ [ :iter ]]

a92 = Join.new :id => "a92",
    :left_rel => a93,
    :right_rel => a107,
    :left_col => :iter,
    :right_col => :inner

a91 = Project.new :id => "a91",
    :input => a92,
    :projlist => [ [ :iter, :outer ]]

a90 = Distinct.new :id => "a90",
    :input => a91

a89 = Project.new :id => "a89",
    :input => a90,
    :projlist => [[ :item, true ],  [ :iter ]]

a88 = Select.new :id => "a88",
    :input => a89,
    :column => :item

a87 = Project.new :id => "a87",
    :input => a88,
    :projlist => [ [ :iter ]]

a121 = Project.new :id => "a121",
    :input => a101,
    :projlist => [ [ :outer, :iter ], [ :inner ]]

a86 = Join.new :id => "a86",
    :left_rel => a87,
    :right_rel => a121,
    :left_col => :iter,
    :right_col => :inner

a85 = Project.new :id => "a85",
    :input => a86,
    :projlist => [ [ :iter, :outer ]]

a84 = Distinct.new :id => "a84",
    :input => a85

a83 = Project.new :id => "a83",
    :input => a84,
    :projlist => [[ :item, true ],  [ :iter ]]

a82 = Select.new :id => "a82",
    :input => a83,
    :column => :item

a81 = Project.new :id => "a81",
    :input => a82,
    :projlist => [ [ :outer, :iter ], [ :inner, :iter ]]

a72 = Join.new :id => "a72",
    :left_rel => a73,
    :right_rel => a81,
    :left_col => :iter,
    :right_col => :outer

a71 = Project.new :id => "a71",
    :input => a72,
    :projlist => [ [ :iter, :inner ], [ :item ]]

a122 = Project.new :id => "a122",
    :input => a74,
    :projlist => [ [ :outer, :iter ], [ :inner ]]

a70 = Join.new :id => "a70",
    :left_rel => a71,
    :right_rel => a122,
    :left_col => :iter,
    :right_col => :inner

a69 = Project.new :id => "a69",
    :input => a70,
    :projlist => [ [ :iter, :outer ], [ :item ]]

a68 = Scj.new :id => "a68",
    :input => a69,
    :src => :item,
    :step => "child::itemno"

a63 = Atomize.new :id => "a63",
    :input => a68,
    :src => :item,
    :dest => :res

a62 = Project.new :id => "a62",
    :input => a63,
    :projlist => [ [ :iter ], [ :item, :res ]]

a61 = Distinct.new :id => "a61",
    :input => a62

a60 = Rownum.new :id => "a60",
    :input => a61,
    :newcol => :pos,
    :order => []


a59 = Rownum.new :id => "a59",
    :input => a60,
    :newcol => :inner,
    :order => [ :iter, :pos ]

a58 = Project.new :id => "a58",
    :input => a59,
    :projlist => [ [ :iter, :inner ], [ :item ]]

a57 = Project.new :id => "a57",
    :input => a58,
    :projlist => [ [ :iter ]]

a56 = Project.new :id => "a56",
    :input => a57,
    :projlist => [[ :item, "items.xml" ],  [ :iter ]]

a55 = Doc.new :id => "a55",
    :input => a56,
    :src => :item,
    :dest => :res

a126 = Project.new :id => "a126",
    :input => a55,
    :projlist => [ [ :iter ], [ :item ], [ :res ]]

a125 = Project.new :id => "a125",
    :input => a126,
    :projlist => [ [ :iter ], [ :item, :res ]]

a124 = Scj.new :id => "a124",
    :input => a125,
    :src => :item,
    :step => "descendant-or-self::node()"

a123 = Project.new :id => "a123",
    :input => a124,
    :projlist => [ [ :iter ], [ :item ]]

a52 = Scj.new :id => "a52",
    :input => a123,
    :src => :item,
    :step => "child::item_tuple"

a51 = Rownum.new :id => "a51",
    :input => a52,
    :newcol => :pos,
    :order => [ :item ],
    :part => :iter

a50 = Rownum.new :id => "a50",
    :input => a51,
    :newcol => :inner,
    :order => [ :iter, :pos ]

a49 = Project.new :id => "a49",
    :input => a50,
    :projlist => [ [ :iter, :inner ], [ :item ]]

a48 = Project.new :id => "a48",
    :input => a49,
    :projlist => [[ :pos, 1 ],  [ :iter ], [ :item ]]

a149 = Project.new :id => "a149",
    :input => a48,
    :projlist => [ [ :iter ], [ :item ]]

a148 = Scj.new :id => "a148",
    :input => a149,
    :src => :item,
    :step => "child::itemno"

a147 = Rownum.new :id => "a147",
    :input => a148,
    :newcol => :pos,
    :order => [ :item ],
    :part => :iter

a146 = Atomize.new :id => "a146",
    :input => a147,
    :src => :item,
    :dest => :res

a145 = Project.new :id => "a145",
    :input => a146,
    :projlist => [ [ :iter ], [ :pos ], [ :item, :res ]]

a144 = Rownum.new :id => "a144",
    :input => a145,
    :newcol => :inner,
    :order => [ :iter, :pos ]

a143 = Project.new :id => "a143",
    :input => a144,
    :projlist => [ [ :iter, :inner ], [ :item ]]

a154 = Project.new :id => "a154",
    :input => a50,
    :projlist => [ [ :iter, :inner ], [ :outer, :iter ]]

a155 = Project.new :id => "a155",
    :input => a144,
    :projlist => [ [ :iter2, :iter ], [ :inner ]]

a153 = Join.new :id => "a153",
    :left_rel => a154,
    :right_rel => a155,
    :left_col => :iter,
    :right_col => :iter2

a152 = Project.new :id => "a152",
    :input => a153,
    :projlist => [ [ :outer ], [ :inner ]]

a151 = Join.new :id => "a151",
    :left_rel => a58,
    :right_rel => a152,
    :left_col => :iter,
    :right_col => :outer

a150 = Project.new :id => "a150",
    :input => a151,
    :projlist => [ [ :iter1, :inner ], [ :item1, :item ]]

a142 = Join.new :id => "a142",
    :left_rel => a143,
    :right_rel => a150,
    :left_col => :iter,
    :right_col => :iter1

a141 = EqualOp.new :id => "a141",
    :input => a142,
    :newcol => :res,
    :arg1 => :item,
    :arg2 => :item1

a140 = Project.new :id => "a140",
    :input => a141,
    :projlist => [ [ :iter ], [ :item, :res ]]

a139 = Select.new :id => "a139",
    :input => a140,
    :column => :item

a138 = Project.new :id => "a138",
    :input => a139,
    :projlist => [ [ :iter ]]

a137 = Project.new :id => "a137",
    :input => a138,
    :projlist => [ [ :iter ]]

a136 = Distinct.new :id => "a136",
    :input => a137

a135 = Project.new :id => "a135",
    :input => a136,
    :projlist => [[ :item, true ],  [ :iter ]]

a134 = Select.new :id => "a134",
    :input => a135,
    :column => :item

a133 = Project.new :id => "a133",
    :input => a134,
    :projlist => [ [ :iter ]]

a156 = Project.new :id => "a156",
    :input => a144,
    :projlist => [ [ :outer, :iter ], [ :inner ]]

a132 = Join.new :id => "a132",
    :left_rel => a133,
    :right_rel => a156,
    :left_col => :iter,
    :right_col => :inner

a131 = Project.new :id => "a131",
    :input => a132,
    :projlist => [ [ :iter, :outer ]]

a130 = Distinct.new :id => "a130",
    :input => a131

a129 = Project.new :id => "a129",
    :input => a130,
    :projlist => [[ :item, true ],  [ :iter ]]

a128 = Select.new :id => "a128",
    :input => a129,
    :column => :item

a127 = Project.new :id => "a127",
    :input => a128,
    :projlist => [ [ :outer, :iter ], [ :inner, :iter ]]

a47 = Join.new :id => "a47",
    :left_rel => a48,
    :right_rel => a127,
    :left_col => :iter,
    :right_col => :outer

a46 = Project.new :id => "a46",
    :input => a47,
    :projlist => [ [ :iter, :inner ], [ :pos ], [ :item ]]

a157 = Project.new :id => "a157",
    :input => a50,
    :projlist => [ [ :outer, :iter ], [ :sort, :pos ], [ :inner ]]

a45 = Join.new :id => "a45",
    :left_rel => a46,
    :right_rel => a157,
    :left_col => :iter,
    :right_col => :inner

a44 = Rownum.new :id => "a44",
    :input => a45,
    :newcol => :pos1,
    :order => [ :sort, :pos ],
    :part => :outer

a43 = Project.new :id => "a43",
    :input => a44,
    :projlist => [ [ :iter, :outer ], [ :pos, :pos1 ], [ :item ]]

a42 = Rownum.new :id => "a42",
    :input => a43,
    :newcol => :inner,
    :order => [ :iter, :pos ]

a41 = Project.new :id => "a41",
    :input => a42,
    :projlist => [ [ :iter, :inner ], [ :item ]]

a40 = Project.new :id => "a40",
    :input => a41,
    :projlist => [ [ :iter ]]

a39 = Project.new :id => "a39",
    :input => a40,
    :projlist => [[ :item, "bid_on_item" ],  [ :iter ]]

a167 = Project.new :id => "a167",
    :input => a41,
    :projlist => [ [ :iter ], [ :item ]]

a166 = Scj.new :id => "a166",
    :input => a167,
    :src => :item,
    :step => "child::description"

a165 = Project.new :id => "a165",
    :input => a166,
    :projlist => [ [ :iter ], [ :item ]]

a164 = Scj.new :id => "a164",
    :input => a165,
    :src => :item,
    :step => "child::text()"

a163 = Rownum.new :id => "a163",
    :input => a164,
    :newcol => :pos,
    :order => [ :item ],
    :part => :iter

a162 = a163     # ERROR#pf:merge-adjacent-text-nodes.new

a168 = Project.new :id => "a168",
    :input => a162,
    :projlist => [ [ :iter ], [ :pos ], [ :item ]]

a159 = a168     # ERRORContent.new

a158 = a159 # fncs
a38 = ElemConstr.new :id => "a38",
    :tagnames => a39,
    :content => a158

a37 = a38  # twig
a174 = Project.new :id => "a174",
    :input => a37,
    :projlist => [ [ :iter ], [ :item ]]

a173 = Project.new :id => "a173",
    :input => a174,
    :projlist => [[ :pos, 1 ],  [ :iter ], [ :item ]]

a177 = Project.new :id => "a177",
    :input => a59,
    :projlist => [ [ :outer, :iter ], [ :sort, :pos ], [ :inner ]]

a178 = Project.new :id => "a178",
    :input => a42,
    :projlist => [ [ :iter1, :inner ], [ :iter ], [ :pos ]]

a176 = Join.new :id => "a176",
    :left_rel => a177,
    :right_rel => a178,
    :left_col => :inner,
    :right_col => :iter

a175 = Project.new :id => "a175",
    :input => a176,
    :projlist => [ [ :outer ], [ :inner, :iter1 ], [ :sort ], [ :sort1, :pos ]]

a172 = Join.new :id => "a172",
    :left_rel => a173,
    :right_rel => a175,
    :left_col => :iter,
    :right_col => :inner

a171 = Rownum.new :id => "a171",
    :input => a172,
    :newcol => :pos1,
    :order => [ :sort, :sort1, :pos ],
    :part => :outer

a170 = Project.new :id => "a170",
    :input => a171,
    :projlist => [ [ :iter, :outer ], [ :pos, :pos1 ], [ :item ]]

a34 = a170     # ERRORContent.new

a33 = a34 # fncs
a28 = Union.new :id => "a28",
    :left_rel => a29,
    :right_rel => a33
a13 = ElemConstr.new :id => "a13",
    :tagnames => a14,
    :content => a28

a12 = a13  # twig
a183 = Project.new :id => "a183",
    :input => a12,
    :projlist => [ [ :iter ], [ :item ]]

a182 = Project.new :id => "a182",
    :input => a183,
    :projlist => [[ :pos, 1 ],  [ :iter ], [ :item ]]

a184 = Project.new :id => "a184",
    :input => a17,
    :projlist => [ [ :outer, :iter ], [ :sort, :pos ], [ :inner ]]

a181 = Join.new :id => "a181",
    :left_rel => a182,
    :right_rel => a184,
    :left_col => :iter,
    :right_col => :inner

a180 = Rownum.new :id => "a180",
    :input => a181,
    :newcol => :pos1,
    :order => [ :sort, :pos ],
    :part => :outer

a179 = Project.new :id => "a179",
    :input => a180,
    :projlist => [ [ :iter, :outer ], [ :pos, :pos1 ], [ :item ]]

a9 = a179     # ERRORContent.new

a8 = a9 # fncs
a6 = ElemConstr.new :id => "a6",
    :tagnames => a7,
    :content => a8

a5 = a6  # twig
a186 = Project.new :id => "a186",
    :input => a5,
    :projlist => [ [ :iter ], [ :item ]]

a185 = Project.new :id => "a185",
    :input => a186,
    :projlist => [[ :pos, 1 ],  [ :iter ], [ :item ]]

# serialize (:pos => :pos, :item => :item)
$root = a185
