a7 = LiteralTable.new :id => "a7",
    :colnames => [ :iter, :item ],
    :data => [[1, "result"]]

a32 = LiteralTable.new :id => "a32",
    :colnames => [ :iter, :item ],
    :data => [[1, "items.xml"]]

a31 = Doc.new :id => "a31",
    :input => a32,
    :src => :item,
    :dest => :res

a43 = Project.new :id => "a43",
    :input => a31,
    :projlist => [ [ :iter ], [ :item ], [ :res ]]

a42 = Project.new :id => "a42",
    :input => a43,
    :projlist => [ [ :iter ], [ :item, :res ]]

a41 = Scj.new :id => "a41",
    :input => a42,
    :src => :item,
    :step => "descendant-or-self::node()"

a40 = Project.new :id => "a40",
    :input => a41,
    :projlist => [ [ :iter ], [ :item ]]

a39 = Scj.new :id => "a39",
    :input => a40,
    :src => :item,
    :step => "child::item_tuple"

a38 = Rownum.new :id => "a38",
    :input => a39,
    :newcol => :pos,
    :order => [ :item ],
    :part => :iter

a37 = Rownum.new :id => "a37",
    :input => a38,
    :newcol => :inner,
    :order => [ :iter, :pos ]

a36 = Project.new :id => "a36",
    :input => a37,
    :projlist => [ [ :iter, :inner ], [ :item ]]

a35 = Project.new :id => "a35",
    :input => a36,
    :projlist => [ [ :iter ], [ :item ]]

a34 = Scj.new :id => "a34",
    :input => a35,
    :src => :item,
    :step => "child::description"

a33 = Rownum.new :id => "a33",
    :input => a34,
    :newcol => :pos,
    :order => [ :item ],
    :part => :iter

a28 = Atomize.new :id => "a28",
    :input => a33,
    :src => :item,
    :dest => :res

a27 = Project.new :id => "a27",
    :input => a28,
    :projlist => [ [ :iter ], [ :pos ], [ :item, :res ]]

a26 = Rownum.new :id => "a26",
    :input => a27,
    :newcol => :inner,
    :order => [ :iter, :pos ]

a25 = Project.new :id => "a25",
    :input => a26,
    :projlist => [ [ :iter, :inner ], [ :item ]]

a44 = Project.new :id => "a44",
    :input => a26,
    :projlist => [ [ :outer, :iter ], [ :inner ]]

a24 = Join.new :id => "a24",
    :left_rel => a25,
    :right_rel => a44,
    :left_col => :iter,
    :right_col => :inner

a23 = Project.new :id => "a23",
    :input => a24,
    :projlist => [ [ :iter, :outer ], [ :item ]]

a22 = a23     # ERRORerror.new

a21 = Project.new :id => "a21",
    :input => a22,
    :projlist => [ [ :iter ], [ :item ]]

a52 = Project.new :id => "a52",
    :input => a36,
    :projlist => [ [ :iter ]]

a23 = Project.new :id => "a23",
    :input => a24,
    :projlist => [ [ :iter, :outer ], [ :item ]]

a22 = a23     # ERRORerror.new

a53 = Project.new :id => "a53",
    :input => a22,
    :projlist => [ [ :iter ]]

a51 = Difference.new :id => "a51",
    :left_rel => a52,
    :right_rel => a53

a50 = Project.new :id => "a50",
    :input => a51,
    :projlist => [[ :item, "" ],  [ :iter ]]

a49 = Project.new :id => "a49",
    :input => a50,
    :projlist => [ [ :iter ], [ :item ]]

a20 = Union.new :id => "a20",
    :left_rel => a21,
    :right_rel => a49

a57 = Project.new :id => "a57",
    :input => a52,
    :projlist => [[ :item, "Bicycle" ],  [ :iter ]]

a56 = Project.new :id => "a56",
    :input => a57,
    :projlist => [ [ :iter ], [ :item ]]

a61 = Project.new :id => "a61",
    :input => a57,
    :projlist => [ [ :iter ]]

a60 = Difference.new :id => "a60",
    :left_rel => a52,
    :right_rel => a61

a59 = Project.new :id => "a59",
    :input => a60,
    :projlist => [[ :item, "" ],  [ :iter ]]

a58 = Project.new :id => "a58",
    :input => a59,
    :projlist => [ [ :iter ], [ :item ]]

a55 = Union.new :id => "a55",
    :left_rel => a56,
    :right_rel => a58

a54 = Project.new :id => "a54",
    :input => a55,
    :projlist => [ [ :iter1, :iter ], [ :item1, :item ]]

a19 = Join.new :id => "a19",
    :left_rel => a20,
    :right_rel => a54,
    :left_col => :iter,
    :right_col => :iter1

a18 = fun_1to1 :id => "a18",
    :input => a19,
    :fun_name => "fn:contains",
    :res => :res,
    :args => [ :item, :item1 ]


a17 = Project.new :id => "a17",
    :input => a18,
    :projlist => [ [ :iter ], [ :item, :res ]]

a16 = Select.new :id => "a16",
    :input => a17,
    :column => :item

a15 = Project.new :id => "a15",
    :input => a16,
    :projlist => [ [ :iter ]]

a14 = Project.new :id => "a14",
    :input => a15,
    :projlist => [[ :item, "item_tuple" ],  [ :iter ]]

a68 = Project.new :id => "a68",
    :input => a16,
    :projlist => [ [ :outer, :iter ], [ :inner, :iter ]]

a67 = Join.new :id => "a67",
    :left_rel => a36,
    :right_rel => a68,
    :left_col => :iter,
    :right_col => :outer

a66 = Project.new :id => "a66",
    :input => a67,
    :projlist => [ [ :iter, :inner ], [ :item ]]

a65 = Scj.new :id => "a65",
    :input => a66,
    :src => :item,
    :step => "child::itemno"

a64 = Rownum.new :id => "a64",
    :input => a65,
    :newcol => :pos,
    :order => [ :item ],
    :part => :iter

a63 = a64     # ERRORContent.new

a72 = Scj.new :id => "a72",
    :input => a66,
    :src => :item,
    :step => "child::description"

a71 = Rownum.new :id => "a71",
    :input => a72,
    :newcol => :pos,
    :order => [ :item ],
    :part => :iter

a70 = a71     # ERRORContent.new

a75 = Project.new :id => "a75",
    :input => a15,
    :projlist => [[ :item, "high_bid" ],  [ :iter ]]

a98 = Project.new :id => "a98",
    :input => a15,
    :projlist => [[ :item, "bids.xml" ],  [ :iter ]]

a97 = Doc.new :id => "a97",
    :input => a98,
    :src => :item,
    :dest => :res

a112 = Project.new :id => "a112",
    :input => a97,
    :projlist => [ [ :iter ], [ :item ], [ :res ]]

a111 = Project.new :id => "a111",
    :input => a112,
    :projlist => [ [ :iter ], [ :item, :res ]]

a110 = Scj.new :id => "a110",
    :input => a111,
    :src => :item,
    :step => "descendant-or-self::node()"

a109 = Project.new :id => "a109",
    :input => a110,
    :projlist => [ [ :iter ], [ :item ]]

a108 = Scj.new :id => "a108",
    :input => a109,
    :src => :item,
    :step => "child::bid_tuple"

a107 = Rownum.new :id => "a107",
    :input => a108,
    :newcol => :pos,
    :order => [ :item ],
    :part => :iter

a106 = Rownum.new :id => "a106",
    :input => a107,
    :newcol => :inner,
    :order => [ :iter, :pos ]

a105 = Project.new :id => "a105",
    :input => a106,
    :projlist => [ [ :iter, :inner ], [ :item ]]

a138 = Project.new :id => "a138",
    :input => a105,
    :projlist => [ [ :iter ], [ :item ]]

a137 = Scj.new :id => "a137",
    :input => a138,
    :src => :item,
    :step => "child::itemno"

a136 = Rownum.new :id => "a136",
    :input => a137,
    :newcol => :pos,
    :order => [ :item ],
    :part => :iter

a135 = Atomize.new :id => "a135",
    :input => a136,
    :src => :item,
    :dest => :res

a134 = Project.new :id => "a134",
    :input => a135,
    :projlist => [ [ :iter ], [ :pos ], [ :item, :res ]]

a133 = Rownum.new :id => "a133",
    :input => a134,
    :newcol => :inner,
    :order => [ :iter, :pos ]

a132 = Project.new :id => "a132",
    :input => a133,
    :projlist => [ [ :iter, :inner ], [ :item ]]

a151 = Project.new :id => "a151",
    :input => a16,
    :projlist => [ [ :iter ], [ :outer, :iter ]]

a152 = Project.new :id => "a152",
    :input => a106,
    :projlist => [ [ :iter2, :iter ], [ :inner ]]

a150 = Join.new :id => "a150",
    :left_rel => a151,
    :right_rel => a152,
    :left_col => :iter,
    :right_col => :iter2

a149 = Project.new :id => "a149",
    :input => a150,
    :projlist => [ [ :iter, :inner ], [ :outer ]]

a153 = Project.new :id => "a153",
    :input => a133,
    :projlist => [ [ :iter2, :iter ], [ :inner ]]

a148 = Join.new :id => "a148",
    :left_rel => a149,
    :right_rel => a153,
    :left_col => :iter,
    :right_col => :iter2

a147 = Project.new :id => "a147",
    :input => a148,
    :projlist => [ [ :outer ], [ :inner ]]

a146 = Join.new :id => "a146",
    :left_rel => a36,
    :right_rel => a147,
    :left_col => :iter,
    :right_col => :outer

a145 = Project.new :id => "a145",
    :input => a146,
    :projlist => [ [ :iter, :inner ], [ :item ]]

a144 = Scj.new :id => "a144",
    :input => a145,
    :src => :item,
    :step => "child::itemno"

a143 = Rownum.new :id => "a143",
    :input => a144,
    :newcol => :pos,
    :order => [ :item ],
    :part => :iter

a142 = Atomize.new :id => "a142",
    :input => a143,
    :src => :item,
    :dest => :res

a141 = Project.new :id => "a141",
    :input => a142,
    :projlist => [ [ :iter ], [ :pos ], [ :item, :res ]]

a140 = Rownum.new :id => "a140",
    :input => a141,
    :newcol => :inner,
    :order => [ :iter, :pos ]

a139 = Project.new :id => "a139",
    :input => a140,
    :projlist => [ [ :outer, :iter ], [ :inner ]]

a131 = Join.new :id => "a131",
    :left_rel => a132,
    :right_rel => a139,
    :left_col => :iter,
    :right_col => :outer

a130 = Project.new :id => "a130",
    :input => a131,
    :projlist => [ [ :iter, :inner ], [ :item ]]

a155 = Project.new :id => "a155",
    :input => a140,
    :projlist => [ [ :iter, :inner ], [ :item ]]

a154 = Project.new :id => "a154",
    :input => a155,
    :projlist => [ [ :iter1, :iter ], [ :item1, :item ]]

a129 = Join.new :id => "a129",
    :left_rel => a130,
    :right_rel => a154,
    :left_col => :iter,
    :right_col => :iter1

a128 = EqualOp.new :id => "a128",
    :input => a129,
    :newcol => :res,
    :arg1 => :item,
    :arg2 => :item1

a127 = Project.new :id => "a127",
    :input => a128,
    :projlist => [ [ :iter ], [ :item, :res ]]

a126 = Select.new :id => "a126",
    :input => a127,
    :column => :item

a125 = Project.new :id => "a125",
    :input => a126,
    :projlist => [ [ :iter ]]

a124 = Join.new :id => "a124",
    :left_rel => a125,
    :right_rel => a139,
    :left_col => :iter,
    :right_col => :inner

a123 = Project.new :id => "a123",
    :input => a124,
    :projlist => [ [ :iter, :outer ]]

a122 = Distinct.new :id => "a122",
    :input => a123

a121 = Project.new :id => "a121",
    :input => a122,
    :projlist => [[ :item, true ],  [ :iter ]]

a120 = Select.new :id => "a120",
    :input => a121,
    :column => :item

a119 = Project.new :id => "a119",
    :input => a120,
    :projlist => [ [ :iter ]]

a156 = Project.new :id => "a156",
    :input => a133,
    :projlist => [ [ :outer, :iter ], [ :inner ]]

a118 = Join.new :id => "a118",
    :left_rel => a119,
    :right_rel => a156,
    :left_col => :iter,
    :right_col => :inner

a117 = Project.new :id => "a117",
    :input => a118,
    :projlist => [ [ :iter, :outer ]]

a116 = Distinct.new :id => "a116",
    :input => a117

a115 = Project.new :id => "a115",
    :input => a116,
    :projlist => [[ :item, true ],  [ :iter ]]

a114 = Select.new :id => "a114",
    :input => a115,
    :column => :item

a113 = Project.new :id => "a113",
    :input => a114,
    :projlist => [ [ :outer, :iter ], [ :inner, :iter ]]

a104 = Join.new :id => "a104",
    :left_rel => a105,
    :right_rel => a113,
    :left_col => :iter,
    :right_col => :outer

a103 = Project.new :id => "a103",
    :input => a104,
    :projlist => [ [ :iter, :inner ], [ :item ]]

a157 = Project.new :id => "a157",
    :input => a106,
    :projlist => [ [ :outer, :iter ], [ :inner ]]

a102 = Join.new :id => "a102",
    :left_rel => a103,
    :right_rel => a157,
    :left_col => :iter,
    :right_col => :inner

a101 = Project.new :id => "a101",
    :input => a102,
    :projlist => [ [ :iter, :outer ], [ :item ]]

a100 = Scj.new :id => "a100",
    :input => a101,
    :src => :item,
    :step => "child::bid"

a99 = Rownum.new :id => "a99",
    :input => a100,
    :newcol => :pos,
    :order => [ :item ],
    :part => :iter

a94 = Atomize.new :id => "a94",
    :input => a99,
    :src => :item,
    :dest => :res

a93 = Project.new :id => "a93",
    :input => a94,
    :projlist => [ [ :iter ], [ :pos ], [ :item, :res ]]

a92 = Rownum.new :id => "a92",
    :input => a93,
    :newcol => :inner,
    :order => [ :iter, :pos ]

a91 = Project.new :id => "a91",
    :input => a92,
    :projlist => [ [ :iter, :inner ], [ :item ]]

a90 = Project.new :id => "a90",
    :input => a91,
    :projlist => [[ :cast, :item ],  [ :iter ], [ :item ]]

a89 = Project.new :id => "a89",
    :input => a90,
    :projlist => [ [ :iter ], [ :item, :cast ]]

a158 = Project.new :id => "a158",
    :input => a92,
    :projlist => [ [ :outer, :iter ], [ :inner ]]

a88 = Join.new :id => "a88",
    :left_rel => a89,
    :right_rel => a158,
    :left_col => :iter,
    :right_col => :inner

a87 = Project.new :id => "a87",
    :input => a88,
    :projlist => [ [ :iter, :outer ], [ :item ]]

a86 = Max.new :id => "a86",
    :input => a87,
    :part => :iter,
    :res => :item,
    :arg => :item


a85 = Project.new :id => "a85",
    :input => a86,
    :projlist => [[ :pos, 1 ],  [ :item ], [ :iter ]]

a84 = Project.new :id => "a84",
    :input => a85,
    :projlist => [[ :cast, :item ],  [ :item ], [ :iter ], [ :pos ]]

a83 = Project.new :id => "a83",
    :input => a84,
    :projlist => [ [ :iter ], [ :pos ], [ :item, :cast ]]

a160 = Project.new :id => "a160",
    :input => a15,
    :projlist => [ [ :iter ]]

a159 = Project.new :id => "a159",
    :input => a160,
    :projlist => [[ :item, " " ],  [ :iter ]]

a82 = StringJoin.new :id => "a82",
    :left_rel => a83,
    :right_rel => a159,
    :iter => :iter,
    :pos  => :pos,
    :item => :item


a81 = TextConstr.new :id => "a81",
    :input => a82,
    :iter => :iter,
    :item => :item


a80 = a81  # twig
a162 = Project.new :id => "a162",
    :input => a80,
    :projlist => [ [ :iter ], [ :item ]]

a161 = Project.new :id => "a161",
    :input => a162,
    :projlist => [[ :pos, 1 ],  [ :iter ], [ :item ]]

a77 = a161     # ERRORContent.new

a76 = a77 # fncs
a74 = ElemConstr.new :id => "a74",
    :tagnames => a75,
    :content => a76

a73 = a74 # fncs
a69 = Union.new :id => "a69",
    :left_rel => a70,
    :right_rel => a73
a62 = Union.new :id => "a62",
    :left_rel => a63,
    :right_rel => a69
a13 = ElemConstr.new :id => "a13",
    :tagnames => a14,
    :content => a62

a12 = a13  # twig
a168 = Project.new :id => "a168",
    :input => a12,
    :projlist => [ [ :iter ], [ :item ]]

a167 = Project.new :id => "a167",
    :input => a168,
    :projlist => [[ :pos, 1 ],  [ :iter ], [ :item ]]

a169 = Project.new :id => "a169",
    :input => a37,
    :projlist => [ [ :outer, :iter ], [ :sort, :pos ], [ :inner ]]

a166 = Join.new :id => "a166",
    :left_rel => a167,
    :right_rel => a169,
    :left_col => :iter,
    :right_col => :inner

a165 = Rownum.new :id => "a165",
    :input => a166,
    :newcol => :pos1,
    :order => [ :sort, :pos ],
    :part => :outer

a164 = Project.new :id => "a164",
    :input => a165,
    :projlist => [ [ :iter, :outer ], [ :pos, :pos1 ], [ :item ]]

a9 = a164     # ERRORContent.new

a8 = a9 # fncs
a6 = ElemConstr.new :id => "a6",
    :tagnames => a7,
    :content => a8

a5 = a6  # twig
a171 = Project.new :id => "a171",
    :input => a5,
    :projlist => [ [ :iter ], [ :item ]]

a170 = Project.new :id => "a170",
    :input => a171,
    :projlist => [[ :pos, 1 ],  [ :iter ], [ :item ]]

# serialize (:pos => :pos, :item => :item)
$root = a170
