a7 = LiteralTable.new :id => "a7",
    :colnames => [ :iter, :item ],
    :data => [[1, "result"]]

a13 = LiteralTable.new :id => "a13",
    :colnames => [ :iter, :item ],
    :data => [[1, "sgml.xml"]]

a12 = Doc.new :id => "a12",
    :input => a13,
    :src => :item,
    :dest => :res

a50 = Project.new :id => "a50",
    :input => a12,
    :projlist => [ [ :iter ], [ :item ], [ :res ]]

a49 = Project.new :id => "a49",
    :input => a50,
    :projlist => [ [ :iter ], [ :item, :res ]]

a48 = Scj.new :id => "a48",
    :input => a49,
    :src => :item,
    :step => "descendant-or-self::node()"

a47 = Project.new :id => "a47",
    :input => a48,
    :projlist => [ [ :iter ], [ :item ]]

a46 = Scj.new :id => "a46",
    :input => a47,
    :src => :item,
    :step => "child::chapter"

a45 = Rownum.new :id => "a45",
    :input => a46,
    :newcol => :pos,
    :order => [ :item ],
    :part => :iter

a44 = Rownum.new :id => "a44",
    :input => a45,
    :newcol => :pos1,
    :order => [ :pos ],
    :part => :iter

a43 = Rownum.new :id => "a43",
    :input => a44,
    :newcol => :inner,
    :order => [ :iter, :pos ]

a42 = Project.new :id => "a42",
    :input => a43,
    :projlist => [ [ :iter, :inner ], [ :item ]]

a57 = Project.new :id => "a57",
    :input => a42,
    :projlist => [ [ :iter ]]

a56 = Project.new :id => "a56",
    :input => a57,
    :projlist => [[ :item, 2 ],  [ :iter ]]

a60 = Project.new :id => "a60",
    :input => a43,
    :projlist => [[ :cast, :pos1 ],  [ :iter ], [ :item ], [ :pos ], [ :pos1 ], [ :inner ]]

a59 = Project.new :id => "a59",
    :input => a60,
    :projlist => [ [ :iter, :inner ], [ :item, :cast ]]

a58 = Project.new :id => "a58",
    :input => a59,
    :projlist => [ [ :iter1, :iter ], [ :item1, :item ]]

a55 = Join.new :id => "a55",
    :left_rel => a56,
    :right_rel => a58,
    :left_col => :iter,
    :right_col => :iter1

a54 = EqualOp.new :id => "a54",
    :input => a55,
    :newcol => :res,
    :arg1 => :item,
    :arg2 => :item1

a53 = Project.new :id => "a53",
    :input => a54,
    :projlist => [ [ :iter ], [ :item, :res ]]

a52 = Select.new :id => "a52",
    :input => a53,
    :column => :item

a51 = Project.new :id => "a51",
    :input => a52,
    :projlist => [ [ :outer, :iter ], [ :inner, :iter ]]

a41 = Join.new :id => "a41",
    :left_rel => a42,
    :right_rel => a51,
    :left_col => :iter,
    :right_col => :outer

a40 = Project.new :id => "a40",
    :input => a41,
    :projlist => [ [ :iter, :inner ], [ :item ]]

a61 = Project.new :id => "a61",
    :input => a43,
    :projlist => [ [ :outer, :iter ], [ :inner ]]

a39 = Join.new :id => "a39",
    :left_rel => a40,
    :right_rel => a61,
    :left_col => :iter,
    :right_col => :inner

a38 = Project.new :id => "a38",
    :input => a39,
    :projlist => [ [ :iter, :outer ], [ :item ]]

a37 = Scj.new :id => "a37",
    :input => a38,
    :src => :item,
    :step => "descendant-or-self::node()"

a36 = Project.new :id => "a36",
    :input => a37,
    :projlist => [ [ :iter ], [ :item ]]

a35 = Scj.new :id => "a35",
    :input => a36,
    :src => :item,
    :step => "child::section"

a34 = Rownum.new :id => "a34",
    :input => a35,
    :newcol => :pos,
    :order => [ :item ],
    :part => :iter

a33 = Rownum.new :id => "a33",
    :input => a34,
    :newcol => :pos1,
    :order => [ :pos ],
    :part => :iter

a32 = Rownum.new :id => "a32",
    :input => a33,
    :newcol => :inner,
    :order => [ :iter, :pos ]

a31 = Project.new :id => "a31",
    :input => a32,
    :projlist => [ [ :iter, :inner ], [ :item ]]

a68 = Project.new :id => "a68",
    :input => a31,
    :projlist => [ [ :iter ]]

a67 = Project.new :id => "a67",
    :input => a68,
    :projlist => [[ :item, 3 ],  [ :iter ]]

a71 = Project.new :id => "a71",
    :input => a32,
    :projlist => [[ :cast, :pos1 ],  [ :iter ], [ :item ], [ :pos ], [ :pos1 ], [ :inner ]]

a70 = Project.new :id => "a70",
    :input => a71,
    :projlist => [ [ :iter, :inner ], [ :item, :cast ]]

a69 = Project.new :id => "a69",
    :input => a70,
    :projlist => [ [ :iter1, :iter ], [ :item1, :item ]]

a66 = Join.new :id => "a66",
    :left_rel => a67,
    :right_rel => a69,
    :left_col => :iter,
    :right_col => :iter1

a65 = EqualOp.new :id => "a65",
    :input => a66,
    :newcol => :res,
    :arg1 => :item,
    :arg2 => :item1

a64 = Project.new :id => "a64",
    :input => a65,
    :projlist => [ [ :iter ], [ :item, :res ]]

a63 = Select.new :id => "a63",
    :input => a64,
    :column => :item

a62 = Project.new :id => "a62",
    :input => a63,
    :projlist => [ [ :outer, :iter ], [ :inner, :iter ]]

a30 = Join.new :id => "a30",
    :left_rel => a31,
    :right_rel => a62,
    :left_col => :iter,
    :right_col => :outer

a29 = Project.new :id => "a29",
    :input => a30,
    :projlist => [ [ :iter, :inner ], [ :item ]]

a72 = Project.new :id => "a72",
    :input => a32,
    :projlist => [ [ :outer, :iter ], [ :inner ]]

a28 = Join.new :id => "a28",
    :left_rel => a29,
    :right_rel => a72,
    :left_col => :iter,
    :right_col => :inner

a27 = Project.new :id => "a27",
    :input => a28,
    :projlist => [ [ :iter, :outer ], [ :item ]]

a26 = Scj.new :id => "a26",
    :input => a27,
    :src => :item,
    :step => "descendant-or-self::node()"

a25 = Project.new :id => "a25",
    :input => a26,
    :projlist => [ [ :iter ], [ :item ]]

a24 = Scj.new :id => "a24",
    :input => a25,
    :src => :item,
    :step => "child::para"

a23 = Rownum.new :id => "a23",
    :input => a24,
    :newcol => :pos,
    :order => [ :item ],
    :part => :iter

a22 = Rownum.new :id => "a22",
    :input => a23,
    :newcol => :pos1,
    :order => [ :pos ],
    :part => :iter

a21 = Rownum.new :id => "a21",
    :input => a22,
    :newcol => :inner,
    :order => [ :iter, :pos ]

a20 = Project.new :id => "a20",
    :input => a21,
    :projlist => [ [ :iter, :inner ], [ :item ]]

a19 = Project.new :id => "a19",
    :input => a20,
    :projlist => [[ :pos, 1 ],  [ :iter ], [ :item ]]

a79 = Project.new :id => "a79",
    :input => a19,
    :projlist => [ [ :iter ]]

a78 = Project.new :id => "a78",
    :input => a79,
    :projlist => [[ :item, 2 ],  [ :iter ]]

a82 = Project.new :id => "a82",
    :input => a21,
    :projlist => [[ :cast, :pos1 ],  [ :iter ], [ :item ], [ :pos ], [ :pos1 ], [ :inner ]]

a81 = Project.new :id => "a81",
    :input => a82,
    :projlist => [ [ :iter, :inner ], [ :item, :cast ]]

a80 = Project.new :id => "a80",
    :input => a81,
    :projlist => [ [ :iter1, :iter ], [ :item1, :item ]]

a77 = Join.new :id => "a77",
    :left_rel => a78,
    :right_rel => a80,
    :left_col => :iter,
    :right_col => :iter1

a76 = EqualOp.new :id => "a76",
    :input => a77,
    :newcol => :res,
    :arg1 => :item,
    :arg2 => :item1

a75 = Project.new :id => "a75",
    :input => a76,
    :projlist => [ [ :iter ], [ :item, :res ]]

a74 = Select.new :id => "a74",
    :input => a75,
    :column => :item

a73 = Project.new :id => "a73",
    :input => a74,
    :projlist => [ [ :outer, :iter ], [ :inner, :iter ]]

a18 = Join.new :id => "a18",
    :left_rel => a19,
    :right_rel => a73,
    :left_col => :iter,
    :right_col => :outer

a17 = Project.new :id => "a17",
    :input => a18,
    :projlist => [ [ :iter, :inner ], [ :pos ], [ :item ]]

a83 = Project.new :id => "a83",
    :input => a21,
    :projlist => [ [ :outer, :iter ], [ :sort, :pos ], [ :inner ]]

a16 = Join.new :id => "a16",
    :left_rel => a17,
    :right_rel => a83,
    :left_col => :iter,
    :right_col => :inner

a15 = Rownum.new :id => "a15",
    :input => a16,
    :newcol => :pos1,
    :order => [ :sort, :pos ],
    :part => :outer

a14 = Project.new :id => "a14",
    :input => a15,
    :projlist => [ [ :iter, :outer ], [ :pos, :pos1 ], [ :item ]]

a9 = a14     # ERRORContent.new

a8 = a9 # fncs
a6 = ElemConstr.new :id => "a6",
    :tagnames => a7,
    :content => a8

a5 = a6  # twig
a86 = Project.new :id => "a86",
    :input => a5,
    :projlist => [ [ :iter ], [ :item ]]

a85 = Project.new :id => "a85",
    :input => a86,
    :projlist => [[ :pos, 1 ],  [ :iter ], [ :item ]]

# serialize (:pos => :pos, :item => :item)
$root = a85
