a7 = LiteralTable.new :id => "a7",
    :colnames => [ :iter, :item ],
    :data => [[1, "result"]]

a13 = LiteralTable.new :id => "a13",
    :colnames => [ :iter, :item ],
    :data => [[1, "sgml.xml"]]

a12 = Doc.new :id => "a12",
    :input => a13,
    :src => :item,
    :dest => :res

a33 = Project.new :id => "a33",
    :input => a12,
    :projlist => [ [ :iter ], [ :item ], [ :res ]]

a32 = Project.new :id => "a32",
    :input => a33,
    :projlist => [ [ :iter ], [ :item, :res ]]

a31 = Scj.new :id => "a31",
    :input => a32,
    :src => :item,
    :step => "descendant-or-self::node()"

a30 = Rownum.new :id => "a30",
    :input => a31,
    :newcol => :pos,
    :order => [ :item ],
    :part => :iter

a29 = Rownum.new :id => "a29",
    :input => a30,
    :newcol => :inner,
    :order => [ :iter, :pos ]

a28 = Project.new :id => "a28",
    :input => a29,
    :projlist => [ [ :iter, :inner ], [ :item ]]

a27 = Project.new :id => "a27",
    :input => a28,
    :projlist => [ [ :iter ], [ :item ]]

a26 = Scj.new :id => "a26",
    :input => a27,
    :src => :item,
    :step => "child::section"

a25 = Rownum.new :id => "a25",
    :input => a26,
    :newcol => :pos,
    :order => [ :item ],
    :part => :iter

a24 = Rownum.new :id => "a24",
    :input => a25,
    :newcol => :inner,
    :order => [ :iter, :pos ]

a23 = Project.new :id => "a23",
    :input => a24,
    :projlist => [ [ :iter, :inner ], [ :item ]]

a22 = Project.new :id => "a22",
    :input => a23,
    :projlist => [[ :pos, 1 ],  [ :iter ], [ :item ]]

a56 = Project.new :id => "a56",
    :input => a22,
    :projlist => [ [ :iter ], [ :item ]]

a55 = Scj.new :id => "a55",
    :input => a56,
    :src => :item,
    :step => "descendant-or-self::node()"

a54 = Project.new :id => "a54",
    :input => a55,
    :projlist => [ [ :iter ], [ :item ]]

a53 = Scj.new :id => "a53",
    :input => a54,
    :src => :item,
    :step => "child::title"

a52 = Rownum.new :id => "a52",
    :input => a53,
    :newcol => :pos,
    :order => [ :item ],
    :part => :iter

a51 = Rownum.new :id => "a51",
    :input => a52,
    :newcol => :inner,
    :order => [ :iter, :pos ]

a50 = Project.new :id => "a50",
    :input => a51,
    :projlist => [ [ :iter, :inner ], [ :item ]]

a49 = Project.new :id => "a49",
    :input => a50,
    :projlist => [ [ :iter ], [ :item ]]

a48 = Scj.new :id => "a48",
    :input => a49,
    :src => :item,
    :step => "child::text()"

a47 = Rownum.new :id => "a47",
    :input => a48,
    :newcol => :pos,
    :order => [ :item ],
    :part => :iter

a46 = Rownum.new :id => "a46",
    :input => a47,
    :newcol => :inner,
    :order => [ :iter, :pos ]

a45 = Project.new :id => "a45",
    :input => a46,
    :projlist => [ [ :iter, :inner ], [ :item ]]

a63 = Atomize.new :id => "a63",
    :input => a45,
    :src => :item,
    :dest => :res

a62 = Project.new :id => "a62",
    :input => a63,
    :projlist => [ [ :iter ], [ :item, :res ]]

a66 = Project.new :id => "a66",
    :input => a45,
    :projlist => [ [ :iter ]]

a65 = Project.new :id => "a65",
    :input => a66,
    :projlist => [[ :item, "is SGML" ],  [ :iter ]]

a64 = Project.new :id => "a64",
    :input => a65,
    :projlist => [ [ :iter1, :iter ], [ :item1, :item ]]

a61 = Join.new :id => "a61",
    :left_rel => a62,
    :right_rel => a64,
    :left_col => :iter,
    :right_col => :iter1

a60 = fun_1to1 :id => "a60",
    :input => a61,
    :fun_name => "fn:contains",
    :res => :res,
    :args => [ :item, :item1 ]


a59 = Project.new :id => "a59",
    :input => a60,
    :projlist => [ [ :iter ], [ :item, :res ]]

a58 = Select.new :id => "a58",
    :input => a59,
    :column => :item

a57 = Project.new :id => "a57",
    :input => a58,
    :projlist => [ [ :outer, :iter ], [ :inner, :iter ]]

a44 = Join.new :id => "a44",
    :left_rel => a45,
    :right_rel => a57,
    :left_col => :iter,
    :right_col => :outer

a43 = Project.new :id => "a43",
    :input => a44,
    :projlist => [ [ :iter, :inner ]]

a67 = Project.new :id => "a67",
    :input => a46,
    :projlist => [ [ :outer, :iter ], [ :inner ]]

a42 = Join.new :id => "a42",
    :left_rel => a43,
    :right_rel => a67,
    :left_col => :iter,
    :right_col => :inner

a41 = Project.new :id => "a41",
    :input => a42,
    :projlist => [ [ :iter, :outer ]]

a68 = Project.new :id => "a68",
    :input => a51,
    :projlist => [ [ :outer, :iter ], [ :inner ]]

a40 = Join.new :id => "a40",
    :left_rel => a41,
    :right_rel => a68,
    :left_col => :iter,
    :right_col => :inner

a39 = Project.new :id => "a39",
    :input => a40,
    :projlist => [ [ :iter, :outer ]]

a38 = Distinct.new :id => "a38",
    :input => a39

a37 = Project.new :id => "a37",
    :input => a38,
    :projlist => [[ :item, true ],  [ :iter ]]

a36 = Project.new :id => "a36",
    :input => a37,
    :projlist => [ [ :iter ], [ :item ]]

a35 = Select.new :id => "a35",
    :input => a36,
    :column => :item

a34 = Project.new :id => "a34",
    :input => a35,
    :projlist => [ [ :outer, :iter ], [ :inner, :iter ]]

a21 = Join.new :id => "a21",
    :left_rel => a22,
    :right_rel => a34,
    :left_col => :iter,
    :right_col => :outer

a20 = Project.new :id => "a20",
    :input => a21,
    :projlist => [ [ :iter, :inner ], [ :pos ], [ :item ]]

a69 = Project.new :id => "a69",
    :input => a24,
    :projlist => [ [ :outer, :iter ], [ :sort, :pos ], [ :inner ]]

a19 = Join.new :id => "a19",
    :left_rel => a20,
    :right_rel => a69,
    :left_col => :iter,
    :right_col => :inner

a18 = Rownum.new :id => "a18",
    :input => a19,
    :newcol => :pos1,
    :order => [ :sort, :pos ],
    :part => :outer

a17 = Project.new :id => "a17",
    :input => a18,
    :projlist => [ [ :iter, :outer ], [ :pos, :pos1 ], [ :item ]]

a70 = Project.new :id => "a70",
    :input => a29,
    :projlist => [ [ :outer, :iter ], [ :sort, :pos ], [ :inner ]]

a16 = Join.new :id => "a16",
    :left_rel => a17,
    :right_rel => a70,
    :left_col => :iter,
    :right_col => :inner

a15 = Rownum.new :id => "a15",
    :input => a16,
    :newcol => :pos1,
    :order => [ :sort, :pos ],
    :part => :outer

a14 = Project.new :id => "a14",
    :input => a15,
    :projlist => [ [ :iter, :outer ], [ :pos, :pos1 ], [ :item ]]

a9 = a14     # ERRORContent.new

a8 = a9 # fncs
a6 = ElemConstr.new :id => "a6",
    :tagnames => a7,
    :content => a8

a5 = a6  # twig
a73 = Project.new :id => "a73",
    :input => a5,
    :projlist => [ [ :iter ], [ :item ]]

a72 = Project.new :id => "a72",
    :input => a73,
    :projlist => [[ :pos, 1 ],  [ :iter ], [ :item ]]

# serialize (:pos => :pos, :item => :item)
$root = a72
