a6 = LiteralTable.new :id => "a6",
    :colnames => [ :iter, :item ],
    :data => [[1, "forecast.xml"]]

a5 = Doc.new :id => "a5",
    :input => a6,
    :src => :item,
    :dest => :res

a41 = a5
#a41 = dummy.new :id => "a41",
#    :input => a5,
#    :dummy => "foo"

a40 = Project.new :id => "a40",
    :input => a41,
    :projlist => [ [ :iter ], [ :item, :res ]]

a39 = Scj.new :id => "a39",
    :input => a40,
    :src => :item,
    :step => "descendant::day"

a38 = Rownum.new :id => "a38",
    :input => a39,
    :newcol => :pos,
    :order => [ :item ],
    :part => :iter

a37 = Rownum.new :id => "a37",
    :input => a38,
    :newcol => :inner,
    :order => [ :iter, :pos ]

a36 = Project.new :id => "a36",
    :input => a37,
    :projlist => [ [ :iter, :inner ], [ :item ]]

a35 = Project.new :id => "a35",
    :input => a36,
    :projlist => [ [ :iter ], [ :item ]]

a34 = Scj.new :id => "a34",
    :input => a35,
    :src => :item,
    :step => "descendant::ppcp"

a33 = Rownum.new :id => "a33",
    :input => a34,
    :newcol => :pos,
    :order => [ :item ],
    :part => :iter

a32 = Atomize.new :id => "a32",
    :input => a33,
    :src => :item,
    :dest => :res

a31 = Project.new :id => "a31",
    :input => a32,
    :projlist => [ [ :iter ], [ :pos ], [ :item, :res ]]

a30 = Rownum.new :id => "a30",
    :input => a31,
    :newcol => :inner,
    :order => [ :iter, :pos ]

a29 = Project.new :id => "a29",
    :input => a30,
    :projlist => [ [ :iter, :inner ], [ :item ]]

a28 = Project.new :id => "a28", :input => a29,
    :projlist => [ [:iter], [:item], [:res,:item] ]

#a28 = TODOfun.new :id => "a28",
#    :input => a29,
#    <content>
#      <kind name="fn:number"/>
#      <column name="res" new="true"/>
#      <column name="item" new="false" position="1"/>
#    </content>


a27 = Project.new :id => "a27",
    :input => a28,
    :projlist => [ [ :iter ], [ :item, :res ]]

a45 = Project.new :id => "a45",
    :input => a29,
    :projlist => [ [ :iter ]]

a44 = Project.new :id => "a44", :input => a45,
    :projlist => [ [:iter], [:item,50] ]

#a44 = TODOattach.new :id => "a44",
#    :input => a45,
#    <content>
#      <column name="item" new="true">
#        50
#      </column>
#    </content>


a43 = Project.new :id => "a43", :input => a44,
    :projlist => [ [:iter], [:item], [:cast,:item] ]

#a43 = TODOcast.new :id => "a43",
#    :input => a44,
#    <content>
#      <column name="cast" new="true"/>
#      <column name="item" new="false"/>
#      <type name="dbl"/>
#    </content>


a42 = Project.new :id => "a42",
    :input => a43,
    :projlist => [ [ :iter1, :iter ], [ :item1, :cast ]]

a26 = Join.new :id => "a26", :left_rel => a27, :right_rel => a42,
    :left_col => :iter, :right_col => :iter1

#a26 = TODOeqjoin.new :id => "a26",
#    :input => a27,
#    :input => a42,
#    <content>
#      <column name="iter" new="false" position="1"/>
#      <column name="iter1" new="false" position="2"/>
#    </content>


a25 = GreaterThanOp.new :id => "a25", :input => a26,
    :arg1 => :item, :arg2 => :item1, :newcol => :res

#a25 = TODOgt.new :id => "a25",
#    :input => a26,
#    <content>
#      <column name="res" new="true"/>
#      <column name="item" new="false" position="1"/>
#      <column name="item1" new="false" position="2"/>
#    </content>


a24 = Project.new :id => "a24",
    :input => a25,
    :projlist => [ [ :iter ], [ :item, :res ]]

a23 = Select.new :id => "a23", :input => a24, :column => :item

#a23 = TODOselect.new :id => "a23",
#    :input => a24,
#    <content>
#      <column name="item" new="false"/>
#    </content>


a22 = Project.new :id => "a22",
    :input => a23,
    :projlist => [ [ :iter ]]

a46 = Project.new :id => "a46",
    :input => a30,
    :projlist => [ [ :outer, :iter ], [ :inner ]]

a21 = Join.new :id => "a21", :left_rel => a22, :right_rel => a46,
    :left_col => :iter, :right_col => :inner

#a21 = TODOeqjoin.new :id => "a21",
#    :input => a22,
#    :input => a46,
#    <content>
#      <column name="iter" new="false" position="1"/>
#      <column name="inner" new="false" position="2"/>
#    </content>


a20 = Project.new :id => "a20",
    :input => a21,
    :projlist => [ [ :iter, :outer ]]

a19 = Distinct.new :id => "a19", :input => a20

#a19 = TODOdistinct.new :id => "a19",
#    :input => a20,
#    :dummy => "foo"

a18 = Project.new :id => "a18", :input => a19,
    :projlist => [ [:iter], [:item,true] ]

#a18 = TODOattach.new :id => "a18",
#    :input => a19,
#    <content>
#      <column name="item" new="true">
#        true
#      </column>
#    </content>


a17 = Project.new :id => "a17",
    :input => a18,
    :projlist => [ [ :iter ]]

a16 = Project.new :id => "a16", :input => a17,
    :projlist => [ [:iter], [:pos,1] ]

#a16 = TODOattach.new :id => "a16",
#    :input => a17,
#    <content>
#      <column name="pos" new="true">
#        #1
#      </column>
#    </content>


a15 = Project.new :id => "a15", :input => a16,
    :projlist => [ [:iter], [:pos], [:item,"rain likely on"] ]

#a15 = TODOattach.new :id => "a15",
#    :input => a16,
#    <content>
#      <column name="item" new="true">
#        "rain likely on "
#      </column>
#    </content>


a14 = Project.new :id => "a14", :input => a15,
    :projlist => [ [:iter], [:pos], [:item], [:ord,1] ]

#a14 = TODOattach.new :id => "a14",
#    :input => a15,
#    <content>
#      <column name="ord" new="true">
#        #1
#      </column>
#    </content>


a52 = Scj.new :id => "a52",
    :input => a35,
    :src => :item,
    :step => "attribute::t"

a51 = Rownum.new :id => "a51",
    :input => a52,
    :newcol => :pos,
    :order => [ :item ],
    :part => :iter

a53 = Project.new :id => "a53",
    :input => a18,
    :projlist => [ [ :outer, :iter ], [ :inner, :iter ]]

a50 = Join.new :id => "a50", :left_rel => a51, :right_rel => a53,
    :left_col => :iter, :right_col => :outer

#a50 = TODOeqjoin.new :id => "a50",
#    :input => a51,
#    :input => a53,
#    <content>
#      <column name="iter" new="false" position="1"/>
#      <column name="outer" new="false" position="2"/>
#    </content>


a49 = Project.new :id => "a49",
    :input => a50,
    :projlist => [ [ :iter, :inner ], [ :pos ], [ :item ]]

a48 = Project.new :id => "a48", :input => a49,
    :projlist => [ [:iter], [:pos], [:item], [:ord,2] ]

#a48 = TODOattach.new :id => "a48",
#    :input => a49,
#    <content>
#      <column name="ord" new="true">
#        #2
#      </column>
#    </content>


a56 = Project.new :id => "a56", :input => a16,
    :projlist => [ [:iter], [:pos], [:item,"chance of precipitation"] ]

#a56 = TODOattach.new :id => "a56",
#    :input => a16,
#    <content>
#      <column name="item" new="true">
#        "chance of precipitation:"
#      </column>
#    </content>


a55 = Project.new :id => "a55", :input => a56,
    :projlist => [ [:iter], [:pos], [:item], [:ord,3] ]

#a55 = TODOattach.new :id => "a55",
#    :input => a56,
#    <content>
#      <column name="ord" new="true">
#        #3
#      </column>
#    </content>


a59 = Join.new :id => "a59", :left_rel => a31, :right_rel => a53,
    :left_col => :iter, :right_col => :outer

#a59 = TODOeqjoin.new :id => "a59",
#    :input => a31,
#    :input => a53,
#    <content>
#      <column name="iter" new="false" position="1"/>
#      <column name="outer" new="false" position="2"/>
#    </content>


a58 = Project.new :id => "a58",
    :input => a59,
    :projlist => [ [ :iter, :inner ], [ :pos ], [ :item ]]

a57 = Project.new :id => "a57", :input => a58,
    :projlist => [ [:iter], [:pos], [:item], [:ord,4] ]

#a57 = TODOattach.new :id => "a57",
#    :input => a58,
#    <content>
#      <column name="ord" new="true">
#        #4
#      </column>
#    </content>

a54 = Union.new :id => "a54", :left_rel => a55, :right_rel => a57

#a54 = TODOunion.new :id => "a54",
#    :input => a55,
#    :input => a57,
#    :dummy => "foo"

a47 = Union.new :id => "a47", :left_rel => a48, :right_rel => a54

#a47 = TODOunion.new :id => "a47",
#    :input => a48,
#    :input => a54,
#    :dummy => "foo"

a13 = Union.new :id => "a13", :left_rel => a14, :right_rel => a47

#a13 = TODOunion.new :id => "a13",
#    :input => a14,
#    :input => a47,
#    :dummy => "foo"

a12 = Rownum.new :id => "a12",
    :input => a13,
    :newcol => :pos1,
    :order => [ :ord, :pos ],
    :part => :iter

a11 = Project.new :id => "a11",
    :input => a12,
    :projlist => [ [ :iter ], [ :pos, :pos1 ], [ :item ]]

a69 = Project.new :id => "a69",
    :input => a36,
    :projlist => [ [ :iter ]]

a68 = Difference.new :id => "a68", :left_rel => a69, :right_rel => a20

#a68 = TODOdifference.new :id => "a68",
#    :input => a69,
#    :input => a20,
#    :dummy => "foo"

a67 = Project.new :id => "a67", :input => a68,
    :projlist => [ [:iter], [:item,false] ]

#a67 = TODOattach.new :id => "a67",
#    :input => a68,
#    <content>
#      <column name="item" new="true">
#        false
#      </column>
#    </content>


a66 = Project.new :id => "a66",
    :input => a67,
    :projlist => [ [ :iter ]]

a65 = Project.new :id => "a65", :input => a66,
    :projlist => [ [:iter], [:pos,1] ]

#a65 = TODOattach.new :id => "a65",
#    :input => a66,
#    <content>
#      <column name="pos" new="true">
#        #1
#      </column>
#    </content>


a64 = Project.new :id => "a64", :input => a65,
    :projlist => [ [:iter], [:pos], [:item, "no rain on"] ]

#a64 = TODOattach.new :id => "a64",
#    :input => a65,
#    <content>
#      <column name="item" new="true">
#        "no rain on"
#      </column>
#    </content>


a63 = Project.new :id => "a63", :input => a64,
    :projlist => [ [:iter], [:pos], [:item], [:ord,1] ]

#a63 = TODOattach.new :id => "a63",
#    :input => a64,
#    <content>
#      <column name="ord" new="true">
#        #1
#      </column>
#    </content>


a73 = Project.new :id => "a73",
    :input => a67,
    :projlist => [ [ :outer, :iter ], [ :inner, :iter ]]

a72 = Join.new :id => "a72", :left_rel => a51, :right_rel => a73,
    :left_col => :iter, :right_col => :outer

#a72 = TODOeqjoin.new :id => "a72",
#    :input => a51,
#    :input => a73,
#    <content>
#      <column name="iter" new="false" position="1"/>
#      <column name="outer" new="false" position="2"/>
#    </content>


a71 = Project.new :id => "a71",
    :input => a72,
    :projlist => [ [ :iter, :inner ], [ :pos ], [ :item ]]

a70 = Project.new :id => "a70", :input => a71,
    :projlist => [ [:iter], [:pos], [:item], [:ord,1] ]

#a70 = TODOattach.new :id => "a70",
#    :input => a71,
#    <content>
#      <column name="ord" new="true">
#        #2
#      </column>
#    </content>


a62 = Union.new :id => "a62", :left_rel => a63, :right_rel => a70

#a62 = TODOunion.new :id => "a62",
#    :input => a63,
#    :input => a70,
#    :dummy => "foo"

a61 = Rownum.new :id => "a61",
    :input => a62,
    :newcol => :pos1,
    :order => [ :ord, :pos ],
    :part => :iter

a60 = Project.new :id => "a60",
    :input => a61,
    :projlist => [ [ :iter ], [ :pos, :pos1 ], [ :item ]]

a10 = Union.new :id => "a10", :left_rel => a11, :right_rel => a60

#a10 = TODOunion.new :id => "a10",
#    :input => a11,
#    :input => a60,
#    :dummy => "foo"

a74 = Project.new :id => "a74",
    :input => a37,
    :projlist => [ [ :sort, :pos ], [ :inner ]]

a9 = Join.new :id => "a9", :left_rel => a10, :right_rel => a74,
    :left_col => :iter, :right_col => :inner

#a9 = TODOeqjoin.new :id => "a9",
#    :input => a10,
#    :input => a74,
#    <content>
#      <column name="iter" new="false" position="1"/>
#      <column name="inner" new="false" position="2"/>
#    </content>


a8 = Rownum.new :id => "a8",
    :input => a9,
    :newcol => :pos1,
    :order => [ :sort, :pos ]

#a8 = TODOrank.new :id => "a8",
#    :input => a9,
#    :newcol => :pos1,
#    :order => [ :sort, :pos ]

a7 = Project.new :id => "a7",
    :input => a8,
    :projlist => [ [ :pos, :pos1 ], [ :item ]]

#a1 = TODOserialize sequence.new :id => "a1",
#    :input => a7,
#    <content>
#      <column name="pos" new="false" function="pos"/>
#      <column name="item" new="false" function="item"/>
#    </content>

$root = a7

