a16 = LiteralTable.new :id => "a16",
    :colnames => [ :iter, :item ],
    :data => [[1, "auction-small.xml"]]

a15 = Doc.new :id => "a15",
    :input => a16,
    :src => :item,
    :dest => :res

a18 = Project.new :id => "a18",
    :input => a15,
    :projlist => [ [ :iter ], [ :item ], [ :res ]]

a17 = Project.new :id => "a17",
    :input => a18,
    :projlist => [ [ :iter ], [ :item, :res ]]

a12 = Scj.new :id => "a12",
    :input => a17,
    :src => :item,
    :step => "child::site"

a11 = Rownum.new :id => "a11",
    :input => a12,
    :newcol => :pos,
    :order => [ :item ],
    :part => :iter

a10 = Rownum.new :id => "a10",
    :input => a11,
    :newcol => :inner,
    :order => [ :iter, :pos ]

a9 = Project.new :id => "a9",
    :input => a10,
    :projlist => [ [ :iter, :inner ], [ :item ]]

a8 = Project.new :id => "a8",
    :input => a9,
    :projlist => [ [ :iter ]]

a7 = Project.new :id => "a7",
    :input => a8,
    :projlist => [[ :item, "x" ],  [ :iter ]]

a27 = Project.new :id => "a27",
    :input => a9,
    :projlist => [ [ :iter ], [ :item ]]

a26 = Scj.new :id => "a26",
    :input => a27,
    :src => :item,
    :step => "descendant::open_auction"

a25 = Project.new :id => "a25",
    :input => a26,
    :projlist => [ [ :iter ]]

a24 = Count.new :id => "a24",
    :input => a25,
    :newcol => :item,
    :part => :iter


a30 = Project.new :id => "a30",
    :input => a24,
    :projlist => [ [ :iter ]]

a29 = Difference.new :id => "a29",
    :left_rel => a8,
    :right_rel => a30

a28 = Project.new :id => "a28",
    :input => a29,
    :projlist => [[ :item, 0 ],  [ :iter ]]

a23 = Union.new :id => "a23",
    :left_rel => a24,
    :right_rel => a28

a22 = Project.new :id => "a22",
    :input => a23,
    :projlist => [[ :cast, :item ],  [ :item ], [ :iter ]]

a21 = Project.new :id => "a21",
    :input => a22,
    :projlist => [ [ :iter ], [ :item, :cast ]]

a20 = TextConstr.new :id => "a20",
    :input => a21,
    :iter => :iter,
    :item => :item


a19 = a20 # fncs
a6 = ElemConstr.new :id => "a6",
    :tagnames => a7,
    :content => a19

a5 = a6  # twig
a36 = Project.new :id => "a36",
    :input => a5,
    :projlist => [ [ :iter ], [ :item ]]

a35 = Project.new :id => "a35",
    :input => a36,
    :projlist => [[ :pos, 1 ],  [ :iter ], [ :item ]]

a37 = Project.new :id => "a37",
    :input => a10,
    :projlist => [ [ :outer, :iter ], [ :sort, :pos ], [ :inner ]]

a34 = Join.new :id => "a34",
    :left_rel => a35,
    :right_rel => a37,
    :left_col => :iter,
    :right_col => :inner

a33 = Rownum.new :id => "a33",
    :input => a34,
    :newcol => :pos1,
    :order => [ :sort, :pos ],
    :part => :outer

a32 = Project.new :id => "a32",
    :input => a33,
    :projlist => [ [ :pos, :pos1 ], [ :item ]]

# serialize (:pos => :pos, :item => :item)
$root = a32
