a7 = LiteralTable.new :id => "a7",
    :colnames => [ :iter, :item ],
    :data => [[1, "results"]]

a25 = LiteralTable.new :id => "a25",
    :colnames => [ :iter, :item ],
    :data => [[1, "prices.xml"]]

a24 = Doc.new :id => "a24",
    :input => a25,
    :src => :item,
    :dest => :res

a32 = Project.new :id => "a32",
    :input => a24,
    :projlist => [ [ :iter ], [ :item ], [ :res ]]

a31 = Project.new :id => "a31",
    :input => a32,
    :projlist => [ [ :iter ], [ :item, :res ]]

a30 = Scj.new :id => "a30",
    :input => a31,
    :src => :item,
    :step => "descendant-or-self::node()"

a29 = Project.new :id => "a29",
    :input => a30,
    :projlist => [ [ :iter ], [ :item ]]

a28 = Scj.new :id => "a28",
    :input => a29,
    :src => :item,
    :step => "child::book"

a27 = Project.new :id => "a27",
    :input => a28,
    :projlist => [ [ :iter ], [ :item ]]

a26 = Scj.new :id => "a26",
    :input => a27,
    :src => :item,
    :step => "child::title"

a21 = Atomize.new :id => "a21",
    :input => a26,
    :src => :item,
    :dest => :res

a20 = Project.new :id => "a20",
    :input => a21,
    :projlist => [ [ :iter ], [ :item, :res ]]

a19 = Distinct.new :id => "a19",
    :input => a20

a18 = Rownum.new :id => "a18",
    :input => a19,
    :newcol => :pos,
    :order => []


a17 = Rownum.new :id => "a17",
    :input => a18,
    :newcol => :inner,
    :order => [ :iter, :pos ]

a16 = Project.new :id => "a16",
    :input => a17,
    :projlist => [ [ :iter, :inner ], [ :item ]]

a15 = Project.new :id => "a15",
    :input => a16,
    :projlist => [ [ :iter ]]

a14 = Project.new :id => "a14",
    :input => a15,
    :projlist => [[ :item, "minprice" ],  [ :iter ]]

a35 = Project.new :id => "a35",
    :input => a15,
    :projlist => [[ :item, "price" ],  [ :iter ]]

a69 = Project.new :id => "a69",
    :input => a17,
    :projlist => [ [ :outer, :iter ], [ :inner ]]

a68 = Join.new :id => "a68",
    :left_rel => a31,
    :right_rel => a69,
    :left_col => :iter,
    :right_col => :outer

a67 = Project.new :id => "a67",
    :input => a68,
    :projlist => [ [ :iter, :inner ], [ :item ]]

a66 = Scj.new :id => "a66",
    :input => a67,
    :src => :item,
    :step => "descendant-or-self::node()"

a65 = Project.new :id => "a65",
    :input => a66,
    :projlist => [ [ :iter ], [ :item ]]

a64 = Scj.new :id => "a64",
    :input => a65,
    :src => :item,
    :step => "child::book"

a63 = Rownum.new :id => "a63",
    :input => a64,
    :newcol => :pos,
    :order => [ :item ],
    :part => :iter

a62 = Rownum.new :id => "a62",
    :input => a63,
    :newcol => :inner,
    :order => [ :iter, :pos ]

a61 = Project.new :id => "a61",
    :input => a62,
    :projlist => [ [ :iter, :inner ], [ :item ]]

a92 = Project.new :id => "a92",
    :input => a61,
    :projlist => [ [ :iter ], [ :item ]]

a91 = Scj.new :id => "a91",
    :input => a92,
    :src => :item,
    :step => "child::title"

a90 = Rownum.new :id => "a90",
    :input => a91,
    :newcol => :pos,
    :order => [ :item ],
    :part => :iter

a89 = Atomize.new :id => "a89",
    :input => a90,
    :src => :item,
    :dest => :res

a88 = Project.new :id => "a88",
    :input => a89,
    :projlist => [ [ :iter ], [ :pos ], [ :item, :res ]]

a87 = Rownum.new :id => "a87",
    :input => a88,
    :newcol => :inner,
    :order => [ :iter, :pos ]

a86 = Project.new :id => "a86",
    :input => a87,
    :projlist => [ [ :iter, :inner ], [ :item ]]

a97 = Project.new :id => "a97",
    :input => a62,
    :projlist => [ [ :iter, :inner ], [ :outer, :iter ]]

a98 = Project.new :id => "a98",
    :input => a87,
    :projlist => [ [ :iter2, :iter ], [ :inner ]]

a96 = Join.new :id => "a96",
    :left_rel => a97,
    :right_rel => a98,
    :left_col => :iter,
    :right_col => :iter2

a95 = Project.new :id => "a95",
    :input => a96,
    :projlist => [ [ :outer ], [ :inner ]]

a94 = Join.new :id => "a94",
    :left_rel => a16,
    :right_rel => a95,
    :left_col => :iter,
    :right_col => :outer

a93 = Project.new :id => "a93",
    :input => a94,
    :projlist => [ [ :iter1, :inner ], [ :item1, :item ]]

a85 = Join.new :id => "a85",
    :left_rel => a86,
    :right_rel => a93,
    :left_col => :iter,
    :right_col => :iter1

a84 = EqualOp.new :id => "a84",
    :input => a85,
    :newcol => :res,
    :arg1 => :item,
    :arg2 => :item1

a83 = Project.new :id => "a83",
    :input => a84,
    :projlist => [ [ :iter ], [ :item, :res ]]

a82 = Select.new :id => "a82",
    :input => a83,
    :column => :item

a81 = Project.new :id => "a81",
    :input => a82,
    :projlist => [ [ :iter ]]

a80 = Project.new :id => "a80",
    :input => a81,
    :projlist => [ [ :iter ]]

a79 = Distinct.new :id => "a79",
    :input => a80

a78 = Project.new :id => "a78",
    :input => a79,
    :projlist => [[ :item, true ],  [ :iter ]]

a77 = Select.new :id => "a77",
    :input => a78,
    :column => :item

a76 = Project.new :id => "a76",
    :input => a77,
    :projlist => [ [ :iter ]]

a99 = Project.new :id => "a99",
    :input => a87,
    :projlist => [ [ :outer, :iter ], [ :inner ]]

a75 = Join.new :id => "a75",
    :left_rel => a76,
    :right_rel => a99,
    :left_col => :iter,
    :right_col => :inner

a74 = Project.new :id => "a74",
    :input => a75,
    :projlist => [ [ :iter, :outer ]]

a73 = Distinct.new :id => "a73",
    :input => a74

a72 = Project.new :id => "a72",
    :input => a73,
    :projlist => [[ :item, true ],  [ :iter ]]

a71 = Select.new :id => "a71",
    :input => a72,
    :column => :item

a70 = Project.new :id => "a70",
    :input => a71,
    :projlist => [ [ :outer, :iter ], [ :inner, :iter ]]

a60 = Join.new :id => "a60",
    :left_rel => a61,
    :right_rel => a70,
    :left_col => :iter,
    :right_col => :outer

a59 = Project.new :id => "a59",
    :input => a60,
    :projlist => [ [ :iter, :inner ], [ :item ]]

a100 = Project.new :id => "a100",
    :input => a62,
    :projlist => [ [ :outer, :iter ], [ :inner ]]

a58 = Join.new :id => "a58",
    :left_rel => a59,
    :right_rel => a100,
    :left_col => :iter,
    :right_col => :inner

a57 = Project.new :id => "a57",
    :input => a58,
    :projlist => [ [ :iter, :outer ], [ :item ]]

a56 = Scj.new :id => "a56",
    :input => a57,
    :src => :item,
    :step => "child::price"

a55 = Rownum.new :id => "a55",
    :input => a56,
    :newcol => :pos,
    :order => [ :item ],
    :part => :iter

a54 = Atomize.new :id => "a54",
    :input => a55,
    :src => :item,
    :dest => :res

a53 = Project.new :id => "a53",
    :input => a54,
    :projlist => [ [ :iter ], [ :pos ], [ :item, :res ]]

a52 = Rownum.new :id => "a52",
    :input => a53,
    :newcol => :inner,
    :order => [ :iter, :pos ]

a51 = Project.new :id => "a51",
    :input => a52,
    :projlist => [ [ :iter, :inner ], [ :item ]]

a50 = Project.new :id => "a50",
    :input => a51,
    :projlist => [[ :cast, :item ],  [ :iter ], [ :item ]]

a49 = Project.new :id => "a49",
    :input => a50,
    :projlist => [ [ :iter ], [ :item, :cast ]]

a101 = Project.new :id => "a101",
    :input => a52,
    :projlist => [ [ :outer, :iter ], [ :inner ]]

a48 = Join.new :id => "a48",
    :left_rel => a49,
    :right_rel => a101,
    :left_col => :iter,
    :right_col => :inner

a47 = Project.new :id => "a47",
    :input => a48,
    :projlist => [ [ :iter, :outer ], [ :item ]]

a46 = Min.new :id => "a46",
    :input => a47,
    :part => :iter,
    :res => :item,
    :arg => :item


a45 = Project.new :id => "a45",
    :input => a46,
    :projlist => [[ :pos, 1 ],  [ :item ], [ :iter ]]

a44 = Project.new :id => "a44",
    :input => a45,
    :projlist => [[ :cast, :item ],  [ :item ], [ :iter ], [ :pos ]]

a43 = Project.new :id => "a43",
    :input => a44,
    :projlist => [ [ :iter ], [ :pos ], [ :item, :cast ]]

a103 = Project.new :id => "a103",
    :input => a15,
    :projlist => [ [ :iter ]]

a102 = Project.new :id => "a102",
    :input => a103,
    :projlist => [[ :item, " " ],  [ :iter ]]

a42 = StringJoin.new :id => "a42",
    :left_rel => a43,
    :right_rel => a102,
    :iter => :iter,
    :pos  => :pos,
    :item => :item


a41 = TextConstr.new :id => "a41",
    :input => a42,
    :iter => :iter,
    :item => :item


a40 = a41  # twig
a105 = Project.new :id => "a105",
    :input => a40,
    :projlist => [ [ :iter ], [ :item ]]

a104 = Project.new :id => "a104",
    :input => a105,
    :projlist => [[ :pos, 1 ],  [ :iter ], [ :item ]]

a37 = a104     # ERRORContent.new

a36 = a37 # fncs
a34 = ElemConstr.new :id => "a34",
    :tagnames => a35,
    :content => a36

a33 = a34 # fncs
a13 = ElemConstr.new :id => "a13",
    :tagnames => a14,
    :content => a33

a12 = a13  # twig
a111 = Project.new :id => "a111",
    :input => a12,
    :projlist => [ [ :iter ], [ :item ]]

a110 = Project.new :id => "a110",
    :input => a111,
    :projlist => [[ :pos, 1 ],  [ :iter ], [ :item ]]

a112 = Project.new :id => "a112",
    :input => a17,
    :projlist => [ [ :outer, :iter ], [ :sort, :pos ], [ :inner ]]

a109 = Join.new :id => "a109",
    :left_rel => a110,
    :right_rel => a112,
    :left_col => :iter,
    :right_col => :inner

a108 = Rownum.new :id => "a108",
    :input => a109,
    :newcol => :pos1,
    :order => [ :sort, :pos ],
    :part => :outer

a107 = Project.new :id => "a107",
    :input => a108,
    :projlist => [ [ :iter, :outer ], [ :pos, :pos1 ], [ :item ]]

a9 = a107     # ERRORContent.new

a8 = a9 # fncs
a6 = ElemConstr.new :id => "a6",
    :tagnames => a7,
    :content => a8

a5 = a6  # twig
a114 = Project.new :id => "a114",
    :input => a5,
    :projlist => [ [ :iter ], [ :item ]]

a113 = Project.new :id => "a113",
    :input => a114,
    :projlist => [[ :pos, 1 ],  [ :iter ], [ :item ]]

# serialize (:pos => :pos, :item => :item)
$root = a113
