a7 = LiteralTable.new :id => "a7",
    :colnames => [ :iter, :item ],
    :data => [[1, "bib"]]

a31 = LiteralTable.new :id => "a31",
    :colnames => [ :iter, :item ],
    :data => [[1, "bib.xml"]]

a30 = Doc.new :id => "a30",
    :input => a31,
    :src => :item,
    :dest => :res

a35 = Project.new :id => "a35",
    :input => a30,
    :projlist => [ [ :iter ], [ :item ], [ :res ]]

a34 = Project.new :id => "a34",
    :input => a35,
    :projlist => [ [ :iter ], [ :item, :res ]]

a33 = Scj.new :id => "a33",
    :input => a34,
    :src => :item,
    :step => "descendant-or-self::node()"

a32 = Project.new :id => "a32",
    :input => a33,
    :projlist => [ [ :iter ], [ :item ]]

a27 = Scj.new :id => "a27",
    :input => a32,
    :src => :item,
    :step => "child::book"

a26 = Rownum.new :id => "a26",
    :input => a27,
    :newcol => :pos,
    :order => [ :item ],
    :part => :iter

a25 = Rownum.new :id => "a25",
    :input => a26,
    :newcol => :inner,
    :order => [ :iter, :pos ]

a24 = Project.new :id => "a24",
    :input => a25,
    :projlist => [ [ :iter, :inner ], [ :item ]]

a23 = Project.new :id => "a23",
    :input => a24,
    :projlist => [[ :pos, 1 ],  [ :iter ], [ :item ]]

a43 = Project.new :id => "a43",
    :input => a23,
    :projlist => [ [ :iter ], [ :item ]]

a42 = Scj.new :id => "a42",
    :input => a43,
    :src => :item,
    :step => "child::author"

a41 = Project.new :id => "a41",
    :input => a42,
    :projlist => [ [ :iter ]]

a40 = Distinct.new :id => "a40",
    :input => a41

a39 = Project.new :id => "a39",
    :input => a40,
    :projlist => [[ :item, true ],  [ :iter ]]

a38 = Project.new :id => "a38",
    :input => a39,
    :projlist => [ [ :iter ], [ :item ]]

a37 = Select.new :id => "a37",
    :input => a38,
    :column => :item

a36 = Project.new :id => "a36",
    :input => a37,
    :projlist => [ [ :outer, :iter ], [ :inner, :iter ]]

a22 = Join.new :id => "a22",
    :left_rel => a23,
    :right_rel => a36,
    :left_col => :iter,
    :right_col => :outer

a21 = Project.new :id => "a21",
    :input => a22,
    :projlist => [ [ :iter, :inner ], [ :pos ], [ :item ]]

a44 = Project.new :id => "a44",
    :input => a25,
    :projlist => [ [ :outer, :iter ], [ :sort, :pos ], [ :inner ]]

a20 = Join.new :id => "a20",
    :left_rel => a21,
    :right_rel => a44,
    :left_col => :iter,
    :right_col => :inner

a19 = Rownum.new :id => "a19",
    :input => a20,
    :newcol => :pos1,
    :order => [ :sort, :pos ],
    :part => :outer

a18 = Project.new :id => "a18",
    :input => a19,
    :projlist => [ [ :iter, :outer ], [ :pos, :pos1 ], [ :item ]]

a17 = Rownum.new :id => "a17",
    :input => a18,
    :newcol => :inner,
    :order => [ :iter, :pos ]

a16 = Project.new :id => "a16",
    :input => a17,
    :projlist => [ [ :iter, :inner ], [ :item ]]

a15 = Project.new :id => "a15",
    :input => a16,
    :projlist => [ [ :iter ]]

a14 = Project.new :id => "a14",
    :input => a15,
    :projlist => [[ :item, "book" ],  [ :iter ]]

a49 = Project.new :id => "a49",
    :input => a16,
    :projlist => [ [ :iter ], [ :item ]]

a48 = Scj.new :id => "a48",
    :input => a49,
    :src => :item,
    :step => "child::title"

a47 = Rownum.new :id => "a47",
    :input => a48,
    :newcol => :pos,
    :order => [ :item ],
    :part => :iter

a46 = a47     # ERRORContent.new

a53 = Scj.new :id => "a53",
    :input => a49,
    :src => :item,
    :step => "child::author"

a52 = Rownum.new :id => "a52",
    :input => a53,
    :newcol => :pos,
    :order => [ :item ],
    :part => :iter

a51 = a52     # ERRORContent.new

a50 = a51 # fncs
a45 = Union.new :id => "a45",
    :left_rel => a46,
    :right_rel => a50
a13 = ElemConstr.new :id => "a13",
    :tagnames => a14,
    :content => a45

a12 = a13  # twig
a59 = Project.new :id => "a59",
    :input => a12,
    :projlist => [ [ :iter ], [ :item ]]

a58 = Project.new :id => "a58",
    :input => a59,
    :projlist => [[ :pos, 1 ],  [ :iter ], [ :item ]]

a60 = Project.new :id => "a60",
    :input => a17,
    :projlist => [ [ :outer, :iter ], [ :sort, :pos ], [ :inner ]]

a57 = Join.new :id => "a57",
    :left_rel => a58,
    :right_rel => a60,
    :left_col => :iter,
    :right_col => :inner

a56 = Rownum.new :id => "a56",
    :input => a57,
    :newcol => :pos1,
    :order => [ :sort, :pos ],
    :part => :outer

a55 = Project.new :id => "a55",
    :input => a56,
    :projlist => [ [ :iter, :outer ], [ :pos, :pos1 ], [ :item ]]

a9 = a55     # ERRORContent.new

a82 = Scj.new :id => "a82",
    :input => a43,
    :src => :item,
    :step => "child::editor"

a81 = Project.new :id => "a81",
    :input => a82,
    :projlist => [ [ :iter ]]

a80 = Distinct.new :id => "a80",
    :input => a81

a79 = Project.new :id => "a79",
    :input => a80,
    :projlist => [[ :item, true ],  [ :iter ]]

a78 = Project.new :id => "a78",
    :input => a79,
    :projlist => [ [ :iter ], [ :item ]]

a77 = Select.new :id => "a77",
    :input => a78,
    :column => :item

a76 = Project.new :id => "a76",
    :input => a77,
    :projlist => [ [ :outer, :iter ], [ :inner, :iter ]]

a75 = Join.new :id => "a75",
    :left_rel => a23,
    :right_rel => a76,
    :left_col => :iter,
    :right_col => :outer

a74 = Project.new :id => "a74",
    :input => a75,
    :projlist => [ [ :iter, :inner ], [ :pos ], [ :item ]]

a73 = Join.new :id => "a73",
    :left_rel => a74,
    :right_rel => a44,
    :left_col => :iter,
    :right_col => :inner

a72 = Rownum.new :id => "a72",
    :input => a73,
    :newcol => :pos1,
    :order => [ :sort, :pos ],
    :part => :outer

a71 = Project.new :id => "a71",
    :input => a72,
    :projlist => [ [ :iter, :outer ], [ :pos, :pos1 ], [ :item ]]

a70 = Rownum.new :id => "a70",
    :input => a71,
    :newcol => :inner,
    :order => [ :iter, :pos ]

a69 = Project.new :id => "a69",
    :input => a70,
    :projlist => [ [ :iter, :inner ], [ :item ]]

a68 = Project.new :id => "a68",
    :input => a69,
    :projlist => [ [ :iter ]]

a67 = Project.new :id => "a67",
    :input => a68,
    :projlist => [[ :item, "reference" ],  [ :iter ]]

a87 = Project.new :id => "a87",
    :input => a69,
    :projlist => [ [ :iter ], [ :item ]]

a86 = Scj.new :id => "a86",
    :input => a87,
    :src => :item,
    :step => "child::title"

a85 = Rownum.new :id => "a85",
    :input => a86,
    :newcol => :pos,
    :order => [ :item ],
    :part => :iter

a84 = a85     # ERRORContent.new

a93 = Scj.new :id => "a93",
    :input => a87,
    :src => :item,
    :step => "child::editor"

a92 = Project.new :id => "a92",
    :input => a93,
    :projlist => [ [ :iter ], [ :item ]]

a91 = Scj.new :id => "a91",
    :input => a92,
    :src => :item,
    :step => "child::affiliation"

a90 = Rownum.new :id => "a90",
    :input => a91,
    :newcol => :pos,
    :order => [ :item ],
    :part => :iter

a89 = a90     # ERRORContent.new

a88 = a89 # fncs
a83 = Union.new :id => "a83",
    :left_rel => a84,
    :right_rel => a88
a66 = ElemConstr.new :id => "a66",
    :tagnames => a67,
    :content => a83

a65 = a66  # twig
a98 = Project.new :id => "a98",
    :input => a65,
    :projlist => [ [ :iter ], [ :item ]]

a97 = Project.new :id => "a97",
    :input => a98,
    :projlist => [[ :pos, 1 ],  [ :iter ], [ :item ]]

a99 = Project.new :id => "a99",
    :input => a70,
    :projlist => [ [ :outer, :iter ], [ :sort, :pos ], [ :inner ]]

a96 = Join.new :id => "a96",
    :left_rel => a97,
    :right_rel => a99,
    :left_col => :iter,
    :right_col => :inner

a95 = Rownum.new :id => "a95",
    :input => a96,
    :newcol => :pos1,
    :order => [ :sort, :pos ],
    :part => :outer

a94 = Project.new :id => "a94",
    :input => a95,
    :projlist => [ [ :iter, :outer ], [ :pos, :pos1 ], [ :item ]]

a62 = a94     # ERRORContent.new

a61 = a62 # fncs
a8 = Union.new :id => "a8",
    :left_rel => a9,
    :right_rel => a61
a6 = ElemConstr.new :id => "a6",
    :tagnames => a7,
    :content => a8

a5 = a6  # twig
a101 = Project.new :id => "a101",
    :input => a5,
    :projlist => [ [ :iter ], [ :item ]]

a100 = Project.new :id => "a100",
    :input => a101,
    :projlist => [[ :pos, 1 ],  [ :iter ], [ :item ]]

# serialize (:pos => :pos, :item => :item)
$root = a100
