a7 = LiteralTable.new :id => "a7",
    :colnames => [ :iter, :item ],
    :data => [[1, "results"]]

a24 = LiteralTable.new :id => "a24",
    :colnames => [ :iter, :item ],
    :data => [[1, "bib.xml"]]

a23 = Doc.new :id => "a23",
    :input => a24,
    :src => :item,
    :dest => :res

a34 = Project.new :id => "a34",
    :input => a23,
    :projlist => [ [ :iter ], [ :item ], [ :res ]]

a33 = Project.new :id => "a33",
    :input => a34,
    :projlist => [ [ :iter ], [ :item, :res ]]

a32 = Scj.new :id => "a32",
    :input => a33,
    :src => :item,
    :step => "child::bib"

a31 = Project.new :id => "a31",
    :input => a32,
    :projlist => [ [ :iter ], [ :item ]]

a30 = Scj.new :id => "a30",
    :input => a31,
    :src => :item,
    :step => "child::book"

a29 = Rownum.new :id => "a29",
    :input => a30,
    :newcol => :pos,
    :order => [ :item ],
    :part => :iter

a28 = Rownum.new :id => "a28",
    :input => a29,
    :newcol => :inner,
    :order => [ :iter, :pos ]

a27 = Project.new :id => "a27",
    :input => a28,
    :projlist => [ [ :iter, :inner ], [ :item ]]

a39 = Project.new :id => "a39",
    :input => a27,
    :projlist => [ [ :iter ], [ :item ]]

a38 = Scj.new :id => "a38",
    :input => a39,
    :src => :item,
    :step => "child::title"

a37 = Rownum.new :id => "a37",
    :input => a38,
    :newcol => :pos,
    :order => [ :item ],
    :part => :iter

a36 = Rownum.new :id => "a36",
    :input => a37,
    :newcol => :inner,
    :order => [ :iter, :pos ]

a35 = Project.new :id => "a35",
    :input => a36,
    :projlist => [ [ :outer, :iter ], [ :inner ]]

a26 = Join.new :id => "a26",
    :left_rel => a27,
    :right_rel => a35,
    :left_col => :iter,
    :right_col => :outer

a25 = Project.new :id => "a25",
    :input => a26,
    :projlist => [ [ :iter, :inner ], [ :item ]]

a20 = Scj.new :id => "a20",
    :input => a25,
    :src => :item,
    :step => "child::author"

a19 = Rownum.new :id => "a19",
    :input => a20,
    :newcol => :pos,
    :order => [ :item ],
    :part => :iter

a18 = Rownum.new :id => "a18",
    :input => a19,
    :newcol => :inner,
    :order => [ :iter, :pos ]

a17 = Project.new :id => "a17",
    :input => a18,
    :projlist => [ [ :iter, :inner ], [ :item ]]

a16 = Project.new :id => "a16",
    :input => a17,
    :projlist => [[ :pos, 1 ],  [ :iter ], [ :item ]]

a15 = Project.new :id => "a15",
    :input => a16,
    :projlist => [ [ :iter ]]

a14 = Project.new :id => "a14",
    :input => a15,
    :projlist => [[ :item, "result" ],  [ :iter ]]

a45 = Project.new :id => "a45",
    :input => a36,
    :projlist => [ [ :iter, :inner ], [ :item ]]

a44 = Project.new :id => "a44",
    :input => a45,
    :projlist => [[ :pos, 1 ],  [ :iter ], [ :item ]]

a46 = Project.new :id => "a46",
    :input => a18,
    :projlist => [ [ :outer, :iter ], [ :inner ]]

a43 = Join.new :id => "a43",
    :left_rel => a44,
    :right_rel => a46,
    :left_col => :iter,
    :right_col => :outer

a42 = Project.new :id => "a42",
    :input => a43,
    :projlist => [ [ :iter, :inner ], [ :pos ], [ :item ]]

a41 = a42     # ERRORContent.new

a16 = Project.new :id => "a16",
    :input => a17,
    :projlist => [[ :pos, 1 ],  [ :iter ], [ :item ]]

a48 = a16     # ERRORContent.new

a47 = a48 # fncs
a40 = Union.new :id => "a40",
    :left_rel => a41,
    :right_rel => a47
a13 = ElemConstr.new :id => "a13",
    :tagnames => a14,
    :content => a40

a12 = a13  # twig
a54 = Project.new :id => "a54",
    :input => a12,
    :projlist => [ [ :iter ], [ :item ]]

a53 = Project.new :id => "a53",
    :input => a54,
    :projlist => [[ :pos, 1 ],  [ :iter ], [ :item ]]

a59 = Project.new :id => "a59",
    :input => a28,
    :projlist => [ [ :outer, :iter ], [ :sort, :pos ], [ :inner ]]

a60 = Project.new :id => "a60",
    :input => a36,
    :projlist => [ [ :iter1, :inner ], [ :iter ], [ :pos ]]

a58 = Join.new :id => "a58",
    :left_rel => a59,
    :right_rel => a60,
    :left_col => :inner,
    :right_col => :iter

a57 = Project.new :id => "a57",
    :input => a58,
    :projlist => [ [ :outer ], [ :inner, :iter1 ], [ :sort ], [ :sort1, :pos ]]

a61 = Project.new :id => "a61",
    :input => a18,
    :projlist => [ [ :iter1, :inner ], [ :iter ], [ :pos ]]

a56 = Join.new :id => "a56",
    :left_rel => a57,
    :right_rel => a61,
    :left_col => :inner,
    :right_col => :iter

a55 = Project.new :id => "a55",
    :input => a56,
    :projlist => [ [ :outer ], [ :inner, :iter1 ], [ :sort ], [ :sort1 ], [ :sort2, :pos ]]

a52 = Join.new :id => "a52",
    :left_rel => a53,
    :right_rel => a55,
    :left_col => :iter,
    :right_col => :inner

a51 = Rownum.new :id => "a51",
    :input => a52,
    :newcol => :pos1,
    :order => [ :sort, :sort1, :sort2, :pos ],
    :part => :outer

a50 = Project.new :id => "a50",
    :input => a51,
    :projlist => [ [ :iter, :outer ], [ :pos, :pos1 ], [ :item ]]

a9 = a50     # ERRORContent.new

a8 = a9 # fncs
a6 = ElemConstr.new :id => "a6",
    :tagnames => a7,
    :content => a8

a5 = a6  # twig
a63 = Project.new :id => "a63",
    :input => a5,
    :projlist => [ [ :iter ], [ :item ]]

a62 = Project.new :id => "a62",
    :input => a63,
    :projlist => [[ :pos, 1 ],  [ :iter ], [ :item ]]

# serialize (:pos => :pos, :item => :item)
$root = a62
