a7 = LiteralTable.new :id => "a7",
    :colnames => [ :iter, :item ],
    :data => [[1, "results"]]

a25 = LiteralTable.new :id => "a25",
    :colnames => [ :iter, :item ],
    :data => [[1, "bib.xml"]]

a24 = Doc.new :id => "a24",
    :input => a25,
    :src => :item,
    :dest => :res

a40 = Project.new :id => "a40",
    :input => a24,
    :projlist => [ [ :iter ], [ :item ], [ :res ]]

a39 = Project.new :id => "a39",
    :input => a40,
    :projlist => [ [ :iter ], [ :item, :res ]]

a38 = Scj.new :id => "a38",
    :input => a39,
    :src => :item,
    :step => "descendant-or-self::node()"

a37 = Project.new :id => "a37",
    :input => a38,
    :projlist => [ [ :iter ], [ :item ]]

a36 = Scj.new :id => "a36",
    :input => a37,
    :src => :item,
    :step => "child::author"

a35 = Rownum.new :id => "a35",
    :input => a36,
    :newcol => :pos,
    :order => [ :item ],
    :part => :iter

a48 = Project.new :id => "a48",
    :input => a35,
    :projlist => [ [ :iter ], [ :item ]]

a47 = Scj.new :id => "a47",
    :input => a48,
    :src => :item,
    :step => "child::last"

a46 = Atomize.new :id => "a46",
    :input => a47,
    :src => :item,
    :dest => :res

a45 = Project.new :id => "a45",
    :input => a46,
    :projlist => [ [ :iter ], [ :item, :res ]]

a44 = Distinct.new :id => "a44",
    :input => a45

a43 = Rownum.new :id => "a43",
    :input => a44,
    :newcol => :pos,
    :order => []


a42 = Rownum.new :id => "a42",
    :input => a43,
    :newcol => :inner,
    :order => [ :iter, :pos ]

a41 = Project.new :id => "a41",
    :input => a42,
    :projlist => [ [ :outer, :iter ], [ :inner ]]

a34 = Join.new :id => "a34",
    :left_rel => a35,
    :right_rel => a41,
    :left_col => :iter,
    :right_col => :outer

a33 = Project.new :id => "a33",
    :input => a34,
    :projlist => [ [ :iter, :inner ], [ :pos ], [ :item ]]

a32 = Rownum.new :id => "a32",
    :input => a33,
    :newcol => :inner,
    :order => [ :iter, :pos ]

a31 = Project.new :id => "a31",
    :input => a32,
    :projlist => [ [ :iter, :inner ], [ :item ]]

a71 = Project.new :id => "a71",
    :input => a31,
    :projlist => [ [ :iter ], [ :item ]]

a70 = Scj.new :id => "a70",
    :input => a71,
    :src => :item,
    :step => "child::last"

a69 = Rownum.new :id => "a69",
    :input => a70,
    :newcol => :pos,
    :order => [ :item ],
    :part => :iter

a68 = Atomize.new :id => "a68",
    :input => a69,
    :src => :item,
    :dest => :res

a67 = Project.new :id => "a67",
    :input => a68,
    :projlist => [ [ :iter ], [ :pos ], [ :item, :res ]]

a66 = Rownum.new :id => "a66",
    :input => a67,
    :newcol => :inner,
    :order => [ :iter, :pos ]

a65 = Project.new :id => "a65",
    :input => a66,
    :projlist => [ [ :iter, :inner ], [ :item ]]

a74 = Project.new :id => "a74",
    :input => a42,
    :projlist => [ [ :iter, :inner ], [ :item ]]

a77 = Project.new :id => "a77",
    :input => a32,
    :projlist => [ [ :iter, :inner ], [ :outer, :iter ]]

a78 = Project.new :id => "a78",
    :input => a66,
    :projlist => [ [ :iter2, :iter ], [ :inner ]]

a76 = Join.new :id => "a76",
    :left_rel => a77,
    :right_rel => a78,
    :left_col => :iter,
    :right_col => :iter2

a75 = Project.new :id => "a75",
    :input => a76,
    :projlist => [ [ :outer ], [ :inner ]]

a73 = Join.new :id => "a73",
    :left_rel => a74,
    :right_rel => a75,
    :left_col => :iter,
    :right_col => :outer

a72 = Project.new :id => "a72",
    :input => a73,
    :projlist => [ [ :iter1, :inner ], [ :item1, :item ]]

a64 = Join.new :id => "a64",
    :left_rel => a65,
    :right_rel => a72,
    :left_col => :iter,
    :right_col => :iter1

a63 = EqualOp.new :id => "a63",
    :input => a64,
    :newcol => :res,
    :arg1 => :item,
    :arg2 => :item1

a62 = Project.new :id => "a62",
    :input => a63,
    :projlist => [ [ :iter ], [ :item, :res ]]

a61 = Select.new :id => "a61",
    :input => a62,
    :column => :item

a60 = Project.new :id => "a60",
    :input => a61,
    :projlist => [ [ :iter ]]

a59 = Project.new :id => "a59",
    :input => a60,
    :projlist => [ [ :iter ]]

a58 = Distinct.new :id => "a58",
    :input => a59

a57 = Project.new :id => "a57",
    :input => a58,
    :projlist => [[ :item, true ],  [ :iter ]]

a56 = Select.new :id => "a56",
    :input => a57,
    :column => :item

a55 = Project.new :id => "a55",
    :input => a56,
    :projlist => [ [ :iter ]]

a79 = Project.new :id => "a79",
    :input => a66,
    :projlist => [ [ :outer, :iter ], [ :inner ]]

a54 = Join.new :id => "a54",
    :left_rel => a55,
    :right_rel => a79,
    :left_col => :iter,
    :right_col => :inner

a53 = Project.new :id => "a53",
    :input => a54,
    :projlist => [ [ :iter, :outer ]]

a52 = Distinct.new :id => "a52",
    :input => a53

a51 = Project.new :id => "a51",
    :input => a52,
    :projlist => [[ :item, true ],  [ :iter ]]

a50 = Select.new :id => "a50",
    :input => a51,
    :column => :item

a49 = Project.new :id => "a49",
    :input => a50,
    :projlist => [ [ :outer, :iter ], [ :inner, :iter ]]

a30 = Join.new :id => "a30",
    :left_rel => a31,
    :right_rel => a49,
    :left_col => :iter,
    :right_col => :outer

a29 = Project.new :id => "a29",
    :input => a30,
    :projlist => [ [ :iter, :inner ], [ :item ]]

a80 = Project.new :id => "a80",
    :input => a32,
    :projlist => [ [ :outer, :iter ], [ :inner ]]

a28 = Join.new :id => "a28",
    :left_rel => a29,
    :right_rel => a80,
    :left_col => :iter,
    :right_col => :inner

a27 = Project.new :id => "a27",
    :input => a28,
    :projlist => [ [ :iter, :outer ], [ :item ]]

a26 = Scj.new :id => "a26",
    :input => a27,
    :src => :item,
    :step => "child::first"

a21 = Atomize.new :id => "a21",
    :input => a26,
    :src => :item,
    :dest => :res

a20 = Project.new :id => "a20",
    :input => a21,
    :projlist => [ [ :iter ], [ :item, :res ]]

a19 = Distinct.new :id => "a19",
    :input => a20

a18 = Rownum.new :id => "a18",
    :input => a19,
    :newcol => :pos,
    :order => []


a17 = Rownum.new :id => "a17",
    :input => a18,
    :newcol => :inner,
    :order => [ :iter, :pos ]

a16 = Project.new :id => "a16",
    :input => a17,
    :projlist => [ [ :iter, :inner ], [ :item ]]

a15 = Project.new :id => "a15",
    :input => a16,
    :projlist => [ [ :iter ]]

a14 = Project.new :id => "a14",
    :input => a15,
    :projlist => [[ :item, "result" ],  [ :iter ]]

a83 = Project.new :id => "a83",
    :input => a15,
    :projlist => [[ :item, "author" ],  [ :iter ]]

a86 = Project.new :id => "a86",
    :input => a15,
    :projlist => [[ :item, "last" ],  [ :iter ]]

a91 = Project.new :id => "a91",
    :input => a17,
    :projlist => [ [ :outer, :iter ], [ :inner ]]

a90 = Join.new :id => "a90",
    :left_rel => a74,
    :right_rel => a91,
    :left_col => :iter,
    :right_col => :outer

a89 = Project.new :id => "a89",
    :input => a90,
    :projlist => [ [ :iter, :inner ], [ :item ]]

a88 = TextConstr.new :id => "a88",
    :input => a89,
    :iter => :iter,
    :item => :item


a87 = a88 # fncs
a85 = ElemConstr.new :id => "a85",
    :tagnames => a86,
    :content => a87

a95 = Project.new :id => "a95",
    :input => a15,
    :projlist => [[ :item, "first" ],  [ :iter ]]

a97 = TextConstr.new :id => "a97",
    :input => a16,
    :iter => :iter,
    :item => :item


a96 = a97 # fncs
a94 = ElemConstr.new :id => "a94",
    :tagnames => a95,
    :content => a96

a93 = a94 # fncs
a84 = Union.new :id => "a84",
    :left_rel => a85,
    :right_rel => a93
a82 = ElemConstr.new :id => "a82",
    :tagnames => a83,
    :content => a84

a103 = Project.new :id => "a103",
    :input => a15,
    :projlist => [[ :item, "bib.xml" ],  [ :iter ]]

a102 = Doc.new :id => "a102",
    :input => a103,
    :src => :item,
    :dest => :res

a118 = Project.new :id => "a118",
    :input => a102,
    :projlist => [ [ :iter ], [ :item ], [ :res ]]

a117 = Project.new :id => "a117",
    :input => a118,
    :projlist => [ [ :iter ], [ :item, :res ]]

a116 = Scj.new :id => "a116",
    :input => a117,
    :src => :item,
    :step => "child::bib"

a115 = Project.new :id => "a115",
    :input => a116,
    :projlist => [ [ :iter ], [ :item ]]

a114 = Scj.new :id => "a114",
    :input => a115,
    :src => :item,
    :step => "child::book"

a113 = Rownum.new :id => "a113",
    :input => a114,
    :newcol => :pos,
    :order => [ :item ],
    :part => :iter

a112 = Rownum.new :id => "a112",
    :input => a113,
    :newcol => :inner,
    :order => [ :iter, :pos ]

a111 = Project.new :id => "a111",
    :input => a112,
    :projlist => [ [ :iter, :inner ], [ :item ]]

a153 = Project.new :id => "a153",
    :input => a111,
    :projlist => [ [ :iter ], [ :item ]]

a152 = Scj.new :id => "a152",
    :input => a153,
    :src => :item,
    :step => "child::author"

a151 = Rownum.new :id => "a151",
    :input => a152,
    :newcol => :pos,
    :order => [ :item ],
    :part => :iter

a150 = Rownum.new :id => "a150",
    :input => a151,
    :newcol => :inner,
    :order => [ :iter, :pos ]

a149 = Project.new :id => "a149",
    :input => a150,
    :projlist => [ [ :iter, :inner ], [ :item ]]

a176 = Project.new :id => "a176",
    :input => a149,
    :projlist => [ [ :iter ], [ :item ]]

a175 = Scj.new :id => "a175",
    :input => a176,
    :src => :item,
    :step => "child::last"

a174 = Rownum.new :id => "a174",
    :input => a175,
    :newcol => :pos,
    :order => [ :item ],
    :part => :iter

a173 = Atomize.new :id => "a173",
    :input => a174,
    :src => :item,
    :dest => :res

a172 = Project.new :id => "a172",
    :input => a173,
    :projlist => [ [ :iter ], [ :pos ], [ :item, :res ]]

a171 = Rownum.new :id => "a171",
    :input => a172,
    :newcol => :inner,
    :order => [ :iter, :pos ]

a170 = Project.new :id => "a170",
    :input => a171,
    :projlist => [ [ :iter, :inner ], [ :item ]]

a185 = Project.new :id => "a185",
    :input => a17,
    :projlist => [ [ :iter, :inner ], [ :outer, :iter ]]

a186 = Project.new :id => "a186",
    :input => a112,
    :projlist => [ [ :iter2, :iter ], [ :inner ]]

a184 = Join.new :id => "a184",
    :left_rel => a185,
    :right_rel => a186,
    :left_col => :iter,
    :right_col => :iter2

a183 = Project.new :id => "a183",
    :input => a184,
    :projlist => [ [ :iter, :inner ], [ :outer ]]

a187 = Project.new :id => "a187",
    :input => a150,
    :projlist => [ [ :iter2, :iter ], [ :inner ]]

a182 = Join.new :id => "a182",
    :left_rel => a183,
    :right_rel => a187,
    :left_col => :iter,
    :right_col => :iter2

a181 = Project.new :id => "a181",
    :input => a182,
    :projlist => [ [ :iter, :inner ], [ :outer ]]

a188 = Project.new :id => "a188",
    :input => a171,
    :projlist => [ [ :iter2, :iter ], [ :inner ]]

a180 = Join.new :id => "a180",
    :left_rel => a181,
    :right_rel => a188,
    :left_col => :iter,
    :right_col => :iter2

a179 = Project.new :id => "a179",
    :input => a180,
    :projlist => [ [ :outer ], [ :inner ]]

a178 = Join.new :id => "a178",
    :left_rel => a74,
    :right_rel => a179,
    :left_col => :iter,
    :right_col => :outer

a177 = Project.new :id => "a177",
    :input => a178,
    :projlist => [ [ :iter1, :inner ], [ :item1, :item ]]

a169 = Join.new :id => "a169",
    :left_rel => a170,
    :right_rel => a177,
    :left_col => :iter,
    :right_col => :iter1

a168 = EqualOp.new :id => "a168",
    :input => a169,
    :newcol => :res,
    :arg1 => :item,
    :arg2 => :item1

a167 = Project.new :id => "a167",
    :input => a168,
    :projlist => [ [ :iter ], [ :item, :res ]]

a166 = Select.new :id => "a166",
    :input => a167,
    :column => :item

a165 = Project.new :id => "a165",
    :input => a166,
    :projlist => [ [ :iter ]]

a164 = Project.new :id => "a164",
    :input => a165,
    :projlist => [ [ :iter ]]

a163 = Distinct.new :id => "a163",
    :input => a164

a162 = Project.new :id => "a162",
    :input => a163,
    :projlist => [[ :item, true ],  [ :iter ]]

a161 = Select.new :id => "a161",
    :input => a162,
    :column => :item

a160 = Project.new :id => "a160",
    :input => a161,
    :projlist => [ [ :iter ]]

a189 = Project.new :id => "a189",
    :input => a171,
    :projlist => [ [ :outer, :iter ], [ :inner ]]

a159 = Join.new :id => "a159",
    :left_rel => a160,
    :right_rel => a189,
    :left_col => :iter,
    :right_col => :inner

a158 = Project.new :id => "a158",
    :input => a159,
    :projlist => [ [ :iter, :outer ]]

a157 = Distinct.new :id => "a157",
    :input => a158

a156 = Project.new :id => "a156",
    :input => a157,
    :projlist => [[ :item, true ],  [ :iter ]]

a155 = Select.new :id => "a155",
    :input => a156,
    :column => :item

a154 = Project.new :id => "a154",
    :input => a155,
    :projlist => [ [ :outer, :iter ], [ :inner, :iter ]]

a148 = Join.new :id => "a148",
    :left_rel => a149,
    :right_rel => a154,
    :left_col => :iter,
    :right_col => :outer

a147 = Project.new :id => "a147",
    :input => a148,
    :projlist => [ [ :iter, :inner ], [ :item ]]

a146 = Scj.new :id => "a146",
    :input => a147,
    :src => :item,
    :step => "child::first"

a145 = Rownum.new :id => "a145",
    :input => a146,
    :newcol => :pos,
    :order => [ :item ],
    :part => :iter

a144 = Atomize.new :id => "a144",
    :input => a145,
    :src => :item,
    :dest => :res

a143 = Project.new :id => "a143",
    :input => a144,
    :projlist => [ [ :iter ], [ :pos ], [ :item, :res ]]

a142 = Rownum.new :id => "a142",
    :input => a143,
    :newcol => :inner,
    :order => [ :iter, :pos ]

a141 = Project.new :id => "a141",
    :input => a142,
    :projlist => [ [ :iter, :inner ], [ :item ]]

a198 = Project.new :id => "a198",
    :input => a112,
    :projlist => [ [ :iter, :inner ], [ :outer, :iter ]]

a197 = Join.new :id => "a197",
    :left_rel => a198,
    :right_rel => a187,
    :left_col => :iter,
    :right_col => :iter2

a196 = Project.new :id => "a196",
    :input => a197,
    :projlist => [ [ :outer ], [ :inner ]]

a199 = Project.new :id => "a199",
    :input => a155,
    :projlist => [ [ :iter ]]

a195 = Join.new :id => "a195",
    :left_rel => a196,
    :right_rel => a199,
    :left_col => :inner,
    :right_col => :iter

a194 = Project.new :id => "a194",
    :input => a195,
    :projlist => [ [ :iter, :inner ], [ :outer ]]

a200 = Project.new :id => "a200",
    :input => a142,
    :projlist => [ [ :iter2, :iter ], [ :inner ]]

a193 = Join.new :id => "a193",
    :left_rel => a194,
    :right_rel => a200,
    :left_col => :iter,
    :right_col => :iter2

a192 = Project.new :id => "a192",
    :input => a193,
    :projlist => [ [ :outer ], [ :inner ]]

a191 = Join.new :id => "a191",
    :left_rel => a16,
    :right_rel => a192,
    :left_col => :iter,
    :right_col => :outer

a190 = Project.new :id => "a190",
    :input => a191,
    :projlist => [ [ :iter1, :inner ], [ :item1, :item ]]

a140 = Join.new :id => "a140",
    :left_rel => a141,
    :right_rel => a190,
    :left_col => :iter,
    :right_col => :iter1

a139 = EqualOp.new :id => "a139",
    :input => a140,
    :newcol => :res,
    :arg1 => :item,
    :arg2 => :item1

a138 = Project.new :id => "a138",
    :input => a139,
    :projlist => [ [ :iter ], [ :item, :res ]]

a137 = Select.new :id => "a137",
    :input => a138,
    :column => :item

a136 = Project.new :id => "a136",
    :input => a137,
    :projlist => [ [ :iter ]]

a135 = Project.new :id => "a135",
    :input => a136,
    :projlist => [ [ :iter ]]

a134 = Distinct.new :id => "a134",
    :input => a135

a133 = Project.new :id => "a133",
    :input => a134,
    :projlist => [[ :item, true ],  [ :iter ]]

a132 = Select.new :id => "a132",
    :input => a133,
    :column => :item

a131 = Project.new :id => "a131",
    :input => a132,
    :projlist => [ [ :iter ]]

a201 = Project.new :id => "a201",
    :input => a142,
    :projlist => [ [ :outer, :iter ], [ :inner ]]

a130 = Join.new :id => "a130",
    :left_rel => a131,
    :right_rel => a201,
    :left_col => :iter,
    :right_col => :inner

a129 = Project.new :id => "a129",
    :input => a130,
    :projlist => [ [ :iter, :outer ]]

a128 = Distinct.new :id => "a128",
    :input => a129

a127 = Project.new :id => "a127",
    :input => a128,
    :projlist => [[ :item, true ],  [ :iter ]]

a126 = Select.new :id => "a126",
    :input => a127,
    :column => :item

a125 = Project.new :id => "a125",
    :input => a126,
    :projlist => [ [ :iter ]]

a202 = Project.new :id => "a202",
    :input => a150,
    :projlist => [ [ :outer, :iter ], [ :inner ]]

a124 = Join.new :id => "a124",
    :left_rel => a125,
    :right_rel => a202,
    :left_col => :iter,
    :right_col => :inner

a123 = Project.new :id => "a123",
    :input => a124,
    :projlist => [ [ :iter, :outer ]]

a122 = Distinct.new :id => "a122",
    :input => a123

a121 = Project.new :id => "a121",
    :input => a122,
    :projlist => [[ :item, true ],  [ :iter ]]

a120 = Select.new :id => "a120",
    :input => a121,
    :column => :item

a119 = Project.new :id => "a119",
    :input => a120,
    :projlist => [ [ :outer, :iter ], [ :inner, :iter ]]

a110 = Join.new :id => "a110",
    :left_rel => a111,
    :right_rel => a119,
    :left_col => :iter,
    :right_col => :outer

a109 = Project.new :id => "a109",
    :input => a110,
    :projlist => [ [ :iter, :inner ], [ :item ]]

a108 = Scj.new :id => "a108",
    :input => a109,
    :src => :item,
    :step => "child::title"

a107 = Rownum.new :id => "a107",
    :input => a108,
    :newcol => :pos,
    :order => [ :item ],
    :part => :iter

a203 = Project.new :id => "a203",
    :input => a112,
    :projlist => [ [ :outer, :iter ], [ :sort, :pos ], [ :inner ]]

a106 = Join.new :id => "a106",
    :left_rel => a107,
    :right_rel => a203,
    :left_col => :iter,
    :right_col => :inner

a105 = Rownum.new :id => "a105",
    :input => a106,
    :newcol => :pos1,
    :order => [ :sort, :pos ],
    :part => :outer

a104 = Project.new :id => "a104",
    :input => a105,
    :projlist => [ [ :iter, :outer ], [ :pos, :pos1 ], [ :item ]]

a99 = a104     # ERRORContent.new

a98 = a99 # fncs
a81 = Union.new :id => "a81",
    :left_rel => a82,
    :right_rel => a98
a13 = ElemConstr.new :id => "a13",
    :tagnames => a14,
    :content => a81

a12 = a13  # twig
a208 = Project.new :id => "a208",
    :input => a12,
    :projlist => [ [ :iter ], [ :item ]]

a207 = Project.new :id => "a207",
    :input => a208,
    :projlist => [[ :pos, 1 ],  [ :iter ], [ :item ]]

a215 = Project.new :id => "a215",
    :input => a17,
    :projlist => [ [ :iter1, :inner ], [ :iter ]]

a214 = Join.new :id => "a214",
    :left_rel => a41,
    :right_rel => a215,
    :left_col => :inner,
    :right_col => :iter

a213 = Project.new :id => "a213",
    :input => a214,
    :projlist => [ [ :outer ], [ :inner, :iter1 ]]

a212 = Join.new :id => "a212",
    :left_rel => a213,
    :right_rel => a89,
    :left_col => :inner,
    :right_col => :iter

a211 = Project.new :id => "a211",
    :input => a212,
    :projlist => [ [ :outer ], [ :inner ], [ :sort, :item ]]

a216 = Project.new :id => "a216",
    :input => a16,
    :projlist => [ [ :iter ], [ :item ]]

a210 = Join.new :id => "a210",
    :left_rel => a211,
    :right_rel => a216,
    :left_col => :inner,
    :right_col => :iter

a209 = Project.new :id => "a209",
    :input => a210,
    :projlist => [ [ :outer ], [ :inner ], [ :sort ], [ :sort1, :item ]]

a206 = Join.new :id => "a206",
    :left_rel => a207,
    :right_rel => a209,
    :left_col => :iter,
    :right_col => :inner

a205 = Rownum.new :id => "a205",
    :input => a206,
    :newcol => :pos1,
    :order => [ :sort, :sort1, :iter, :pos ],
    :part => :outer

a204 = Project.new :id => "a204",
    :input => a205,
    :projlist => [ [ :iter, :outer ], [ :pos, :pos1 ], [ :item ]]

a9 = a204     # ERRORContent.new

a8 = a9 # fncs
a6 = ElemConstr.new :id => "a6",
    :tagnames => a7,
    :content => a8

a5 = a6  # twig
a218 = Project.new :id => "a218",
    :input => a5,
    :projlist => [ [ :iter ], [ :item ]]

a217 = Project.new :id => "a217",
    :input => a218,
    :projlist => [[ :pos, 1 ],  [ :iter ], [ :item ]]

# serialize (:pos => :pos, :item => :item)
$root = a217
