a7 = LiteralTable.new :id => "a7",
    :colnames => [ :iter, :item ],
    :data => [[1, "books-with-prices"]]

a41 = LiteralTable.new :id => "a41",
    :colnames => [ :iter, :item ],
    :data => [[1, "bib.xml"]]

a40 = Doc.new :id => "a40",
    :input => a41,
    :src => :item,
    :dest => :res

a53 = Project.new :id => "a53",
    :input => a40,
    :projlist => [ [ :iter ], [ :item ], [ :res ]]

a52 = Project.new :id => "a52",
    :input => a53,
    :projlist => [ [ :iter ], [ :item, :res ]]

a51 = Scj.new :id => "a51",
    :input => a52,
    :src => :item,
    :step => "descendant-or-self::node()"

a50 = Project.new :id => "a50",
    :input => a51,
    :projlist => [ [ :iter ], [ :item ]]

a49 = Scj.new :id => "a49",
    :input => a50,
    :src => :item,
    :step => "child::book"

a48 = Rownum.new :id => "a48",
    :input => a49,
    :newcol => :pos,
    :order => [ :item ],
    :part => :iter

a47 = Rownum.new :id => "a47",
    :input => a48,
    :newcol => :inner,
    :order => [ :iter, :pos ]

a46 = Project.new :id => "a46",
    :input => a47,
    :projlist => [ [ :iter, :inner ], [ :item ]]

a62 = Project.new :id => "a62",
    :input => a46,
    :projlist => [ [ :iter ]]

a61 = Project.new :id => "a61",
    :input => a62,
    :projlist => [[ :item, "reviews.xml" ],  [ :iter ]]

a60 = Doc.new :id => "a60",
    :input => a61,
    :src => :item,
    :dest => :res

a66 = Project.new :id => "a66",
    :input => a60,
    :projlist => [ [ :iter ], [ :item ], [ :res ]]

a65 = Project.new :id => "a65",
    :input => a66,
    :projlist => [ [ :iter ], [ :item, :res ]]

a64 = Scj.new :id => "a64",
    :input => a65,
    :src => :item,
    :step => "descendant-or-self::node()"

a63 = Project.new :id => "a63",
    :input => a64,
    :projlist => [ [ :iter ], [ :item ]]

a57 = Scj.new :id => "a57",
    :input => a63,
    :src => :item,
    :step => "child::entry"

a56 = Rownum.new :id => "a56",
    :input => a57,
    :newcol => :pos,
    :order => [ :item ],
    :part => :iter

a55 = Rownum.new :id => "a55",
    :input => a56,
    :newcol => :inner,
    :order => [ :iter, :pos ]

a54 = Project.new :id => "a54",
    :input => a55,
    :projlist => [ [ :outer, :iter ], [ :inner ]]

a45 = Join.new :id => "a45",
    :left_rel => a46,
    :right_rel => a54,
    :left_col => :iter,
    :right_col => :outer

a44 = Project.new :id => "a44",
    :input => a45,
    :projlist => [ [ :iter, :inner ], [ :item ]]

a43 = Scj.new :id => "a43",
    :input => a44,
    :src => :item,
    :step => "child::title"

a42 = Rownum.new :id => "a42",
    :input => a43,
    :newcol => :pos,
    :order => [ :item ],
    :part => :iter

a37 = Atomize.new :id => "a37",
    :input => a42,
    :src => :item,
    :dest => :res

a36 = Project.new :id => "a36",
    :input => a37,
    :projlist => [ [ :iter ], [ :pos ], [ :item, :res ]]

a35 = Rownum.new :id => "a35",
    :input => a36,
    :newcol => :inner,
    :order => [ :iter, :pos ]

a34 = Project.new :id => "a34",
    :input => a35,
    :projlist => [ [ :iter, :inner ], [ :item ]]

a75 = Project.new :id => "a75",
    :input => a55,
    :projlist => [ [ :iter, :inner ], [ :item ]]

a76 = Project.new :id => "a76",
    :input => a35,
    :projlist => [ [ :outer, :iter ], [ :inner ]]

a74 = Join.new :id => "a74",
    :left_rel => a75,
    :right_rel => a76,
    :left_col => :iter,
    :right_col => :outer

a73 = Project.new :id => "a73",
    :input => a74,
    :projlist => [ [ :iter, :inner ], [ :item ]]

a72 = Scj.new :id => "a72",
    :input => a73,
    :src => :item,
    :step => "child::title"

a71 = Rownum.new :id => "a71",
    :input => a72,
    :newcol => :pos,
    :order => [ :item ],
    :part => :iter

a70 = Atomize.new :id => "a70",
    :input => a71,
    :src => :item,
    :dest => :res

a69 = Project.new :id => "a69",
    :input => a70,
    :projlist => [ [ :iter ], [ :pos ], [ :item, :res ]]

a68 = Rownum.new :id => "a68",
    :input => a69,
    :newcol => :inner,
    :order => [ :iter, :pos ]

a67 = Project.new :id => "a67",
    :input => a68,
    :projlist => [ [ :outer, :iter ], [ :inner ]]

a33 = Join.new :id => "a33",
    :left_rel => a34,
    :right_rel => a67,
    :left_col => :iter,
    :right_col => :outer

a32 = Project.new :id => "a32",
    :input => a33,
    :projlist => [ [ :iter, :inner ], [ :item ]]

a78 = Project.new :id => "a78",
    :input => a68,
    :projlist => [ [ :iter, :inner ], [ :item ]]

a77 = Project.new :id => "a77",
    :input => a78,
    :projlist => [ [ :iter1, :iter ], [ :item1, :item ]]

a31 = Join.new :id => "a31",
    :left_rel => a32,
    :right_rel => a77,
    :left_col => :iter,
    :right_col => :iter1

a30 = EqualOp.new :id => "a30",
    :input => a31,
    :newcol => :res,
    :arg1 => :item,
    :arg2 => :item1

a29 = Project.new :id => "a29",
    :input => a30,
    :projlist => [ [ :iter ], [ :item, :res ]]

a28 = Select.new :id => "a28",
    :input => a29,
    :column => :item

a27 = Project.new :id => "a27",
    :input => a28,
    :projlist => [ [ :iter ]]

a26 = Join.new :id => "a26",
    :left_rel => a27,
    :right_rel => a67,
    :left_col => :iter,
    :right_col => :inner

a25 = Project.new :id => "a25",
    :input => a26,
    :projlist => [ [ :iter, :outer ]]

a24 = Distinct.new :id => "a24",
    :input => a25

a23 = Project.new :id => "a23",
    :input => a24,
    :projlist => [[ :item, true ],  [ :iter ]]

a22 = Select.new :id => "a22",
    :input => a23,
    :column => :item

a21 = Project.new :id => "a21",
    :input => a22,
    :projlist => [ [ :iter ]]

a20 = Join.new :id => "a20",
    :left_rel => a21,
    :right_rel => a76,
    :left_col => :iter,
    :right_col => :inner

a19 = Project.new :id => "a19",
    :input => a20,
    :projlist => [ [ :iter, :outer ]]

a18 = Distinct.new :id => "a18",
    :input => a19

a17 = Project.new :id => "a17",
    :input => a18,
    :projlist => [[ :item, true ],  [ :iter ]]

a16 = Select.new :id => "a16",
    :input => a17,
    :column => :item

a15 = Project.new :id => "a15",
    :input => a16,
    :projlist => [ [ :iter ]]

a14 = Project.new :id => "a14",
    :input => a15,
    :projlist => [[ :item, "book-with-prices" ],  [ :iter ]]

a86 = Join.new :id => "a86",
    :left_rel => a54,
    :right_rel => a15,
    :left_col => :inner,
    :right_col => :iter

a85 = Project.new :id => "a85",
    :input => a86,
    :projlist => [ [ :outer ], [ :inner ]]

a84 = Join.new :id => "a84",
    :left_rel => a46,
    :right_rel => a85,
    :left_col => :iter,
    :right_col => :outer

a83 = Project.new :id => "a83",
    :input => a84,
    :projlist => [ [ :iter, :inner ], [ :item ]]

a82 = Scj.new :id => "a82",
    :input => a83,
    :src => :item,
    :step => "child::title"

a81 = Rownum.new :id => "a81",
    :input => a82,
    :newcol => :pos,
    :order => [ :item ],
    :part => :iter

a80 = a81     # ERRORContent.new

a89 = Project.new :id => "a89",
    :input => a15,
    :projlist => [[ :item, "price-bstore2" ],  [ :iter ]]

a101 = Project.new :id => "a101",
    :input => a16,
    :projlist => [ [ :outer, :iter ], [ :inner, :iter ]]

a100 = Join.new :id => "a100",
    :left_rel => a75,
    :right_rel => a101,
    :left_col => :iter,
    :right_col => :outer

a99 = Project.new :id => "a99",
    :input => a100,
    :projlist => [ [ :iter, :inner ], [ :item ]]

a98 = Scj.new :id => "a98",
    :input => a99,
    :src => :item,
    :step => "child::price"

a97 = Project.new :id => "a97",
    :input => a98,
    :projlist => [ [ :iter ], [ :item ]]

a96 = Scj.new :id => "a96",
    :input => a97,
    :src => :item,
    :step => "child::text()"

a95 = Rownum.new :id => "a95",
    :input => a96,
    :newcol => :pos,
    :order => [ :item ],
    :part => :iter

a94 = a95     # ERROR#pf:merge-adjacent-text-nodes.new

a102 = Project.new :id => "a102",
    :input => a94,
    :projlist => [ [ :iter ], [ :pos ], [ :item ]]

a91 = a102     # ERRORContent.new

a90 = a91 # fncs
a88 = ElemConstr.new :id => "a88",
    :tagnames => a89,
    :content => a90

a106 = Project.new :id => "a106",
    :input => a15,
    :projlist => [[ :item, "price-bstore1" ],  [ :iter ]]

a115 = Scj.new :id => "a115",
    :input => a83,
    :src => :item,
    :step => "child::price"

a114 = Project.new :id => "a114",
    :input => a115,
    :projlist => [ [ :iter ], [ :item ]]

a113 = Scj.new :id => "a113",
    :input => a114,
    :src => :item,
    :step => "child::text()"

a112 = Rownum.new :id => "a112",
    :input => a113,
    :newcol => :pos,
    :order => [ :item ],
    :part => :iter

a111 = a112     # ERROR#pf:merge-adjacent-text-nodes.new

a116 = Project.new :id => "a116",
    :input => a111,
    :projlist => [ [ :iter ], [ :pos ], [ :item ]]

a108 = a116     # ERRORContent.new

a107 = a108 # fncs
a105 = ElemConstr.new :id => "a105",
    :tagnames => a106,
    :content => a107

a104 = a105 # fncs
a87 = Union.new :id => "a87",
    :left_rel => a88,
    :right_rel => a104
a79 = Union.new :id => "a79",
    :left_rel => a80,
    :right_rel => a87
a13 = ElemConstr.new :id => "a13",
    :tagnames => a14,
    :content => a79

a12 = a13  # twig
a121 = Project.new :id => "a121",
    :input => a12,
    :projlist => [ [ :iter ], [ :item ]]

a120 = Project.new :id => "a120",
    :input => a121,
    :projlist => [[ :pos, 1 ],  [ :iter ], [ :item ]]

a124 = Project.new :id => "a124",
    :input => a47,
    :projlist => [ [ :outer, :iter ], [ :sort, :pos ], [ :inner ]]

a125 = Project.new :id => "a125",
    :input => a55,
    :projlist => [ [ :iter1, :inner ], [ :iter ], [ :pos ]]

a123 = Join.new :id => "a123",
    :left_rel => a124,
    :right_rel => a125,
    :left_col => :inner,
    :right_col => :iter

a122 = Project.new :id => "a122",
    :input => a123,
    :projlist => [ [ :outer ], [ :inner, :iter1 ], [ :sort ], [ :sort1, :pos ]]

a119 = Join.new :id => "a119",
    :left_rel => a120,
    :right_rel => a122,
    :left_col => :iter,
    :right_col => :inner

a118 = Rownum.new :id => "a118",
    :input => a119,
    :newcol => :pos1,
    :order => [ :sort, :sort1, :pos ],
    :part => :outer

a117 = Project.new :id => "a117",
    :input => a118,
    :projlist => [ [ :iter, :outer ], [ :pos, :pos1 ], [ :item ]]

a9 = a117     # ERRORContent.new

a8 = a9 # fncs
a6 = ElemConstr.new :id => "a6",
    :tagnames => a7,
    :content => a8

a5 = a6  # twig
a127 = Project.new :id => "a127",
    :input => a5,
    :projlist => [ [ :iter ], [ :item ]]

a126 = Project.new :id => "a126",
    :input => a127,
    :projlist => [[ :pos, 1 ],  [ :iter ], [ :item ]]

# serialize (:pos => :pos, :item => :item)
$root = a126
