a7 = LiteralTable.new :id => "a7",
    :colnames => [ :iter, :item ],
    :data => [[1, "bib"]]

a37 = LiteralTable.new :id => "a37",
    :colnames => [ :iter, :item ],
    :data => [[1, "bib.xml"]]

a36 = Doc.new :id => "a36",
    :input => a37,
    :src => :item,
    :dest => :res

a46 = Project.new :id => "a46",
    :input => a36,
    :projlist => [ [ :iter ], [ :item ], [ :res ]]

a45 = Project.new :id => "a45",
    :input => a46,
    :projlist => [ [ :iter ], [ :item, :res ]]

a44 = Scj.new :id => "a44",
    :input => a45,
    :src => :item,
    :step => "descendant-or-self::node()"

a43 = Project.new :id => "a43",
    :input => a44,
    :projlist => [ [ :iter ], [ :item ]]

a42 = Scj.new :id => "a42",
    :input => a43,
    :src => :item,
    :step => "child::book"

a41 = Rownum.new :id => "a41",
    :input => a42,
    :newcol => :pos,
    :order => [ :item ],
    :part => :iter

a40 = Rownum.new :id => "a40",
    :input => a41,
    :newcol => :inner,
    :order => [ :iter, :pos ]

a39 = Project.new :id => "a39",
    :input => a40,
    :projlist => [ [ :iter, :inner ], [ :item ]]

a38 = Project.new :id => "a38",
    :input => a39,
    :projlist => [ [ :iter ], [ :item ]]

a33 = Scj.new :id => "a33",
    :input => a38,
    :src => :item,
    :step => "child::author"

a32 = Project.new :id => "a32",
    :input => a33,
    :projlist => [ [ :iter ]]

a31 = Count.new :id => "a31",
    :input => a32,
    :newcol => :item,
    :part => :iter


a49 = Project.new :id => "a49",
    :input => a39,
    :projlist => [ [ :iter ]]

a50 = Project.new :id => "a50",
    :input => a31,
    :projlist => [ [ :iter ]]

a48 = Difference.new :id => "a48",
    :left_rel => a49,
    :right_rel => a50

a47 = Project.new :id => "a47",
    :input => a48,
    :projlist => [[ :item, 0 ],  [ :iter ]]

a30 = Union.new :id => "a30",
    :left_rel => a31,
    :right_rel => a47

a52 = Project.new :id => "a52",
    :input => a49,
    :projlist => [[ :item, 0 ],  [ :iter ]]

a51 = Project.new :id => "a51",
    :input => a52,
    :projlist => [ [ :iter1, :iter ], [ :item1, :item ]]

a29 = Join.new :id => "a29",
    :left_rel => a30,
    :right_rel => a51,
    :left_col => :iter,
    :right_col => :iter1

a28 = GreaterThanOp.new :id => "a28",
    :input => a29,
    :newcol => :res,
    :arg1 => :item,
    :arg2 => :item1

a27 = Project.new :id => "a27",
    :input => a28,
    :projlist => [ [ :iter ], [ :item, :res ]]

a26 = Select.new :id => "a26",
    :input => a27,
    :column => :item

a25 = Project.new :id => "a25",
    :input => a26,
    :projlist => [ [ :iter ]]

a24 = Project.new :id => "a24",
    :input => a25,
    :projlist => [ [ :iter ]]

a23 = Distinct.new :id => "a23",
    :input => a24

a22 = Project.new :id => "a22",
    :input => a23,
    :projlist => [[ :item, true ],  [ :iter ]]

a21 = Select.new :id => "a21",
    :input => a22,
    :column => :item

a20 = Project.new :id => "a20",
    :input => a21,
    :projlist => [ [ :iter ]]

a19 = Project.new :id => "a19",
    :input => a20,
    :projlist => [ [ :iter ]]

a18 = Distinct.new :id => "a18",
    :input => a19

a17 = Project.new :id => "a17",
    :input => a18,
    :projlist => [[ :item, true ],  [ :iter ]]

a16 = Select.new :id => "a16",
    :input => a17,
    :column => :item

a15 = Project.new :id => "a15",
    :input => a16,
    :projlist => [ [ :iter ]]

a14 = Project.new :id => "a14",
    :input => a15,
    :projlist => [[ :item, "book" ],  [ :iter ]]

a59 = Project.new :id => "a59",
    :input => a16,
    :projlist => [ [ :outer, :iter ], [ :inner, :iter ]]

a58 = Join.new :id => "a58",
    :left_rel => a39,
    :right_rel => a59,
    :left_col => :iter,
    :right_col => :outer

a57 = Project.new :id => "a57",
    :input => a58,
    :projlist => [ [ :iter, :inner ], [ :item ]]

a56 = Scj.new :id => "a56",
    :input => a57,
    :src => :item,
    :step => "child::title"

a55 = Rownum.new :id => "a55",
    :input => a56,
    :newcol => :pos,
    :order => [ :item ],
    :part => :iter

a54 = a55     # ERRORContent.new

a72 = Scj.new :id => "a72",
    :input => a57,
    :src => :item,
    :step => "child::author"

a71 = Rownum.new :id => "a71",
    :input => a72,
    :newcol => :pos,
    :order => [ :item ],
    :part => :iter

a70 = Rownum.new :id => "a70",
    :input => a71,
    :newcol => :pos1,
    :order => [ :pos ],
    :part => :iter

a69 = Rownum.new :id => "a69",
    :input => a70,
    :newcol => :inner,
    :order => [ :iter, :pos ]

a68 = Project.new :id => "a68",
    :input => a69,
    :projlist => [ [ :iter, :inner ], [ :item ]]

a67 = Project.new :id => "a67",
    :input => a68,
    :projlist => [[ :pos, 1 ],  [ :iter ], [ :item ]]

a91 = Project.new :id => "a91",
    :input => a69,
    :projlist => [[ :cast, :pos1 ],  [ :iter ], [ :item ], [ :pos ], [ :pos1 ], [ :inner ]]

a90 = Project.new :id => "a90",
    :input => a91,
    :projlist => [ [ :iter, :inner ], [ :item, :cast ]]

a94 = Project.new :id => "a94",
    :input => a67,
    :projlist => [ [ :iter ]]

a93 = Project.new :id => "a93",
    :input => a94,
    :projlist => [[ :item, 2 ],  [ :iter ]]

a92 = Project.new :id => "a92",
    :input => a93,
    :projlist => [ [ :iter1, :iter ], [ :item1, :item ]]

a89 = Join.new :id => "a89",
    :left_rel => a90,
    :right_rel => a92,
    :left_col => :iter,
    :right_col => :iter1

a88 = GreaterThanOp.new :id => "a88",
    :input => a89,
    :newcol => :res,
    :arg1 => :item,
    :arg2 => :item1

a87 = Project.new :id => "a87",
    :input => a88,
    :projlist => [ [ :iter ], [ :item, :res ]]

a86 = Not.new :id => "a86",
    :input => a87,
    :newcol => :res,
    :arg => :item

a85 = Project.new :id => "a85",
    :input => a86,
    :projlist => [ [ :iter ], [ :item, :res ]]

a84 = Select.new :id => "a84",
    :input => a85,
    :column => :item

a83 = Project.new :id => "a83",
    :input => a84,
    :projlist => [ [ :iter ]]

a82 = Project.new :id => "a82",
    :input => a83,
    :projlist => [ [ :iter ]]

a81 = Distinct.new :id => "a81",
    :input => a82

a80 = Project.new :id => "a80",
    :input => a81,
    :projlist => [[ :item, true ],  [ :iter ]]

a79 = Select.new :id => "a79",
    :input => a80,
    :column => :item

a78 = Project.new :id => "a78",
    :input => a79,
    :projlist => [ [ :iter ]]

a77 = Project.new :id => "a77",
    :input => a78,
    :projlist => [ [ :iter ]]

a76 = Distinct.new :id => "a76",
    :input => a77

a75 = Project.new :id => "a75",
    :input => a76,
    :projlist => [[ :item, true ],  [ :iter ]]

a74 = Select.new :id => "a74",
    :input => a75,
    :column => :item

a73 = Project.new :id => "a73",
    :input => a74,
    :projlist => [ [ :outer, :iter ], [ :inner, :iter ]]

a66 = Join.new :id => "a66",
    :left_rel => a67,
    :right_rel => a73,
    :left_col => :iter,
    :right_col => :outer

a65 = Project.new :id => "a65",
    :input => a66,
    :projlist => [ [ :iter, :inner ], [ :pos ], [ :item ]]

a95 = Project.new :id => "a95",
    :input => a69,
    :projlist => [ [ :outer, :iter ], [ :sort, :pos ], [ :inner ]]

a64 = Join.new :id => "a64",
    :left_rel => a65,
    :right_rel => a95,
    :left_col => :iter,
    :right_col => :inner

a63 = Rownum.new :id => "a63",
    :input => a64,
    :newcol => :pos1,
    :order => [ :sort, :pos ],
    :part => :outer

a62 = Project.new :id => "a62",
    :input => a63,
    :projlist => [ [ :iter, :outer ], [ :pos, :pos1 ], [ :item ]]

a61 = a62     # ERRORContent.new

a120 = Project.new :id => "a120",
    :input => a71,
    :projlist => [ [ :iter ]]

a119 = Count.new :id => "a119",
    :input => a120,
    :newcol => :item,
    :part => :iter


a123 = Project.new :id => "a123",
    :input => a119,
    :projlist => [ [ :iter ]]

a122 = Difference.new :id => "a122",
    :left_rel => a15,
    :right_rel => a123

a121 = Project.new :id => "a121",
    :input => a122,
    :projlist => [[ :item, 0 ],  [ :iter ]]

a118 = Union.new :id => "a118",
    :left_rel => a119,
    :right_rel => a121

a125 = Project.new :id => "a125",
    :input => a15,
    :projlist => [[ :item, 2 ],  [ :iter ]]

a124 = Project.new :id => "a124",
    :input => a125,
    :projlist => [ [ :iter1, :iter ], [ :item1, :item ]]

a117 = Join.new :id => "a117",
    :left_rel => a118,
    :right_rel => a124,
    :left_col => :iter,
    :right_col => :iter1

a116 = GreaterThanOp.new :id => "a116",
    :input => a117,
    :newcol => :res,
    :arg1 => :item,
    :arg2 => :item1

a115 = Project.new :id => "a115",
    :input => a116,
    :projlist => [ [ :iter ], [ :item, :res ]]

a114 = Select.new :id => "a114",
    :input => a115,
    :column => :item

a113 = Project.new :id => "a113",
    :input => a114,
    :projlist => [ [ :iter ]]

a112 = Project.new :id => "a112",
    :input => a113,
    :projlist => [ [ :iter ]]

a111 = Distinct.new :id => "a111",
    :input => a112

a110 = Project.new :id => "a110",
    :input => a111,
    :projlist => [[ :item, true ],  [ :iter ]]

a109 = Select.new :id => "a109",
    :input => a110,
    :column => :item

a108 = Project.new :id => "a108",
    :input => a109,
    :projlist => [ [ :iter ]]

a107 = Project.new :id => "a107",
    :input => a108,
    :projlist => [ [ :iter ]]

a106 = Distinct.new :id => "a106",
    :input => a107

a105 = Project.new :id => "a105",
    :input => a106,
    :projlist => [[ :item, true ],  [ :iter ]]

a104 = Select.new :id => "a104",
    :input => a105,
    :column => :item

a103 = Project.new :id => "a103",
    :input => a104,
    :projlist => [ [ :iter ]]

a102 = Project.new :id => "a102",
    :input => a103,
    :projlist => [[ :item, "et-al" ],  [ :iter ]]

a126 = LiteralTable.new :id => "a126", # fncs
    :colnames => [ :iter, :pos, :item ],
    :data => []

a101 = ElemConstr.new :id => "a101",
    :tagnames => a102,
    :content => a126

a100 = a101  # twig
a129 = Project.new :id => "a129",
    :input => a100,
    :projlist => [ [ :iter ], [ :item ]]

a128 = Project.new :id => "a128",
    :input => a129,
    :projlist => [[ :pos, 1 ],  [ :iter ], [ :item ]]

a97 = a128     # ERRORContent.new

a96 = a97 # fncs
a60 = Union.new :id => "a60",
    :left_rel => a61,
    :right_rel => a96
a53 = Union.new :id => "a53",
    :left_rel => a54,
    :right_rel => a60
a13 = ElemConstr.new :id => "a13",
    :tagnames => a14,
    :content => a53

a12 = a13  # twig
a134 = Project.new :id => "a134",
    :input => a12,
    :projlist => [ [ :iter ], [ :item ]]

a133 = Project.new :id => "a133",
    :input => a134,
    :projlist => [[ :pos, 1 ],  [ :iter ], [ :item ]]

a135 = Project.new :id => "a135",
    :input => a40,
    :projlist => [ [ :outer, :iter ], [ :sort, :pos ], [ :inner ]]

a132 = Join.new :id => "a132",
    :left_rel => a133,
    :right_rel => a135,
    :left_col => :iter,
    :right_col => :inner

a131 = Rownum.new :id => "a131",
    :input => a132,
    :newcol => :pos1,
    :order => [ :sort, :pos ],
    :part => :outer

a130 = Project.new :id => "a130",
    :input => a131,
    :projlist => [ [ :iter, :outer ], [ :pos, :pos1 ], [ :item ]]

a9 = a130     # ERRORContent.new

a8 = a9 # fncs
a6 = ElemConstr.new :id => "a6",
    :tagnames => a7,
    :content => a8

a5 = a6  # twig
a137 = Project.new :id => "a137",
    :input => a5,
    :projlist => [ [ :iter ], [ :item ]]

a136 = Project.new :id => "a136",
    :input => a137,
    :projlist => [[ :pos, 1 ],  [ :iter ], [ :item ]]

# serialize (:pos => :pos, :item => :item)
$root = a136
