a7 = LiteralTable.new :id => "a7",
    :colnames => [ :iter, :item ],
    :data => [[1, "bib"]]

a40 = LiteralTable.new :id => "a40",
    :colnames => [ :iter, :item ],
    :data => [[1, "bib.xml"]]

a39 = Doc.new :id => "a39",
    :input => a40,
    :src => :item,
    :dest => :res

a52 = Project.new :id => "a52",
    :input => a39,
    :projlist => [ [ :iter ], [ :item ], [ :res ]]

a51 = Project.new :id => "a51",
    :input => a52,
    :projlist => [ [ :iter ], [ :item, :res ]]

a50 = Scj.new :id => "a50",
    :input => a51,
    :src => :item,
    :step => "descendant-or-self::node()"

a49 = Project.new :id => "a49",
    :input => a50,
    :projlist => [ [ :iter ], [ :item ]]

a48 = Scj.new :id => "a48",
    :input => a49,
    :src => :item,
    :step => "child::book"

a47 = Rownum.new :id => "a47",
    :input => a48,
    :newcol => :pos,
    :order => [ :item ],
    :part => :iter

a46 = Rownum.new :id => "a46",
    :input => a47,
    :newcol => :inner,
    :order => [ :iter, :pos ]

a45 = Project.new :id => "a45",
    :input => a46,
    :projlist => [ [ :iter, :inner ], [ :item ]]

a75 = Project.new :id => "a75",
    :input => a45,
    :projlist => [ [ :iter ], [ :item ]]

a74 = Scj.new :id => "a74",
    :input => a75,
    :src => :item,
    :step => "child::publisher"

a73 = Rownum.new :id => "a73",
    :input => a74,
    :newcol => :pos,
    :order => [ :item ],
    :part => :iter

a72 = Atomize.new :id => "a72",
    :input => a73,
    :src => :item,
    :dest => :res

a71 = Project.new :id => "a71",
    :input => a72,
    :projlist => [ [ :iter ], [ :pos ], [ :item, :res ]]

a70 = Rownum.new :id => "a70",
    :input => a71,
    :newcol => :inner,
    :order => [ :iter, :pos ]

a69 = Project.new :id => "a69",
    :input => a70,
    :projlist => [ [ :iter, :inner ], [ :item ]]

a78 = Project.new :id => "a78",
    :input => a69,
    :projlist => [ [ :iter ]]

a77 = Project.new :id => "a77",
    :input => a78,
    :projlist => [[ :item, "Addison-Wesley" ],  [ :iter ]]

a76 = Project.new :id => "a76",
    :input => a77,
    :projlist => [ [ :iter1, :iter ], [ :item1, :item ]]

a68 = Join.new :id => "a68",
    :left_rel => a69,
    :right_rel => a76,
    :left_col => :iter,
    :right_col => :iter1

a67 = EqualOp.new :id => "a67",
    :input => a68,
    :newcol => :res,
    :arg1 => :item,
    :arg2 => :item1

a66 = Project.new :id => "a66",
    :input => a67,
    :projlist => [ [ :iter ], [ :item, :res ]]

a65 = Select.new :id => "a65",
    :input => a66,
    :column => :item

a64 = Project.new :id => "a64",
    :input => a65,
    :projlist => [ [ :iter ]]

a63 = Project.new :id => "a63",
    :input => a64,
    :projlist => [ [ :iter ]]

a62 = Distinct.new :id => "a62",
    :input => a63

a61 = Project.new :id => "a61",
    :input => a62,
    :projlist => [[ :item, true ],  [ :iter ]]

a60 = Select.new :id => "a60",
    :input => a61,
    :column => :item

a59 = Project.new :id => "a59",
    :input => a60,
    :projlist => [ [ :iter ]]

a79 = Project.new :id => "a79",
    :input => a70,
    :projlist => [ [ :outer, :iter ], [ :inner ]]

a58 = Join.new :id => "a58",
    :left_rel => a59,
    :right_rel => a79,
    :left_col => :iter,
    :right_col => :inner

a57 = Project.new :id => "a57",
    :input => a58,
    :projlist => [ [ :iter, :outer ]]

a56 = Distinct.new :id => "a56",
    :input => a57

a55 = Project.new :id => "a55",
    :input => a56,
    :projlist => [[ :item, true ],  [ :iter ]]

a54 = Select.new :id => "a54",
    :input => a55,
    :column => :item

a53 = Project.new :id => "a53",
    :input => a54,
    :projlist => [ [ :outer, :iter ], [ :inner, :iter ]]

a44 = Join.new :id => "a44",
    :left_rel => a45,
    :right_rel => a53,
    :left_col => :iter,
    :right_col => :outer

a43 = Project.new :id => "a43",
    :input => a44,
    :projlist => [ [ :iter, :inner ], [ :item ]]

a42 = Scj.new :id => "a42",
    :input => a43,
    :src => :item,
    :step => "attribute::year"

a41 = Rownum.new :id => "a41",
    :input => a42,
    :newcol => :pos,
    :order => [ :item ],
    :part => :iter

a36 = Atomize.new :id => "a36",
    :input => a41,
    :src => :item,
    :dest => :res

a35 = Project.new :id => "a35",
    :input => a36,
    :projlist => [ [ :iter ], [ :pos ], [ :item, :res ]]

a34 = Rownum.new :id => "a34",
    :input => a35,
    :newcol => :inner,
    :order => [ :iter, :pos ]

a33 = Project.new :id => "a33",
    :input => a34,
    :projlist => [ [ :iter, :inner ], [ :item ]]

a32 = fun_1to1 :id => "a32",
    :input => a33,
    :fun_name => "fn:number",
    :res => :res,
    :args => [ :item ]


a31 = Project.new :id => "a31",
    :input => a32,
    :projlist => [ [ :iter ], [ :item, :res ]]

a83 = Project.new :id => "a83",
    :input => a33,
    :projlist => [ [ :iter ]]

a82 = Project.new :id => "a82",
    :input => a83,
    :projlist => [[ :item, 1991 ],  [ :iter ]]

a81 = Project.new :id => "a81",
    :input => a82,
    :projlist => [[ :cast, :item ],  [ :iter ], [ :item ]]

a80 = Project.new :id => "a80",
    :input => a81,
    :projlist => [ [ :iter1, :iter ], [ :item1, :cast ]]

a30 = Join.new :id => "a30",
    :left_rel => a31,
    :right_rel => a80,
    :left_col => :iter,
    :right_col => :iter1

a29 = GreaterThanOp.new :id => "a29",
    :input => a30,
    :newcol => :res,
    :arg1 => :item,
    :arg2 => :item1

a28 = Project.new :id => "a28",
    :input => a29,
    :projlist => [ [ :iter ], [ :item, :res ]]

a27 = Select.new :id => "a27",
    :input => a28,
    :column => :item

a26 = Project.new :id => "a26",
    :input => a27,
    :projlist => [ [ :iter ]]

a25 = Project.new :id => "a25",
    :input => a26,
    :projlist => [ [ :iter ]]

a24 = Distinct.new :id => "a24",
    :input => a25

a23 = Project.new :id => "a23",
    :input => a24,
    :projlist => [[ :item, true ],  [ :iter ]]

a22 = Select.new :id => "a22",
    :input => a23,
    :column => :item

a21 = Project.new :id => "a21",
    :input => a22,
    :projlist => [ [ :iter ]]

a84 = Project.new :id => "a84",
    :input => a34,
    :projlist => [ [ :outer, :iter ], [ :inner ]]

a20 = Join.new :id => "a20",
    :left_rel => a21,
    :right_rel => a84,
    :left_col => :iter,
    :right_col => :inner

a19 = Project.new :id => "a19",
    :input => a20,
    :projlist => [ [ :iter, :outer ]]

a18 = Distinct.new :id => "a18",
    :input => a19

a17 = Project.new :id => "a17",
    :input => a18,
    :projlist => [[ :item, true ],  [ :iter ]]

a16 = Select.new :id => "a16",
    :input => a17,
    :column => :item

a15 = Project.new :id => "a15",
    :input => a16,
    :projlist => [ [ :iter ]]

a14 = Project.new :id => "a14",
    :input => a15,
    :projlist => [[ :item, "book" ],  [ :iter ]]

a92 = Join.new :id => "a92",
    :left_rel => a53,
    :right_rel => a15,
    :left_col => :inner,
    :right_col => :iter

a91 = Project.new :id => "a91",
    :input => a92,
    :projlist => [ [ :outer ], [ :inner ]]

a90 = Join.new :id => "a90",
    :left_rel => a45,
    :right_rel => a91,
    :left_col => :iter,
    :right_col => :outer

a89 = Project.new :id => "a89",
    :input => a90,
    :projlist => [ [ :iter, :inner ], [ :item ]]

a88 = Scj.new :id => "a88",
    :input => a89,
    :src => :item,
    :step => "attribute::year"

a87 = Rownum.new :id => "a87",
    :input => a88,
    :newcol => :pos,
    :order => [ :item ],
    :part => :iter

a86 = a87     # ERRORContent.new

a96 = Scj.new :id => "a96",
    :input => a89,
    :src => :item,
    :step => "child::title"

a95 = Rownum.new :id => "a95",
    :input => a96,
    :newcol => :pos,
    :order => [ :item ],
    :part => :iter

a94 = a95     # ERRORContent.new

a93 = a94 # fncs
a85 = Union.new :id => "a85",
    :left_rel => a86,
    :right_rel => a93
a13 = ElemConstr.new :id => "a13",
    :tagnames => a14,
    :content => a85

a12 = a13  # twig
a102 = Project.new :id => "a102",
    :input => a12,
    :projlist => [ [ :iter ], [ :item ]]

a101 = Project.new :id => "a101",
    :input => a102,
    :projlist => [[ :pos, 1 ],  [ :iter ], [ :item ]]

a103 = Project.new :id => "a103",
    :input => a46,
    :projlist => [ [ :outer, :iter ], [ :sort, :pos ], [ :inner ]]

a100 = Join.new :id => "a100",
    :left_rel => a101,
    :right_rel => a103,
    :left_col => :iter,
    :right_col => :inner

a99 = Rownum.new :id => "a99",
    :input => a100,
    :newcol => :pos1,
    :order => [ :sort, :pos ],
    :part => :outer

a98 = Project.new :id => "a98",
    :input => a99,
    :projlist => [ [ :iter, :outer ], [ :pos, :pos1 ], [ :item ]]

a9 = a98     # ERRORContent.new

a8 = a9 # fncs
a6 = ElemConstr.new :id => "a6",
    :tagnames => a7,
    :content => a8

a5 = a6  # twig
a105 = Project.new :id => "a105",
    :input => a5,
    :projlist => [ [ :iter ], [ :item ]]

a104 = Project.new :id => "a104",
    :input => a105,
    :projlist => [[ :pos, 1 ],  [ :iter ], [ :item ]]

# serialize (:pos => :pos, :item => :item)
$root = a104
