a25 = LiteralTable.new :id => "a25",
    :colnames => [ :iter, :item ],
    :data => [[1, "bib.xml"]]

a24 = Doc.new :id => "a24",
    :input => a25,
    :src => :item,
    :dest => :res

a34 = Project.new :id => "a34",
    :input => a24,
    :projlist => [ [ :iter ], [ :item ], [ :res ]]

a33 = Project.new :id => "a33",
    :input => a34,
    :projlist => [ [ :iter ], [ :item, :res ]]

a32 = Scj.new :id => "a32",
    :input => a33,
    :src => :item,
    :step => "descendant-or-self::node()"

a31 = Project.new :id => "a31",
    :input => a32,
    :projlist => [ [ :iter ], [ :item ]]

a30 = Scj.new :id => "a30",
    :input => a31,
    :src => :item,
    :step => "child::book"

a29 = Rownum.new :id => "a29",
    :input => a30,
    :newcol => :pos,
    :order => [ :item ],
    :part => :iter

a28 = Rownum.new :id => "a28",
    :input => a29,
    :newcol => :inner,
    :order => [ :iter, :pos ]

a27 = Project.new :id => "a27",
    :input => a28,
    :projlist => [ [ :iter, :inner ], [ :item ]]

a26 = Project.new :id => "a26",
    :input => a27,
    :projlist => [ [ :iter ], [ :item ]]

a21 = Scj.new :id => "a21",
    :input => a26,
    :src => :item,
    :step => "child::element()"

a20 = Rownum.new :id => "a20",
    :input => a21,
    :newcol => :pos,
    :order => [ :item ],
    :part => :iter

a19 = Rownum.new :id => "a19",
    :input => a20,
    :newcol => :inner,
    :order => [ :iter, :pos ]

a18 = Project.new :id => "a18",
    :input => a19,
    :projlist => [ [ :iter, :inner ], [ :item ]]

a17 = Project.new :id => "a17",
    :input => a18,
    :projlist => [[ :pos, 1 ],  [ :iter ], [ :item ]]

a47 = Project.new :id => "a47",
    :input => a17,
    :projlist => [ [ :iter ], [ :item ]]

a46 = Scj.new :id => "a46",
    :input => a47,
    :src => :item,
    :step => "descendant-or-self::text()"

a45 = Rownum.new :id => "a45",
    :input => a46,
    :newcol => :pos,
    :order => [ :item ]

a44 = Atomize.new :id => "a44",
    :input => a45,
    :src => :item,
    :dest => :res

a43 = Project.new :id => "a43",
    :input => a44,
    :projlist => [ [ :iter ], [ :pos ], [ :item, :res ]]

a50 = Project.new :id => "a50",
    :input => a17,
    :projlist => [ [ :iter ]]

a49 = Project.new :id => "a49",
    :input => a50,
    :projlist => [ [ :iter ]]

a48 = Project.new :id => "a48",
    :input => a49,
    :projlist => [[ :item, "" ],  [ :iter ]]

a42 = StringJoin.new :id => "a42",
    :left_rel => a43,
    :right_rel => a48,
    :iter => :iter,
    :pos  => :pos,
    :item => :item


a52 = Project.new :id => "a52",
    :input => a50,
    :projlist => [[ :item, "Suciu" ],  [ :iter ]]

a51 = Project.new :id => "a51",
    :input => a52,
    :projlist => [ [ :iter1, :iter ], [ :item1, :item ]]

a41 = Join.new :id => "a41",
    :left_rel => a42,
    :right_rel => a51,
    :left_col => :iter,
    :right_col => :iter1

a40 = fun_1to1 :id => "a40",
    :input => a41,
    :fun_name => "fn:contains",
    :res => :res,
    :args => [ :item, :item1 ]


a39 = Project.new :id => "a39",
    :input => a40,
    :projlist => [ [ :iter ], [ :item, :res ]]

a38 = Select.new :id => "a38",
    :input => a39,
    :column => :item

a37 = Project.new :id => "a37",
    :input => a38,
    :projlist => [ [ :outer, :iter ], [ :inner, :iter ]]

a65 = Join.new :id => "a65",
    :left_rel => a17,
    :right_rel => a37,
    :left_col => :iter,
    :right_col => :outer

a64 = Project.new :id => "a64",
    :input => a65,
    :projlist => [ [ :iter, :inner ], [ :item ]]

a63 = fun_1to1 :id => "a63",
    :input => a64,
    :fun_name => "fn:local-name",
    :res => :res,
    :args => [ :item ]


a62 = Project.new :id => "a62",
    :input => a63,
    :projlist => [ [ :iter ], [ :item, :res ]]

a61 = Project.new :id => "a61",
    :input => a62,
    :projlist => [ [ :iter ], [ :item ]]

a69 = Project.new :id => "a69",
    :input => a38,
    :projlist => [ [ :iter ]]

a70 = Project.new :id => "a70",
    :input => a63,
    :projlist => [ [ :iter ]]

a68 = Difference.new :id => "a68",
    :left_rel => a69,
    :right_rel => a70

a67 = Project.new :id => "a67",
    :input => a68,
    :projlist => [[ :item, "" ],  [ :iter ]]

a66 = Project.new :id => "a66",
    :input => a67,
    :projlist => [ [ :iter ], [ :item ]]

a60 = Union.new :id => "a60",
    :left_rel => a61,
    :right_rel => a66

a59 = Project.new :id => "a59",
    :input => a60,
    :projlist => [ [ :iter ], [ :item ]]

a74 = Project.new :id => "a74",
    :input => a60,
    :projlist => [ [ :iter ]]

a73 = Difference.new :id => "a73",
    :left_rel => a69,
    :right_rel => a74

a72 = Project.new :id => "a72",
    :input => a73,
    :projlist => [[ :item, "" ],  [ :iter ]]

a71 = Project.new :id => "a71",
    :input => a72,
    :projlist => [ [ :iter ], [ :item ]]

a58 = Union.new :id => "a58",
    :left_rel => a59,
    :right_rel => a71

a78 = Project.new :id => "a78",
    :input => a69,
    :projlist => [[ :item, "or" ],  [ :iter ]]

a77 = Project.new :id => "a77",
    :input => a78,
    :projlist => [ [ :iter ], [ :item ]]

a82 = Project.new :id => "a82",
    :input => a78,
    :projlist => [ [ :iter ]]

a81 = Difference.new :id => "a81",
    :left_rel => a69,
    :right_rel => a82

a80 = Project.new :id => "a80",
    :input => a81,
    :projlist => [[ :item, "" ],  [ :iter ]]

a79 = Project.new :id => "a79",
    :input => a80,
    :projlist => [ [ :iter ], [ :item ]]

a76 = Union.new :id => "a76",
    :left_rel => a77,
    :right_rel => a79

a75 = Project.new :id => "a75",
    :input => a76,
    :projlist => [ [ :iter1, :iter ], [ :item1, :item ]]

a57 = Join.new :id => "a57",
    :left_rel => a58,
    :right_rel => a75,
    :left_col => :iter,
    :right_col => :iter1

a56 = fun_1to1 :id => "a56",
    :input => a57,
    :fun_name => "fn:ends-with",
    :res => :res,
    :args => [ :item, :item1 ]


a55 = Project.new :id => "a55",
    :input => a56,
    :projlist => [ [ :iter ], [ :item, :res ]]

a54 = Select.new :id => "a54",
    :input => a55,
    :column => :item

a53 = Project.new :id => "a53",
    :input => a54,
    :projlist => [ [ :iter ]]

a36 = Join.new :id => "a36",
    :left_rel => a37,
    :right_rel => a53,
    :left_col => :inner,
    :right_col => :iter

a35 = Project.new :id => "a35",
    :input => a36,
    :projlist => [ [ :outer ], [ :inner ]]

a16 = Join.new :id => "a16",
    :left_rel => a17,
    :right_rel => a35,
    :left_col => :iter,
    :right_col => :outer

a15 = Project.new :id => "a15",
    :input => a16,
    :projlist => [ [ :iter, :inner ], [ :pos ], [ :item ]]

a83 = Project.new :id => "a83",
    :input => a19,
    :projlist => [ [ :outer, :iter ], [ :sort, :pos ], [ :inner ]]

a14 = Join.new :id => "a14",
    :left_rel => a15,
    :right_rel => a83,
    :left_col => :iter,
    :right_col => :inner

a13 = Rownum.new :id => "a13",
    :input => a14,
    :newcol => :pos1,
    :order => [ :sort, :pos ],
    :part => :outer

a12 = Project.new :id => "a12",
    :input => a13,
    :projlist => [ [ :iter, :outer ]]

a11 = Distinct.new :id => "a11",
    :input => a12

a10 = Project.new :id => "a10",
    :input => a11,
    :projlist => [[ :item, true ],  [ :iter ]]

a9 = Select.new :id => "a9",
    :input => a10,
    :column => :item

a8 = Project.new :id => "a8",
    :input => a9,
    :projlist => [ [ :iter ]]

a7 = Project.new :id => "a7",
    :input => a8,
    :projlist => [[ :item, "book" ],  [ :iter ]]

a90 = Project.new :id => "a90",
    :input => a9,
    :projlist => [ [ :outer, :iter ], [ :inner, :iter ]]

a89 = Join.new :id => "a89",
    :left_rel => a27,
    :right_rel => a90,
    :left_col => :iter,
    :right_col => :outer

a88 = Project.new :id => "a88",
    :input => a89,
    :projlist => [ [ :iter, :inner ], [ :item ]]

a87 = Scj.new :id => "a87",
    :input => a88,
    :src => :item,
    :step => "child::title"

a86 = Rownum.new :id => "a86",
    :input => a87,
    :newcol => :pos,
    :order => [ :item ],
    :part => :iter

a85 = a86     # ERRORContent.new

a95 = Project.new :id => "a95",
    :input => a13,
    :projlist => [ [ :iter, :outer ], [ :pos, :pos1 ], [ :item ]]

a94 = Join.new :id => "a94",
    :left_rel => a95,
    :right_rel => a90,
    :left_col => :iter,
    :right_col => :outer

a93 = Project.new :id => "a93",
    :input => a94,
    :projlist => [ [ :iter, :inner ], [ :pos ], [ :item ]]

a92 = a93     # ERRORContent.new

a91 = a92 # fncs
a84 = Union.new :id => "a84",
    :left_rel => a85,
    :right_rel => a91
a6 = ElemConstr.new :id => "a6",
    :tagnames => a7,
    :content => a84

a5 = a6  # twig
a101 = Project.new :id => "a101",
    :input => a5,
    :projlist => [ [ :iter ], [ :item ]]

a100 = Project.new :id => "a100",
    :input => a101,
    :projlist => [[ :pos, 1 ],  [ :iter ], [ :item ]]

a102 = Project.new :id => "a102",
    :input => a28,
    :projlist => [ [ :outer, :iter ], [ :sort, :pos ], [ :inner ]]

a99 = Join.new :id => "a99",
    :left_rel => a100,
    :right_rel => a102,
    :left_col => :iter,
    :right_col => :inner

a98 = Rownum.new :id => "a98",
    :input => a99,
    :newcol => :pos1,
    :order => [ :sort, :pos ],
    :part => :outer

a97 = Project.new :id => "a97",
    :input => a98,
    :projlist => [ [ :pos, :pos1 ], [ :item ]]

# serialize (:pos => :pos, :item => :item)
$root = a97
