a16 = LiteralTable.new :id => "a16",
    :colnames => [ :iter, :item ],
    :data => [[1, "auction.xml"]]

a15 = Doc.new :id => "a15",
    :input => a16,
    :src => :item,
    :dest => :res

a22 = Project.new :id => "a22",
    :input => a15,
    :projlist => [ [ :iter ], [ :item ], [ :res ]]

a21 = Project.new :id => "a21",
    :input => a22,
    :projlist => [ [ :iter ], [ :item, :res ]]

a20 = Scj.new :id => "a20",
    :input => a21,
    :src => :item,
    :step => "child::site"

a19 = Project.new :id => "a19",
    :input => a20,
    :projlist => [ [ :iter ], [ :item ]]

a18 = Scj.new :id => "a18",
    :input => a19,
    :src => :item,
    :step => "child::open_auctions"

a17 = Project.new :id => "a17",
    :input => a18,
    :projlist => [ [ :iter ], [ :item ]]

a12 = Scj.new :id => "a12",
    :input => a17,
    :src => :item,
    :step => "child::open_auction"

a11 = Rownum.new :id => "a11",
    :input => a12,
    :newcol => :pos,
    :order => [ :item ],
    :part => :iter

a10 = Rownum.new :id => "a10",
    :input => a11,
    :newcol => :inner,
    :order => [ :iter, :pos ]

a9 = Project.new :id => "a9",
    :input => a10,
    :projlist => [ [ :iter, :inner ], [ :item ]]

a8 = Project.new :id => "a8",
    :input => a9,
    :projlist => [ [ :iter ]]

a7 = Project.new :id => "a7",
    :input => a8,
    :projlist => [[ :item, "increase" ],  [ :iter ]]

a41 = Project.new :id => "a41",
    :input => a9,
    :projlist => [ [ :iter ], [ :item ]]

a40 = Scj.new :id => "a40",
    :input => a41,
    :src => :item,
    :step => "child::bidder"

a39 = Rownum.new :id => "a39",
    :input => a40,
    :newcol => :pos,
    :order => [ :item ],
    :part => :iter

a38 = Rownum.new :id => "a38",
    :input => a39,
    :newcol => :pos1,
    :order => [ :pos ],
    :part => :iter

a37 = Rownum.new :id => "a37",
    :input => a38,
    :newcol => :inner,
    :order => [ :iter, :pos ]

a36 = Project.new :id => "a36",
    :input => a37,
    :projlist => [ [ :iter, :inner ], [ :item ]]

a48 = Project.new :id => "a48",
    :input => a36,
    :projlist => [ [ :iter ]]

a47 = Project.new :id => "a47",
    :input => a48,
    :projlist => [[ :item, 1 ],  [ :iter ]]

a51 = Project.new :id => "a51",
    :input => a37,
    :projlist => [[ :cast, :pos1 ],  [ :iter ], [ :item ], [ :pos ], [ :pos1 ], [ :inner ]]

a50 = Project.new :id => "a50",
    :input => a51,
    :projlist => [ [ :iter, :inner ], [ :item, :cast ]]

a49 = Project.new :id => "a49",
    :input => a50,
    :projlist => [ [ :iter1, :iter ], [ :item1, :item ]]

a46 = Join.new :id => "a46",
    :left_rel => a47,
    :right_rel => a49,
    :left_col => :iter,
    :right_col => :iter1

a45 = EqualOp.new :id => "a45",
    :input => a46,
    :newcol => :res,
    :arg1 => :item,
    :arg2 => :item1

a44 = Project.new :id => "a44",
    :input => a45,
    :projlist => [ [ :iter ], [ :item, :res ]]

a43 = Select.new :id => "a43",
    :input => a44,
    :column => :item

a42 = Project.new :id => "a42",
    :input => a43,
    :projlist => [ [ :outer, :iter ], [ :inner, :iter ]]

a35 = Join.new :id => "a35",
    :left_rel => a36,
    :right_rel => a42,
    :left_col => :iter,
    :right_col => :outer

a34 = Project.new :id => "a34",
    :input => a35,
    :projlist => [ [ :iter, :inner ], [ :item ]]

a52 = Project.new :id => "a52",
    :input => a37,
    :projlist => [ [ :outer, :iter ], [ :inner ]]

a33 = Join.new :id => "a33",
    :left_rel => a34,
    :right_rel => a52,
    :left_col => :iter,
    :right_col => :inner

a32 = Project.new :id => "a32",
    :input => a33,
    :projlist => [ [ :iter, :outer ], [ :item ]]

a31 = Scj.new :id => "a31",
    :input => a32,
    :src => :item,
    :step => "child::increase"

a30 = Project.new :id => "a30",
    :input => a31,
    :projlist => [ [ :iter ], [ :item ]]

a29 = Scj.new :id => "a29",
    :input => a30,
    :src => :item,
    :step => "child::text()"

a28 = Rownum.new :id => "a28",
    :input => a29,
    :newcol => :pos,
    :order => [ :item ],
    :part => :iter

a27 = a28     # ERROR#pf:merge-adjacent-text-nodes.new

a53 = Project.new :id => "a53",
    :input => a27,
    :projlist => [ [ :iter ], [ :pos ], [ :item ]]

a24 = a53     # ERRORContent.new

a23 = a24 # fncs
a6 = ElemConstr.new :id => "a6",
    :tagnames => a7,
    :content => a23

a5 = a6  # twig
a59 = Project.new :id => "a59",
    :input => a5,
    :projlist => [ [ :iter ], [ :item ]]

a58 = Project.new :id => "a58",
    :input => a59,
    :projlist => [[ :pos, 1 ],  [ :iter ], [ :item ]]

a60 = Project.new :id => "a60",
    :input => a10,
    :projlist => [ [ :outer, :iter ], [ :sort, :pos ], [ :inner ]]

a57 = Join.new :id => "a57",
    :left_rel => a58,
    :right_rel => a60,
    :left_col => :iter,
    :right_col => :inner

a56 = Rownum.new :id => "a56",
    :input => a57,
    :newcol => :pos1,
    :order => [ :sort, :pos ],
    :part => :outer

a55 = Project.new :id => "a55",
    :input => a56,
    :projlist => [ [ :pos, :pos1 ], [ :item ]]

# serialize (:pos => :pos, :item => :item)
$root = a55
