a40 = LiteralTable.new :id => "a40",
    :colnames => [ :iter, :item ],
    :data => [[1, "auction.xml"]]

a39 = Doc.new :id => "a39",
    :input => a40,
    :src => :item,
    :dest => :res

a54 = Project.new :id => "a54",
    :input => a39,
    :projlist => [ [ :iter ], [ :item ], [ :res ]]

a53 = Project.new :id => "a53",
    :input => a54,
    :projlist => [ [ :iter ], [ :item, :res ]]

a52 = Scj.new :id => "a52",
    :input => a53,
    :src => :item,
    :step => "child::site"

a51 = Project.new :id => "a51",
    :input => a52,
    :projlist => [ [ :iter ], [ :item ]]

a50 = Scj.new :id => "a50",
    :input => a51,
    :src => :item,
    :step => "child::open_auctions"

a49 = Project.new :id => "a49",
    :input => a50,
    :projlist => [ [ :iter ], [ :item ]]

a48 = Scj.new :id => "a48",
    :input => a49,
    :src => :item,
    :step => "child::open_auction"

a47 = Rownum.new :id => "a47",
    :input => a48,
    :newcol => :pos,
    :order => [ :item ],
    :part => :iter

a46 = Rownum.new :id => "a46",
    :input => a47,
    :newcol => :inner,
    :order => [ :iter, :pos ]

a45 = Project.new :id => "a45",
    :input => a46,
    :projlist => [ [ :iter, :inner ], [ :item ]]

a69 = Project.new :id => "a69",
    :input => a45,
    :projlist => [ [ :iter ], [ :item ]]

a68 = Scj.new :id => "a68",
    :input => a69,
    :src => :item,
    :step => "child::bidder"

a67 = Project.new :id => "a67",
    :input => a68,
    :projlist => [ [ :iter ], [ :item ]]

a66 = Scj.new :id => "a66",
    :input => a67,
    :src => :item,
    :step => "child::personref"

a65 = Rownum.new :id => "a65",
    :input => a66,
    :newcol => :pos,
    :order => [ :item ],
    :part => :iter

a64 = Rownum.new :id => "a64",
    :input => a65,
    :newcol => :inner,
    :order => [ :iter, :pos ]

a63 = Project.new :id => "a63",
    :input => a64,
    :projlist => [ [ :iter, :inner ], [ :item ]]

a62 = Project.new :id => "a62",
    :input => a63,
    :projlist => [[ :pos, 1 ],  [ :iter ], [ :item ]]

a92 = Project.new :id => "a92",
    :input => a62,
    :projlist => [ [ :iter ], [ :item ]]

a91 = Scj.new :id => "a91",
    :input => a92,
    :src => :item,
    :step => "attribute::person"

a90 = Rownum.new :id => "a90",
    :input => a91,
    :newcol => :pos,
    :order => [ :item ],
    :part => :iter

a89 = Atomize.new :id => "a89",
    :input => a90,
    :src => :item,
    :dest => :res

a88 = Project.new :id => "a88",
    :input => a89,
    :projlist => [ [ :iter ], [ :pos ], [ :item, :res ]]

a87 = Rownum.new :id => "a87",
    :input => a88,
    :newcol => :inner,
    :order => [ :iter, :pos ]

a86 = Project.new :id => "a86",
    :input => a87,
    :projlist => [ [ :iter, :inner ], [ :item ]]

a95 = Project.new :id => "a95",
    :input => a86,
    :projlist => [ [ :iter ]]

a94 = Project.new :id => "a94",
    :input => a95,
    :projlist => [[ :item, "person20" ],  [ :iter ]]

a93 = Project.new :id => "a93",
    :input => a94,
    :projlist => [ [ :iter1, :iter ], [ :item1, :item ]]

a85 = Join.new :id => "a85",
    :left_rel => a86,
    :right_rel => a93,
    :left_col => :iter,
    :right_col => :iter1

a84 = EqualOp.new :id => "a84",
    :input => a85,
    :newcol => :res,
    :arg1 => :item,
    :arg2 => :item1

a83 = Project.new :id => "a83",
    :input => a84,
    :projlist => [ [ :iter ], [ :item, :res ]]

a82 = Select.new :id => "a82",
    :input => a83,
    :column => :item

a81 = Project.new :id => "a81",
    :input => a82,
    :projlist => [ [ :iter ]]

a80 = Project.new :id => "a80",
    :input => a81,
    :projlist => [ [ :iter ]]

a79 = Distinct.new :id => "a79",
    :input => a80

a78 = Project.new :id => "a78",
    :input => a79,
    :projlist => [[ :item, true ],  [ :iter ]]

a77 = Select.new :id => "a77",
    :input => a78,
    :column => :item

a76 = Project.new :id => "a76",
    :input => a77,
    :projlist => [ [ :iter ]]

a96 = Project.new :id => "a96",
    :input => a87,
    :projlist => [ [ :outer, :iter ], [ :inner ]]

a75 = Join.new :id => "a75",
    :left_rel => a76,
    :right_rel => a96,
    :left_col => :iter,
    :right_col => :inner

a74 = Project.new :id => "a74",
    :input => a75,
    :projlist => [ [ :iter, :outer ]]

a73 = Distinct.new :id => "a73",
    :input => a74

a72 = Project.new :id => "a72",
    :input => a73,
    :projlist => [[ :item, true ],  [ :iter ]]

a71 = Select.new :id => "a71",
    :input => a72,
    :column => :item

a70 = Project.new :id => "a70",
    :input => a71,
    :projlist => [ [ :outer, :iter ], [ :inner, :iter ]]

a61 = Join.new :id => "a61",
    :left_rel => a62,
    :right_rel => a70,
    :left_col => :iter,
    :right_col => :outer

a60 = Project.new :id => "a60",
    :input => a61,
    :projlist => [ [ :iter, :inner ], [ :pos ], [ :item ]]

a97 = Project.new :id => "a97",
    :input => a64,
    :projlist => [ [ :outer, :iter ], [ :sort, :pos ], [ :inner ]]

a59 = Join.new :id => "a59",
    :left_rel => a60,
    :right_rel => a97,
    :left_col => :iter,
    :right_col => :inner

a58 = Rownum.new :id => "a58",
    :input => a59,
    :newcol => :pos1,
    :order => [ :sort, :pos ],
    :part => :outer

a57 = Project.new :id => "a57",
    :input => a58,
    :projlist => [ [ :iter, :outer ], [ :pos, :pos1 ], [ :item ]]

a56 = Rownum.new :id => "a56",
    :input => a57,
    :newcol => :inner,
    :order => [ :iter, :pos ]

a55 = Project.new :id => "a55",
    :input => a56,
    :projlist => [ [ :outer, :iter ], [ :inner ]]

a44 = Join.new :id => "a44",
    :left_rel => a45,
    :right_rel => a55,
    :left_col => :iter,
    :right_col => :outer

a43 = Project.new :id => "a43",
    :input => a44,
    :projlist => [ [ :iter, :inner ], [ :item ]]

a42 = Scj.new :id => "a42",
    :input => a43,
    :src => :item,
    :step => "child::bidder"

a41 = Project.new :id => "a41",
    :input => a42,
    :projlist => [ [ :iter ], [ :item ]]

a36 = Scj.new :id => "a36",
    :input => a41,
    :src => :item,
    :step => "child::personref"

a35 = Rownum.new :id => "a35",
    :input => a36,
    :newcol => :pos,
    :order => [ :item ],
    :part => :iter

a34 = Rownum.new :id => "a34",
    :input => a35,
    :newcol => :inner,
    :order => [ :iter, :pos ]

a33 = Project.new :id => "a33",
    :input => a34,
    :projlist => [ [ :iter, :inner ], [ :item ]]

a32 = Project.new :id => "a32",
    :input => a33,
    :projlist => [[ :pos, 1 ],  [ :iter ], [ :item ]]

a120 = Project.new :id => "a120",
    :input => a32,
    :projlist => [ [ :iter ], [ :item ]]

a119 = Scj.new :id => "a119",
    :input => a120,
    :src => :item,
    :step => "attribute::person"

a118 = Rownum.new :id => "a118",
    :input => a119,
    :newcol => :pos,
    :order => [ :item ],
    :part => :iter

a117 = Atomize.new :id => "a117",
    :input => a118,
    :src => :item,
    :dest => :res

a116 = Project.new :id => "a116",
    :input => a117,
    :projlist => [ [ :iter ], [ :pos ], [ :item, :res ]]

a115 = Rownum.new :id => "a115",
    :input => a116,
    :newcol => :inner,
    :order => [ :iter, :pos ]

a114 = Project.new :id => "a114",
    :input => a115,
    :projlist => [ [ :iter, :inner ], [ :item ]]

a123 = Project.new :id => "a123",
    :input => a114,
    :projlist => [ [ :iter ]]

a122 = Project.new :id => "a122",
    :input => a123,
    :projlist => [[ :item, "person51" ],  [ :iter ]]

a121 = Project.new :id => "a121",
    :input => a122,
    :projlist => [ [ :iter1, :iter ], [ :item1, :item ]]

a113 = Join.new :id => "a113",
    :left_rel => a114,
    :right_rel => a121,
    :left_col => :iter,
    :right_col => :iter1

a112 = EqualOp.new :id => "a112",
    :input => a113,
    :newcol => :res,
    :arg1 => :item,
    :arg2 => :item1

a111 = Project.new :id => "a111",
    :input => a112,
    :projlist => [ [ :iter ], [ :item, :res ]]

a110 = Select.new :id => "a110",
    :input => a111,
    :column => :item

a109 = Project.new :id => "a109",
    :input => a110,
    :projlist => [ [ :iter ]]

a108 = Project.new :id => "a108",
    :input => a109,
    :projlist => [ [ :iter ]]

a107 = Distinct.new :id => "a107",
    :input => a108

a106 = Project.new :id => "a106",
    :input => a107,
    :projlist => [[ :item, true ],  [ :iter ]]

a105 = Select.new :id => "a105",
    :input => a106,
    :column => :item

a104 = Project.new :id => "a104",
    :input => a105,
    :projlist => [ [ :iter ]]

a124 = Project.new :id => "a124",
    :input => a115,
    :projlist => [ [ :outer, :iter ], [ :inner ]]

a103 = Join.new :id => "a103",
    :left_rel => a104,
    :right_rel => a124,
    :left_col => :iter,
    :right_col => :inner

a102 = Project.new :id => "a102",
    :input => a103,
    :projlist => [ [ :iter, :outer ]]

a101 = Distinct.new :id => "a101",
    :input => a102

a100 = Project.new :id => "a100",
    :input => a101,
    :projlist => [[ :item, true ],  [ :iter ]]

a99 = Select.new :id => "a99",
    :input => a100,
    :column => :item

a98 = Project.new :id => "a98",
    :input => a99,
    :projlist => [ [ :outer, :iter ], [ :inner, :iter ]]

a31 = Join.new :id => "a31",
    :left_rel => a32,
    :right_rel => a98,
    :left_col => :iter,
    :right_col => :outer

a30 = Project.new :id => "a30",
    :input => a31,
    :projlist => [ [ :iter, :inner ], [ :pos ], [ :item ]]

a125 = Project.new :id => "a125",
    :input => a34,
    :projlist => [ [ :outer, :iter ], [ :sort, :pos ], [ :inner ]]

a29 = Join.new :id => "a29",
    :left_rel => a30,
    :right_rel => a125,
    :left_col => :iter,
    :right_col => :inner

a28 = Rownum.new :id => "a28",
    :input => a29,
    :newcol => :pos1,
    :order => [ :sort, :pos ],
    :part => :outer

a27 = Project.new :id => "a27",
    :input => a28,
    :projlist => [ [ :iter, :outer ], [ :pos, :pos1 ], [ :item ]]

a26 = Rownum.new :id => "a26",
    :input => a27,
    :newcol => :inner,
    :order => [ :iter, :pos ]

a25 = Project.new :id => "a25",
    :input => a26,
    :projlist => [ [ :iter, :inner ], [ :item ]]

a128 = Project.new :id => "a128",
    :input => a56,
    :projlist => [ [ :iter, :inner ], [ :item ]]

a129 = Project.new :id => "a129",
    :input => a26,
    :projlist => [ [ :outer, :iter ], [ :inner ]]

a127 = Join.new :id => "a127",
    :left_rel => a128,
    :right_rel => a129,
    :left_col => :iter,
    :right_col => :outer

a126 = Project.new :id => "a126",
    :input => a127,
    :projlist => [ [ :iter1, :inner ], [ :item1, :item ]]

a24 = Join.new :id => "a24",
    :left_rel => a25,
    :right_rel => a126,
    :left_col => :iter,
    :right_col => :iter1

a23 = GreaterThanOp.new :id => "a23",
    :input => a24,
    :newcol => :res,
    :arg1 => :item,
    :arg2 => :item1

a22 = Project.new :id => "a22",
    :input => a23,
    :projlist => [ [ :iter ], [ :item, :res ]]

a21 = Select.new :id => "a21",
    :input => a22,
    :column => :item

a20 = Project.new :id => "a20",
    :input => a21,
    :projlist => [ [ :iter ]]

a19 = Join.new :id => "a19",
    :left_rel => a20,
    :right_rel => a129,
    :left_col => :iter,
    :right_col => :inner

a18 = Project.new :id => "a18",
    :input => a19,
    :projlist => [ [ :iter, :outer ]]

a17 = Distinct.new :id => "a17",
    :input => a18

a16 = Project.new :id => "a16",
    :input => a17,
    :projlist => [[ :item, true ],  [ :iter ]]

a15 = Select.new :id => "a15",
    :input => a16,
    :column => :item

a14 = Project.new :id => "a14",
    :input => a15,
    :projlist => [ [ :iter ]]

a13 = Join.new :id => "a13",
    :left_rel => a14,
    :right_rel => a55,
    :left_col => :iter,
    :right_col => :inner

a12 = Project.new :id => "a12",
    :input => a13,
    :projlist => [ [ :iter, :outer ]]

a11 = Distinct.new :id => "a11",
    :input => a12

a10 = Project.new :id => "a10",
    :input => a11,
    :projlist => [[ :item, true ],  [ :iter ]]

a9 = Select.new :id => "a9",
    :input => a10,
    :column => :item

a8 = Project.new :id => "a8",
    :input => a9,
    :projlist => [ [ :iter ]]

a7 = Project.new :id => "a7",
    :input => a8,
    :projlist => [[ :item, "history" ],  [ :iter ]]

a141 = Project.new :id => "a141",
    :input => a9,
    :projlist => [ [ :outer, :iter ], [ :inner, :iter ]]

a140 = Join.new :id => "a140",
    :left_rel => a45,
    :right_rel => a141,
    :left_col => :iter,
    :right_col => :outer

a139 = Project.new :id => "a139",
    :input => a140,
    :projlist => [ [ :iter, :inner ], [ :item ]]

a138 = Scj.new :id => "a138",
    :input => a139,
    :src => :item,
    :step => "child::reserve"

a137 = Project.new :id => "a137",
    :input => a138,
    :projlist => [ [ :iter ], [ :item ]]

a136 = Scj.new :id => "a136",
    :input => a137,
    :src => :item,
    :step => "child::text()"

a135 = Rownum.new :id => "a135",
    :input => a136,
    :newcol => :pos,
    :order => [ :item ],
    :part => :iter

a134 = a135     # ERROR#pf:merge-adjacent-text-nodes.new

a142 = Project.new :id => "a142",
    :input => a134,
    :projlist => [ [ :iter ], [ :pos ], [ :item ]]

a131 = a142     # ERRORContent.new

a130 = a131 # fncs
a6 = ElemConstr.new :id => "a6",
    :tagnames => a7,
    :content => a130

a5 = a6  # twig
a148 = Project.new :id => "a148",
    :input => a5,
    :projlist => [ [ :iter ], [ :item ]]

a147 = Project.new :id => "a147",
    :input => a148,
    :projlist => [[ :pos, 1 ],  [ :iter ], [ :item ]]

a149 = Project.new :id => "a149",
    :input => a46,
    :projlist => [ [ :outer, :iter ], [ :sort, :pos ], [ :inner ]]

a146 = Join.new :id => "a146",
    :left_rel => a147,
    :right_rel => a149,
    :left_col => :iter,
    :right_col => :inner

a145 = Rownum.new :id => "a145",
    :input => a146,
    :newcol => :pos1,
    :order => [ :sort, :pos ],
    :part => :outer

a144 = Project.new :id => "a144",
    :input => a145,
    :projlist => [ [ :pos, :pos1 ], [ :item ]]

# serialize (:pos => :pos, :item => :item)
$root = a144
