a13 = LiteralTable.new :id => "a13",
    :colnames => [ :iter, :item ],
    :data => [[1, "auction.xml"]]

a12 = Doc.new :id => "a12",
    :input => a13,
    :src => :item,
    :dest => :res

a25 = Project.new :id => "a25",
    :input => a12,
    :projlist => [ [ :iter ], [ :item ], [ :res ]]

a24 = Project.new :id => "a24",
    :input => a25,
    :projlist => [ [ :iter ], [ :item, :res ]]

a23 = Scj.new :id => "a23",
    :input => a24,
    :src => :item,
    :step => "child::site"

a22 = Project.new :id => "a22",
    :input => a23,
    :projlist => [ [ :iter ], [ :item ]]

a21 = Scj.new :id => "a21",
    :input => a22,
    :src => :item,
    :step => "child::closed_auctions"

a20 = Project.new :id => "a20",
    :input => a21,
    :projlist => [ [ :iter ], [ :item ]]

a19 = Scj.new :id => "a19",
    :input => a20,
    :src => :item,
    :step => "child::closed_auction"

a18 = Rownum.new :id => "a18",
    :input => a19,
    :newcol => :pos,
    :order => [ :item ],
    :part => :iter

a17 = Rownum.new :id => "a17",
    :input => a18,
    :newcol => :inner,
    :order => [ :iter, :pos ]

a16 = Project.new :id => "a16",
    :input => a17,
    :projlist => [ [ :iter, :inner ], [ :item ]]

a56 = Project.new :id => "a56",
    :input => a16,
    :projlist => [ [ :iter ], [ :item ]]

a55 = Scj.new :id => "a55",
    :input => a56,
    :src => :item,
    :step => "child::price"

a54 = Project.new :id => "a54",
    :input => a55,
    :projlist => [ [ :iter ], [ :item ]]

a53 = Scj.new :id => "a53",
    :input => a54,
    :src => :item,
    :step => "child::text()"

a52 = Rownum.new :id => "a52",
    :input => a53,
    :newcol => :pos,
    :order => [ :item ],
    :part => :iter

a51 = Atomize.new :id => "a51",
    :input => a52,
    :src => :item,
    :dest => :res

a50 = Project.new :id => "a50",
    :input => a51,
    :projlist => [ [ :iter ], [ :pos ], [ :item, :res ]]

a49 = Rownum.new :id => "a49",
    :input => a50,
    :newcol => :inner,
    :order => [ :iter, :pos ]

a48 = Project.new :id => "a48",
    :input => a49,
    :projlist => [ [ :iter, :inner ], [ :item ]]

a47 = Project.new :id => "a47",
    :input => a48,
    :projlist => [ [ :iter ]]

a46 = Project.new :id => "a46",
    :input => a47,
    :projlist => [[ :item, 40 ],  [ :iter ]]

a45 = Project.new :id => "a45",
    :input => a46,
    :projlist => [[ :cast, :item ],  [ :iter ], [ :item ]]

a44 = Project.new :id => "a44",
    :input => a45,
    :projlist => [ [ :iter ], [ :item, :cast ]]

a58 = fun_1to1 :id => "a58",
    :input => a48,
    :fun_name => "fn:number",
    :res => :res,
    :args => [ :item ]


a57 = Project.new :id => "a57",
    :input => a58,
    :projlist => [ [ :iter1, :iter ], [ :item1, :res ]]

a43 = Join.new :id => "a43",
    :left_rel => a44,
    :right_rel => a57,
    :left_col => :iter,
    :right_col => :iter1

a42 = GreaterThanOp.new :id => "a42",
    :input => a43,
    :newcol => :res,
    :arg1 => :item,
    :arg2 => :item1

a41 = Project.new :id => "a41",
    :input => a42,
    :projlist => [ [ :iter ], [ :item, :res ]]

a40 = Not.new :id => "a40",
    :input => a41,
    :newcol => :res,
    :arg => :item

a39 = Project.new :id => "a39",
    :input => a40,
    :projlist => [ [ :iter ], [ :item, :res ]]

a38 = Select.new :id => "a38",
    :input => a39,
    :column => :item

a37 = Project.new :id => "a37",
    :input => a38,
    :projlist => [ [ :iter ]]

a36 = Project.new :id => "a36",
    :input => a37,
    :projlist => [ [ :iter ]]

a35 = Distinct.new :id => "a35",
    :input => a36

a34 = Project.new :id => "a34",
    :input => a35,
    :projlist => [[ :item, true ],  [ :iter ]]

a33 = Select.new :id => "a33",
    :input => a34,
    :column => :item

a32 = Project.new :id => "a32",
    :input => a33,
    :projlist => [ [ :iter ]]

a59 = Project.new :id => "a59",
    :input => a49,
    :projlist => [ [ :outer, :iter ], [ :inner ]]

a31 = Join.new :id => "a31",
    :left_rel => a32,
    :right_rel => a59,
    :left_col => :iter,
    :right_col => :inner

a30 = Project.new :id => "a30",
    :input => a31,
    :projlist => [ [ :iter, :outer ]]

a29 = Distinct.new :id => "a29",
    :input => a30

a28 = Project.new :id => "a28",
    :input => a29,
    :projlist => [[ :item, true ],  [ :iter ]]

a27 = Select.new :id => "a27",
    :input => a28,
    :column => :item

a26 = Project.new :id => "a26",
    :input => a27,
    :projlist => [ [ :outer, :iter ], [ :inner, :iter ]]

a15 = Join.new :id => "a15",
    :left_rel => a16,
    :right_rel => a26,
    :left_col => :iter,
    :right_col => :outer

a14 = Project.new :id => "a14",
    :input => a15,
    :projlist => [ [ :iter, :inner ], [ :item ]]

a9 = Scj.new :id => "a9",
    :input => a14,
    :src => :item,
    :step => "child::price"

a60 = Project.new :id => "a60",
    :input => a17,
    :projlist => [ [ :outer, :iter ], [ :inner ]]

a8 = Join.new :id => "a8",
    :left_rel => a9,
    :right_rel => a60,
    :left_col => :iter,
    :right_col => :inner

a7 = Project.new :id => "a7",
    :input => a8,
    :projlist => [ [ :iter, :outer ]]

a6 = Count.new :id => "a6",
    :input => a7,
    :newcol => :item,
    :part => :iter


a5 = Project.new :id => "a5",
    :input => a6,
    :projlist => [ [ :item ]]

a64 = LiteralTable.new :id => "a64",
    :colnames => [ :iter ],
    :data => [[1]]

a65 = Project.new :id => "a65",
    :input => a6,
    :projlist => [ [ :iter ]]

a63 = Difference.new :id => "a63",
    :left_rel => a64,
    :right_rel => a65

a62 = Project.new :id => "a62",
    :input => a63,
    :projlist => [[ :item, 0 ],  [ :iter ]]

a61 = Project.new :id => "a61",
    :input => a62,
    :projlist => [ [ :item ]]

a4 = Union.new :id => "a4",
    :left_rel => a5,
    :right_rel => a61

a3 = Project.new :id => "a3",
    :input => a4,
    :projlist => [[ :pos, 1 ],  [ :item ]]

# serialize (:pos => :pos, :item => :item)
$root = a3
