a20 = LiteralTable.new :id => "a20",
    :colnames => [ :iter, :item ],
    :data => [[1, "auction.xml"]]

a19 = Doc.new :id => "a19",
    :input => a20,
    :src => :item,
    :dest => :res

a29 = Project.new :id => "a29",
    :input => a19,
    :projlist => [ [ :iter ], [ :item ], [ :res ]]

a28 = Project.new :id => "a28",
    :input => a29,
    :projlist => [ [ :iter ], [ :item, :res ]]

a27 = Scj.new :id => "a27",
    :input => a28,
    :src => :item,
    :step => "child::site"

a26 = Rownum.new :id => "a26",
    :input => a27,
    :newcol => :pos,
    :order => [ :item ],
    :part => :iter

a25 = Rownum.new :id => "a25",
    :input => a26,
    :newcol => :inner,
    :order => [ :iter, :pos ]

a24 = Project.new :id => "a24",
    :input => a25,
    :projlist => [ [ :iter, :inner ], [ :item ]]

a23 = Project.new :id => "a23",
    :input => a24,
    :projlist => [ [ :iter ], [ :item ]]

a22 = Scj.new :id => "a22",
    :input => a23,
    :src => :item,
    :step => "descendant-or-self::node()"

a21 = Project.new :id => "a21",
    :input => a22,
    :projlist => [ [ :iter ], [ :item ]]

a16 = Scj.new :id => "a16",
    :input => a21,
    :src => :item,
    :step => "child::description"

a15 = Project.new :id => "a15",
    :input => a16,
    :projlist => [ [ :iter ]]

a14 = Count.new :id => "a14",
    :input => a15,
    :newcol => :item,
    :part => :iter


a32 = Project.new :id => "a32",
    :input => a24,
    :projlist => [ [ :iter ]]

a33 = Project.new :id => "a33",
    :input => a14,
    :projlist => [ [ :iter ]]

a31 = Difference.new :id => "a31",
    :left_rel => a32,
    :right_rel => a33

a30 = Project.new :id => "a30",
    :input => a31,
    :projlist => [[ :item, 0 ],  [ :iter ]]

a13 = Union.new :id => "a13",
    :left_rel => a14,
    :right_rel => a30

a12 = Project.new :id => "a12",
    :input => a13,
    :projlist => [[ :pos, 1 ],  [ :item ], [ :iter ]]

a38 = Scj.new :id => "a38",
    :input => a21,
    :src => :item,
    :step => "child::annotation"

a37 = Project.new :id => "a37",
    :input => a38,
    :projlist => [ [ :iter ]]

a36 = Count.new :id => "a36",
    :input => a37,
    :newcol => :item,
    :part => :iter


a41 = Project.new :id => "a41",
    :input => a36,
    :projlist => [ [ :iter ]]

a40 = Difference.new :id => "a40",
    :left_rel => a32,
    :right_rel => a41

a39 = Project.new :id => "a39",
    :input => a40,
    :projlist => [[ :item, 0 ],  [ :iter ]]

a35 = Union.new :id => "a35",
    :left_rel => a36,
    :right_rel => a39

a34 = Project.new :id => "a34",
    :input => a35,
    :projlist => [ [ :iter1, :iter ], [ :item1, :item ]]

a11 = Join.new :id => "a11",
    :left_rel => a12,
    :right_rel => a34,
    :left_col => :iter,
    :right_col => :iter1

a10 = fun_1to1 :id => "a10",
    :input => a11,
    :fun_name => "add",
    :res => :res,
    :args => [ :item, :item1 ]


a9 = Project.new :id => "a9",
    :input => a10,
    :projlist => [ [ :iter ], [ :pos ], [ :item, :res ]]

a46 = Scj.new :id => "a46",
    :input => a21,
    :src => :item,
    :step => "child::emailaddress"

a45 = Project.new :id => "a45",
    :input => a46,
    :projlist => [ [ :iter ]]

a44 = Count.new :id => "a44",
    :input => a45,
    :newcol => :item,
    :part => :iter


a49 = Project.new :id => "a49",
    :input => a44,
    :projlist => [ [ :iter ]]

a48 = Difference.new :id => "a48",
    :left_rel => a32,
    :right_rel => a49

a47 = Project.new :id => "a47",
    :input => a48,
    :projlist => [[ :item, 0 ],  [ :iter ]]

a43 = Union.new :id => "a43",
    :left_rel => a44,
    :right_rel => a47

a42 = Project.new :id => "a42",
    :input => a43,
    :projlist => [ [ :iter1, :iter ], [ :item1, :item ]]

a8 = Join.new :id => "a8",
    :left_rel => a9,
    :right_rel => a42,
    :left_col => :iter,
    :right_col => :iter1

a7 = fun_1to1 :id => "a7",
    :input => a8,
    :fun_name => "add",
    :res => :res,
    :args => [ :item, :item1 ]


a6 = Project.new :id => "a6",
    :input => a7,
    :projlist => [ [ :iter ], [ :pos ], [ :item, :res ]]

a50 = Project.new :id => "a50",
    :input => a25,
    :projlist => [ [ :outer, :iter ], [ :sort, :pos ], [ :inner ]]

a5 = Join.new :id => "a5",
    :left_rel => a6,
    :right_rel => a50,
    :left_col => :iter,
    :right_col => :inner

a4 = Rownum.new :id => "a4",
    :input => a5,
    :newcol => :pos1,
    :order => [ :sort, :pos ],
    :part => :outer

a3 = Project.new :id => "a3",
    :input => a4,
    :projlist => [ [ :pos, :pos1 ], [ :item ]]

# serialize (:pos => :pos, :item => :item)
$root = a3
