a18 = LiteralTable.new :id => "a18",
    :colnames => [ :iter, :item ],
    :data => [[1, "auction.xml"]]

a17 = Doc.new :id => "a17",
    :input => a18,
    :src => :item,
    :dest => :res

a31 = Project.new :id => "a31",
    :input => a17,
    :projlist => [ [ :iter ], [ :item ], [ :res ]]

a30 = Project.new :id => "a30",
    :input => a31,
    :projlist => [ [ :iter ], [ :item, :res ]]

a29 = Scj.new :id => "a29",
    :input => a30,
    :src => :item,
    :step => "child::site"

a28 = Project.new :id => "a28",
    :input => a29,
    :projlist => [ [ :iter ], [ :item ]]

a27 = Scj.new :id => "a27",
    :input => a28,
    :src => :item,
    :step => "child::people"

a26 = Project.new :id => "a26",
    :input => a27,
    :projlist => [ [ :iter ], [ :item ]]

a25 = Scj.new :id => "a25",
    :input => a26,
    :src => :item,
    :step => "child::person"

a24 = Project.new :id => "a24",
    :input => a25,
    :projlist => [ [ :iter ], [ :item ]]

a23 = Scj.new :id => "a23",
    :input => a24,
    :src => :item,
    :step => "child::profile"

a22 = Project.new :id => "a22",
    :input => a23,
    :projlist => [ [ :iter ], [ :item ]]

a21 = Scj.new :id => "a21",
    :input => a22,
    :src => :item,
    :step => "child::interest"

a20 = Project.new :id => "a20",
    :input => a21,
    :projlist => [ [ :iter ], [ :item ]]

a19 = Scj.new :id => "a19",
    :input => a20,
    :src => :item,
    :step => "attribute::category"

a14 = Atomize.new :id => "a14",
    :input => a19,
    :src => :item,
    :dest => :res

a13 = Project.new :id => "a13",
    :input => a14,
    :projlist => [ [ :iter ], [ :item, :res ]]

a12 = Distinct.new :id => "a12",
    :input => a13

a11 = Rownum.new :id => "a11",
    :input => a12,
    :newcol => :pos,
    :order => []


a10 = Rownum.new :id => "a10",
    :input => a11,
    :newcol => :inner,
    :order => [ :iter, :pos ]

a9 = Project.new :id => "a9",
    :input => a10,
    :projlist => [ [ :iter, :inner ], [ :item ]]

a8 = Project.new :id => "a8",
    :input => a9,
    :projlist => [ [ :iter ]]

a7 = Project.new :id => "a7",
    :input => a8,
    :projlist => [[ :item, "categorie" ],  [ :iter ]]

a34 = Project.new :id => "a34",
    :input => a8,
    :projlist => [[ :item, "id" ],  [ :iter ]]

a36 = TextConstr.new :id => "a36",
    :input => a9,
    :iter => :iter,
    :item => :item


a35 = a36 # fncs
a33 = ElemConstr.new :id => "a33",
    :tagnames => a34,
    :content => a35

a82 = Project.new :id => "a82",
    :input => a10,
    :projlist => [ [ :outer, :iter ], [ :inner ]]

a81 = Join.new :id => "a81",
    :left_rel => a30,
    :right_rel => a82,
    :left_col => :iter,
    :right_col => :outer

a80 = Project.new :id => "a80",
    :input => a81,
    :projlist => [ [ :iter, :inner ], [ :item ]]

a79 = Scj.new :id => "a79",
    :input => a80,
    :src => :item,
    :step => "child::site"

a78 = Project.new :id => "a78",
    :input => a79,
    :projlist => [ [ :iter ], [ :item ]]

a77 = Scj.new :id => "a77",
    :input => a78,
    :src => :item,
    :step => "child::people"

a76 = Project.new :id => "a76",
    :input => a77,
    :projlist => [ [ :iter ], [ :item ]]

a75 = Scj.new :id => "a75",
    :input => a76,
    :src => :item,
    :step => "child::person"

a74 = Rownum.new :id => "a74",
    :input => a75,
    :newcol => :pos,
    :order => [ :item ],
    :part => :iter

a73 = Rownum.new :id => "a73",
    :input => a74,
    :newcol => :inner,
    :order => [ :iter, :pos ]

a72 = Project.new :id => "a72",
    :input => a73,
    :projlist => [ [ :iter, :inner ], [ :item ]]

a71 = Project.new :id => "a71",
    :input => a72,
    :projlist => [ [ :iter ], [ :item ]]

a70 = Scj.new :id => "a70",
    :input => a71,
    :src => :item,
    :step => "child::profile"

a69 = Project.new :id => "a69",
    :input => a70,
    :projlist => [ [ :iter ], [ :item ]]

a68 = Scj.new :id => "a68",
    :input => a69,
    :src => :item,
    :step => "child::interest"

a67 = Project.new :id => "a67",
    :input => a68,
    :projlist => [ [ :iter ], [ :item ]]

a66 = Scj.new :id => "a66",
    :input => a67,
    :src => :item,
    :step => "attribute::category"

a65 = Rownum.new :id => "a65",
    :input => a66,
    :newcol => :pos,
    :order => [ :item ],
    :part => :iter

a64 = Atomize.new :id => "a64",
    :input => a65,
    :src => :item,
    :dest => :res

a63 = Project.new :id => "a63",
    :input => a64,
    :projlist => [ [ :iter ], [ :pos ], [ :item, :res ]]

a62 = Rownum.new :id => "a62",
    :input => a63,
    :newcol => :inner,
    :order => [ :iter, :pos ]

a61 = Project.new :id => "a61",
    :input => a62,
    :projlist => [ [ :iter, :inner ], [ :item ]]

a87 = Project.new :id => "a87",
    :input => a73,
    :projlist => [ [ :iter, :inner ], [ :outer, :iter ]]

a88 = Project.new :id => "a88",
    :input => a62,
    :projlist => [ [ :iter2, :iter ], [ :inner ]]

a86 = Join.new :id => "a86",
    :left_rel => a87,
    :right_rel => a88,
    :left_col => :iter,
    :right_col => :iter2

a85 = Project.new :id => "a85",
    :input => a86,
    :projlist => [ [ :outer ], [ :inner ]]

a84 = Join.new :id => "a84",
    :left_rel => a9,
    :right_rel => a85,
    :left_col => :iter,
    :right_col => :outer

a83 = Project.new :id => "a83",
    :input => a84,
    :projlist => [ [ :iter1, :inner ], [ :item1, :item ]]

a60 = Join.new :id => "a60",
    :left_rel => a61,
    :right_rel => a83,
    :left_col => :iter,
    :right_col => :iter1

a59 = EqualOp.new :id => "a59",
    :input => a60,
    :newcol => :res,
    :arg1 => :item,
    :arg2 => :item1

a58 = Project.new :id => "a58",
    :input => a59,
    :projlist => [ [ :iter ], [ :item, :res ]]

a57 = Select.new :id => "a57",
    :input => a58,
    :column => :item

a56 = Project.new :id => "a56",
    :input => a57,
    :projlist => [ [ :iter ]]

a55 = Project.new :id => "a55",
    :input => a56,
    :projlist => [ [ :iter ]]

a54 = Distinct.new :id => "a54",
    :input => a55

a53 = Project.new :id => "a53",
    :input => a54,
    :projlist => [[ :item, true ],  [ :iter ]]

a52 = Select.new :id => "a52",
    :input => a53,
    :column => :item

a51 = Project.new :id => "a51",
    :input => a52,
    :projlist => [ [ :iter ]]

a89 = Project.new :id => "a89",
    :input => a62,
    :projlist => [ [ :outer, :iter ], [ :inner ]]

a50 = Join.new :id => "a50",
    :left_rel => a51,
    :right_rel => a89,
    :left_col => :iter,
    :right_col => :inner

a49 = Project.new :id => "a49",
    :input => a50,
    :projlist => [ [ :iter, :outer ]]

a48 = Distinct.new :id => "a48",
    :input => a49

a47 = Project.new :id => "a47",
    :input => a48,
    :projlist => [[ :item, true ],  [ :iter ]]

a46 = Select.new :id => "a46",
    :input => a47,
    :column => :item

a45 = Project.new :id => "a45",
    :input => a46,
    :projlist => [ [ :iter ]]

a44 = Project.new :id => "a44",
    :input => a45,
    :projlist => [[ :item, "personne" ],  [ :iter ]]

a92 = Project.new :id => "a92",
    :input => a45,
    :projlist => [[ :item, "statistiques" ],  [ :iter ]]

a95 = Project.new :id => "a95",
    :input => a45,
    :projlist => [[ :item, "sexe" ],  [ :iter ]]

a109 = Project.new :id => "a109",
    :input => a46,
    :projlist => [ [ :outer, :iter ], [ :inner, :iter ]]

a108 = Join.new :id => "a108",
    :left_rel => a72,
    :right_rel => a109,
    :left_col => :iter,
    :right_col => :outer

a107 = Project.new :id => "a107",
    :input => a108,
    :projlist => [ [ :iter, :inner ], [ :item ]]

a106 = Scj.new :id => "a106",
    :input => a107,
    :src => :item,
    :step => "child::profile"

a105 = Project.new :id => "a105",
    :input => a106,
    :projlist => [ [ :iter ], [ :item ]]

a104 = Scj.new :id => "a104",
    :input => a105,
    :src => :item,
    :step => "child::gender"

a103 = Project.new :id => "a103",
    :input => a104,
    :projlist => [ [ :iter ], [ :item ]]

a102 = Scj.new :id => "a102",
    :input => a103,
    :src => :item,
    :step => "child::text()"

a101 = Rownum.new :id => "a101",
    :input => a102,
    :newcol => :pos,
    :order => [ :item ],
    :part => :iter

a100 = a101     # ERROR#pf:merge-adjacent-text-nodes.new

a110 = Project.new :id => "a110",
    :input => a100,
    :projlist => [ [ :iter ], [ :pos ], [ :item ]]

a97 = a110     # ERRORContent.new

a96 = a97 # fncs
a94 = ElemConstr.new :id => "a94",
    :tagnames => a95,
    :content => a96

a113 = Project.new :id => "a113",
    :input => a45,
    :projlist => [[ :item, "age" ],  [ :iter ]]

a122 = Scj.new :id => "a122",
    :input => a105,
    :src => :item,
    :step => "child::age"

a121 = Project.new :id => "a121",
    :input => a122,
    :projlist => [ [ :iter ], [ :item ]]

a120 = Scj.new :id => "a120",
    :input => a121,
    :src => :item,
    :step => "child::text()"

a119 = Rownum.new :id => "a119",
    :input => a120,
    :newcol => :pos,
    :order => [ :item ],
    :part => :iter

a118 = a119     # ERROR#pf:merge-adjacent-text-nodes.new

a123 = Project.new :id => "a123",
    :input => a118,
    :projlist => [ [ :iter ], [ :pos ], [ :item ]]

a115 = a123     # ERRORContent.new

a114 = a115 # fncs
a112 = ElemConstr.new :id => "a112",
    :tagnames => a113,
    :content => a114

a126 = Project.new :id => "a126",
    :input => a45,
    :projlist => [[ :item, "education" ],  [ :iter ]]

a135 = Scj.new :id => "a135",
    :input => a105,
    :src => :item,
    :step => "child::education"

a134 = Project.new :id => "a134",
    :input => a135,
    :projlist => [ [ :iter ], [ :item ]]

a133 = Scj.new :id => "a133",
    :input => a134,
    :src => :item,
    :step => "child::text()"

a132 = Rownum.new :id => "a132",
    :input => a133,
    :newcol => :pos,
    :order => [ :item ],
    :part => :iter

a131 = a132     # ERROR#pf:merge-adjacent-text-nodes.new

a136 = Project.new :id => "a136",
    :input => a131,
    :projlist => [ [ :iter ], [ :pos ], [ :item ]]

a128 = a136     # ERRORContent.new

a127 = a128 # fncs
a125 = ElemConstr.new :id => "a125",
    :tagnames => a126,
    :content => a127

a139 = Project.new :id => "a139",
    :input => a45,
    :projlist => [[ :item, "revenu" ],  [ :iter ]]

a150 = Scj.new :id => "a150",
    :input => a105,
    :src => :item,
    :step => "attribute::income"

a149 = Rownum.new :id => "a149",
    :input => a150,
    :newcol => :pos,
    :order => [ :item ],
    :part => :iter

a148 = Atomize.new :id => "a148",
    :input => a149,
    :src => :item,
    :dest => :res

a147 = Project.new :id => "a147",
    :input => a148,
    :projlist => [ [ :iter ], [ :pos ], [ :item, :res ]]

a152 = Project.new :id => "a152",
    :input => a45,
    :projlist => [ [ :iter ]]

a151 = Project.new :id => "a151",
    :input => a152,
    :projlist => [[ :item, " " ],  [ :iter ]]

a146 = StringJoin.new :id => "a146",
    :left_rel => a147,
    :right_rel => a151,
    :iter => :iter,
    :pos  => :pos,
    :item => :item


a145 = TextConstr.new :id => "a145",
    :input => a146,
    :iter => :iter,
    :item => :item


a144 = a145  # twig
a154 = Project.new :id => "a154",
    :input => a144,
    :projlist => [ [ :iter ], [ :item ]]

a153 = Project.new :id => "a153",
    :input => a154,
    :projlist => [[ :pos, 1 ],  [ :iter ], [ :item ]]

a141 = a153     # ERRORContent.new

a140 = a141 # fncs
a138 = ElemConstr.new :id => "a138",
    :tagnames => a139,
    :content => a140

a137 = a138 # fncs
a124 = Union.new :id => "a124",
    :left_rel => a125,
    :right_rel => a137
a111 = Union.new :id => "a111",
    :left_rel => a112,
    :right_rel => a124
a93 = Union.new :id => "a93",
    :left_rel => a94,
    :right_rel => a111
a91 = ElemConstr.new :id => "a91",
    :tagnames => a92,
    :content => a93

a157 = Project.new :id => "a157",
    :input => a45,
    :projlist => [[ :item, "coordonnees" ],  [ :iter ]]

a160 = Project.new :id => "a160",
    :input => a45,
    :projlist => [[ :item, "nom" ],  [ :iter ]]

a169 = Scj.new :id => "a169",
    :input => a107,
    :src => :item,
    :step => "child::name"

a168 = Project.new :id => "a168",
    :input => a169,
    :projlist => [ [ :iter ], [ :item ]]

a167 = Scj.new :id => "a167",
    :input => a168,
    :src => :item,
    :step => "child::text()"

a166 = Rownum.new :id => "a166",
    :input => a167,
    :newcol => :pos,
    :order => [ :item ],
    :part => :iter

a165 = a166     # ERROR#pf:merge-adjacent-text-nodes.new

a170 = Project.new :id => "a170",
    :input => a165,
    :projlist => [ [ :iter ], [ :pos ], [ :item ]]

a162 = a170     # ERRORContent.new

a161 = a162 # fncs
a159 = ElemConstr.new :id => "a159",
    :tagnames => a160,
    :content => a161

a173 = Project.new :id => "a173",
    :input => a45,
    :projlist => [[ :item, "rue" ],  [ :iter ]]

a184 = Scj.new :id => "a184",
    :input => a107,
    :src => :item,
    :step => "child::address"

a183 = Project.new :id => "a183",
    :input => a184,
    :projlist => [ [ :iter ], [ :item ]]

a182 = Scj.new :id => "a182",
    :input => a183,
    :src => :item,
    :step => "child::street"

a181 = Project.new :id => "a181",
    :input => a182,
    :projlist => [ [ :iter ], [ :item ]]

a180 = Scj.new :id => "a180",
    :input => a181,
    :src => :item,
    :step => "child::text()"

a179 = Rownum.new :id => "a179",
    :input => a180,
    :newcol => :pos,
    :order => [ :item ],
    :part => :iter

a178 = a179     # ERROR#pf:merge-adjacent-text-nodes.new

a185 = Project.new :id => "a185",
    :input => a178,
    :projlist => [ [ :iter ], [ :pos ], [ :item ]]

a175 = a185     # ERRORContent.new

a174 = a175 # fncs
a172 = ElemConstr.new :id => "a172",
    :tagnames => a173,
    :content => a174

a188 = Project.new :id => "a188",
    :input => a45,
    :projlist => [[ :item, "ville" ],  [ :iter ]]

a197 = Scj.new :id => "a197",
    :input => a183,
    :src => :item,
    :step => "child::city"

a196 = Project.new :id => "a196",
    :input => a197,
    :projlist => [ [ :iter ], [ :item ]]

a195 = Scj.new :id => "a195",
    :input => a196,
    :src => :item,
    :step => "child::text()"

a194 = Rownum.new :id => "a194",
    :input => a195,
    :newcol => :pos,
    :order => [ :item ],
    :part => :iter

a193 = a194     # ERROR#pf:merge-adjacent-text-nodes.new

a198 = Project.new :id => "a198",
    :input => a193,
    :projlist => [ [ :iter ], [ :pos ], [ :item ]]

a190 = a198     # ERRORContent.new

a189 = a190 # fncs
a187 = ElemConstr.new :id => "a187",
    :tagnames => a188,
    :content => a189

a201 = Project.new :id => "a201",
    :input => a45,
    :projlist => [[ :item, "pays" ],  [ :iter ]]

a210 = Scj.new :id => "a210",
    :input => a183,
    :src => :item,
    :step => "child::country"

a209 = Project.new :id => "a209",
    :input => a210,
    :projlist => [ [ :iter ], [ :item ]]

a208 = Scj.new :id => "a208",
    :input => a209,
    :src => :item,
    :step => "child::text()"

a207 = Rownum.new :id => "a207",
    :input => a208,
    :newcol => :pos,
    :order => [ :item ],
    :part => :iter

a206 = a207     # ERROR#pf:merge-adjacent-text-nodes.new

a211 = Project.new :id => "a211",
    :input => a206,
    :projlist => [ [ :iter ], [ :pos ], [ :item ]]

a203 = a211     # ERRORContent.new

a202 = a203 # fncs
a200 = ElemConstr.new :id => "a200",
    :tagnames => a201,
    :content => a202

a214 = Project.new :id => "a214",
    :input => a45,
    :projlist => [[ :item, "reseau" ],  [ :iter ]]

a217 = Project.new :id => "a217",
    :input => a45,
    :projlist => [[ :item, "courrier" ],  [ :iter ]]

a226 = Scj.new :id => "a226",
    :input => a107,
    :src => :item,
    :step => "child::emailaddress"

a225 = Project.new :id => "a225",
    :input => a226,
    :projlist => [ [ :iter ], [ :item ]]

a224 = Scj.new :id => "a224",
    :input => a225,
    :src => :item,
    :step => "child::text()"

a223 = Rownum.new :id => "a223",
    :input => a224,
    :newcol => :pos,
    :order => [ :item ],
    :part => :iter

a222 = a223     # ERROR#pf:merge-adjacent-text-nodes.new

a227 = Project.new :id => "a227",
    :input => a222,
    :projlist => [ [ :iter ], [ :pos ], [ :item ]]

a219 = a227     # ERRORContent.new

a218 = a219 # fncs
a216 = ElemConstr.new :id => "a216",
    :tagnames => a217,
    :content => a218

a230 = Project.new :id => "a230",
    :input => a45,
    :projlist => [[ :item, "pagePerso" ],  [ :iter ]]

a239 = Scj.new :id => "a239",
    :input => a107,
    :src => :item,
    :step => "child::homepage"

a238 = Project.new :id => "a238",
    :input => a239,
    :projlist => [ [ :iter ], [ :item ]]

a237 = Scj.new :id => "a237",
    :input => a238,
    :src => :item,
    :step => "child::text()"

a236 = Rownum.new :id => "a236",
    :input => a237,
    :newcol => :pos,
    :order => [ :item ],
    :part => :iter

a235 = a236     # ERROR#pf:merge-adjacent-text-nodes.new

a240 = Project.new :id => "a240",
    :input => a235,
    :projlist => [ [ :iter ], [ :pos ], [ :item ]]

a232 = a240     # ERRORContent.new

a231 = a232 # fncs
a229 = ElemConstr.new :id => "a229",
    :tagnames => a230,
    :content => a231

a228 = a229 # fncs
a215 = Union.new :id => "a215",
    :left_rel => a216,
    :right_rel => a228
a213 = ElemConstr.new :id => "a213",
    :tagnames => a214,
    :content => a215

a212 = a213 # fncs
a199 = Union.new :id => "a199",
    :left_rel => a200,
    :right_rel => a212
a186 = Union.new :id => "a186",
    :left_rel => a187,
    :right_rel => a199
a171 = Union.new :id => "a171",
    :left_rel => a172,
    :right_rel => a186
a158 = Union.new :id => "a158",
    :left_rel => a159,
    :right_rel => a171
a156 = ElemConstr.new :id => "a156",
    :tagnames => a157,
    :content => a158

a243 = Project.new :id => "a243",
    :input => a45,
    :projlist => [[ :item, "cartePaiement" ],  [ :iter ]]

a252 = Scj.new :id => "a252",
    :input => a107,
    :src => :item,
    :step => "child::creditcard"

a251 = Project.new :id => "a251",
    :input => a252,
    :projlist => [ [ :iter ], [ :item ]]

a250 = Scj.new :id => "a250",
    :input => a251,
    :src => :item,
    :step => "child::text()"

a249 = Rownum.new :id => "a249",
    :input => a250,
    :newcol => :pos,
    :order => [ :item ],
    :part => :iter

a248 = a249     # ERROR#pf:merge-adjacent-text-nodes.new

a253 = Project.new :id => "a253",
    :input => a248,
    :projlist => [ [ :iter ], [ :pos ], [ :item ]]

a245 = a253     # ERRORContent.new

a244 = a245 # fncs
a242 = ElemConstr.new :id => "a242",
    :tagnames => a243,
    :content => a244

a241 = a242 # fncs
a155 = Union.new :id => "a155",
    :left_rel => a156,
    :right_rel => a241
a90 = Union.new :id => "a90",
    :left_rel => a91,
    :right_rel => a155
a43 = ElemConstr.new :id => "a43",
    :tagnames => a44,
    :content => a90

a42 = a43  # twig
a258 = Project.new :id => "a258",
    :input => a42,
    :projlist => [ [ :iter ], [ :item ]]

a257 = Project.new :id => "a257",
    :input => a258,
    :projlist => [[ :pos, 1 ],  [ :iter ], [ :item ]]

a259 = Project.new :id => "a259",
    :input => a73,
    :projlist => [ [ :outer, :iter ], [ :sort, :pos ], [ :inner ]]

a256 = Join.new :id => "a256",
    :left_rel => a257,
    :right_rel => a259,
    :left_col => :iter,
    :right_col => :inner

a255 = Rownum.new :id => "a255",
    :input => a256,
    :newcol => :pos1,
    :order => [ :sort, :pos ],
    :part => :outer

a254 = Project.new :id => "a254",
    :input => a255,
    :projlist => [ [ :iter, :outer ], [ :pos, :pos1 ], [ :item ]]

a39 = a254     # ERRORContent.new

a38 = a39 # fncs
a32 = Union.new :id => "a32",
    :left_rel => a33,
    :right_rel => a38
a6 = ElemConstr.new :id => "a6",
    :tagnames => a7,
    :content => a32

a5 = a6  # twig
a264 = Project.new :id => "a264",
    :input => a5,
    :projlist => [ [ :iter ], [ :item ]]

a263 = Project.new :id => "a263",
    :input => a264,
    :projlist => [[ :pos, 1 ],  [ :iter ], [ :item ]]

a265 = Project.new :id => "a265",
    :input => a10,
    :projlist => [ [ :outer, :iter ], [ :sort, :pos ], [ :inner ]]

a262 = Join.new :id => "a262",
    :left_rel => a263,
    :right_rel => a265,
    :left_col => :iter,
    :right_col => :inner

a261 = Rownum.new :id => "a261",
    :input => a262,
    :newcol => :pos1,
    :order => [ :sort, :pos ],
    :part => :outer

a260 = Project.new :id => "a260",
    :input => a261,
    :projlist => [ [ :pos, :pos1 ], [ :item ]]

# serialize (:pos => :pos, :item => :item)
$root = a260
