a16 = LiteralTable.new :id => "a16",
    :colnames => [ :iter, :item ],
    :data => [[1, "auction.xml"]]

a15 = Doc.new :id => "a15",
    :input => a16,
    :src => :item,
    :dest => :res

a24 = Project.new :id => "a24",
    :input => a15,
    :projlist => [ [ :iter ], [ :item ], [ :res ]]

a23 = Project.new :id => "a23",
    :input => a24,
    :projlist => [ [ :iter ], [ :item, :res ]]

a22 = Scj.new :id => "a22",
    :input => a23,
    :src => :item,
    :step => "child::site"

a21 = Project.new :id => "a21",
    :input => a22,
    :projlist => [ [ :iter ], [ :item ]]

a20 = Scj.new :id => "a20",
    :input => a21,
    :src => :item,
    :step => "child::regions"

a19 = Project.new :id => "a19",
    :input => a20,
    :projlist => [ [ :iter ], [ :item ]]

a18 = Scj.new :id => "a18",
    :input => a19,
    :src => :item,
    :step => "child::australia"

a17 = Project.new :id => "a17",
    :input => a18,
    :projlist => [ [ :iter ], [ :item ]]

a12 = Scj.new :id => "a12",
    :input => a17,
    :src => :item,
    :step => "child::item"

a11 = Rownum.new :id => "a11",
    :input => a12,
    :newcol => :pos,
    :order => [ :item ],
    :part => :iter

a10 = Rownum.new :id => "a10",
    :input => a11,
    :newcol => :inner,
    :order => [ :iter, :pos ]

a9 = Project.new :id => "a9",
    :input => a10,
    :projlist => [ [ :iter, :inner ], [ :item ]]

a8 = Project.new :id => "a8",
    :input => a9,
    :projlist => [ [ :iter ]]

a7 = Project.new :id => "a7",
    :input => a8,
    :projlist => [[ :item, "item" ],  [ :iter ]]

a29 = Project.new :id => "a29",
    :input => a9,
    :projlist => [ [ :iter ], [ :item ]]

a28 = Scj.new :id => "a28",
    :input => a29,
    :src => :item,
    :step => "child::description"

a27 = Rownum.new :id => "a27",
    :input => a28,
    :newcol => :pos,
    :order => [ :item ],
    :part => :iter

a26 = a27     # ERRORContent.new

a25 = a26 # fncs
a6 = ElemConstr.new :id => "a6",
    :tagnames => a7,
    :content => a25

a5 = a6  # twig
a35 = Project.new :id => "a35",
    :input => a5,
    :projlist => [ [ :iter ], [ :item ]]

a34 = Project.new :id => "a34",
    :input => a35,
    :projlist => [[ :pos, 1 ],  [ :iter ], [ :item ]]

a36 = Project.new :id => "a36",
    :input => a10,
    :projlist => [ [ :outer, :iter ], [ :sort, :pos ], [ :inner ]]

a33 = Join.new :id => "a33",
    :left_rel => a34,
    :right_rel => a36,
    :left_col => :iter,
    :right_col => :inner

a32 = Rownum.new :id => "a32",
    :input => a33,
    :newcol => :pos1,
    :order => [ :sort, :pos ],
    :part => :outer

a31 = Project.new :id => "a31",
    :input => a32,
    :projlist => [ [ :pos, :pos1 ], [ :item ]]

# serialize (:pos => :pos, :item => :item)
$root = a31
