a6 = LiteralTable.new :id => "a6",
    :colnames => [ :iter, :item ],
    :data => [[1, "auction.xml"]]

a5 = Doc.new :id => "a5",
    :input => a6,
    :src => :item,
    :dest => :res

a25 = Project.new :id => "a25",
    :input => a5,
    :projlist => [ [ :iter ], [ :item ], [ :res ]]

a24 = Project.new :id => "a24",
    :input => a25,
    :projlist => [ [ :iter ], [ :item, :res ]]

a23 = Scj.new :id => "a23",
    :input => a24,
    :src => :item,
    :step => "child::site"

a22 = Project.new :id => "a22",
    :input => a23,
    :projlist => [ [ :iter ], [ :item ]]

a21 = Scj.new :id => "a21",
    :input => a22,
    :src => :item,
    :step => "descendant-or-self::node()"

a20 = Project.new :id => "a20",
    :input => a21,
    :projlist => [ [ :iter ], [ :item ]]

a19 = Scj.new :id => "a19",
    :input => a20,
    :src => :item,
    :step => "child::item"

a18 = Rownum.new :id => "a18",
    :input => a19,
    :newcol => :pos,
    :order => [ :item ],
    :part => :iter

a17 = Rownum.new :id => "a17",
    :input => a18,
    :newcol => :inner,
    :order => [ :iter, :pos ]

a16 = Project.new :id => "a16",
    :input => a17,
    :projlist => [ [ :iter, :inner ], [ :item ]]

a39 = Project.new :id => "a39",
    :input => a16,
    :projlist => [ [ :iter ], [ :item ]]

a38 = Scj.new :id => "a38",
    :input => a39,
    :src => :item,
    :step => "child::description"

a37 = a38     # ERRORerror.new

a36 = Project.new :id => "a36",
    :input => a37,
    :projlist => [ [ :iter ], [ :item ]]

a35 = Scj.new :id => "a35",
    :input => a36,
    :src => :item,
    :step => "descendant-or-self::text()"

a34 = Rownum.new :id => "a34",
    :input => a35,
    :newcol => :pos,
    :order => [ :item ]

a33 = Atomize.new :id => "a33",
    :input => a34,
    :src => :item,
    :dest => :res

a32 = Project.new :id => "a32",
    :input => a33,
    :projlist => [ [ :iter ], [ :pos ], [ :item, :res ]]

a49 = Project.new :id => "a49",
    :input => a16,
    :projlist => [ [ :iter ]]

a52 = Project.new :id => "a52",
    :input => a49,
    :projlist => [ [ :iter ]]

a51 = Project.new :id => "a51",
    :input => a52,
    :projlist => [[ :item, "" ],  [ :iter ]]

a31 = StringJoin.new :id => "a31",
    :left_rel => a32,
    :right_rel => a51,
    :iter => :iter,
    :pos  => :pos,
    :item => :item


a54 = Project.new :id => "a54",
    :input => a49,
    :projlist => [[ :item, "gold" ],  [ :iter ]]

a53 = Project.new :id => "a53",
    :input => a54,
    :projlist => [ [ :iter1, :iter ], [ :item1, :item ]]

a30 = Join.new :id => "a30",
    :left_rel => a31,
    :right_rel => a53,
    :left_col => :iter,
    :right_col => :iter1

a29 = fun_1to1 :id => "a29",
    :input => a30,
    :fun_name => "fn:contains",
    :res => :res,
    :args => [ :item, :item1 ]


a28 = Project.new :id => "a28",
    :input => a29,
    :projlist => [ [ :iter ], [ :item, :res ]]

a27 = Select.new :id => "a27",
    :input => a28,
    :column => :item

a26 = Project.new :id => "a26",
    :input => a27,
    :projlist => [ [ :outer, :iter ], [ :inner, :iter ]]

a15 = Join.new :id => "a15",
    :left_rel => a16,
    :right_rel => a26,
    :left_col => :iter,
    :right_col => :outer

a14 = Project.new :id => "a14",
    :input => a15,
    :projlist => [ [ :iter, :inner ], [ :item ]]

a13 = Scj.new :id => "a13",
    :input => a14,
    :src => :item,
    :step => "child::name"

a12 = Project.new :id => "a12",
    :input => a13,
    :projlist => [ [ :iter ], [ :item ]]

a11 = Scj.new :id => "a11",
    :input => a12,
    :src => :item,
    :step => "child::text()"

a10 = Rownum.new :id => "a10",
    :input => a11,
    :newcol => :pos,
    :order => [ :item ],
    :part => :iter

a55 = Project.new :id => "a55",
    :input => a17,
    :projlist => [ [ :outer, :iter ], [ :sort, :pos ], [ :inner ]]

a9 = Join.new :id => "a9",
    :left_rel => a10,
    :right_rel => a55,
    :left_col => :iter,
    :right_col => :inner

a8 = Rownum.new :id => "a8",
    :input => a9,
    :newcol => :pos1,
    :order => [ :sort, :pos ],
    :part => :outer

a7 = Project.new :id => "a7",
    :input => a8,
    :projlist => [ [ :pos, :pos1 ], [ :item ]]

# serialize (:pos => :pos, :item => :item)
$root = a7
