a20 = LiteralTable.new :id => "a20",
    :colnames => [ :iter, :item ],
    :data => [[1, "auction.xml"]]

a19 = Doc.new :id => "a19",
    :input => a20,
    :src => :item,
    :dest => :res

a26 = Project.new :id => "a26",
    :input => a19,
    :projlist => [ [ :iter ], [ :item ], [ :res ]]

a25 = Project.new :id => "a25",
    :input => a26,
    :projlist => [ [ :iter ], [ :item, :res ]]

a24 = Scj.new :id => "a24",
    :input => a25,
    :src => :item,
    :step => "child::site"

a23 = Project.new :id => "a23",
    :input => a24,
    :projlist => [ [ :iter ], [ :item ]]

a22 = Scj.new :id => "a22",
    :input => a23,
    :src => :item,
    :step => "child::people"

a21 = Project.new :id => "a21",
    :input => a22,
    :projlist => [ [ :iter ], [ :item ]]

a16 = Scj.new :id => "a16",
    :input => a21,
    :src => :item,
    :step => "child::person"

a15 = Rownum.new :id => "a15",
    :input => a16,
    :newcol => :pos,
    :order => [ :item ],
    :part => :iter

a14 = Rownum.new :id => "a14",
    :input => a15,
    :newcol => :inner,
    :order => [ :iter, :pos ]

a13 = Project.new :id => "a13",
    :input => a14,
    :projlist => [ [ :iter, :inner ], [ :item ]]

a12 = Project.new :id => "a12",
    :input => a13,
    :projlist => [ [ :iter ]]

a31 = Project.new :id => "a31",
    :input => a13,
    :projlist => [ [ :iter ], [ :item ]]

a30 = Scj.new :id => "a30",
    :input => a31,
    :src => :item,
    :step => "child::homepage"

a29 = Project.new :id => "a29",
    :input => a30,
    :projlist => [ [ :iter ], [ :item ]]

a28 = Scj.new :id => "a28",
    :input => a29,
    :src => :item,
    :step => "child::text()"

a27 = Project.new :id => "a27",
    :input => a28,
    :projlist => [ [ :iter ]]

a11 = Difference.new :id => "a11",
    :left_rel => a12,
    :right_rel => a27

a10 = Project.new :id => "a10",
    :input => a11,
    :projlist => [[ :item, true ],  [ :iter ]]

a9 = Select.new :id => "a9",
    :input => a10,
    :column => :item

a8 = Project.new :id => "a8",
    :input => a9,
    :projlist => [ [ :iter ]]

a7 = Project.new :id => "a7",
    :input => a8,
    :projlist => [[ :item, "person" ],  [ :iter ]]

a32 = LiteralTable.new :id => "a32", # fncs
    :colnames => [ :iter, :pos, :item ],
    :data => []

a6 = ElemConstr.new :id => "a6",
    :tagnames => a7,
    :content => a32

a5 = a6  # twig
a38 = Project.new :id => "a38",
    :input => a5,
    :projlist => [ [ :iter ], [ :item ]]

a37 = Project.new :id => "a37",
    :input => a38,
    :projlist => [[ :pos, 1 ],  [ :iter ], [ :item ]]

a39 = Project.new :id => "a39",
    :input => a14,
    :projlist => [ [ :outer, :iter ], [ :sort, :pos ], [ :inner ]]

a36 = Join.new :id => "a36",
    :left_rel => a37,
    :right_rel => a39,
    :left_col => :iter,
    :right_col => :inner

a35 = Rownum.new :id => "a35",
    :input => a36,
    :newcol => :pos1,
    :order => [ :sort, :pos ],
    :part => :outer

a34 = Project.new :id => "a34",
    :input => a35,
    :projlist => [ [ :pos, :pos1 ], [ :item ]]

# serialize (:pos => :pos, :item => :item)
$root = a34
