a7 = LiteralTable.new :id => "a7",
    :colnames => [ :iter, :item ],
    :data => [[1, "result"]]

a32 = LiteralTable.new :id => "a32",
    :colnames => [ :iter, :item ],
    :data => [[1, "items.xml"]]

a31 = Doc.new :id => "a31",
    :input => a32,
    :src => :item,
    :dest => :res

a44 = Project.new :id => "a44",
    :input => a31,
    :projlist => [ [ :iter ], [ :item ], [ :res ]]

a43 = Project.new :id => "a43",
    :input => a44,
    :projlist => [ [ :iter ], [ :item, :res ]]

a42 = Scj.new :id => "a42",
    :input => a43,
    :src => :item,
    :step => "descendant-or-self::node()"

a41 = Project.new :id => "a41",
    :input => a42,
    :projlist => [ [ :iter ], [ :item ]]

a40 = Scj.new :id => "a40",
    :input => a41,
    :src => :item,
    :step => "child::item_tuple"

a39 = Rownum.new :id => "a39",
    :input => a40,
    :newcol => :pos,
    :order => [ :item ],
    :part => :iter

a38 = Rownum.new :id => "a38",
    :input => a39,
    :newcol => :inner,
    :order => [ :iter, :pos ]

a37 = Project.new :id => "a37",
    :input => a38,
    :projlist => [ [ :iter, :inner ], [ :item ]]

a71 = Project.new :id => "a71",
    :input => a37,
    :projlist => [ [ :iter ], [ :item ]]

a70 = Scj.new :id => "a70",
    :input => a71,
    :src => :item,
    :step => "child::start_date"

a69 = Rownum.new :id => "a69",
    :input => a70,
    :newcol => :pos,
    :order => [ :item ],
    :part => :iter

a68 = Atomize.new :id => "a68",
    :input => a69,
    :src => :item,
    :dest => :res

a67 = Project.new :id => "a67",
    :input => a68,
    :projlist => [ [ :iter ], [ :pos ], [ :item, :res ]]

a66 = Rownum.new :id => "a66",
    :input => a67,
    :newcol => :inner,
    :order => [ :iter, :pos ]

a65 = Project.new :id => "a65",
    :input => a66,
    :projlist => [ [ :iter, :inner ], [ :item ]]

a74 = Project.new :id => "a74",
    :input => a65,
    :projlist => [ [ :iter ]]

a73 = Project.new :id => "a73",
    :input => a74,
    :projlist => [[ :item, "1999-03-01" ],  [ :iter ]]

a72 = Project.new :id => "a72",
    :input => a73,
    :projlist => [ [ :iter1, :iter ], [ :item1, :item ]]

a64 = Join.new :id => "a64",
    :left_rel => a65,
    :right_rel => a72,
    :left_col => :iter,
    :right_col => :iter1

a63 = GreaterThanOp.new :id => "a63",
    :input => a64,
    :newcol => :res,
    :arg1 => :item,
    :arg2 => :item1

a62 = Project.new :id => "a62",
    :input => a63,
    :projlist => [ [ :iter ], [ :item, :res ]]

a61 = Not.new :id => "a61",
    :input => a62,
    :newcol => :res,
    :arg => :item

a60 = Project.new :id => "a60",
    :input => a61,
    :projlist => [ [ :iter ], [ :item, :res ]]

a59 = Select.new :id => "a59",
    :input => a60,
    :column => :item

a58 = Project.new :id => "a58",
    :input => a59,
    :projlist => [ [ :iter ]]

a57 = Project.new :id => "a57",
    :input => a58,
    :projlist => [ [ :iter ]]

a56 = Distinct.new :id => "a56",
    :input => a57

a55 = Project.new :id => "a55",
    :input => a56,
    :projlist => [[ :item, true ],  [ :iter ]]

a54 = Select.new :id => "a54",
    :input => a55,
    :column => :item

a53 = Project.new :id => "a53",
    :input => a54,
    :projlist => [ [ :iter ]]

a75 = Project.new :id => "a75",
    :input => a66,
    :projlist => [ [ :outer, :iter ], [ :inner ]]

a52 = Join.new :id => "a52",
    :left_rel => a53,
    :right_rel => a75,
    :left_col => :iter,
    :right_col => :inner

a51 = Project.new :id => "a51",
    :input => a52,
    :projlist => [ [ :iter, :outer ]]

a50 = Distinct.new :id => "a50",
    :input => a51

a49 = Project.new :id => "a49",
    :input => a50,
    :projlist => [[ :item, true ],  [ :iter ]]

a48 = Select.new :id => "a48",
    :input => a49,
    :column => :item

a47 = Project.new :id => "a47",
    :input => a48,
    :projlist => [ [ :outer, :iter ], [ :inner, :iter ]]

a103 = Join.new :id => "a103",
    :left_rel => a37,
    :right_rel => a47,
    :left_col => :iter,
    :right_col => :outer

a102 = Project.new :id => "a102",
    :input => a103,
    :projlist => [ [ :iter, :inner ], [ :item ]]

a101 = Scj.new :id => "a101",
    :input => a102,
    :src => :item,
    :step => "child::end_date"

a100 = Rownum.new :id => "a100",
    :input => a101,
    :newcol => :pos,
    :order => [ :item ],
    :part => :iter

a99 = Atomize.new :id => "a99",
    :input => a100,
    :src => :item,
    :dest => :res

a98 = Project.new :id => "a98",
    :input => a99,
    :projlist => [ [ :iter ], [ :pos ], [ :item, :res ]]

a97 = Rownum.new :id => "a97",
    :input => a98,
    :newcol => :inner,
    :order => [ :iter, :pos ]

a96 = Project.new :id => "a96",
    :input => a97,
    :projlist => [ [ :iter, :inner ], [ :item ]]

a95 = Project.new :id => "a95",
    :input => a96,
    :projlist => [ [ :iter ]]

a94 = Project.new :id => "a94",
    :input => a95,
    :projlist => [[ :item, "1999-03-01" ],  [ :iter ]]

a104 = Project.new :id => "a104",
    :input => a96,
    :projlist => [ [ :iter1, :iter ], [ :item1, :item ]]

a93 = Join.new :id => "a93",
    :left_rel => a94,
    :right_rel => a104,
    :left_col => :iter,
    :right_col => :iter1

a92 = GreaterThanOp.new :id => "a92",
    :input => a93,
    :newcol => :res,
    :arg1 => :item,
    :arg2 => :item1

a91 = Project.new :id => "a91",
    :input => a92,
    :projlist => [ [ :iter ], [ :item, :res ]]

a90 = Not.new :id => "a90",
    :input => a91,
    :newcol => :res,
    :arg => :item

a89 = Project.new :id => "a89",
    :input => a90,
    :projlist => [ [ :iter ], [ :item, :res ]]

a88 = Select.new :id => "a88",
    :input => a89,
    :column => :item

a87 = Project.new :id => "a87",
    :input => a88,
    :projlist => [ [ :iter ]]

a86 = Project.new :id => "a86",
    :input => a87,
    :projlist => [ [ :iter ]]

a85 = Distinct.new :id => "a85",
    :input => a86

a84 = Project.new :id => "a84",
    :input => a85,
    :projlist => [[ :item, true ],  [ :iter ]]

a83 = Select.new :id => "a83",
    :input => a84,
    :column => :item

a82 = Project.new :id => "a82",
    :input => a83,
    :projlist => [ [ :iter ]]

a105 = Project.new :id => "a105",
    :input => a97,
    :projlist => [ [ :outer, :iter ], [ :inner ]]

a81 = Join.new :id => "a81",
    :left_rel => a82,
    :right_rel => a105,
    :left_col => :iter,
    :right_col => :inner

a80 = Project.new :id => "a80",
    :input => a81,
    :projlist => [ [ :iter, :outer ]]

a79 = Distinct.new :id => "a79",
    :input => a80

a78 = Project.new :id => "a78",
    :input => a79,
    :projlist => [[ :item, true ],  [ :iter ]]

a77 = Select.new :id => "a77",
    :input => a78,
    :column => :item

a76 = Project.new :id => "a76",
    :input => a77,
    :projlist => [ [ :iter ]]

a46 = Join.new :id => "a46",
    :left_rel => a47,
    :right_rel => a76,
    :left_col => :inner,
    :right_col => :iter

a45 = Project.new :id => "a45",
    :input => a46,
    :projlist => [ [ :outer ], [ :inner ]]

a36 = Join.new :id => "a36",
    :left_rel => a37,
    :right_rel => a45,
    :left_col => :iter,
    :right_col => :outer

a35 = Project.new :id => "a35",
    :input => a36,
    :projlist => [ [ :iter, :inner ], [ :item ]]

a34 = Scj.new :id => "a34",
    :input => a35,
    :src => :item,
    :step => "child::description"

a33 = Rownum.new :id => "a33",
    :input => a34,
    :newcol => :pos,
    :order => [ :item ],
    :part => :iter

a28 = Atomize.new :id => "a28",
    :input => a33,
    :src => :item,
    :dest => :res

a27 = Project.new :id => "a27",
    :input => a28,
    :projlist => [ [ :iter ], [ :pos ], [ :item, :res ]]

a26 = Rownum.new :id => "a26",
    :input => a27,
    :newcol => :inner,
    :order => [ :iter, :pos ]

a25 = Project.new :id => "a25",
    :input => a26,
    :projlist => [ [ :iter, :inner ], [ :item ]]

a106 = Project.new :id => "a106",
    :input => a26,
    :projlist => [ [ :outer, :iter ], [ :inner ]]

a24 = Join.new :id => "a24",
    :left_rel => a25,
    :right_rel => a106,
    :left_col => :iter,
    :right_col => :inner

a23 = Project.new :id => "a23",
    :input => a24,
    :projlist => [ [ :iter, :outer ], [ :item ]]

a22 = a23     # ERRORerror.new

a21 = Project.new :id => "a21",
    :input => a22,
    :projlist => [ [ :iter ], [ :item ]]

a23 = Project.new :id => "a23",
    :input => a24,
    :projlist => [ [ :iter, :outer ], [ :item ]]

a22 = a23     # ERRORerror.new

a114 = Project.new :id => "a114",
    :input => a22,
    :projlist => [ [ :iter ]]

a113 = Difference.new :id => "a113",
    :left_rel => a76,
    :right_rel => a114

a112 = Project.new :id => "a112",
    :input => a113,
    :projlist => [[ :item, "" ],  [ :iter ]]

a111 = Project.new :id => "a111",
    :input => a112,
    :projlist => [ [ :iter ], [ :item ]]

a20 = Union.new :id => "a20",
    :left_rel => a21,
    :right_rel => a111

a116 = Project.new :id => "a116",
    :input => a76,
    :projlist => [[ :item, "Bicycle" ],  [ :iter ]]

a115 = Project.new :id => "a115",
    :input => a116,
    :projlist => [ [ :iter1, :iter ], [ :item1, :item ]]

a19 = Join.new :id => "a19",
    :left_rel => a20,
    :right_rel => a115,
    :left_col => :iter,
    :right_col => :iter1

a18 = fun_1to1 :id => "a18",
    :input => a19,
    :fun_name => "fn:contains",
    :res => :res,
    :args => [ :item, :item1 ]


a17 = Project.new :id => "a17",
    :input => a18,
    :projlist => [ [ :iter ], [ :item, :res ]]

a16 = Select.new :id => "a16",
    :input => a17,
    :column => :item

a15 = Project.new :id => "a15",
    :input => a16,
    :projlist => [ [ :iter ]]

a14 = Project.new :id => "a14",
    :input => a15,
    :projlist => [[ :item, "item_tuple" ],  [ :iter ]]

a124 = Join.new :id => "a124",
    :left_rel => a45,
    :right_rel => a15,
    :left_col => :inner,
    :right_col => :iter

a123 = Project.new :id => "a123",
    :input => a124,
    :projlist => [ [ :outer ], [ :inner ]]

a122 = Join.new :id => "a122",
    :left_rel => a37,
    :right_rel => a123,
    :left_col => :iter,
    :right_col => :outer

a121 = Project.new :id => "a121",
    :input => a122,
    :projlist => [ [ :iter, :inner ], [ :item ]]

a120 = Scj.new :id => "a120",
    :input => a121,
    :src => :item,
    :step => "child::itemno"

a119 = Rownum.new :id => "a119",
    :input => a120,
    :newcol => :pos,
    :order => [ :item ],
    :part => :iter

a118 = a119     # ERRORContent.new

a128 = Scj.new :id => "a128",
    :input => a121,
    :src => :item,
    :step => "child::description"

a127 = Rownum.new :id => "a127",
    :input => a128,
    :newcol => :pos,
    :order => [ :item ],
    :part => :iter

a126 = a127     # ERRORContent.new

a125 = a126 # fncs
a117 = Union.new :id => "a117",
    :left_rel => a118,
    :right_rel => a125
a13 = ElemConstr.new :id => "a13",
    :tagnames => a14,
    :content => a117

a12 = a13  # twig
a134 = Project.new :id => "a134",
    :input => a12,
    :projlist => [ [ :iter ], [ :item ]]

a133 = Project.new :id => "a133",
    :input => a134,
    :projlist => [[ :pos, 1 ],  [ :iter ], [ :item ]]

a135 = Project.new :id => "a135",
    :input => a38,
    :projlist => [ [ :outer, :iter ], [ :sort, :pos ], [ :inner ]]

a132 = Join.new :id => "a132",
    :left_rel => a133,
    :right_rel => a135,
    :left_col => :iter,
    :right_col => :inner

a131 = Rownum.new :id => "a131",
    :input => a132,
    :newcol => :pos1,
    :order => [ :sort, :pos ],
    :part => :outer

a130 = Project.new :id => "a130",
    :input => a131,
    :projlist => [ [ :iter, :outer ], [ :pos, :pos1 ], [ :item ]]

a9 = a130     # ERRORContent.new

a8 = a9 # fncs
a6 = ElemConstr.new :id => "a6",
    :tagnames => a7,
    :content => a8

a5 = a6  # twig
a137 = Project.new :id => "a137",
    :input => a5,
    :projlist => [ [ :iter ], [ :item ]]

a136 = Project.new :id => "a136",
    :input => a137,
    :projlist => [[ :pos, 1 ],  [ :iter ], [ :item ]]

# serialize (:pos => :pos, :item => :item)
$root = a136
