a7 = LiteralTable.new :id => "a7",
    :colnames => [ :iter, :item ],
    :data => [[1, "result"]]

a42 = LiteralTable.new :id => "a42",
    :colnames => [ :iter, :item ],
    :data => [[1, "bids.xml"]]

a41 = Doc.new :id => "a41",
    :input => a42,
    :src => :item,
    :dest => :res

a47 = Project.new :id => "a47",
    :input => a41,
    :projlist => [ [ :iter ], [ :item ], [ :res ]]

a46 = Project.new :id => "a46",
    :input => a47,
    :projlist => [ [ :iter ], [ :item, :res ]]

a45 = Scj.new :id => "a45",
    :input => a46,
    :src => :item,
    :step => "descendant-or-self::node()"

a44 = Project.new :id => "a44",
    :input => a45,
    :projlist => [ [ :iter ], [ :item ]]

a43 = Scj.new :id => "a43",
    :input => a44,
    :src => :item,
    :step => "child::userid"

a38 = Atomize.new :id => "a38",
    :input => a43,
    :src => :item,
    :dest => :res

a37 = Project.new :id => "a37",
    :input => a38,
    :projlist => [ [ :iter ], [ :item, :res ]]

a36 = Distinct.new :id => "a36",
    :input => a37

a35 = Rownum.new :id => "a35",
    :input => a36,
    :newcol => :pos,
    :order => []


a34 = Rownum.new :id => "a34",
    :input => a35,
    :newcol => :inner,
    :order => [ :iter, :pos ]

a33 = Project.new :id => "a33",
    :input => a34,
    :projlist => [ [ :iter, :inner ], [ :item ]]

a32 = Project.new :id => "a32",
    :input => a33,
    :projlist => [ [ :iter ]]

a31 = Project.new :id => "a31",
    :input => a32,
    :projlist => [[ :item, "users.xml" ],  [ :iter ]]

a30 = Doc.new :id => "a30",
    :input => a31,
    :src => :item,
    :dest => :res

a51 = Project.new :id => "a51",
    :input => a30,
    :projlist => [ [ :iter ], [ :item ], [ :res ]]

a50 = Project.new :id => "a50",
    :input => a51,
    :projlist => [ [ :iter ], [ :item, :res ]]

a49 = Scj.new :id => "a49",
    :input => a50,
    :src => :item,
    :step => "descendant-or-self::node()"

a48 = Project.new :id => "a48",
    :input => a49,
    :projlist => [ [ :iter ], [ :item ]]

a27 = Scj.new :id => "a27",
    :input => a48,
    :src => :item,
    :step => "child::user_tuple"

a26 = Rownum.new :id => "a26",
    :input => a27,
    :newcol => :pos,
    :order => [ :item ],
    :part => :iter

a25 = Rownum.new :id => "a25",
    :input => a26,
    :newcol => :inner,
    :order => [ :iter, :pos ]

a24 = Project.new :id => "a24",
    :input => a25,
    :projlist => [ [ :iter, :inner ], [ :item ]]

a23 = Project.new :id => "a23",
    :input => a24,
    :projlist => [[ :pos, 1 ],  [ :iter ], [ :item ]]

a74 = Project.new :id => "a74",
    :input => a23,
    :projlist => [ [ :iter ], [ :item ]]

a73 = Scj.new :id => "a73",
    :input => a74,
    :src => :item,
    :step => "child::userid"

a72 = Rownum.new :id => "a72",
    :input => a73,
    :newcol => :pos,
    :order => [ :item ],
    :part => :iter

a71 = Atomize.new :id => "a71",
    :input => a72,
    :src => :item,
    :dest => :res

a70 = Project.new :id => "a70",
    :input => a71,
    :projlist => [ [ :iter ], [ :pos ], [ :item, :res ]]

a69 = Rownum.new :id => "a69",
    :input => a70,
    :newcol => :inner,
    :order => [ :iter, :pos ]

a68 = Project.new :id => "a68",
    :input => a69,
    :projlist => [ [ :iter, :inner ], [ :item ]]

a79 = Project.new :id => "a79",
    :input => a25,
    :projlist => [ [ :iter, :inner ], [ :outer, :iter ]]

a80 = Project.new :id => "a80",
    :input => a69,
    :projlist => [ [ :iter2, :iter ], [ :inner ]]

a78 = Join.new :id => "a78",
    :left_rel => a79,
    :right_rel => a80,
    :left_col => :iter,
    :right_col => :iter2

a77 = Project.new :id => "a77",
    :input => a78,
    :projlist => [ [ :outer ], [ :inner ]]

a76 = Join.new :id => "a76",
    :left_rel => a33,
    :right_rel => a77,
    :left_col => :iter,
    :right_col => :outer

a75 = Project.new :id => "a75",
    :input => a76,
    :projlist => [ [ :iter1, :inner ], [ :item1, :item ]]

a67 = Join.new :id => "a67",
    :left_rel => a68,
    :right_rel => a75,
    :left_col => :iter,
    :right_col => :iter1

a66 = EqualOp.new :id => "a66",
    :input => a67,
    :newcol => :res,
    :arg1 => :item,
    :arg2 => :item1

a65 = Project.new :id => "a65",
    :input => a66,
    :projlist => [ [ :iter ], [ :item, :res ]]

a64 = Select.new :id => "a64",
    :input => a65,
    :column => :item

a63 = Project.new :id => "a63",
    :input => a64,
    :projlist => [ [ :iter ]]

a62 = Project.new :id => "a62",
    :input => a63,
    :projlist => [ [ :iter ]]

a61 = Distinct.new :id => "a61",
    :input => a62

a60 = Project.new :id => "a60",
    :input => a61,
    :projlist => [[ :item, true ],  [ :iter ]]

a59 = Select.new :id => "a59",
    :input => a60,
    :column => :item

a58 = Project.new :id => "a58",
    :input => a59,
    :projlist => [ [ :iter ]]

a81 = Project.new :id => "a81",
    :input => a69,
    :projlist => [ [ :outer, :iter ], [ :inner ]]

a57 = Join.new :id => "a57",
    :left_rel => a58,
    :right_rel => a81,
    :left_col => :iter,
    :right_col => :inner

a56 = Project.new :id => "a56",
    :input => a57,
    :projlist => [ [ :iter, :outer ]]

a55 = Distinct.new :id => "a55",
    :input => a56

a54 = Project.new :id => "a54",
    :input => a55,
    :projlist => [[ :item, true ],  [ :iter ]]

a53 = Select.new :id => "a53",
    :input => a54,
    :column => :item

a52 = Project.new :id => "a52",
    :input => a53,
    :projlist => [ [ :outer, :iter ], [ :inner, :iter ]]

a22 = Join.new :id => "a22",
    :left_rel => a23,
    :right_rel => a52,
    :left_col => :iter,
    :right_col => :outer

a21 = Project.new :id => "a21",
    :input => a22,
    :projlist => [ [ :iter, :inner ], [ :pos ], [ :item ]]

a82 = Project.new :id => "a82",
    :input => a25,
    :projlist => [ [ :outer, :iter ], [ :sort, :pos ], [ :inner ]]

a20 = Join.new :id => "a20",
    :left_rel => a21,
    :right_rel => a82,
    :left_col => :iter,
    :right_col => :inner

a19 = Rownum.new :id => "a19",
    :input => a20,
    :newcol => :pos1,
    :order => [ :sort, :pos ],
    :part => :outer

a18 = Project.new :id => "a18",
    :input => a19,
    :projlist => [ [ :iter, :outer ], [ :pos, :pos1 ], [ :item ]]

a17 = Rownum.new :id => "a17",
    :input => a18,
    :newcol => :inner,
    :order => [ :iter, :pos ]

a16 = Project.new :id => "a16",
    :input => a17,
    :projlist => [ [ :iter, :inner ], [ :item ]]

a15 = Project.new :id => "a15",
    :input => a16,
    :projlist => [ [ :iter ]]

a14 = Project.new :id => "a14",
    :input => a15,
    :projlist => [[ :item, "bidder" ],  [ :iter ]]

a87 = Project.new :id => "a87",
    :input => a16,
    :projlist => [ [ :iter ], [ :item ]]

a86 = Scj.new :id => "a86",
    :input => a87,
    :src => :item,
    :step => "child::userid"

a85 = Rownum.new :id => "a85",
    :input => a86,
    :newcol => :pos,
    :order => [ :item ],
    :part => :iter

a84 = a85     # ERRORContent.new

a91 = Scj.new :id => "a91",
    :input => a87,
    :src => :item,
    :step => "child::name"

a90 = Rownum.new :id => "a90",
    :input => a91,
    :newcol => :pos,
    :order => [ :item ],
    :part => :iter

a89 = a90     # ERRORContent.new

a94 = Project.new :id => "a94",
    :input => a15,
    :projlist => [[ :item, "bidcount" ],  [ :iter ]]

a112 = Project.new :id => "a112",
    :input => a15,
    :projlist => [[ :item, "bids.xml" ],  [ :iter ]]

a111 = Doc.new :id => "a111",
    :input => a112,
    :src => :item,
    :dest => :res

a116 = Project.new :id => "a116",
    :input => a111,
    :projlist => [ [ :iter ], [ :item ], [ :res ]]

a115 = Project.new :id => "a115",
    :input => a116,
    :projlist => [ [ :iter ], [ :item, :res ]]

a114 = Scj.new :id => "a114",
    :input => a115,
    :src => :item,
    :step => "descendant-or-self::node()"

a113 = Project.new :id => "a113",
    :input => a114,
    :projlist => [ [ :iter ], [ :item ]]

a108 = Scj.new :id => "a108",
    :input => a113,
    :src => :item,
    :step => "child::bid_tuple"

a107 = Rownum.new :id => "a107",
    :input => a108,
    :newcol => :pos,
    :order => [ :item ],
    :part => :iter

a106 = Rownum.new :id => "a106",
    :input => a107,
    :newcol => :inner,
    :order => [ :iter, :pos ]

a105 = Project.new :id => "a105",
    :input => a106,
    :projlist => [ [ :iter, :inner ], [ :item ]]

a139 = Project.new :id => "a139",
    :input => a105,
    :projlist => [ [ :iter ], [ :item ]]

a138 = Scj.new :id => "a138",
    :input => a139,
    :src => :item,
    :step => "child::userid"

a137 = Rownum.new :id => "a137",
    :input => a138,
    :newcol => :pos,
    :order => [ :item ],
    :part => :iter

a136 = Atomize.new :id => "a136",
    :input => a137,
    :src => :item,
    :dest => :res

a135 = Project.new :id => "a135",
    :input => a136,
    :projlist => [ [ :iter ], [ :pos ], [ :item, :res ]]

a134 = Rownum.new :id => "a134",
    :input => a135,
    :newcol => :inner,
    :order => [ :iter, :pos ]

a133 = Project.new :id => "a133",
    :input => a134,
    :projlist => [ [ :iter, :inner ], [ :item ]]

a146 = Project.new :id => "a146",
    :input => a17,
    :projlist => [ [ :iter, :inner ], [ :outer, :iter ]]

a147 = Project.new :id => "a147",
    :input => a106,
    :projlist => [ [ :iter2, :iter ], [ :inner ]]

a145 = Join.new :id => "a145",
    :left_rel => a146,
    :right_rel => a147,
    :left_col => :iter,
    :right_col => :iter2

a144 = Project.new :id => "a144",
    :input => a145,
    :projlist => [ [ :iter, :inner ], [ :outer ]]

a148 = Project.new :id => "a148",
    :input => a134,
    :projlist => [ [ :iter2, :iter ], [ :inner ]]

a143 = Join.new :id => "a143",
    :left_rel => a144,
    :right_rel => a148,
    :left_col => :iter,
    :right_col => :iter2

a142 = Project.new :id => "a142",
    :input => a143,
    :projlist => [ [ :outer ], [ :inner ]]

a141 = Join.new :id => "a141",
    :left_rel => a33,
    :right_rel => a142,
    :left_col => :iter,
    :right_col => :outer

a140 = Project.new :id => "a140",
    :input => a141,
    :projlist => [ [ :iter1, :inner ], [ :item1, :item ]]

a132 = Join.new :id => "a132",
    :left_rel => a133,
    :right_rel => a140,
    :left_col => :iter,
    :right_col => :iter1

a131 = EqualOp.new :id => "a131",
    :input => a132,
    :newcol => :res,
    :arg1 => :item,
    :arg2 => :item1

a130 = Project.new :id => "a130",
    :input => a131,
    :projlist => [ [ :iter ], [ :item, :res ]]

a129 = Select.new :id => "a129",
    :input => a130,
    :column => :item

a128 = Project.new :id => "a128",
    :input => a129,
    :projlist => [ [ :iter ]]

a127 = Project.new :id => "a127",
    :input => a128,
    :projlist => [ [ :iter ]]

a126 = Distinct.new :id => "a126",
    :input => a127

a125 = Project.new :id => "a125",
    :input => a126,
    :projlist => [[ :item, true ],  [ :iter ]]

a124 = Select.new :id => "a124",
    :input => a125,
    :column => :item

a123 = Project.new :id => "a123",
    :input => a124,
    :projlist => [ [ :iter ]]

a149 = Project.new :id => "a149",
    :input => a134,
    :projlist => [ [ :outer, :iter ], [ :inner ]]

a122 = Join.new :id => "a122",
    :left_rel => a123,
    :right_rel => a149,
    :left_col => :iter,
    :right_col => :inner

a121 = Project.new :id => "a121",
    :input => a122,
    :projlist => [ [ :iter, :outer ]]

a120 = Distinct.new :id => "a120",
    :input => a121

a119 = Project.new :id => "a119",
    :input => a120,
    :projlist => [[ :item, true ],  [ :iter ]]

a118 = Select.new :id => "a118",
    :input => a119,
    :column => :item

a117 = Project.new :id => "a117",
    :input => a118,
    :projlist => [ [ :outer, :iter ], [ :inner, :iter ]]

a104 = Join.new :id => "a104",
    :left_rel => a105,
    :right_rel => a117,
    :left_col => :iter,
    :right_col => :outer

a103 = Project.new :id => "a103",
    :input => a104,
    :projlist => [ [ :iter, :inner ], [ :item ]]

a150 = Project.new :id => "a150",
    :input => a106,
    :projlist => [ [ :outer, :iter ], [ :inner ]]

a102 = Join.new :id => "a102",
    :left_rel => a103,
    :right_rel => a150,
    :left_col => :iter,
    :right_col => :inner

a101 = Project.new :id => "a101",
    :input => a102,
    :projlist => [ [ :iter, :outer ]]

a100 = Count.new :id => "a100",
    :input => a101,
    :newcol => :item,
    :part => :iter


a153 = Project.new :id => "a153",
    :input => a100,
    :projlist => [ [ :iter ]]

a152 = Difference.new :id => "a152",
    :left_rel => a15,
    :right_rel => a153

a151 = Project.new :id => "a151",
    :input => a152,
    :projlist => [[ :item, 0 ],  [ :iter ]]

a99 = Union.new :id => "a99",
    :left_rel => a100,
    :right_rel => a151

a98 = Project.new :id => "a98",
    :input => a99,
    :projlist => [[ :cast, :item ],  [ :item ], [ :iter ]]

a97 = Project.new :id => "a97",
    :input => a98,
    :projlist => [ [ :iter ], [ :item, :cast ]]

a96 = TextConstr.new :id => "a96",
    :input => a97,
    :iter => :iter,
    :item => :item


a95 = a96 # fncs
a93 = ElemConstr.new :id => "a93",
    :tagnames => a94,
    :content => a95

a157 = Project.new :id => "a157",
    :input => a15,
    :projlist => [[ :item, "avgbid" ],  [ :iter ]]

a179 = Project.new :id => "a179",
    :input => a102,
    :projlist => [ [ :iter, :outer ], [ :item ]]

a178 = Scj.new :id => "a178",
    :input => a179,
    :src => :item,
    :step => "child::bid"

a177 = Rownum.new :id => "a177",
    :input => a178,
    :newcol => :pos,
    :order => [ :item ],
    :part => :iter

a176 = Atomize.new :id => "a176",
    :input => a177,
    :src => :item,
    :dest => :res

a175 = Project.new :id => "a175",
    :input => a176,
    :projlist => [ [ :iter ], [ :pos ], [ :item, :res ]]

a174 = Rownum.new :id => "a174",
    :input => a175,
    :newcol => :inner,
    :order => [ :iter, :pos ]

a173 = Project.new :id => "a173",
    :input => a174,
    :projlist => [ [ :iter, :inner ], [ :item ]]

a172 = Project.new :id => "a172",
    :input => a173,
    :projlist => [[ :cast, :item ],  [ :iter ], [ :item ]]

a171 = Project.new :id => "a171",
    :input => a172,
    :projlist => [ [ :iter ], [ :item, :cast ]]

a180 = Project.new :id => "a180",
    :input => a174,
    :projlist => [ [ :outer, :iter ], [ :inner ]]

a170 = Join.new :id => "a170",
    :left_rel => a171,
    :right_rel => a180,
    :left_col => :iter,
    :right_col => :inner

a169 = Project.new :id => "a169",
    :input => a170,
    :projlist => [ [ :iter, :outer ], [ :item ]]

a168 = Avg.new :id => "a168",
    :input => a169,
    :part => :iter,
    :res => :item,
    :arg => :item


a167 = Project.new :id => "a167",
    :input => a168,
    :projlist => [[ :pos, 1 ],  [ :item ], [ :iter ]]

a166 = Project.new :id => "a166",
    :input => a167,
    :projlist => [[ :cast, :item ],  [ :item ], [ :iter ], [ :pos ]]

a165 = Project.new :id => "a165",
    :input => a166,
    :projlist => [ [ :iter ], [ :pos ], [ :item, :cast ]]

a182 = Project.new :id => "a182",
    :input => a15,
    :projlist => [ [ :iter ]]

a181 = Project.new :id => "a181",
    :input => a182,
    :projlist => [[ :item, " " ],  [ :iter ]]

a164 = StringJoin.new :id => "a164",
    :left_rel => a165,
    :right_rel => a181,
    :iter => :iter,
    :pos  => :pos,
    :item => :item


a163 = TextConstr.new :id => "a163",
    :input => a164,
    :iter => :iter,
    :item => :item


a162 = a163  # twig
a184 = Project.new :id => "a184",
    :input => a162,
    :projlist => [ [ :iter ], [ :item ]]

a183 = Project.new :id => "a183",
    :input => a184,
    :projlist => [[ :pos, 1 ],  [ :iter ], [ :item ]]

a159 = a183     # ERRORContent.new

a158 = a159 # fncs
a156 = ElemConstr.new :id => "a156",
    :tagnames => a157,
    :content => a158

a155 = a156 # fncs
a92 = Union.new :id => "a92",
    :left_rel => a93,
    :right_rel => a155
a88 = Union.new :id => "a88",
    :left_rel => a89,
    :right_rel => a92
a83 = Union.new :id => "a83",
    :left_rel => a84,
    :right_rel => a88
a13 = ElemConstr.new :id => "a13",
    :tagnames => a14,
    :content => a83

a12 = a13  # twig
a189 = Project.new :id => "a189",
    :input => a12,
    :projlist => [ [ :iter ], [ :item ]]

a188 = Project.new :id => "a188",
    :input => a189,
    :projlist => [[ :pos, 1 ],  [ :iter ], [ :item ]]

a192 = Project.new :id => "a192",
    :input => a34,
    :projlist => [ [ :outer, :iter ], [ :sort, :pos ], [ :inner ]]

a193 = Project.new :id => "a193",
    :input => a17,
    :projlist => [ [ :iter1, :inner ], [ :iter ], [ :pos ]]

a191 = Join.new :id => "a191",
    :left_rel => a192,
    :right_rel => a193,
    :left_col => :inner,
    :right_col => :iter

a190 = Project.new :id => "a190",
    :input => a191,
    :projlist => [ [ :outer ], [ :inner, :iter1 ], [ :sort ], [ :sort1, :pos ]]

a187 = Join.new :id => "a187",
    :left_rel => a188,
    :right_rel => a190,
    :left_col => :iter,
    :right_col => :inner

a186 = Rownum.new :id => "a186",
    :input => a187,
    :newcol => :pos1,
    :order => [ :sort, :sort1, :pos ],
    :part => :outer

a185 = Project.new :id => "a185",
    :input => a186,
    :projlist => [ [ :iter, :outer ], [ :pos, :pos1 ], [ :item ]]

a9 = a185     # ERRORContent.new

a8 = a9 # fncs
a6 = ElemConstr.new :id => "a6",
    :tagnames => a7,
    :content => a8

a5 = a6  # twig
a195 = Project.new :id => "a195",
    :input => a5,
    :projlist => [ [ :iter ], [ :item ]]

a194 = Project.new :id => "a194",
    :input => a195,
    :projlist => [[ :pos, 1 ],  [ :iter ], [ :item ]]

# serialize (:pos => :pos, :item => :item)
$root = a194
