a7 = LiteralTable.new :id => "a7",
    :colnames => [ :iter, :item ],
    :data => [[1, "result"]]

a43 = LiteralTable.new :id => "a43",
    :colnames => [ :iter, :item ],
    :data => [[1, "bids.xml"]]

a42 = Doc.new :id => "a42",
    :input => a43,
    :src => :item,
    :dest => :res

a48 = Project.new :id => "a48",
    :input => a42,
    :projlist => [ [ :iter ], [ :item ], [ :res ]]

a47 = Project.new :id => "a47",
    :input => a48,
    :projlist => [ [ :iter ], [ :item, :res ]]

a46 = Scj.new :id => "a46",
    :input => a47,
    :src => :item,
    :step => "descendant-or-self::node()"

a45 = Project.new :id => "a45",
    :input => a46,
    :projlist => [ [ :iter ], [ :item ]]

a44 = Scj.new :id => "a44",
    :input => a45,
    :src => :item,
    :step => "child::itemno"

a39 = Atomize.new :id => "a39",
    :input => a44,
    :src => :item,
    :dest => :res

a38 = Project.new :id => "a38",
    :input => a39,
    :projlist => [ [ :iter ], [ :item, :res ]]

a37 = Distinct.new :id => "a37",
    :input => a38

a36 = Rownum.new :id => "a36",
    :input => a37,
    :newcol => :pos,
    :order => []


a35 = Rownum.new :id => "a35",
    :input => a36,
    :newcol => :inner,
    :order => [ :iter, :pos ]

a34 = Project.new :id => "a34",
    :input => a35,
    :projlist => [ [ :iter, :inner ], [ :item ]]

a33 = Project.new :id => "a33",
    :input => a34,
    :projlist => [ [ :iter ]]

a32 = Project.new :id => "a32",
    :input => a33,
    :projlist => [[ :item, 3 ],  [ :iter ]]

a63 = Project.new :id => "a63",
    :input => a33,
    :projlist => [[ :item, "bids.xml" ],  [ :iter ]]

a62 = Doc.new :id => "a62",
    :input => a63,
    :src => :item,
    :dest => :res

a67 = Project.new :id => "a67",
    :input => a62,
    :projlist => [ [ :iter ], [ :item ], [ :res ]]

a66 = Project.new :id => "a66",
    :input => a67,
    :projlist => [ [ :iter ], [ :item, :res ]]

a65 = Scj.new :id => "a65",
    :input => a66,
    :src => :item,
    :step => "descendant-or-self::node()"

a64 = Project.new :id => "a64",
    :input => a65,
    :projlist => [ [ :iter ], [ :item ]]

a59 = Scj.new :id => "a59",
    :input => a64,
    :src => :item,
    :step => "child::bid_tuple"

a58 = Rownum.new :id => "a58",
    :input => a59,
    :newcol => :pos,
    :order => [ :item ],
    :part => :iter

a57 = Rownum.new :id => "a57",
    :input => a58,
    :newcol => :inner,
    :order => [ :iter, :pos ]

a56 = Project.new :id => "a56",
    :input => a57,
    :projlist => [ [ :iter, :inner ], [ :item ]]

a90 = Project.new :id => "a90",
    :input => a56,
    :projlist => [ [ :iter ], [ :item ]]

a89 = Scj.new :id => "a89",
    :input => a90,
    :src => :item,
    :step => "child::itemno"

a88 = Rownum.new :id => "a88",
    :input => a89,
    :newcol => :pos,
    :order => [ :item ],
    :part => :iter

a87 = Atomize.new :id => "a87",
    :input => a88,
    :src => :item,
    :dest => :res

a86 = Project.new :id => "a86",
    :input => a87,
    :projlist => [ [ :iter ], [ :pos ], [ :item, :res ]]

a85 = Rownum.new :id => "a85",
    :input => a86,
    :newcol => :inner,
    :order => [ :iter, :pos ]

a84 = Project.new :id => "a84",
    :input => a85,
    :projlist => [ [ :iter, :inner ], [ :item ]]

a95 = Project.new :id => "a95",
    :input => a57,
    :projlist => [ [ :iter, :inner ], [ :outer, :iter ]]

a96 = Project.new :id => "a96",
    :input => a85,
    :projlist => [ [ :iter2, :iter ], [ :inner ]]

a94 = Join.new :id => "a94",
    :left_rel => a95,
    :right_rel => a96,
    :left_col => :iter,
    :right_col => :iter2

a93 = Project.new :id => "a93",
    :input => a94,
    :projlist => [ [ :outer ], [ :inner ]]

a92 = Join.new :id => "a92",
    :left_rel => a34,
    :right_rel => a93,
    :left_col => :iter,
    :right_col => :outer

a91 = Project.new :id => "a91",
    :input => a92,
    :projlist => [ [ :iter1, :inner ], [ :item1, :item ]]

a83 = Join.new :id => "a83",
    :left_rel => a84,
    :right_rel => a91,
    :left_col => :iter,
    :right_col => :iter1

a82 = EqualOp.new :id => "a82",
    :input => a83,
    :newcol => :res,
    :arg1 => :item,
    :arg2 => :item1

a81 = Project.new :id => "a81",
    :input => a82,
    :projlist => [ [ :iter ], [ :item, :res ]]

a80 = Select.new :id => "a80",
    :input => a81,
    :column => :item

a79 = Project.new :id => "a79",
    :input => a80,
    :projlist => [ [ :iter ]]

a78 = Project.new :id => "a78",
    :input => a79,
    :projlist => [ [ :iter ]]

a77 = Distinct.new :id => "a77",
    :input => a78

a76 = Project.new :id => "a76",
    :input => a77,
    :projlist => [[ :item, true ],  [ :iter ]]

a75 = Select.new :id => "a75",
    :input => a76,
    :column => :item

a74 = Project.new :id => "a74",
    :input => a75,
    :projlist => [ [ :iter ]]

a97 = Project.new :id => "a97",
    :input => a85,
    :projlist => [ [ :outer, :iter ], [ :inner ]]

a73 = Join.new :id => "a73",
    :left_rel => a74,
    :right_rel => a97,
    :left_col => :iter,
    :right_col => :inner

a72 = Project.new :id => "a72",
    :input => a73,
    :projlist => [ [ :iter, :outer ]]

a71 = Distinct.new :id => "a71",
    :input => a72

a70 = Project.new :id => "a70",
    :input => a71,
    :projlist => [[ :item, true ],  [ :iter ]]

a69 = Select.new :id => "a69",
    :input => a70,
    :column => :item

a68 = Project.new :id => "a68",
    :input => a69,
    :projlist => [ [ :outer, :iter ], [ :inner, :iter ]]

a55 = Join.new :id => "a55",
    :left_rel => a56,
    :right_rel => a68,
    :left_col => :iter,
    :right_col => :outer

a54 = Project.new :id => "a54",
    :input => a55,
    :projlist => [ [ :iter, :inner ], [ :item ]]

a98 = Project.new :id => "a98",
    :input => a57,
    :projlist => [ [ :outer, :iter ], [ :inner ]]

a53 = Join.new :id => "a53",
    :left_rel => a54,
    :right_rel => a98,
    :left_col => :iter,
    :right_col => :inner

a52 = Project.new :id => "a52",
    :input => a53,
    :projlist => [ [ :iter, :outer ]]

a51 = Count.new :id => "a51",
    :input => a52,
    :newcol => :item,
    :part => :iter


a101 = Project.new :id => "a101",
    :input => a51,
    :projlist => [ [ :iter ]]

a100 = Difference.new :id => "a100",
    :left_rel => a33,
    :right_rel => a101

a99 = Project.new :id => "a99",
    :input => a100,
    :projlist => [[ :item, 0 ],  [ :iter ]]

a50 = Union.new :id => "a50",
    :left_rel => a51,
    :right_rel => a99

a49 = Project.new :id => "a49",
    :input => a50,
    :projlist => [ [ :iter1, :iter ], [ :item1, :item ]]

a31 = Join.new :id => "a31",
    :left_rel => a32,
    :right_rel => a49,
    :left_col => :iter,
    :right_col => :iter1

a30 = GreaterThanOp.new :id => "a30",
    :input => a31,
    :newcol => :res,
    :arg1 => :item,
    :arg2 => :item1

a29 = Project.new :id => "a29",
    :input => a30,
    :projlist => [ [ :iter ], [ :item, :res ]]

a28 = Not.new :id => "a28",
    :input => a29,
    :newcol => :res,
    :arg => :item

a27 = Project.new :id => "a27",
    :input => a28,
    :projlist => [ [ :iter ], [ :item, :res ]]

a26 = Select.new :id => "a26",
    :input => a27,
    :column => :item

a25 = Project.new :id => "a25",
    :input => a26,
    :projlist => [ [ :iter ]]

a24 = Project.new :id => "a24",
    :input => a25,
    :projlist => [ [ :iter ]]

a23 = Distinct.new :id => "a23",
    :input => a24

a22 = Project.new :id => "a22",
    :input => a23,
    :projlist => [[ :item, true ],  [ :iter ]]

a21 = Select.new :id => "a21",
    :input => a22,
    :column => :item

a20 = Project.new :id => "a20",
    :input => a21,
    :projlist => [ [ :iter ]]

a19 = Project.new :id => "a19",
    :input => a20,
    :projlist => [ [ :iter ]]

a18 = Distinct.new :id => "a18",
    :input => a19

a17 = Project.new :id => "a17",
    :input => a18,
    :projlist => [[ :item, true ],  [ :iter ]]

a16 = Select.new :id => "a16",
    :input => a17,
    :column => :item

a15 = Project.new :id => "a15",
    :input => a16,
    :projlist => [ [ :iter ]]

a14 = Project.new :id => "a14",
    :input => a15,
    :projlist => [[ :item, "popular_item" ],  [ :iter ]]

a104 = Project.new :id => "a104",
    :input => a15,
    :projlist => [[ :item, "itemno" ],  [ :iter ]]

a109 = Project.new :id => "a109",
    :input => a16,
    :projlist => [ [ :outer, :iter ], [ :inner, :iter ]]

a108 = Join.new :id => "a108",
    :left_rel => a34,
    :right_rel => a109,
    :left_col => :iter,
    :right_col => :outer

a107 = Project.new :id => "a107",
    :input => a108,
    :projlist => [ [ :iter, :inner ], [ :item ]]

a106 = TextConstr.new :id => "a106",
    :input => a107,
    :iter => :iter,
    :item => :item


a105 = a106 # fncs
a103 = ElemConstr.new :id => "a103",
    :tagnames => a104,
    :content => a105

a113 = Project.new :id => "a113",
    :input => a15,
    :projlist => [[ :item, "avgbid" ],  [ :iter ]]

a137 = Project.new :id => "a137",
    :input => a53,
    :projlist => [ [ :iter, :outer ], [ :item ]]

a136 = Scj.new :id => "a136",
    :input => a137,
    :src => :item,
    :step => "child::bid"

a135 = Rownum.new :id => "a135",
    :input => a136,
    :newcol => :pos,
    :order => [ :item ],
    :part => :iter

a134 = Atomize.new :id => "a134",
    :input => a135,
    :src => :item,
    :dest => :res

a133 = Project.new :id => "a133",
    :input => a134,
    :projlist => [ [ :iter ], [ :pos ], [ :item, :res ]]

a132 = Rownum.new :id => "a132",
    :input => a133,
    :newcol => :inner,
    :order => [ :iter, :pos ]

a131 = Project.new :id => "a131",
    :input => a132,
    :projlist => [ [ :iter, :inner ], [ :item ]]

a130 = Project.new :id => "a130",
    :input => a131,
    :projlist => [[ :cast, :item ],  [ :iter ], [ :item ]]

a129 = Project.new :id => "a129",
    :input => a130,
    :projlist => [ [ :iter ], [ :item, :cast ]]

a138 = Project.new :id => "a138",
    :input => a132,
    :projlist => [ [ :outer, :iter ], [ :inner ]]

a128 = Join.new :id => "a128",
    :left_rel => a129,
    :right_rel => a138,
    :left_col => :iter,
    :right_col => :inner

a127 = Project.new :id => "a127",
    :input => a128,
    :projlist => [ [ :iter, :outer ], [ :item ]]

a126 = Avg.new :id => "a126",
    :input => a127,
    :part => :iter,
    :res => :item,
    :arg => :item


a125 = Project.new :id => "a125",
    :input => a126,
    :projlist => [[ :pos, 1 ],  [ :item ], [ :iter ]]

a124 = Join.new :id => "a124",
    :left_rel => a125,
    :right_rel => a109,
    :left_col => :iter,
    :right_col => :outer

a123 = Project.new :id => "a123",
    :input => a124,
    :projlist => [ [ :iter, :inner ], [ :pos ], [ :item ]]

a122 = Project.new :id => "a122",
    :input => a123,
    :projlist => [[ :cast, :item ],  [ :iter ], [ :pos ], [ :item ]]

a121 = Project.new :id => "a121",
    :input => a122,
    :projlist => [ [ :iter ], [ :pos ], [ :item, :cast ]]

a140 = Project.new :id => "a140",
    :input => a15,
    :projlist => [ [ :iter ]]

a139 = Project.new :id => "a139",
    :input => a140,
    :projlist => [[ :item, " " ],  [ :iter ]]

a120 = StringJoin.new :id => "a120",
    :left_rel => a121,
    :right_rel => a139,
    :iter => :iter,
    :pos  => :pos,
    :item => :item


a119 = TextConstr.new :id => "a119",
    :input => a120,
    :iter => :iter,
    :item => :item


a118 = a119  # twig
a142 = Project.new :id => "a142",
    :input => a118,
    :projlist => [ [ :iter ], [ :item ]]

a141 = Project.new :id => "a141",
    :input => a142,
    :projlist => [[ :pos, 1 ],  [ :iter ], [ :item ]]

a115 = a141     # ERRORContent.new

a114 = a115 # fncs
a112 = ElemConstr.new :id => "a112",
    :tagnames => a113,
    :content => a114

a111 = a112 # fncs
a102 = Union.new :id => "a102",
    :left_rel => a103,
    :right_rel => a111
a13 = ElemConstr.new :id => "a13",
    :tagnames => a14,
    :content => a102

a12 = a13  # twig
a147 = Project.new :id => "a147",
    :input => a12,
    :projlist => [ [ :iter ], [ :item ]]

a146 = Project.new :id => "a146",
    :input => a147,
    :projlist => [[ :pos, 1 ],  [ :iter ], [ :item ]]

a150 = Project.new :id => "a150",
    :input => a35,
    :projlist => [ [ :outer, :iter ], [ :inner ]]

a153 = Project.new :id => "a153",
    :input => a125,
    :projlist => [ [ :iter ], [ :item ]]

a152 = Project.new :id => "a152",
    :input => a153,
    :projlist => [[ :pos, 0 ],  [ :iter ], [ :item ]]

a157 = Project.new :id => "a157",
    :input => a125,
    :projlist => [ [ :iter ]]

a156 = Difference.new :id => "a156",
    :left_rel => a33,
    :right_rel => a157

a155 = Project.new :id => "a155",
    :input => a156,
    :projlist => [[ :item, 0 ],  [ :iter ]]

a154 = Project.new :id => "a154",
    :input => a155,
    :projlist => [[ :pos, 1 ],  [ :iter ], [ :item ]]

a151 = Union.new :id => "a151",
    :left_rel => a152,
    :right_rel => a154

a149 = Join.new :id => "a149",
    :left_rel => a150,
    :right_rel => a151,
    :left_col => :inner,
    :right_col => :iter

a148 = Project.new :id => "a148",
    :input => a149,
    :projlist => [ [ :outer ], [ :inner ], [ :sort, :pos ], [ :sort1, :item ]]

a145 = Join.new :id => "a145",
    :left_rel => a146,
    :right_rel => a148,
    :left_col => :iter,
    :right_col => :inner

a144 = Rownum.new :id => "a144",
    :input => a145,
    :newcol => :pos1,
    :order => [ :sort, :sort1, :iter, :pos ],
    :part => :outer

a143 = Project.new :id => "a143",
    :input => a144,
    :projlist => [ [ :iter, :outer ], [ :pos, :pos1 ], [ :item ]]

a9 = a143     # ERRORContent.new

a8 = a9 # fncs
a6 = ElemConstr.new :id => "a6",
    :tagnames => a7,
    :content => a8

a5 = a6  # twig
a159 = Project.new :id => "a159",
    :input => a5,
    :projlist => [ [ :iter ], [ :item ]]

a158 = Project.new :id => "a158",
    :input => a159,
    :projlist => [[ :pos, 1 ],  [ :iter ], [ :item ]]

# serialize (:pos => :pos, :item => :item)
$root = a158
