a7 = LiteralTable.new :id => "a7",
    :colnames => [ :iter, :item ],
    :data => [[1, "result"]]

a50 = LiteralTable.new :id => "a50",
    :colnames => [ :iter, :item ],
    :data => [[1, "users.xml"]]

a49 = Doc.new :id => "a49",
    :input => a50,
    :src => :item,
    :dest => :res

a54 = Project.new :id => "a54",
    :input => a49,
    :projlist => [ [ :iter ], [ :item ], [ :res ]]

a53 = Project.new :id => "a53",
    :input => a54,
    :projlist => [ [ :iter ], [ :item, :res ]]

a52 = Scj.new :id => "a52",
    :input => a53,
    :src => :item,
    :step => "descendant-or-self::node()"

a51 = Project.new :id => "a51",
    :input => a52,
    :projlist => [ [ :iter ], [ :item ]]

a46 = Scj.new :id => "a46",
    :input => a51,
    :src => :item,
    :step => "child::user_tuple"

a45 = Rownum.new :id => "a45",
    :input => a46,
    :newcol => :pos,
    :order => [ :item ],
    :part => :iter

a44 = Rownum.new :id => "a44",
    :input => a45,
    :newcol => :inner,
    :order => [ :iter, :pos ]

a43 = Project.new :id => "a43",
    :input => a44,
    :projlist => [ [ :iter, :inner ], [ :item ]]

a42 = Project.new :id => "a42",
    :input => a43,
    :projlist => [ [ :iter ]]

a41 = Project.new :id => "a41",
    :input => a42,
    :projlist => [[ :item, "items.xml" ],  [ :iter ]]

a40 = Doc.new :id => "a40",
    :input => a41,
    :src => :item,
    :dest => :res

a66 = Project.new :id => "a66",
    :input => a40,
    :projlist => [ [ :iter ], [ :item ], [ :res ]]

a65 = Project.new :id => "a65",
    :input => a66,
    :projlist => [ [ :iter ], [ :item, :res ]]

a64 = Scj.new :id => "a64",
    :input => a65,
    :src => :item,
    :step => "descendant-or-self::node()"

a63 = Project.new :id => "a63",
    :input => a64,
    :projlist => [ [ :iter ], [ :item ]]

a62 = Scj.new :id => "a62",
    :input => a63,
    :src => :item,
    :step => "child::item_tuple"

a61 = Rownum.new :id => "a61",
    :input => a62,
    :newcol => :pos,
    :order => [ :item ],
    :part => :iter

a60 = Rownum.new :id => "a60",
    :input => a61,
    :newcol => :inner,
    :order => [ :iter, :pos ]

a59 = Project.new :id => "a59",
    :input => a60,
    :projlist => [ [ :iter, :inner ], [ :item ]]

a93 = Project.new :id => "a93",
    :input => a60,
    :projlist => [ [ :outer, :iter ], [ :inner ]]

a92 = Join.new :id => "a92",
    :left_rel => a43,
    :right_rel => a93,
    :left_col => :iter,
    :right_col => :outer

a91 = Project.new :id => "a91",
    :input => a92,
    :projlist => [ [ :iter, :inner ], [ :item ]]

a90 = Scj.new :id => "a90",
    :input => a91,
    :src => :item,
    :step => "child::rating"

a89 = Rownum.new :id => "a89",
    :input => a90,
    :newcol => :pos,
    :order => [ :item ],
    :part => :iter

a88 = Atomize.new :id => "a88",
    :input => a89,
    :src => :item,
    :dest => :res

a87 = Project.new :id => "a87",
    :input => a88,
    :projlist => [ [ :iter ], [ :pos ], [ :item, :res ]]

a86 = Rownum.new :id => "a86",
    :input => a87,
    :newcol => :inner,
    :order => [ :iter, :pos ]

a85 = Project.new :id => "a85",
    :input => a86,
    :projlist => [ [ :iter, :inner ], [ :item ]]

a96 = Project.new :id => "a96",
    :input => a85,
    :projlist => [ [ :iter ]]

a95 = Project.new :id => "a95",
    :input => a96,
    :projlist => [[ :item, "C" ],  [ :iter ]]

a94 = Project.new :id => "a94",
    :input => a95,
    :projlist => [ [ :iter1, :iter ], [ :item1, :item ]]

a84 = Join.new :id => "a84",
    :left_rel => a85,
    :right_rel => a94,
    :left_col => :iter,
    :right_col => :iter1

a83 = GreaterThanOp.new :id => "a83",
    :input => a84,
    :newcol => :res,
    :arg1 => :item,
    :arg2 => :item1

a82 = Project.new :id => "a82",
    :input => a83,
    :projlist => [ [ :iter ], [ :item, :res ]]

a81 = Select.new :id => "a81",
    :input => a82,
    :column => :item

a80 = Project.new :id => "a80",
    :input => a81,
    :projlist => [ [ :iter ]]

a79 = Project.new :id => "a79",
    :input => a80,
    :projlist => [ [ :iter ]]

a78 = Distinct.new :id => "a78",
    :input => a79

a77 = Project.new :id => "a77",
    :input => a78,
    :projlist => [[ :item, true ],  [ :iter ]]

a76 = Select.new :id => "a76",
    :input => a77,
    :column => :item

a75 = Project.new :id => "a75",
    :input => a76,
    :projlist => [ [ :iter ]]

a97 = Project.new :id => "a97",
    :input => a86,
    :projlist => [ [ :outer, :iter ], [ :inner ]]

a74 = Join.new :id => "a74",
    :left_rel => a75,
    :right_rel => a97,
    :left_col => :iter,
    :right_col => :inner

a73 = Project.new :id => "a73",
    :input => a74,
    :projlist => [ [ :iter, :outer ]]

a72 = Distinct.new :id => "a72",
    :input => a73

a71 = Project.new :id => "a71",
    :input => a72,
    :projlist => [[ :item, true ],  [ :iter ]]

a70 = Select.new :id => "a70",
    :input => a71,
    :column => :item

a69 = Project.new :id => "a69",
    :input => a70,
    :projlist => [ [ :outer, :iter ], [ :inner, :iter ]]

a123 = Join.new :id => "a123",
    :left_rel => a59,
    :right_rel => a69,
    :left_col => :iter,
    :right_col => :outer

a122 = Project.new :id => "a122",
    :input => a123,
    :projlist => [ [ :iter, :inner ], [ :item ]]

a121 = Scj.new :id => "a121",
    :input => a122,
    :src => :item,
    :step => "child::reserve_price"

a120 = Rownum.new :id => "a120",
    :input => a121,
    :newcol => :pos,
    :order => [ :item ],
    :part => :iter

a119 = Atomize.new :id => "a119",
    :input => a120,
    :src => :item,
    :dest => :res

a118 = Project.new :id => "a118",
    :input => a119,
    :projlist => [ [ :iter ], [ :pos ], [ :item, :res ]]

a117 = Rownum.new :id => "a117",
    :input => a118,
    :newcol => :inner,
    :order => [ :iter, :pos ]

a116 = Project.new :id => "a116",
    :input => a117,
    :projlist => [ [ :iter, :inner ], [ :item ]]

a115 = fun_1to1 :id => "a115",
    :input => a116,
    :fun_name => "fn:number",
    :res => :res,
    :args => [ :item ]


a114 = Project.new :id => "a114",
    :input => a115,
    :projlist => [ [ :iter ], [ :item, :res ]]

a127 = Project.new :id => "a127",
    :input => a116,
    :projlist => [ [ :iter ]]

a126 = Project.new :id => "a126",
    :input => a127,
    :projlist => [[ :item, 1000 ],  [ :iter ]]

a125 = Project.new :id => "a125",
    :input => a126,
    :projlist => [[ :cast, :item ],  [ :iter ], [ :item ]]

a124 = Project.new :id => "a124",
    :input => a125,
    :projlist => [ [ :iter1, :iter ], [ :item1, :cast ]]

a113 = Join.new :id => "a113",
    :left_rel => a114,
    :right_rel => a124,
    :left_col => :iter,
    :right_col => :iter1

a112 = GreaterThanOp.new :id => "a112",
    :input => a113,
    :newcol => :res,
    :arg1 => :item,
    :arg2 => :item1

a111 = Project.new :id => "a111",
    :input => a112,
    :projlist => [ [ :iter ], [ :item, :res ]]

a110 = Select.new :id => "a110",
    :input => a111,
    :column => :item

a109 = Project.new :id => "a109",
    :input => a110,
    :projlist => [ [ :iter ]]

a108 = Project.new :id => "a108",
    :input => a109,
    :projlist => [ [ :iter ]]

a107 = Distinct.new :id => "a107",
    :input => a108

a106 = Project.new :id => "a106",
    :input => a107,
    :projlist => [[ :item, true ],  [ :iter ]]

a105 = Select.new :id => "a105",
    :input => a106,
    :column => :item

a104 = Project.new :id => "a104",
    :input => a105,
    :projlist => [ [ :iter ]]

a128 = Project.new :id => "a128",
    :input => a117,
    :projlist => [ [ :outer, :iter ], [ :inner ]]

a103 = Join.new :id => "a103",
    :left_rel => a104,
    :right_rel => a128,
    :left_col => :iter,
    :right_col => :inner

a102 = Project.new :id => "a102",
    :input => a103,
    :projlist => [ [ :iter, :outer ]]

a101 = Distinct.new :id => "a101",
    :input => a102

a100 = Project.new :id => "a100",
    :input => a101,
    :projlist => [[ :item, true ],  [ :iter ]]

a99 = Select.new :id => "a99",
    :input => a100,
    :column => :item

a98 = Project.new :id => "a98",
    :input => a99,
    :projlist => [ [ :iter ]]

a68 = Join.new :id => "a68",
    :left_rel => a69,
    :right_rel => a98,
    :left_col => :inner,
    :right_col => :iter

a67 = Project.new :id => "a67",
    :input => a68,
    :projlist => [ [ :outer ], [ :inner ]]

a58 = Join.new :id => "a58",
    :left_rel => a59,
    :right_rel => a67,
    :left_col => :iter,
    :right_col => :outer

a57 = Project.new :id => "a57",
    :input => a58,
    :projlist => [ [ :iter, :inner ], [ :item ]]

a56 = Scj.new :id => "a56",
    :input => a57,
    :src => :item,
    :step => "child::offered_by"

a55 = Rownum.new :id => "a55",
    :input => a56,
    :newcol => :pos,
    :order => [ :item ],
    :part => :iter

a37 = Atomize.new :id => "a37",
    :input => a55,
    :src => :item,
    :dest => :res

a36 = Project.new :id => "a36",
    :input => a37,
    :projlist => [ [ :iter ], [ :pos ], [ :item, :res ]]

a35 = Rownum.new :id => "a35",
    :input => a36,
    :newcol => :inner,
    :order => [ :iter, :pos ]

a34 = Project.new :id => "a34",
    :input => a35,
    :projlist => [ [ :iter, :inner ], [ :item ]]

a143 = Project.new :id => "a143",
    :input => a70,
    :projlist => [ [ :iter ]]

a142 = Join.new :id => "a142",
    :left_rel => a93,
    :right_rel => a143,
    :left_col => :inner,
    :right_col => :iter

a141 = Project.new :id => "a141",
    :input => a142,
    :projlist => [ [ :outer ], [ :inner ]]

a140 = Join.new :id => "a140",
    :left_rel => a141,
    :right_rel => a98,
    :left_col => :inner,
    :right_col => :iter

a139 = Project.new :id => "a139",
    :input => a140,
    :projlist => [ [ :iter, :inner ], [ :outer ]]

a144 = Project.new :id => "a144",
    :input => a35,
    :projlist => [ [ :iter2, :iter ], [ :inner ]]

a138 = Join.new :id => "a138",
    :left_rel => a139,
    :right_rel => a144,
    :left_col => :iter,
    :right_col => :iter2

a137 = Project.new :id => "a137",
    :input => a138,
    :projlist => [ [ :outer ], [ :inner ]]

a136 = Join.new :id => "a136",
    :left_rel => a43,
    :right_rel => a137,
    :left_col => :iter,
    :right_col => :outer

a135 = Project.new :id => "a135",
    :input => a136,
    :projlist => [ [ :iter, :inner ], [ :item ]]

a134 = Scj.new :id => "a134",
    :input => a135,
    :src => :item,
    :step => "child::userid"

a133 = Rownum.new :id => "a133",
    :input => a134,
    :newcol => :pos,
    :order => [ :item ],
    :part => :iter

a132 = Atomize.new :id => "a132",
    :input => a133,
    :src => :item,
    :dest => :res

a131 = Project.new :id => "a131",
    :input => a132,
    :projlist => [ [ :iter ], [ :pos ], [ :item, :res ]]

a130 = Rownum.new :id => "a130",
    :input => a131,
    :newcol => :inner,
    :order => [ :iter, :pos ]

a129 = Project.new :id => "a129",
    :input => a130,
    :projlist => [ [ :outer, :iter ], [ :inner ]]

a33 = Join.new :id => "a33",
    :left_rel => a34,
    :right_rel => a129,
    :left_col => :iter,
    :right_col => :outer

a32 = Project.new :id => "a32",
    :input => a33,
    :projlist => [ [ :iter, :inner ], [ :item ]]

a146 = Project.new :id => "a146",
    :input => a130,
    :projlist => [ [ :iter, :inner ], [ :item ]]

a145 = Project.new :id => "a145",
    :input => a146,
    :projlist => [ [ :iter1, :iter ], [ :item1, :item ]]

a31 = Join.new :id => "a31",
    :left_rel => a32,
    :right_rel => a145,
    :left_col => :iter,
    :right_col => :iter1

a30 = EqualOp.new :id => "a30",
    :input => a31,
    :newcol => :res,
    :arg1 => :item,
    :arg2 => :item1

a29 = Project.new :id => "a29",
    :input => a30,
    :projlist => [ [ :iter ], [ :item, :res ]]

a28 = Select.new :id => "a28",
    :input => a29,
    :column => :item

a27 = Project.new :id => "a27",
    :input => a28,
    :projlist => [ [ :iter ]]

a26 = Join.new :id => "a26",
    :left_rel => a27,
    :right_rel => a129,
    :left_col => :iter,
    :right_col => :inner

a25 = Project.new :id => "a25",
    :input => a26,
    :projlist => [ [ :iter, :outer ]]

a24 = Distinct.new :id => "a24",
    :input => a25

a23 = Project.new :id => "a23",
    :input => a24,
    :projlist => [[ :item, true ],  [ :iter ]]

a22 = Select.new :id => "a22",
    :input => a23,
    :column => :item

a21 = Project.new :id => "a21",
    :input => a22,
    :projlist => [ [ :iter ]]

a147 = Project.new :id => "a147",
    :input => a35,
    :projlist => [ [ :outer, :iter ], [ :inner ]]

a20 = Join.new :id => "a20",
    :left_rel => a21,
    :right_rel => a147,
    :left_col => :iter,
    :right_col => :inner

a19 = Project.new :id => "a19",
    :input => a20,
    :projlist => [ [ :iter, :outer ]]

a18 = Distinct.new :id => "a18",
    :input => a19

a17 = Project.new :id => "a17",
    :input => a18,
    :projlist => [[ :item, true ],  [ :iter ]]

a16 = Select.new :id => "a16",
    :input => a17,
    :column => :item

a15 = Project.new :id => "a15",
    :input => a16,
    :projlist => [ [ :iter ]]

a14 = Project.new :id => "a14",
    :input => a15,
    :projlist => [[ :item, "warning" ],  [ :iter ]]

a156 = Project.new :id => "a156",
    :input => a140,
    :projlist => [ [ :outer ], [ :inner ]]

a155 = Join.new :id => "a155",
    :left_rel => a156,
    :right_rel => a15,
    :left_col => :inner,
    :right_col => :iter

a154 = Project.new :id => "a154",
    :input => a155,
    :projlist => [ [ :outer ], [ :inner ]]

a153 = Join.new :id => "a153",
    :left_rel => a43,
    :right_rel => a154,
    :left_col => :iter,
    :right_col => :outer

a152 = Project.new :id => "a152",
    :input => a153,
    :projlist => [ [ :iter, :inner ], [ :item ]]

a151 = Scj.new :id => "a151",
    :input => a152,
    :src => :item,
    :step => "child::name"

a150 = Rownum.new :id => "a150",
    :input => a151,
    :newcol => :pos,
    :order => [ :item ],
    :part => :iter

a149 = a150     # ERRORContent.new

a160 = Scj.new :id => "a160",
    :input => a152,
    :src => :item,
    :step => "child::rating"

a159 = Rownum.new :id => "a159",
    :input => a160,
    :newcol => :pos,
    :order => [ :item ],
    :part => :iter

a158 = a159     # ERRORContent.new

a168 = Join.new :id => "a168",
    :left_rel => a67,
    :right_rel => a15,
    :left_col => :inner,
    :right_col => :iter

a167 = Project.new :id => "a167",
    :input => a168,
    :projlist => [ [ :outer ], [ :inner ]]

a166 = Join.new :id => "a166",
    :left_rel => a59,
    :right_rel => a167,
    :left_col => :iter,
    :right_col => :outer

a165 = Project.new :id => "a165",
    :input => a166,
    :projlist => [ [ :iter, :inner ], [ :item ]]

a164 = Scj.new :id => "a164",
    :input => a165,
    :src => :item,
    :step => "child::description"

a163 = Rownum.new :id => "a163",
    :input => a164,
    :newcol => :pos,
    :order => [ :item ],
    :part => :iter

a162 = a163     # ERRORContent.new

a172 = Scj.new :id => "a172",
    :input => a165,
    :src => :item,
    :step => "child::reserve_price"

a171 = Rownum.new :id => "a171",
    :input => a172,
    :newcol => :pos,
    :order => [ :item ],
    :part => :iter

a170 = a171     # ERRORContent.new

a169 = a170 # fncs
a161 = Union.new :id => "a161",
    :left_rel => a162,
    :right_rel => a169
a157 = Union.new :id => "a157",
    :left_rel => a158,
    :right_rel => a161
a148 = Union.new :id => "a148",
    :left_rel => a149,
    :right_rel => a157
a13 = ElemConstr.new :id => "a13",
    :tagnames => a14,
    :content => a148

a12 = a13  # twig
a178 = Project.new :id => "a178",
    :input => a12,
    :projlist => [ [ :iter ], [ :item ]]

a177 = Project.new :id => "a177",
    :input => a178,
    :projlist => [[ :pos, 1 ],  [ :iter ], [ :item ]]

a181 = Project.new :id => "a181",
    :input => a44,
    :projlist => [ [ :outer, :iter ], [ :sort, :pos ], [ :inner ]]

a182 = Project.new :id => "a182",
    :input => a60,
    :projlist => [ [ :iter1, :inner ], [ :iter ], [ :pos ]]

a180 = Join.new :id => "a180",
    :left_rel => a181,
    :right_rel => a182,
    :left_col => :inner,
    :right_col => :iter

a179 = Project.new :id => "a179",
    :input => a180,
    :projlist => [ [ :outer ], [ :inner, :iter1 ], [ :sort ], [ :sort1, :pos ]]

a176 = Join.new :id => "a176",
    :left_rel => a177,
    :right_rel => a179,
    :left_col => :iter,
    :right_col => :inner

a175 = Rownum.new :id => "a175",
    :input => a176,
    :newcol => :pos1,
    :order => [ :sort, :sort1, :pos ],
    :part => :outer

a174 = Project.new :id => "a174",
    :input => a175,
    :projlist => [ [ :iter, :outer ], [ :pos, :pos1 ], [ :item ]]

a9 = a174     # ERRORContent.new

a8 = a9 # fncs
a6 = ElemConstr.new :id => "a6",
    :tagnames => a7,
    :content => a8

a5 = a6  # twig
a184 = Project.new :id => "a184",
    :input => a5,
    :projlist => [ [ :iter ], [ :item ]]

a183 = Project.new :id => "a183",
    :input => a184,
    :projlist => [[ :pos, 1 ],  [ :iter ], [ :item ]]

# serialize (:pos => :pos, :item => :item)
$root = a183
