a7 = LiteralTable.new :id => "a7",
    :colnames => [ :iter, :item ],
    :data => [[1, "result"]]

a27 = LiteralTable.new :id => "a27",
    :colnames => [ :iter, :item ],
    :data => [[1, "items.xml"]]

a26 = Doc.new :id => "a26",
    :input => a27,
    :src => :item,
    :dest => :res

a31 = Project.new :id => "a31",
    :input => a26,
    :projlist => [ [ :iter ], [ :item ], [ :res ]]

a30 = Project.new :id => "a30",
    :input => a31,
    :projlist => [ [ :iter ], [ :item, :res ]]

a29 = Scj.new :id => "a29",
    :input => a30,
    :src => :item,
    :step => "descendant-or-self::node()"

a28 = Project.new :id => "a28",
    :input => a29,
    :projlist => [ [ :iter ], [ :item ]]

a23 = Scj.new :id => "a23",
    :input => a28,
    :src => :item,
    :step => "child::item_tuple"

a22 = Rownum.new :id => "a22",
    :input => a23,
    :newcol => :pos,
    :order => [ :item ],
    :part => :iter

a21 = Rownum.new :id => "a21",
    :input => a22,
    :newcol => :inner,
    :order => [ :iter, :pos ]

a20 = Project.new :id => "a20",
    :input => a21,
    :projlist => [ [ :iter, :inner ], [ :item ]]

a19 = Project.new :id => "a19",
    :input => a20,
    :projlist => [ [ :iter ]]

a43 = Project.new :id => "a43",
    :input => a19,
    :projlist => [[ :item, "bids.xml" ],  [ :iter ]]

a42 = Doc.new :id => "a42",
    :input => a43,
    :src => :item,
    :dest => :res

a47 = Project.new :id => "a47",
    :input => a42,
    :projlist => [ [ :iter ], [ :item ], [ :res ]]

a46 = Project.new :id => "a46",
    :input => a47,
    :projlist => [ [ :iter ], [ :item, :res ]]

a45 = Scj.new :id => "a45",
    :input => a46,
    :src => :item,
    :step => "descendant-or-self::node()"

a44 = Project.new :id => "a44",
    :input => a45,
    :projlist => [ [ :iter ], [ :item ]]

a39 = Scj.new :id => "a39",
    :input => a44,
    :src => :item,
    :step => "child::bid_tuple"

a38 = Rownum.new :id => "a38",
    :input => a39,
    :newcol => :pos,
    :order => [ :item ],
    :part => :iter

a37 = Rownum.new :id => "a37",
    :input => a38,
    :newcol => :inner,
    :order => [ :iter, :pos ]

a36 = Project.new :id => "a36",
    :input => a37,
    :projlist => [ [ :iter, :inner ], [ :item ]]

a73 = Project.new :id => "a73",
    :input => a36,
    :projlist => [ [ :iter ], [ :item ]]

a72 = Scj.new :id => "a72",
    :input => a73,
    :src => :item,
    :step => "child::itemno"

a71 = Rownum.new :id => "a71",
    :input => a72,
    :newcol => :pos,
    :order => [ :item ],
    :part => :iter

a70 = Atomize.new :id => "a70",
    :input => a71,
    :src => :item,
    :dest => :res

a69 = Project.new :id => "a69",
    :input => a70,
    :projlist => [ [ :iter ], [ :pos ], [ :item, :res ]]

a68 = Rownum.new :id => "a68",
    :input => a69,
    :newcol => :inner,
    :order => [ :iter, :pos ]

a67 = Project.new :id => "a67",
    :input => a68,
    :projlist => [ [ :iter, :inner ], [ :item ]]

a84 = Project.new :id => "a84",
    :input => a37,
    :projlist => [ [ :iter, :inner ], [ :outer, :iter ]]

a85 = Project.new :id => "a85",
    :input => a68,
    :projlist => [ [ :iter2, :iter ], [ :inner ]]

a83 = Join.new :id => "a83",
    :left_rel => a84,
    :right_rel => a85,
    :left_col => :iter,
    :right_col => :iter2

a82 = Project.new :id => "a82",
    :input => a83,
    :projlist => [ [ :outer ], [ :inner ]]

a81 = Join.new :id => "a81",
    :left_rel => a20,
    :right_rel => a82,
    :left_col => :iter,
    :right_col => :outer

a80 = Project.new :id => "a80",
    :input => a81,
    :projlist => [ [ :iter, :inner ], [ :item ]]

a79 = Scj.new :id => "a79",
    :input => a80,
    :src => :item,
    :step => "child::itemno"

a78 = Rownum.new :id => "a78",
    :input => a79,
    :newcol => :pos,
    :order => [ :item ],
    :part => :iter

a77 = Atomize.new :id => "a77",
    :input => a78,
    :src => :item,
    :dest => :res

a76 = Project.new :id => "a76",
    :input => a77,
    :projlist => [ [ :iter ], [ :pos ], [ :item, :res ]]

a75 = Rownum.new :id => "a75",
    :input => a76,
    :newcol => :inner,
    :order => [ :iter, :pos ]

a74 = Project.new :id => "a74",
    :input => a75,
    :projlist => [ [ :outer, :iter ], [ :inner ]]

a66 = Join.new :id => "a66",
    :left_rel => a67,
    :right_rel => a74,
    :left_col => :iter,
    :right_col => :outer

a65 = Project.new :id => "a65",
    :input => a66,
    :projlist => [ [ :iter, :inner ], [ :item ]]

a87 = Project.new :id => "a87",
    :input => a75,
    :projlist => [ [ :iter, :inner ], [ :item ]]

a86 = Project.new :id => "a86",
    :input => a87,
    :projlist => [ [ :iter1, :iter ], [ :item1, :item ]]

a64 = Join.new :id => "a64",
    :left_rel => a65,
    :right_rel => a86,
    :left_col => :iter,
    :right_col => :iter1

a63 = EqualOp.new :id => "a63",
    :input => a64,
    :newcol => :res,
    :arg1 => :item,
    :arg2 => :item1

a62 = Project.new :id => "a62",
    :input => a63,
    :projlist => [ [ :iter ], [ :item, :res ]]

a61 = Select.new :id => "a61",
    :input => a62,
    :column => :item

a60 = Project.new :id => "a60",
    :input => a61,
    :projlist => [ [ :iter ]]

a59 = Join.new :id => "a59",
    :left_rel => a60,
    :right_rel => a74,
    :left_col => :iter,
    :right_col => :inner

a58 = Project.new :id => "a58",
    :input => a59,
    :projlist => [ [ :iter, :outer ]]

a57 = Distinct.new :id => "a57",
    :input => a58

a56 = Project.new :id => "a56",
    :input => a57,
    :projlist => [[ :item, true ],  [ :iter ]]

a55 = Select.new :id => "a55",
    :input => a56,
    :column => :item

a54 = Project.new :id => "a54",
    :input => a55,
    :projlist => [ [ :iter ]]

a88 = Project.new :id => "a88",
    :input => a68,
    :projlist => [ [ :outer, :iter ], [ :inner ]]

a53 = Join.new :id => "a53",
    :left_rel => a54,
    :right_rel => a88,
    :left_col => :iter,
    :right_col => :inner

a52 = Project.new :id => "a52",
    :input => a53,
    :projlist => [ [ :iter, :outer ]]

a51 = Distinct.new :id => "a51",
    :input => a52

a50 = Project.new :id => "a50",
    :input => a51,
    :projlist => [[ :item, true ],  [ :iter ]]

a49 = Select.new :id => "a49",
    :input => a50,
    :column => :item

a48 = Project.new :id => "a48",
    :input => a49,
    :projlist => [ [ :outer, :iter ], [ :inner, :iter ]]

a35 = Join.new :id => "a35",
    :left_rel => a36,
    :right_rel => a48,
    :left_col => :iter,
    :right_col => :outer

a34 = Project.new :id => "a34",
    :input => a35,
    :projlist => [ [ :iter, :inner ]]

a89 = Project.new :id => "a89",
    :input => a37,
    :projlist => [ [ :outer, :iter ], [ :inner ]]

a33 = Join.new :id => "a33",
    :left_rel => a34,
    :right_rel => a89,
    :left_col => :iter,
    :right_col => :inner

a32 = Project.new :id => "a32",
    :input => a33,
    :projlist => [ [ :iter, :outer ]]

a18 = Difference.new :id => "a18",
    :left_rel => a19,
    :right_rel => a32

a17 = Project.new :id => "a17",
    :input => a18,
    :projlist => [[ :item, true ],  [ :iter ]]

a16 = Select.new :id => "a16",
    :input => a17,
    :column => :item

a15 = Project.new :id => "a15",
    :input => a16,
    :projlist => [ [ :iter ]]

a14 = Project.new :id => "a14",
    :input => a15,
    :projlist => [[ :item, "no_bid_item" ],  [ :iter ]]

a96 = Project.new :id => "a96",
    :input => a16,
    :projlist => [ [ :outer, :iter ], [ :inner, :iter ]]

a95 = Join.new :id => "a95",
    :left_rel => a20,
    :right_rel => a96,
    :left_col => :iter,
    :right_col => :outer

a94 = Project.new :id => "a94",
    :input => a95,
    :projlist => [ [ :iter, :inner ], [ :item ]]

a93 = Scj.new :id => "a93",
    :input => a94,
    :src => :item,
    :step => "child::itemno"

a92 = Rownum.new :id => "a92",
    :input => a93,
    :newcol => :pos,
    :order => [ :item ],
    :part => :iter

a91 = a92     # ERRORContent.new

a100 = Scj.new :id => "a100",
    :input => a94,
    :src => :item,
    :step => "child::description"

a99 = Rownum.new :id => "a99",
    :input => a100,
    :newcol => :pos,
    :order => [ :item ],
    :part => :iter

a98 = a99     # ERRORContent.new

a97 = a98 # fncs
a90 = Union.new :id => "a90",
    :left_rel => a91,
    :right_rel => a97
a13 = ElemConstr.new :id => "a13",
    :tagnames => a14,
    :content => a90

a12 = a13  # twig
a106 = Project.new :id => "a106",
    :input => a12,
    :projlist => [ [ :iter ], [ :item ]]

a105 = Project.new :id => "a105",
    :input => a106,
    :projlist => [[ :pos, 1 ],  [ :iter ], [ :item ]]

a107 = Project.new :id => "a107",
    :input => a21,
    :projlist => [ [ :outer, :iter ], [ :sort, :pos ], [ :inner ]]

a104 = Join.new :id => "a104",
    :left_rel => a105,
    :right_rel => a107,
    :left_col => :iter,
    :right_col => :inner

a103 = Rownum.new :id => "a103",
    :input => a104,
    :newcol => :pos1,
    :order => [ :sort, :pos ],
    :part => :outer

a102 = Project.new :id => "a102",
    :input => a103,
    :projlist => [ [ :iter, :outer ], [ :pos, :pos1 ], [ :item ]]

a9 = a102     # ERRORContent.new

a8 = a9 # fncs
a6 = ElemConstr.new :id => "a6",
    :tagnames => a7,
    :content => a8

a5 = a6  # twig
a109 = Project.new :id => "a109",
    :input => a5,
    :projlist => [ [ :iter ], [ :item ]]

a108 = Project.new :id => "a108",
    :input => a109,
    :projlist => [[ :pos, 1 ],  [ :iter ], [ :item ]]

# serialize (:pos => :pos, :item => :item)
$root = a108
