a7 = LiteralTable.new :id => "a7",
    :colnames => [ :iter, :item ],
    :data => [[1, "high_bid"]]

a30 = LiteralTable.new :id => "a30",
    :colnames => [ :iter, :item ],
    :data => [[1, "bids.xml"]]

a29 = Doc.new :id => "a29",
    :input => a30,
    :src => :item,
    :dest => :res

a44 = Project.new :id => "a44",
    :input => a29,
    :projlist => [ [ :iter ], [ :item ], [ :res ]]

a43 = Project.new :id => "a43",
    :input => a44,
    :projlist => [ [ :iter ], [ :item, :res ]]

a42 = Scj.new :id => "a42",
    :input => a43,
    :src => :item,
    :step => "descendant-or-self::node()"

a41 = Project.new :id => "a41",
    :input => a42,
    :projlist => [ [ :iter ], [ :item ]]

a40 = Scj.new :id => "a40",
    :input => a41,
    :src => :item,
    :step => "child::bid_tuple"

a39 = Rownum.new :id => "a39",
    :input => a40,
    :newcol => :pos,
    :order => [ :item ],
    :part => :iter

a38 = Rownum.new :id => "a38",
    :input => a39,
    :newcol => :inner,
    :order => [ :iter, :pos ]

a37 = Project.new :id => "a37",
    :input => a38,
    :projlist => [ [ :iter, :inner ], [ :item ]]

a70 = Project.new :id => "a70",
    :input => a37,
    :projlist => [ [ :iter ], [ :item ]]

a69 = Scj.new :id => "a69",
    :input => a70,
    :src => :item,
    :step => "child::itemno"

a68 = Rownum.new :id => "a68",
    :input => a69,
    :newcol => :pos,
    :order => [ :item ],
    :part => :iter

a67 = Atomize.new :id => "a67",
    :input => a68,
    :src => :item,
    :dest => :res

a66 = Project.new :id => "a66",
    :input => a67,
    :projlist => [ [ :iter ], [ :pos ], [ :item, :res ]]

a65 = Rownum.new :id => "a65",
    :input => a66,
    :newcol => :inner,
    :order => [ :iter, :pos ]

a64 = Project.new :id => "a64",
    :input => a65,
    :projlist => [ [ :iter, :inner ], [ :item ]]

a78 = LiteralTable.new :id => "a78",
    :colnames => [ :iter, :item ],
    :data => [[1, "items.xml"]]

a77 = Doc.new :id => "a77",
    :input => a78,
    :src => :item,
    :dest => :res

a94 = Project.new :id => "a94",
    :input => a77,
    :projlist => [ [ :iter ], [ :item ], [ :res ]]

a93 = Project.new :id => "a93",
    :input => a94,
    :projlist => [ [ :iter ], [ :item, :res ]]

a92 = Scj.new :id => "a92",
    :input => a93,
    :src => :item,
    :step => "descendant-or-self::node()"

a91 = Project.new :id => "a91",
    :input => a92,
    :projlist => [ [ :iter ], [ :item ]]

a90 = Scj.new :id => "a90",
    :input => a91,
    :src => :item,
    :step => "child::item_tuple"

a89 = Rownum.new :id => "a89",
    :input => a90,
    :newcol => :pos,
    :order => [ :item ],
    :part => :iter

a88 = Rownum.new :id => "a88",
    :input => a89,
    :newcol => :inner,
    :order => [ :iter, :pos ]

a87 = Project.new :id => "a87",
    :input => a88,
    :projlist => [ [ :iter, :inner ], [ :item ]]

a114 = Project.new :id => "a114",
    :input => a87,
    :projlist => [ [ :iter ], [ :item ]]

a113 = Scj.new :id => "a113",
    :input => a114,
    :src => :item,
    :step => "child::description"

a112 = Rownum.new :id => "a112",
    :input => a113,
    :newcol => :pos,
    :order => [ :item ],
    :part => :iter

a111 = Atomize.new :id => "a111",
    :input => a112,
    :src => :item,
    :dest => :res

a110 = Project.new :id => "a110",
    :input => a111,
    :projlist => [ [ :iter ], [ :pos ], [ :item, :res ]]

a109 = Rownum.new :id => "a109",
    :input => a110,
    :newcol => :inner,
    :order => [ :iter, :pos ]

a108 = Project.new :id => "a108",
    :input => a109,
    :projlist => [ [ :iter, :inner ], [ :item ]]

a115 = Project.new :id => "a115",
    :input => a109,
    :projlist => [ [ :outer, :iter ], [ :inner ]]

a107 = Join.new :id => "a107",
    :left_rel => a108,
    :right_rel => a115,
    :left_col => :iter,
    :right_col => :inner

a106 = Project.new :id => "a106",
    :input => a107,
    :projlist => [ [ :iter, :outer ], [ :item ]]

a105 = a106     # ERRORerror.new

a104 = Project.new :id => "a104",
    :input => a105,
    :projlist => [ [ :iter ], [ :item ]]

a123 = Project.new :id => "a123",
    :input => a87,
    :projlist => [ [ :iter ]]

a106 = Project.new :id => "a106",
    :input => a107,
    :projlist => [ [ :iter, :outer ], [ :item ]]

a105 = a106     # ERRORerror.new

a124 = Project.new :id => "a124",
    :input => a105,
    :projlist => [ [ :iter ]]

a122 = Difference.new :id => "a122",
    :left_rel => a123,
    :right_rel => a124

a121 = Project.new :id => "a121",
    :input => a122,
    :projlist => [[ :item, "" ],  [ :iter ]]

a120 = Project.new :id => "a120",
    :input => a121,
    :projlist => [ [ :iter ], [ :item ]]

a103 = Union.new :id => "a103",
    :left_rel => a104,
    :right_rel => a120

a126 = Project.new :id => "a126",
    :input => a123,
    :projlist => [[ :item, "Bicycle" ],  [ :iter ]]

a125 = Project.new :id => "a125",
    :input => a126,
    :projlist => [ [ :iter1, :iter ], [ :item1, :item ]]

a102 = Join.new :id => "a102",
    :left_rel => a103,
    :right_rel => a125,
    :left_col => :iter,
    :right_col => :iter1

a101 = fun_1to1 :id => "a101",
    :input => a102,
    :fun_name => "fn:contains",
    :res => :res,
    :args => [ :item, :item1 ]


a100 = Project.new :id => "a100",
    :input => a101,
    :projlist => [ [ :iter ], [ :item, :res ]]

a131 = Project.new :id => "a131",
    :input => a123,
    :projlist => [[ :item, "Tricycle" ],  [ :iter ]]

a130 = Project.new :id => "a130",
    :input => a131,
    :projlist => [ [ :iter1, :iter ], [ :item1, :item ]]

a129 = Join.new :id => "a129",
    :left_rel => a103,
    :right_rel => a130,
    :left_col => :iter,
    :right_col => :iter1

a128 = fun_1to1 :id => "a128",
    :input => a129,
    :fun_name => "fn:contains",
    :res => :res,
    :args => [ :item, :item1 ]


a127 = Project.new :id => "a127",
    :input => a128,
    :projlist => [ [ :iter1, :iter ], [ :item1, :res ]]

a99 = Join.new :id => "a99",
    :left_rel => a100,
    :right_rel => a127,
    :left_col => :iter,
    :right_col => :iter1

a98 = Or.new :id => "a98",
    :input => a99,
    :newcol => :res,
    :arg1 => :item,
    :arg2 => :item1

a97 = Project.new :id => "a97",
    :input => a98,
    :projlist => [ [ :iter ], [ :item, :res ]]

a96 = Select.new :id => "a96",
    :input => a97,
    :column => :item

a95 = Project.new :id => "a95",
    :input => a96,
    :projlist => [ [ :outer, :iter ], [ :inner, :iter ]]

a86 = Join.new :id => "a86",
    :left_rel => a87,
    :right_rel => a95,
    :left_col => :iter,
    :right_col => :outer

a85 = Project.new :id => "a85",
    :input => a86,
    :projlist => [ [ :iter, :inner ], [ :item ]]

a132 = Project.new :id => "a132",
    :input => a88,
    :projlist => [ [ :outer, :iter ], [ :inner ]]

a84 = Join.new :id => "a84",
    :left_rel => a85,
    :right_rel => a132,
    :left_col => :iter,
    :right_col => :inner

a83 = Project.new :id => "a83",
    :input => a84,
    :projlist => [ [ :iter, :outer ], [ :item ]]

a135 = Project.new :id => "a135",
    :input => a38,
    :projlist => [ [ :iter, :inner ], [ :outer, :iter ]]

a136 = Project.new :id => "a136",
    :input => a65,
    :projlist => [ [ :iter2, :iter ], [ :inner ]]

a134 = Join.new :id => "a134",
    :left_rel => a135,
    :right_rel => a136,
    :left_col => :iter,
    :right_col => :iter2

a133 = Project.new :id => "a133",
    :input => a134,
    :projlist => [ [ :outer ], [ :inner ]]

a82 = Join.new :id => "a82",
    :left_rel => a83,
    :right_rel => a133,
    :left_col => :iter,
    :right_col => :outer

a81 = Project.new :id => "a81",
    :input => a82,
    :projlist => [ [ :iter, :inner ], [ :item ]]

a80 = Scj.new :id => "a80",
    :input => a81,
    :src => :item,
    :step => "child::itemno"

a79 = Rownum.new :id => "a79",
    :input => a80,
    :newcol => :pos,
    :order => [ :item ],
    :part => :iter

a74 = Atomize.new :id => "a74",
    :input => a79,
    :src => :item,
    :dest => :res

a73 = Project.new :id => "a73",
    :input => a74,
    :projlist => [ [ :iter ], [ :pos ], [ :item, :res ]]

a72 = Rownum.new :id => "a72",
    :input => a73,
    :newcol => :inner,
    :order => [ :iter, :pos ]

a71 = Project.new :id => "a71",
    :input => a72,
    :projlist => [ [ :outer, :iter ], [ :inner ]]

a63 = Join.new :id => "a63",
    :left_rel => a64,
    :right_rel => a71,
    :left_col => :iter,
    :right_col => :outer

a62 = Project.new :id => "a62",
    :input => a63,
    :projlist => [ [ :iter, :inner ], [ :item ]]

a138 = Project.new :id => "a138",
    :input => a72,
    :projlist => [ [ :iter, :inner ], [ :item ]]

a137 = Project.new :id => "a137",
    :input => a138,
    :projlist => [ [ :iter1, :iter ], [ :item1, :item ]]

a61 = Join.new :id => "a61",
    :left_rel => a62,
    :right_rel => a137,
    :left_col => :iter,
    :right_col => :iter1

a60 = EqualOp.new :id => "a60",
    :input => a61,
    :newcol => :res,
    :arg1 => :item,
    :arg2 => :item1

a59 = Project.new :id => "a59",
    :input => a60,
    :projlist => [ [ :iter ], [ :item, :res ]]

a58 = Select.new :id => "a58",
    :input => a59,
    :column => :item

a57 = Project.new :id => "a57",
    :input => a58,
    :projlist => [ [ :iter ]]

a56 = Join.new :id => "a56",
    :left_rel => a57,
    :right_rel => a71,
    :left_col => :iter,
    :right_col => :inner

a55 = Project.new :id => "a55",
    :input => a56,
    :projlist => [ [ :iter, :outer ]]

a54 = Distinct.new :id => "a54",
    :input => a55

a53 = Project.new :id => "a53",
    :input => a54,
    :projlist => [[ :item, true ],  [ :iter ]]

a52 = Select.new :id => "a52",
    :input => a53,
    :column => :item

a51 = Project.new :id => "a51",
    :input => a52,
    :projlist => [ [ :iter ]]

a139 = Project.new :id => "a139",
    :input => a65,
    :projlist => [ [ :outer, :iter ], [ :inner ]]

a50 = Join.new :id => "a50",
    :left_rel => a51,
    :right_rel => a139,
    :left_col => :iter,
    :right_col => :inner

a49 = Project.new :id => "a49",
    :input => a50,
    :projlist => [ [ :iter, :outer ]]

a48 = Distinct.new :id => "a48",
    :input => a49

a47 = Project.new :id => "a47",
    :input => a48,
    :projlist => [[ :item, true ],  [ :iter ]]

a46 = Select.new :id => "a46",
    :input => a47,
    :column => :item

a45 = Project.new :id => "a45",
    :input => a46,
    :projlist => [ [ :outer, :iter ], [ :inner, :iter ]]

a36 = Join.new :id => "a36",
    :left_rel => a37,
    :right_rel => a45,
    :left_col => :iter,
    :right_col => :outer

a35 = Project.new :id => "a35",
    :input => a36,
    :projlist => [ [ :iter, :inner ], [ :item ]]

a140 = Project.new :id => "a140",
    :input => a38,
    :projlist => [ [ :outer, :iter ], [ :inner ]]

a34 = Join.new :id => "a34",
    :left_rel => a35,
    :right_rel => a140,
    :left_col => :iter,
    :right_col => :inner

a33 = Project.new :id => "a33",
    :input => a34,
    :projlist => [ [ :iter, :outer ], [ :item ]]

a32 = Scj.new :id => "a32",
    :input => a33,
    :src => :item,
    :step => "child::bid"

a31 = Rownum.new :id => "a31",
    :input => a32,
    :newcol => :pos,
    :order => [ :item ],
    :part => :iter

a26 = Atomize.new :id => "a26",
    :input => a31,
    :src => :item,
    :dest => :res

a25 = Project.new :id => "a25",
    :input => a26,
    :projlist => [ [ :iter ], [ :pos ], [ :item, :res ]]

a24 = Rownum.new :id => "a24",
    :input => a25,
    :newcol => :inner,
    :order => [ :iter, :pos ]

a23 = Project.new :id => "a23",
    :input => a24,
    :projlist => [ [ :iter, :inner ], [ :item ]]

a22 = Project.new :id => "a22",
    :input => a23,
    :projlist => [[ :cast, :item ],  [ :iter ], [ :item ]]

a21 = Project.new :id => "a21",
    :input => a22,
    :projlist => [ [ :iter ], [ :item, :cast ]]

a141 = Project.new :id => "a141",
    :input => a24,
    :projlist => [ [ :outer, :iter ], [ :inner ]]

a20 = Join.new :id => "a20",
    :left_rel => a21,
    :right_rel => a141,
    :left_col => :iter,
    :right_col => :inner

a19 = Project.new :id => "a19",
    :input => a20,
    :projlist => [ [ :iter, :outer ], [ :item ]]

a18 = Max.new :id => "a18",
    :input => a19,
    :part => :iter,
    :res => :item,
    :arg => :item


a17 = Project.new :id => "a17",
    :input => a18,
    :projlist => [[ :pos, 1 ],  [ :item ], [ :iter ]]

a16 = Project.new :id => "a16",
    :input => a17,
    :projlist => [[ :cast, :item ],  [ :item ], [ :iter ], [ :pos ]]

a15 = Project.new :id => "a15",
    :input => a16,
    :projlist => [ [ :iter ], [ :pos ], [ :item, :cast ]]

a142 = LiteralTable.new :id => "a142",
    :colnames => [ :iter, :item ],
    :data => [[1, " "]]

a14 = StringJoin.new :id => "a14",
    :left_rel => a15,
    :right_rel => a142,
    :iter => :iter,
    :pos  => :pos,
    :item => :item


a13 = TextConstr.new :id => "a13",
    :input => a14,
    :iter => :iter,
    :item => :item


a12 = a13  # twig
a144 = Project.new :id => "a144",
    :input => a12,
    :projlist => [ [ :iter ], [ :item ]]

a143 = Project.new :id => "a143",
    :input => a144,
    :projlist => [[ :pos, 1 ],  [ :iter ], [ :item ]]

a9 = a143     # ERRORContent.new

a8 = a9 # fncs
a6 = ElemConstr.new :id => "a6",
    :tagnames => a7,
    :content => a8

a5 = a6  # twig
a147 = Project.new :id => "a147",
    :input => a5,
    :projlist => [ [ :iter ], [ :item ]]

a146 = Project.new :id => "a146",
    :input => a147,
    :projlist => [[ :pos, 1 ],  [ :iter ], [ :item ]]

# serialize (:pos => :pos, :item => :item)
$root = a146
