a7 = LiteralTable.new :id => "a7",
    :colnames => [ :iter, :item ],
    :data => [[1, "item_count"]]

a25 = LiteralTable.new :id => "a25",
    :colnames => [ :iter, :item ],
    :data => [[1, "items.xml"]]

a24 = Doc.new :id => "a24",
    :input => a25,
    :src => :item,
    :dest => :res

a29 = Project.new :id => "a29",
    :input => a24,
    :projlist => [ [ :iter ], [ :item ], [ :res ]]

a28 = Project.new :id => "a28",
    :input => a29,
    :projlist => [ [ :iter ], [ :item, :res ]]

a27 = Scj.new :id => "a27",
    :input => a28,
    :src => :item,
    :step => "descendant-or-self::node()"

a26 = Project.new :id => "a26",
    :input => a27,
    :projlist => [ [ :iter ], [ :item ]]

a21 = Scj.new :id => "a21",
    :input => a26,
    :src => :item,
    :step => "child::item_tuple"

a20 = Rownum.new :id => "a20",
    :input => a21,
    :newcol => :pos,
    :order => [ :item ],
    :part => :iter

a19 = Rownum.new :id => "a19",
    :input => a20,
    :newcol => :inner,
    :order => [ :iter, :pos ]

a18 = Project.new :id => "a18",
    :input => a19,
    :projlist => [ [ :iter, :inner ], [ :item ]]

a58 = Project.new :id => "a58",
    :input => a18,
    :projlist => [ [ :iter ], [ :item ]]

a57 = Scj.new :id => "a57",
    :input => a58,
    :src => :item,
    :step => "child::end_date"

a56 = Rownum.new :id => "a56",
    :input => a57,
    :newcol => :pos,
    :order => [ :item ],
    :part => :iter

a55 = Atomize.new :id => "a55",
    :input => a56,
    :src => :item,
    :dest => :res

a54 = Project.new :id => "a54",
    :input => a55,
    :projlist => [ [ :iter ], [ :pos ], [ :item, :res ]]

a53 = Rownum.new :id => "a53",
    :input => a54,
    :newcol => :inner,
    :order => [ :iter, :pos ]

a52 = Project.new :id => "a52",
    :input => a53,
    :projlist => [ [ :iter, :inner ], [ :item ]]

a51 = Project.new :id => "a51",
    :input => a52,
    :projlist => [ [ :iter ]]

a50 = Project.new :id => "a50",
    :input => a51,
    :projlist => [[ :item, "1999-03-01" ],  [ :iter ]]

a59 = Project.new :id => "a59",
    :input => a52,
    :projlist => [ [ :iter1, :iter ], [ :item1, :item ]]

a49 = Join.new :id => "a49",
    :left_rel => a50,
    :right_rel => a59,
    :left_col => :iter,
    :right_col => :iter1

a48 = GreaterThanOp.new :id => "a48",
    :input => a49,
    :newcol => :res,
    :arg1 => :item,
    :arg2 => :item1

a47 = Project.new :id => "a47",
    :input => a48,
    :projlist => [ [ :iter ], [ :item, :res ]]

a46 = Not.new :id => "a46",
    :input => a47,
    :newcol => :res,
    :arg => :item

a45 = Project.new :id => "a45",
    :input => a46,
    :projlist => [ [ :iter ], [ :item, :res ]]

a44 = Select.new :id => "a44",
    :input => a45,
    :column => :item

a43 = Project.new :id => "a43",
    :input => a44,
    :projlist => [ [ :iter ]]

a42 = Project.new :id => "a42",
    :input => a43,
    :projlist => [ [ :iter ]]

a41 = Distinct.new :id => "a41",
    :input => a42

a40 = Project.new :id => "a40",
    :input => a41,
    :projlist => [[ :item, true ],  [ :iter ]]

a39 = Select.new :id => "a39",
    :input => a40,
    :column => :item

a38 = Project.new :id => "a38",
    :input => a39,
    :projlist => [ [ :iter ]]

a60 = Project.new :id => "a60",
    :input => a53,
    :projlist => [ [ :outer, :iter ], [ :inner ]]

a37 = Join.new :id => "a37",
    :left_rel => a38,
    :right_rel => a60,
    :left_col => :iter,
    :right_col => :inner

a36 = Project.new :id => "a36",
    :input => a37,
    :projlist => [ [ :iter, :outer ]]

a35 = Distinct.new :id => "a35",
    :input => a36

a34 = Project.new :id => "a34",
    :input => a35,
    :projlist => [[ :item, true ],  [ :iter ]]

a33 = Select.new :id => "a33",
    :input => a34,
    :column => :item

a32 = Project.new :id => "a32",
    :input => a33,
    :projlist => [ [ :outer, :iter ], [ :inner, :iter ]]

a86 = Join.new :id => "a86",
    :left_rel => a18,
    :right_rel => a32,
    :left_col => :iter,
    :right_col => :outer

a85 = Project.new :id => "a85",
    :input => a86,
    :projlist => [ [ :iter, :inner ], [ :item ]]

a84 = Scj.new :id => "a84",
    :input => a85,
    :src => :item,
    :step => "child::end_date"

a83 = Rownum.new :id => "a83",
    :input => a84,
    :newcol => :pos,
    :order => [ :item ],
    :part => :iter

a82 = Atomize.new :id => "a82",
    :input => a83,
    :src => :item,
    :dest => :res

a81 = Project.new :id => "a81",
    :input => a82,
    :projlist => [ [ :iter ], [ :pos ], [ :item, :res ]]

a80 = Rownum.new :id => "a80",
    :input => a81,
    :newcol => :inner,
    :order => [ :iter, :pos ]

a79 = Project.new :id => "a79",
    :input => a80,
    :projlist => [ [ :iter, :inner ], [ :item ]]

a89 = Project.new :id => "a89",
    :input => a79,
    :projlist => [ [ :iter ]]

a88 = Project.new :id => "a88",
    :input => a89,
    :projlist => [[ :item, "1999-03-31" ],  [ :iter ]]

a87 = Project.new :id => "a87",
    :input => a88,
    :projlist => [ [ :iter1, :iter ], [ :item1, :item ]]

a78 = Join.new :id => "a78",
    :left_rel => a79,
    :right_rel => a87,
    :left_col => :iter,
    :right_col => :iter1

a77 = GreaterThanOp.new :id => "a77",
    :input => a78,
    :newcol => :res,
    :arg1 => :item,
    :arg2 => :item1

a76 = Project.new :id => "a76",
    :input => a77,
    :projlist => [ [ :iter ], [ :item, :res ]]

a75 = Not.new :id => "a75",
    :input => a76,
    :newcol => :res,
    :arg => :item

a74 = Project.new :id => "a74",
    :input => a75,
    :projlist => [ [ :iter ], [ :item, :res ]]

a73 = Select.new :id => "a73",
    :input => a74,
    :column => :item

a72 = Project.new :id => "a72",
    :input => a73,
    :projlist => [ [ :iter ]]

a71 = Project.new :id => "a71",
    :input => a72,
    :projlist => [ [ :iter ]]

a70 = Distinct.new :id => "a70",
    :input => a71

a69 = Project.new :id => "a69",
    :input => a70,
    :projlist => [[ :item, true ],  [ :iter ]]

a68 = Select.new :id => "a68",
    :input => a69,
    :column => :item

a67 = Project.new :id => "a67",
    :input => a68,
    :projlist => [ [ :iter ]]

a90 = Project.new :id => "a90",
    :input => a80,
    :projlist => [ [ :outer, :iter ], [ :inner ]]

a66 = Join.new :id => "a66",
    :left_rel => a67,
    :right_rel => a90,
    :left_col => :iter,
    :right_col => :inner

a65 = Project.new :id => "a65",
    :input => a66,
    :projlist => [ [ :iter, :outer ]]

a64 = Distinct.new :id => "a64",
    :input => a65

a63 = Project.new :id => "a63",
    :input => a64,
    :projlist => [[ :item, true ],  [ :iter ]]

a62 = Select.new :id => "a62",
    :input => a63,
    :column => :item

a61 = Project.new :id => "a61",
    :input => a62,
    :projlist => [ [ :iter ]]

a31 = Join.new :id => "a31",
    :left_rel => a32,
    :right_rel => a61,
    :left_col => :inner,
    :right_col => :iter

a30 = Project.new :id => "a30",
    :input => a31,
    :projlist => [ [ :outer ], [ :inner ]]

a17 = Join.new :id => "a17",
    :left_rel => a18,
    :right_rel => a30,
    :left_col => :iter,
    :right_col => :outer

a16 = Project.new :id => "a16",
    :input => a17,
    :projlist => [ [ :iter, :inner ]]

a91 = Project.new :id => "a91",
    :input => a19,
    :projlist => [ [ :outer, :iter ], [ :inner ]]

a15 = Join.new :id => "a15",
    :left_rel => a16,
    :right_rel => a91,
    :left_col => :iter,
    :right_col => :inner

a14 = Project.new :id => "a14",
    :input => a15,
    :projlist => [ [ :iter, :outer ]]

a13 = Count.new :id => "a13",
    :input => a14,
    :newcol => :item,
    :part => :iter


a94 = LiteralTable.new :id => "a94",
    :colnames => [ :iter ],
    :data => [[1]]

a95 = Project.new :id => "a95",
    :input => a13,
    :projlist => [ [ :iter ]]

a93 = Difference.new :id => "a93",
    :left_rel => a94,
    :right_rel => a95

a92 = Project.new :id => "a92",
    :input => a93,
    :projlist => [[ :item, 0 ],  [ :iter ]]

a12 = Union.new :id => "a12",
    :left_rel => a13,
    :right_rel => a92

a11 = Project.new :id => "a11",
    :input => a12,
    :projlist => [[ :cast, :item ],  [ :item ], [ :iter ]]

a10 = Project.new :id => "a10",
    :input => a11,
    :projlist => [ [ :iter ], [ :item, :cast ]]

a9 = TextConstr.new :id => "a9",
    :input => a10,
    :iter => :iter,
    :item => :item


a8 = a9 # fncs
a6 = ElemConstr.new :id => "a6",
    :tagnames => a7,
    :content => a8

a5 = a6  # twig
a98 = Project.new :id => "a98",
    :input => a5,
    :projlist => [ [ :iter ], [ :item ]]

a97 = Project.new :id => "a97",
    :input => a98,
    :projlist => [[ :pos, 1 ],  [ :iter ], [ :item ]]

# serialize (:pos => :pos, :item => :item)
$root = a97
