a7 = LiteralTable.new :id => "a7",
    :colnames => [ :iter, :item ],
    :data => [[1, "result"]]

a13 = LiteralTable.new :id => "a13",
    :colnames => [ :iter, :item ],
    :data => [[1, "sgml.xml"]]

a12 = Doc.new :id => "a12",
    :input => a13,
    :src => :item,
    :dest => :res

a42 = Project.new :id => "a42",
    :input => a12,
    :projlist => [ [ :iter ], [ :item ], [ :res ]]

a41 = Project.new :id => "a41",
    :input => a42,
    :projlist => [ [ :iter ], [ :item, :res ]]

a40 = Scj.new :id => "a40",
    :input => a41,
    :src => :item,
    :step => "descendant-or-self::node()"

a39 = Rownum.new :id => "a39",
    :input => a40,
    :newcol => :pos,
    :order => [ :item ],
    :part => :iter

a38 = Rownum.new :id => "a38",
    :input => a39,
    :newcol => :inner,
    :order => [ :iter, :pos ]

a37 = Project.new :id => "a37",
    :input => a38,
    :projlist => [ [ :iter, :inner ], [ :item ]]

a36 = Project.new :id => "a36",
    :input => a37,
    :projlist => [ [ :iter ], [ :item ]]

a35 = Scj.new :id => "a35",
    :input => a36,
    :src => :item,
    :step => "child::title"

a34 = Rownum.new :id => "a34",
    :input => a35,
    :newcol => :pos,
    :order => [ :item ],
    :part => :iter

a33 = Rownum.new :id => "a33",
    :input => a34,
    :newcol => :inner,
    :order => [ :iter, :pos ]

a32 = Project.new :id => "a32",
    :input => a33,
    :projlist => [ [ :iter, :inner ], [ :item ]]

a31 = Project.new :id => "a31",
    :input => a32,
    :projlist => [[ :pos, 1 ],  [ :iter ], [ :item ]]

a59 = Project.new :id => "a59",
    :input => a39,
    :projlist => [ [ :iter ], [ :item ]]

a58 = Scj.new :id => "a58",
    :input => a59,
    :src => :item,
    :step => "child::xref"

a57 = Rownum.new :id => "a57",
    :input => a58,
    :newcol => :pos,
    :order => [ :item ],
    :part => :iter

a56 = Rownum.new :id => "a56",
    :input => a57,
    :newcol => :inner,
    :order => [ :iter, :pos ]

a55 = Project.new :id => "a55",
    :input => a56,
    :projlist => [ [ :iter, :inner ], [ :item ]]

a82 = Project.new :id => "a82",
    :input => a55,
    :projlist => [ [ :iter ], [ :item ]]

a81 = Scj.new :id => "a81",
    :input => a82,
    :src => :item,
    :step => "attribute::xrefid"

a80 = Rownum.new :id => "a80",
    :input => a81,
    :newcol => :pos,
    :order => [ :item ],
    :part => :iter

a79 = Atomize.new :id => "a79",
    :input => a80,
    :src => :item,
    :dest => :res

a78 = Project.new :id => "a78",
    :input => a79,
    :projlist => [ [ :iter ], [ :pos ], [ :item, :res ]]

a77 = Rownum.new :id => "a77",
    :input => a78,
    :newcol => :inner,
    :order => [ :iter, :pos ]

a76 = Project.new :id => "a76",
    :input => a77,
    :projlist => [ [ :iter, :inner ], [ :item ]]

a85 = Project.new :id => "a85",
    :input => a76,
    :projlist => [ [ :iter ]]

a84 = Project.new :id => "a84",
    :input => a85,
    :projlist => [[ :item, "top4" ],  [ :iter ]]

a83 = Project.new :id => "a83",
    :input => a84,
    :projlist => [ [ :iter1, :iter ], [ :item1, :item ]]

a75 = Join.new :id => "a75",
    :left_rel => a76,
    :right_rel => a83,
    :left_col => :iter,
    :right_col => :iter1

a74 = EqualOp.new :id => "a74",
    :input => a75,
    :newcol => :res,
    :arg1 => :item,
    :arg2 => :item1

a73 = Project.new :id => "a73",
    :input => a74,
    :projlist => [ [ :iter ], [ :item, :res ]]

a72 = Select.new :id => "a72",
    :input => a73,
    :column => :item

a71 = Project.new :id => "a71",
    :input => a72,
    :projlist => [ [ :iter ]]

a70 = Project.new :id => "a70",
    :input => a71,
    :projlist => [ [ :iter ]]

a69 = Distinct.new :id => "a69",
    :input => a70

a68 = Project.new :id => "a68",
    :input => a69,
    :projlist => [[ :item, true ],  [ :iter ]]

a67 = Select.new :id => "a67",
    :input => a68,
    :column => :item

a66 = Project.new :id => "a66",
    :input => a67,
    :projlist => [ [ :iter ]]

a86 = Project.new :id => "a86",
    :input => a77,
    :projlist => [ [ :outer, :iter ], [ :inner ]]

a65 = Join.new :id => "a65",
    :left_rel => a66,
    :right_rel => a86,
    :left_col => :iter,
    :right_col => :inner

a64 = Project.new :id => "a64",
    :input => a65,
    :projlist => [ [ :iter, :outer ]]

a63 = Distinct.new :id => "a63",
    :input => a64

a62 = Project.new :id => "a62",
    :input => a63,
    :projlist => [[ :item, true ],  [ :iter ]]

a61 = Select.new :id => "a61",
    :input => a62,
    :column => :item

a60 = Project.new :id => "a60",
    :input => a61,
    :projlist => [ [ :outer, :iter ], [ :inner, :iter ]]

a54 = Join.new :id => "a54",
    :left_rel => a55,
    :right_rel => a60,
    :left_col => :iter,
    :right_col => :outer

a53 = Project.new :id => "a53",
    :input => a54,
    :projlist => [ [ :iter, :inner ], [ :item ]]

a87 = Project.new :id => "a87",
    :input => a56,
    :projlist => [ [ :outer, :iter ], [ :inner ]]

a52 = Join.new :id => "a52",
    :left_rel => a53,
    :right_rel => a87,
    :left_col => :iter,
    :right_col => :inner

a51 = Project.new :id => "a51",
    :input => a52,
    :projlist => [ [ :iter, :outer ], [ :item ]]

a90 = Project.new :id => "a90",
    :input => a38,
    :projlist => [ [ :iter, :inner ], [ :outer, :iter ]]

a91 = Project.new :id => "a91",
    :input => a33,
    :projlist => [ [ :iter2, :iter ], [ :inner ]]

a89 = Join.new :id => "a89",
    :left_rel => a90,
    :right_rel => a91,
    :left_col => :iter,
    :right_col => :iter2

a88 = Project.new :id => "a88",
    :input => a89,
    :projlist => [ [ :outer ], [ :inner ]]

a50 = Join.new :id => "a50",
    :left_rel => a51,
    :right_rel => a88,
    :left_col => :iter,
    :right_col => :outer

a49 = Project.new :id => "a49",
    :input => a50,
    :projlist => [ [ :iter, :inner ], [ :item ]]

a48 = a49     # ERRORerror.new

a103 = Project.new :id => "a103",
    :input => a31,
    :projlist => [ [ :iter1, :iter ], [ :item1, :item ]]

a47 = Join.new :id => "a47",
    :left_rel => a48,
    :right_rel => a103,
    :left_col => :iter,
    :right_col => :iter1

a46 = GreaterThanOp.new :id => "a46",
    :input => a47,
    :newcol => :res,
    :arg1 => :item,
    :arg2 => :item1

a45 = Project.new :id => "a45",
    :input => a46,
    :projlist => [ [ :iter ], [ :item, :res ]]

a44 = Select.new :id => "a44",
    :input => a45,
    :column => :item

a43 = Project.new :id => "a43",
    :input => a44,
    :projlist => [ [ :outer, :iter ], [ :inner, :iter ]]

a30 = Join.new :id => "a30",
    :left_rel => a31,
    :right_rel => a43,
    :left_col => :iter,
    :right_col => :outer

a29 = Project.new :id => "a29",
    :input => a30,
    :projlist => [ [ :iter, :inner ], [ :pos ], [ :item ]]

a104 = Project.new :id => "a104",
    :input => a33,
    :projlist => [ [ :outer, :iter ], [ :sort, :pos ], [ :inner ]]

a28 = Join.new :id => "a28",
    :left_rel => a29,
    :right_rel => a104,
    :left_col => :iter,
    :right_col => :inner

a27 = Rownum.new :id => "a27",
    :input => a28,
    :newcol => :pos1,
    :order => [ :sort, :pos ],
    :part => :outer

a26 = Project.new :id => "a26",
    :input => a27,
    :projlist => [ [ :iter, :outer ], [ :pos, :pos1 ], [ :item ]]

a105 = Project.new :id => "a105",
    :input => a38,
    :projlist => [ [ :outer, :iter ], [ :sort, :pos ], [ :inner ]]

a25 = Join.new :id => "a25",
    :left_rel => a26,
    :right_rel => a105,
    :left_col => :iter,
    :right_col => :inner

a24 = Rownum.new :id => "a24",
    :input => a25,
    :newcol => :pos1,
    :order => [ :sort, :pos ],
    :part => :outer

a23 = Project.new :id => "a23",
    :input => a24,
    :projlist => [ [ :iter, :outer ], [ :pos, :pos1 ], [ :item ]]

a22 = Rownum.new :id => "a22",
    :input => a23,
    :newcol => :pos1,
    :order => [ :pos ],
    :part => :iter

a21 = Rownum.new :id => "a21",
    :input => a22,
    :newcol => :inner,
    :order => [ :iter, :pos ]

a20 = Project.new :id => "a20",
    :input => a21,
    :projlist => [ [ :iter, :inner ], [ :item ]]

a19 = Project.new :id => "a19",
    :input => a20,
    :projlist => [[ :pos, 1 ],  [ :iter ], [ :item ]]

a115 = Project.new :id => "a115",
    :input => a24,
    :projlist => [ [ :iter, :outer ]]

a114 = Count.new :id => "a114",
    :input => a115,
    :newcol => :item,
    :part => :iter


a118 = LiteralTable.new :id => "a118",
    :colnames => [ :iter ],
    :data => [[1]]

a119 = Project.new :id => "a119",
    :input => a114,
    :projlist => [ [ :iter ]]

a117 = Difference.new :id => "a117",
    :left_rel => a118,
    :right_rel => a119

a116 = Project.new :id => "a116",
    :input => a117,
    :projlist => [[ :item, 0 ],  [ :iter ]]

a113 = Union.new :id => "a113",
    :left_rel => a114,
    :right_rel => a116

a120 = Project.new :id => "a120",
    :input => a21,
    :projlist => [ [ :outer, :iter ], [ :inner ]]

a112 = Join.new :id => "a112",
    :left_rel => a113,
    :right_rel => a120,
    :left_col => :iter,
    :right_col => :outer

a111 = Project.new :id => "a111",
    :input => a112,
    :projlist => [ [ :iter, :inner ], [ :item ]]

a123 = Project.new :id => "a123",
    :input => a21,
    :projlist => [[ :cast, :pos1 ],  [ :iter ], [ :pos ], [ :item ], [ :pos1 ], [ :inner ]]

a122 = Project.new :id => "a122",
    :input => a123,
    :projlist => [ [ :iter, :inner ], [ :item, :cast ]]

a121 = Project.new :id => "a121",
    :input => a122,
    :projlist => [ [ :iter1, :iter ], [ :item1, :item ]]

a110 = Join.new :id => "a110",
    :left_rel => a111,
    :right_rel => a121,
    :left_col => :iter,
    :right_col => :iter1

a109 = EqualOp.new :id => "a109",
    :input => a110,
    :newcol => :res,
    :arg1 => :item,
    :arg2 => :item1

a108 = Project.new :id => "a108",
    :input => a109,
    :projlist => [ [ :iter ], [ :item, :res ]]

a107 = Select.new :id => "a107",
    :input => a108,
    :column => :item

a106 = Project.new :id => "a106",
    :input => a107,
    :projlist => [ [ :outer, :iter ], [ :inner, :iter ]]

a18 = Join.new :id => "a18",
    :left_rel => a19,
    :right_rel => a106,
    :left_col => :iter,
    :right_col => :outer

a17 = Project.new :id => "a17",
    :input => a18,
    :projlist => [ [ :iter, :inner ], [ :pos ], [ :item ]]

a124 = Project.new :id => "a124",
    :input => a21,
    :projlist => [ [ :outer, :iter ], [ :sort, :pos ], [ :inner ]]

a16 = Join.new :id => "a16",
    :left_rel => a17,
    :right_rel => a124,
    :left_col => :iter,
    :right_col => :inner

a15 = Rownum.new :id => "a15",
    :input => a16,
    :newcol => :pos1,
    :order => [ :sort, :pos ],
    :part => :outer

a14 = Project.new :id => "a14",
    :input => a15,
    :projlist => [ [ :iter, :outer ], [ :pos, :pos1 ], [ :item ]]

a9 = a14     # ERRORContent.new

a8 = a9 # fncs
a6 = ElemConstr.new :id => "a6",
    :tagnames => a7,
    :content => a8

a5 = a6  # twig
a127 = Project.new :id => "a127",
    :input => a5,
    :projlist => [ [ :iter ], [ :item ]]

a126 = Project.new :id => "a126",
    :input => a127,
    :projlist => [[ :pos, 1 ],  [ :iter ], [ :item ]]

# serialize (:pos => :pos, :item => :item)
$root = a126
