a7 = LiteralTable.new :id => "a7",
    :colnames => [ :iter, :item ],
    :data => [[1, "result"]]

a13 = LiteralTable.new :id => "a13",
    :colnames => [ :iter, :item ],
    :data => [[1, "sgml.xml"]]

a12 = Doc.new :id => "a12",
    :input => a13,
    :src => :item,
    :dest => :res

a32 = Project.new :id => "a32",
    :input => a12,
    :projlist => [ [ :iter ], [ :item ], [ :res ]]

a31 = Project.new :id => "a31",
    :input => a32,
    :projlist => [ [ :iter ], [ :item, :res ]]

a30 = Scj.new :id => "a30",
    :input => a31,
    :src => :item,
    :step => "descendant-or-self::node()"

a29 = Project.new :id => "a29",
    :input => a30,
    :projlist => [ [ :iter ], [ :item ]]

a28 = Scj.new :id => "a28",
    :input => a29,
    :src => :item,
    :step => "child::chapter"

a27 = Rownum.new :id => "a27",
    :input => a28,
    :newcol => :pos,
    :order => [ :item ],
    :part => :iter

a26 = Rownum.new :id => "a26",
    :input => a27,
    :newcol => :inner,
    :order => [ :iter, :pos ]

a25 = Project.new :id => "a25",
    :input => a26,
    :projlist => [ [ :iter, :inner ], [ :item ]]

a37 = Project.new :id => "a37",
    :input => a25,
    :projlist => [ [ :iter ]]

a40 = Project.new :id => "a40",
    :input => a25,
    :projlist => [ [ :iter ], [ :item ]]

a39 = Scj.new :id => "a39",
    :input => a40,
    :src => :item,
    :step => "child::intro"

a38 = Project.new :id => "a38",
    :input => a39,
    :projlist => [ [ :iter ]]

a36 = Difference.new :id => "a36",
    :left_rel => a37,
    :right_rel => a38

a35 = Project.new :id => "a35",
    :input => a36,
    :projlist => [[ :item, true ],  [ :iter ]]

a34 = Select.new :id => "a34",
    :input => a35,
    :column => :item

a33 = Project.new :id => "a33",
    :input => a34,
    :projlist => [ [ :outer, :iter ], [ :inner, :iter ]]

a24 = Join.new :id => "a24",
    :left_rel => a25,
    :right_rel => a33,
    :left_col => :iter,
    :right_col => :outer

a23 = Project.new :id => "a23",
    :input => a24,
    :projlist => [ [ :iter, :inner ], [ :item ]]

a22 = Scj.new :id => "a22",
    :input => a23,
    :src => :item,
    :step => "child::section"

a21 = Project.new :id => "a21",
    :input => a22,
    :projlist => [ [ :iter ], [ :item ]]

a20 = Scj.new :id => "a20",
    :input => a21,
    :src => :item,
    :step => "child::intro"

a19 = Project.new :id => "a19",
    :input => a20,
    :projlist => [ [ :iter ], [ :item ]]

a18 = Scj.new :id => "a18",
    :input => a19,
    :src => :item,
    :step => "child::para"

a17 = Rownum.new :id => "a17",
    :input => a18,
    :newcol => :pos,
    :order => [ :item ],
    :part => :iter

a41 = Project.new :id => "a41",
    :input => a26,
    :projlist => [ [ :outer, :iter ], [ :sort, :pos ], [ :inner ]]

a16 = Join.new :id => "a16",
    :left_rel => a17,
    :right_rel => a41,
    :left_col => :iter,
    :right_col => :inner

a15 = Rownum.new :id => "a15",
    :input => a16,
    :newcol => :pos1,
    :order => [ :sort, :pos ],
    :part => :outer

a14 = Project.new :id => "a14",
    :input => a15,
    :projlist => [ [ :iter, :outer ], [ :pos, :pos1 ], [ :item ]]

a9 = a14     # ERRORContent.new

a8 = a9 # fncs
a6 = ElemConstr.new :id => "a6",
    :tagnames => a7,
    :content => a8

a5 = a6  # twig
a44 = Project.new :id => "a44",
    :input => a5,
    :projlist => [ [ :iter ], [ :item ]]

a43 = Project.new :id => "a43",
    :input => a44,
    :projlist => [[ :pos, 1 ],  [ :iter ], [ :item ]]

# serialize (:pos => :pos, :item => :item)
$root = a43
