a7 = LiteralTable.new :id => "a7",
    :colnames => [ :iter, :item ],
    :data => [[1, "result"]]

a13 = LiteralTable.new :id => "a13",
    :colnames => [ :iter, :item ],
    :data => [[1, "sgml.xml"]]

a12 = Doc.new :id => "a12",
    :input => a13,
    :src => :item,
    :dest => :res

a27 = Project.new :id => "a27",
    :input => a12,
    :projlist => [ [ :iter ], [ :item ], [ :res ]]

a26 = Project.new :id => "a26",
    :input => a27,
    :projlist => [ [ :iter ], [ :item, :res ]]

a25 = Scj.new :id => "a25",
    :input => a26,
    :src => :item,
    :step => "descendant-or-self::node()"

a24 = Project.new :id => "a24",
    :input => a25,
    :projlist => [ [ :iter ], [ :item ]]

a23 = Scj.new :id => "a23",
    :input => a24,
    :src => :item,
    :step => "child::para"

a22 = Rownum.new :id => "a22",
    :input => a23,
    :newcol => :pos,
    :order => [ :item ],
    :part => :iter

a21 = Rownum.new :id => "a21",
    :input => a22,
    :newcol => :inner,
    :order => [ :iter, :pos ]

a20 = Project.new :id => "a20",
    :input => a21,
    :projlist => [ [ :iter, :inner ], [ :item ]]

a19 = Project.new :id => "a19",
    :input => a20,
    :projlist => [[ :pos, 1 ],  [ :iter ], [ :item ]]

a50 = Project.new :id => "a50",
    :input => a19,
    :projlist => [ [ :iter ], [ :item ]]

a49 = Scj.new :id => "a49",
    :input => a50,
    :src => :item,
    :step => "attribute::security"

a48 = Rownum.new :id => "a48",
    :input => a49,
    :newcol => :pos,
    :order => [ :item ],
    :part => :iter

a47 = Atomize.new :id => "a47",
    :input => a48,
    :src => :item,
    :dest => :res

a46 = Project.new :id => "a46",
    :input => a47,
    :projlist => [ [ :iter ], [ :pos ], [ :item, :res ]]

a45 = Rownum.new :id => "a45",
    :input => a46,
    :newcol => :inner,
    :order => [ :iter, :pos ]

a44 = Project.new :id => "a44",
    :input => a45,
    :projlist => [ [ :iter, :inner ], [ :item ]]

a53 = Project.new :id => "a53",
    :input => a44,
    :projlist => [ [ :iter ]]

a52 = Project.new :id => "a52",
    :input => a53,
    :projlist => [[ :item, "c" ],  [ :iter ]]

a51 = Project.new :id => "a51",
    :input => a52,
    :projlist => [ [ :iter1, :iter ], [ :item1, :item ]]

a43 = Join.new :id => "a43",
    :left_rel => a44,
    :right_rel => a51,
    :left_col => :iter,
    :right_col => :iter1

a42 = EqualOp.new :id => "a42",
    :input => a43,
    :newcol => :res,
    :arg1 => :item,
    :arg2 => :item1

a41 = Project.new :id => "a41",
    :input => a42,
    :projlist => [ [ :iter ], [ :item, :res ]]

a40 = Select.new :id => "a40",
    :input => a41,
    :column => :item

a39 = Project.new :id => "a39",
    :input => a40,
    :projlist => [ [ :iter ]]

a38 = Project.new :id => "a38",
    :input => a39,
    :projlist => [ [ :iter ]]

a37 = Distinct.new :id => "a37",
    :input => a38

a36 = Project.new :id => "a36",
    :input => a37,
    :projlist => [[ :item, true ],  [ :iter ]]

a35 = Select.new :id => "a35",
    :input => a36,
    :column => :item

a34 = Project.new :id => "a34",
    :input => a35,
    :projlist => [ [ :iter ]]

a54 = Project.new :id => "a54",
    :input => a45,
    :projlist => [ [ :outer, :iter ], [ :inner ]]

a33 = Join.new :id => "a33",
    :left_rel => a34,
    :right_rel => a54,
    :left_col => :iter,
    :right_col => :inner

a32 = Project.new :id => "a32",
    :input => a33,
    :projlist => [ [ :iter, :outer ]]

a31 = Distinct.new :id => "a31",
    :input => a32

a30 = Project.new :id => "a30",
    :input => a31,
    :projlist => [[ :item, true ],  [ :iter ]]

a29 = Select.new :id => "a29",
    :input => a30,
    :column => :item

a28 = Project.new :id => "a28",
    :input => a29,
    :projlist => [ [ :outer, :iter ], [ :inner, :iter ]]

a18 = Join.new :id => "a18",
    :left_rel => a19,
    :right_rel => a28,
    :left_col => :iter,
    :right_col => :outer

a17 = Project.new :id => "a17",
    :input => a18,
    :projlist => [ [ :iter, :inner ], [ :pos ], [ :item ]]

a55 = Project.new :id => "a55",
    :input => a21,
    :projlist => [ [ :outer, :iter ], [ :sort, :pos ], [ :inner ]]

a16 = Join.new :id => "a16",
    :left_rel => a17,
    :right_rel => a55,
    :left_col => :iter,
    :right_col => :inner

a15 = Rownum.new :id => "a15",
    :input => a16,
    :newcol => :pos1,
    :order => [ :sort, :pos ],
    :part => :outer

a14 = Project.new :id => "a14",
    :input => a15,
    :projlist => [ [ :iter, :outer ], [ :pos, :pos1 ], [ :item ]]

a9 = a14     # ERRORContent.new

a8 = a9 # fncs
a6 = ElemConstr.new :id => "a6",
    :tagnames => a7,
    :content => a8

a5 = a6  # twig
a58 = Project.new :id => "a58",
    :input => a5,
    :projlist => [ [ :iter ], [ :item ]]

a57 = Project.new :id => "a57",
    :input => a58,
    :projlist => [[ :pos, 1 ],  [ :iter ], [ :item ]]

# serialize (:pos => :pos, :item => :item)
$root = a57
