a7 = LiteralTable.new :id => "a7",
    :colnames => [ :iter, :item ],
    :data => [[1, "result"]]

a35 = LiteralTable.new :id => "a35",
    :colnames => [ :iter, :item ],
    :data => [[1, "sgml.xml"]]

a34 = Doc.new :id => "a34",
    :input => a35,
    :src => :item,
    :dest => :res

a44 = Project.new :id => "a44",
    :input => a34,
    :projlist => [ [ :iter ], [ :item ], [ :res ]]

a43 = Project.new :id => "a43",
    :input => a44,
    :projlist => [ [ :iter ], [ :item, :res ]]

a42 = Scj.new :id => "a42",
    :input => a43,
    :src => :item,
    :step => "descendant-or-self::node()"

a41 = Project.new :id => "a41",
    :input => a42,
    :projlist => [ [ :iter ], [ :item ]]

a40 = Scj.new :id => "a40",
    :input => a41,
    :src => :item,
    :step => "child::intro"

a39 = Rownum.new :id => "a39",
    :input => a40,
    :newcol => :pos,
    :order => [ :item ],
    :part => :iter

a38 = Rownum.new :id => "a38",
    :input => a39,
    :newcol => :inner,
    :order => [ :iter, :pos ]

a37 = Project.new :id => "a37",
    :input => a38,
    :projlist => [ [ :iter, :inner ], [ :item ]]

a36 = Project.new :id => "a36",
    :input => a37,
    :projlist => [ [ :iter ], [ :item ]]

a31 = Scj.new :id => "a31",
    :input => a36,
    :src => :item,
    :step => "child::para"

a30 = Rownum.new :id => "a30",
    :input => a31,
    :newcol => :pos,
    :order => [ :item ],
    :part => :iter

a29 = Rownum.new :id => "a29",
    :input => a30,
    :newcol => :pos1,
    :order => [ :pos ],
    :part => :iter

a28 = Rownum.new :id => "a28",
    :input => a29,
    :newcol => :inner,
    :order => [ :iter, :pos ]

a27 = Project.new :id => "a27",
    :input => a28,
    :projlist => [ [ :iter, :inner ], [ :item ]]

a26 = Project.new :id => "a26",
    :input => a27,
    :projlist => [[ :pos, 1 ],  [ :iter ], [ :item ]]

a51 = Project.new :id => "a51",
    :input => a26,
    :projlist => [ [ :iter ]]

a50 = Project.new :id => "a50",
    :input => a51,
    :projlist => [[ :item, 1 ],  [ :iter ]]

a54 = Project.new :id => "a54",
    :input => a28,
    :projlist => [[ :cast, :pos1 ],  [ :iter ], [ :item ], [ :pos ], [ :pos1 ], [ :inner ]]

a53 = Project.new :id => "a53",
    :input => a54,
    :projlist => [ [ :iter, :inner ], [ :item, :cast ]]

a52 = Project.new :id => "a52",
    :input => a53,
    :projlist => [ [ :iter1, :iter ], [ :item1, :item ]]

a49 = Join.new :id => "a49",
    :left_rel => a50,
    :right_rel => a52,
    :left_col => :iter,
    :right_col => :iter1

a48 = EqualOp.new :id => "a48",
    :input => a49,
    :newcol => :res,
    :arg1 => :item,
    :arg2 => :item1

a47 = Project.new :id => "a47",
    :input => a48,
    :projlist => [ [ :iter ], [ :item, :res ]]

a46 = Select.new :id => "a46",
    :input => a47,
    :column => :item

a45 = Project.new :id => "a45",
    :input => a46,
    :projlist => [ [ :outer, :iter ], [ :inner, :iter ]]

a25 = Join.new :id => "a25",
    :left_rel => a26,
    :right_rel => a45,
    :left_col => :iter,
    :right_col => :outer

a24 = Project.new :id => "a24",
    :input => a25,
    :projlist => [ [ :iter, :inner ], [ :pos ], [ :item ]]

a55 = Project.new :id => "a55",
    :input => a28,
    :projlist => [ [ :outer, :iter ], [ :sort, :pos ], [ :inner ]]

a23 = Join.new :id => "a23",
    :left_rel => a24,
    :right_rel => a55,
    :left_col => :iter,
    :right_col => :inner

a22 = Rownum.new :id => "a22",
    :input => a23,
    :newcol => :pos1,
    :order => [ :sort, :pos ],
    :part => :outer

a21 = Project.new :id => "a21",
    :input => a22,
    :projlist => [ [ :iter, :outer ], [ :pos, :pos1 ], [ :item ]]

a56 = Project.new :id => "a56",
    :input => a38,
    :projlist => [ [ :outer, :iter ], [ :sort, :pos ], [ :inner ]]

a20 = Join.new :id => "a20",
    :left_rel => a21,
    :right_rel => a56,
    :left_col => :iter,
    :right_col => :inner

a19 = Rownum.new :id => "a19",
    :input => a20,
    :newcol => :pos1,
    :order => [ :sort, :pos ],
    :part => :outer

a18 = Project.new :id => "a18",
    :input => a19,
    :projlist => [ [ :iter, :outer ], [ :pos, :pos1 ], [ :item ]]

a17 = Rownum.new :id => "a17",
    :input => a18,
    :newcol => :inner,
    :order => [ :iter, :pos ]

a16 = Project.new :id => "a16",
    :input => a17,
    :projlist => [ [ :iter, :inner ], [ :item ]]

a15 = Project.new :id => "a15",
    :input => a16,
    :projlist => [ [ :iter ]]

a14 = Project.new :id => "a14",
    :input => a15,
    :projlist => [[ :item, "first_letter" ],  [ :iter ]]

a70 = Project.new :id => "a70",
    :input => a16,
    :projlist => [ [ :iter ], [ :item ]]

a69 = Scj.new :id => "a69",
    :input => a70,
    :src => :item,
    :step => "descendant-or-self::text()"

a68 = Rownum.new :id => "a68",
    :input => a69,
    :newcol => :pos,
    :order => [ :item ]

a67 = Atomize.new :id => "a67",
    :input => a68,
    :src => :item,
    :dest => :res

a66 = Project.new :id => "a66",
    :input => a67,
    :projlist => [ [ :iter ], [ :pos ], [ :item, :res ]]

a72 = Project.new :id => "a72",
    :input => a15,
    :projlist => [ [ :iter ]]

a71 = Project.new :id => "a71",
    :input => a72,
    :projlist => [[ :item, "" ],  [ :iter ]]

a65 = StringJoin.new :id => "a65",
    :left_rel => a66,
    :right_rel => a71,
    :iter => :iter,
    :pos  => :pos,
    :item => :item


a64 = Project.new :id => "a64",
    :input => a65,
    :projlist => [ [ :iter ], [ :item ]]

a76 = Project.new :id => "a76",
    :input => a65,
    :projlist => [ [ :iter ]]

a75 = Difference.new :id => "a75",
    :left_rel => a15,
    :right_rel => a76

a74 = Project.new :id => "a74",
    :input => a75,
    :projlist => [[ :item, "" ],  [ :iter ]]

a73 = Project.new :id => "a73",
    :input => a74,
    :projlist => [ [ :iter ], [ :item ]]

a63 = Union.new :id => "a63",
    :left_rel => a64,
    :right_rel => a73

a79 = Project.new :id => "a79",
    :input => a15,
    :projlist => [[ :item, 1 ],  [ :iter ]]

a78 = Project.new :id => "a78",
    :input => a79,
    :projlist => [[ :cast, :item ],  [ :iter ], [ :item ]]

a77 = Project.new :id => "a77",
    :input => a78,
    :projlist => [ [ :iter1, :iter ], [ :item1, :cast ]]

a62 = Join.new :id => "a62",
    :left_rel => a63,
    :right_rel => a77,
    :left_col => :iter,
    :right_col => :iter1

a80 = Project.new :id => "a80",
    :input => a78,
    :projlist => [ [ :iter2, :iter ], [ :item2, :cast ]]

a61 = Join.new :id => "a61",
    :left_rel => a62,
    :right_rel => a80,
    :left_col => :iter,
    :right_col => :iter2

a60 = fun_1to1 :id => "a60",
    :input => a61,
    :fun_name => "fn:substring3",
    :res => :res,
    :args => [ :item, :item1, :item2 ]


a59 = Project.new :id => "a59",
    :input => a60,
    :projlist => [ [ :iter ], [ :item, :res ]]

a58 = TextConstr.new :id => "a58",
    :input => a59,
    :iter => :iter,
    :item => :item


a57 = a58 # fncs
a13 = ElemConstr.new :id => "a13",
    :tagnames => a14,
    :content => a57

a12 = a13  # twig
a86 = Project.new :id => "a86",
    :input => a12,
    :projlist => [ [ :iter ], [ :item ]]

a85 = Project.new :id => "a85",
    :input => a86,
    :projlist => [[ :pos, 1 ],  [ :iter ], [ :item ]]

a87 = Project.new :id => "a87",
    :input => a17,
    :projlist => [ [ :outer, :iter ], [ :sort, :pos ], [ :inner ]]

a84 = Join.new :id => "a84",
    :left_rel => a85,
    :right_rel => a87,
    :left_col => :iter,
    :right_col => :inner

a83 = Rownum.new :id => "a83",
    :input => a84,
    :newcol => :pos1,
    :order => [ :sort, :pos ],
    :part => :outer

a82 = Project.new :id => "a82",
    :input => a83,
    :projlist => [ [ :iter, :outer ], [ :pos, :pos1 ], [ :item ]]

a9 = a82     # ERRORContent.new

a8 = a9 # fncs
a6 = ElemConstr.new :id => "a6",
    :tagnames => a7,
    :content => a8

a5 = a6  # twig
a89 = Project.new :id => "a89",
    :input => a5,
    :projlist => [ [ :iter ], [ :item ]]

a88 = Project.new :id => "a88",
    :input => a89,
    :projlist => [[ :pos, 1 ],  [ :iter ], [ :item ]]

# serialize (:pos => :pos, :item => :item)
$root = a88
