a7 = LiteralTable.new :id => "a7",
    :colnames => [ :iter, :item ],
    :data => [[1, "result"]]

a22 = LiteralTable.new :id => "a22",
    :colnames => [ :iter, :item ],
    :data => [[1, "sgml.xml"]]

a21 = Doc.new :id => "a21",
    :input => a22,
    :src => :item,
    :dest => :res

a28 = Project.new :id => "a28",
    :input => a21,
    :projlist => [ [ :iter ], [ :item ], [ :res ]]

a27 = Project.new :id => "a27",
    :input => a28,
    :projlist => [ [ :iter ], [ :item, :res ]]

a26 = Scj.new :id => "a26",
    :input => a27,
    :src => :item,
    :step => "descendant-or-self::node()"

a25 = Project.new :id => "a25",
    :input => a26,
    :projlist => [ [ :iter ], [ :item ]]

a24 = Scj.new :id => "a24",
    :input => a25,
    :src => :item,
    :step => "child::xref"

a23 = Project.new :id => "a23",
    :input => a24,
    :projlist => [ [ :iter ], [ :item ]]

a18 = Scj.new :id => "a18",
    :input => a23,
    :src => :item,
    :step => "attribute::xrefid"

a17 = Rownum.new :id => "a17",
    :input => a18,
    :newcol => :pos,
    :order => [ :item ],
    :part => :iter

a16 = Rownum.new :id => "a16",
    :input => a17,
    :newcol => :inner,
    :order => [ :iter, :pos ]

a15 = Project.new :id => "a15",
    :input => a16,
    :projlist => [ [ :iter, :inner ], [ :item ]]

a14 = Project.new :id => "a14",
    :input => a15,
    :projlist => [ [ :iter ]]

a13 = Project.new :id => "a13",
    :input => a14,
    :projlist => [[ :item, "sgml.xml" ],  [ :iter ]]

a12 = Doc.new :id => "a12",
    :input => a13,
    :src => :item,
    :dest => :res

a45 = Project.new :id => "a45",
    :input => a12,
    :projlist => [ [ :iter ], [ :item ], [ :res ]]

a44 = Project.new :id => "a44",
    :input => a45,
    :projlist => [ [ :iter ], [ :item, :res ]]

a43 = Scj.new :id => "a43",
    :input => a44,
    :src => :item,
    :step => "descendant-or-self::node()"

a42 = Project.new :id => "a42",
    :input => a43,
    :projlist => [ [ :iter ], [ :item ]]

a41 = Scj.new :id => "a41",
    :input => a42,
    :src => :item,
    :step => "child::topic"

a40 = Rownum.new :id => "a40",
    :input => a41,
    :newcol => :pos,
    :order => [ :item ],
    :part => :iter

a39 = Rownum.new :id => "a39",
    :input => a40,
    :newcol => :inner,
    :order => [ :iter, :pos ]

a38 = Project.new :id => "a38",
    :input => a39,
    :projlist => [ [ :iter, :inner ], [ :item ]]

a37 = Project.new :id => "a37",
    :input => a38,
    :projlist => [[ :pos, 1 ],  [ :iter ], [ :item ]]

a68 = Project.new :id => "a68",
    :input => a37,
    :projlist => [ [ :iter ], [ :item ]]

a67 = Scj.new :id => "a67",
    :input => a68,
    :src => :item,
    :step => "attribute::topicid"

a66 = Rownum.new :id => "a66",
    :input => a67,
    :newcol => :pos,
    :order => [ :item ],
    :part => :iter

a65 = Atomize.new :id => "a65",
    :input => a66,
    :src => :item,
    :dest => :res

a64 = Project.new :id => "a64",
    :input => a65,
    :projlist => [ [ :iter ], [ :pos ], [ :item, :res ]]

a63 = Rownum.new :id => "a63",
    :input => a64,
    :newcol => :inner,
    :order => [ :iter, :pos ]

a62 = Project.new :id => "a62",
    :input => a63,
    :projlist => [ [ :iter, :inner ], [ :item ]]

a75 = Project.new :id => "a75",
    :input => a39,
    :projlist => [ [ :iter, :inner ], [ :outer, :iter ]]

a76 = Project.new :id => "a76",
    :input => a63,
    :projlist => [ [ :iter2, :iter ], [ :inner ]]

a74 = Join.new :id => "a74",
    :left_rel => a75,
    :right_rel => a76,
    :left_col => :iter,
    :right_col => :iter2

a73 = Project.new :id => "a73",
    :input => a74,
    :projlist => [ [ :outer ], [ :inner ]]

a72 = Join.new :id => "a72",
    :left_rel => a15,
    :right_rel => a73,
    :left_col => :iter,
    :right_col => :outer

a71 = Project.new :id => "a71",
    :input => a72,
    :projlist => [ [ :iter, :inner ], [ :item ]]

a70 = Atomize.new :id => "a70",
    :input => a71,
    :src => :item,
    :dest => :res

a69 = Project.new :id => "a69",
    :input => a70,
    :projlist => [ [ :iter1, :iter ], [ :item1, :res ]]

a61 = Join.new :id => "a61",
    :left_rel => a62,
    :right_rel => a69,
    :left_col => :iter,
    :right_col => :iter1

a60 = EqualOp.new :id => "a60",
    :input => a61,
    :newcol => :res,
    :arg1 => :item,
    :arg2 => :item1

a59 = Project.new :id => "a59",
    :input => a60,
    :projlist => [ [ :iter ], [ :item, :res ]]

a58 = Select.new :id => "a58",
    :input => a59,
    :column => :item

a57 = Project.new :id => "a57",
    :input => a58,
    :projlist => [ [ :iter ]]

a56 = Project.new :id => "a56",
    :input => a57,
    :projlist => [ [ :iter ]]

a55 = Distinct.new :id => "a55",
    :input => a56

a54 = Project.new :id => "a54",
    :input => a55,
    :projlist => [[ :item, true ],  [ :iter ]]

a53 = Select.new :id => "a53",
    :input => a54,
    :column => :item

a52 = Project.new :id => "a52",
    :input => a53,
    :projlist => [ [ :iter ]]

a77 = Project.new :id => "a77",
    :input => a63,
    :projlist => [ [ :outer, :iter ], [ :inner ]]

a51 = Join.new :id => "a51",
    :left_rel => a52,
    :right_rel => a77,
    :left_col => :iter,
    :right_col => :inner

a50 = Project.new :id => "a50",
    :input => a51,
    :projlist => [ [ :iter, :outer ]]

a49 = Distinct.new :id => "a49",
    :input => a50

a48 = Project.new :id => "a48",
    :input => a49,
    :projlist => [[ :item, true ],  [ :iter ]]

a47 = Select.new :id => "a47",
    :input => a48,
    :column => :item

a46 = Project.new :id => "a46",
    :input => a47,
    :projlist => [ [ :outer, :iter ], [ :inner, :iter ]]

a36 = Join.new :id => "a36",
    :left_rel => a37,
    :right_rel => a46,
    :left_col => :iter,
    :right_col => :outer

a35 = Project.new :id => "a35",
    :input => a36,
    :projlist => [ [ :iter, :inner ], [ :pos ], [ :item ]]

a78 = Project.new :id => "a78",
    :input => a39,
    :projlist => [ [ :outer, :iter ], [ :sort, :pos ], [ :inner ]]

a34 = Join.new :id => "a34",
    :left_rel => a35,
    :right_rel => a78,
    :left_col => :iter,
    :right_col => :inner

a33 = Rownum.new :id => "a33",
    :input => a34,
    :newcol => :pos1,
    :order => [ :sort, :pos ],
    :part => :outer

a32 = Project.new :id => "a32",
    :input => a33,
    :projlist => [ [ :iter, :outer ], [ :pos, :pos1 ], [ :item ]]

a79 = Project.new :id => "a79",
    :input => a16,
    :projlist => [ [ :outer, :iter ], [ :sort, :pos ], [ :inner ]]

a31 = Join.new :id => "a31",
    :left_rel => a32,
    :right_rel => a79,
    :left_col => :iter,
    :right_col => :inner

a30 = Rownum.new :id => "a30",
    :input => a31,
    :newcol => :pos1,
    :order => [ :sort, :pos ],
    :part => :outer

a29 = Project.new :id => "a29",
    :input => a30,
    :projlist => [ [ :iter, :outer ], [ :pos, :pos1 ], [ :item ]]

a9 = a29     # ERRORContent.new

a8 = a9 # fncs
a6 = ElemConstr.new :id => "a6",
    :tagnames => a7,
    :content => a8

a5 = a6  # twig
a82 = Project.new :id => "a82",
    :input => a5,
    :projlist => [ [ :iter ], [ :item ]]

a81 = Project.new :id => "a81",
    :input => a82,
    :projlist => [[ :pos, 1 ],  [ :iter ], [ :item ]]

# serialize (:pos => :pos, :item => :item)
$root = a81
