a7 = LiteralTable.new :id => "a7",
    :colnames => [ :iter, :item ],
    :data => [[1, "results"]]

a13 = LiteralTable.new :id => "a13",
    :colnames => [ :iter, :item ],
    :data => [[1, "books.xml"]]

a12 = Doc.new :id => "a12",
    :input => a13,
    :src => :item,
    :dest => :res

a36 = Project.new :id => "a36",
    :input => a12,
    :projlist => [ [ :iter ], [ :item ], [ :res ]]

a35 = Project.new :id => "a35",
    :input => a36,
    :projlist => [ [ :iter ], [ :item, :res ]]

a34 = Scj.new :id => "a34",
    :input => a35,
    :src => :item,
    :step => "descendant-or-self::node()"

a33 = Rownum.new :id => "a33",
    :input => a34,
    :newcol => :pos,
    :order => [ :item ],
    :part => :iter

a32 = Rownum.new :id => "a32",
    :input => a33,
    :newcol => :inner,
    :order => [ :iter, :pos ]

a31 = Project.new :id => "a31",
    :input => a32,
    :projlist => [ [ :iter, :inner ], [ :item ]]

a30 = Project.new :id => "a30",
    :input => a31,
    :projlist => [ [ :iter ], [ :item ]]

a29 = Scj.new :id => "a29",
    :input => a30,
    :src => :item,
    :step => "child::chapter"

a28 = Project.new :id => "a28",
    :input => a29,
    :projlist => [ [ :iter ], [ :item ]]

a38 = Scj.new :id => "a38",
    :input => a30,
    :src => :item,
    :step => "child::section"

a37 = Project.new :id => "a37",
    :input => a38,
    :projlist => [ [ :iter ], [ :item ]]

a27 = Union.new :id => "a27",
    :left_rel => a28,
    :right_rel => a37

a26 = Distinct.new :id => "a26",
    :input => a27

a39 = Project.new :id => "a39",
    :input => a32,
    :projlist => [ [ :outer, :iter ], [ :inner ]]

a25 = Join.new :id => "a25",
    :left_rel => a26,
    :right_rel => a39,
    :left_col => :iter,
    :right_col => :inner

a24 = Project.new :id => "a24",
    :input => a25,
    :projlist => [ [ :iter, :outer ], [ :item ]]

a23 = Scj.new :id => "a23",
    :input => a24,
    :src => :item,
    :step => "child::title"

a22 = Rownum.new :id => "a22",
    :input => a23,
    :newcol => :pos,
    :order => [ :item ],
    :part => :iter

a21 = Rownum.new :id => "a21",
    :input => a22,
    :newcol => :inner,
    :order => [ :iter, :pos ]

a20 = Project.new :id => "a20",
    :input => a21,
    :projlist => [ [ :iter, :inner ], [ :item ]]

a19 = Project.new :id => "a19",
    :input => a20,
    :projlist => [[ :pos, 1 ],  [ :iter ], [ :item ]]

a56 = Project.new :id => "a56",
    :input => a19,
    :projlist => [ [ :iter ], [ :item ]]

a55 = Scj.new :id => "a55",
    :input => a56,
    :src => :item,
    :step => "child::text()"

a54 = Rownum.new :id => "a54",
    :input => a55,
    :newcol => :pos,
    :order => [ :item ],
    :part => :iter

a53 = Atomize.new :id => "a53",
    :input => a54,
    :src => :item,
    :dest => :res

a52 = Project.new :id => "a52",
    :input => a53,
    :projlist => [ [ :iter ], [ :pos ], [ :item, :res ]]

a51 = Rownum.new :id => "a51",
    :input => a52,
    :newcol => :inner,
    :order => [ :iter, :pos ]

a50 = Project.new :id => "a50",
    :input => a51,
    :projlist => [ [ :iter, :inner ], [ :item ]]

a57 = Project.new :id => "a57",
    :input => a51,
    :projlist => [ [ :outer, :iter ], [ :inner ]]

a49 = Join.new :id => "a49",
    :left_rel => a50,
    :right_rel => a57,
    :left_col => :iter,
    :right_col => :inner

a48 = Project.new :id => "a48",
    :input => a49,
    :projlist => [ [ :iter, :outer ], [ :item ]]

a47 = a48     # ERRORerror.new

a46 = Project.new :id => "a46",
    :input => a47,
    :projlist => [ [ :iter ], [ :item ]]

a65 = Project.new :id => "a65",
    :input => a19,
    :projlist => [ [ :iter ]]

a48 = Project.new :id => "a48",
    :input => a49,
    :projlist => [ [ :iter, :outer ], [ :item ]]

a47 = a48     # ERRORerror.new

a66 = Project.new :id => "a66",
    :input => a47,
    :projlist => [ [ :iter ]]

a64 = Difference.new :id => "a64",
    :left_rel => a65,
    :right_rel => a66

a63 = Project.new :id => "a63",
    :input => a64,
    :projlist => [[ :item, "" ],  [ :iter ]]

a62 = Project.new :id => "a62",
    :input => a63,
    :projlist => [ [ :iter ], [ :item ]]

a45 = Union.new :id => "a45",
    :left_rel => a46,
    :right_rel => a62

a70 = Project.new :id => "a70",
    :input => a65,
    :projlist => [[ :item, "XML" ],  [ :iter ]]

a69 = Project.new :id => "a69",
    :input => a70,
    :projlist => [ [ :iter ], [ :item ]]

a74 = Project.new :id => "a74",
    :input => a70,
    :projlist => [ [ :iter ]]

a73 = Difference.new :id => "a73",
    :left_rel => a65,
    :right_rel => a74

a72 = Project.new :id => "a72",
    :input => a73,
    :projlist => [[ :item, "" ],  [ :iter ]]

a71 = Project.new :id => "a71",
    :input => a72,
    :projlist => [ [ :iter ], [ :item ]]

a68 = Union.new :id => "a68",
    :left_rel => a69,
    :right_rel => a71

a67 = Project.new :id => "a67",
    :input => a68,
    :projlist => [ [ :iter1, :iter ], [ :item1, :item ]]

a44 = Join.new :id => "a44",
    :left_rel => a45,
    :right_rel => a67,
    :left_col => :iter,
    :right_col => :iter1

a43 = fun_1to1 :id => "a43",
    :input => a44,
    :fun_name => "fn:contains",
    :res => :res,
    :args => [ :item, :item1 ]


a42 = Project.new :id => "a42",
    :input => a43,
    :projlist => [ [ :iter ], [ :item, :res ]]

a41 = Select.new :id => "a41",
    :input => a42,
    :column => :item

a40 = Project.new :id => "a40",
    :input => a41,
    :projlist => [ [ :outer, :iter ], [ :inner, :iter ]]

a18 = Join.new :id => "a18",
    :left_rel => a19,
    :right_rel => a40,
    :left_col => :iter,
    :right_col => :outer

a17 = Project.new :id => "a17",
    :input => a18,
    :projlist => [ [ :iter, :inner ], [ :pos ], [ :item ]]

a75 = Project.new :id => "a75",
    :input => a21,
    :projlist => [ [ :outer, :iter ], [ :sort, :pos ], [ :inner ]]

a16 = Join.new :id => "a16",
    :left_rel => a17,
    :right_rel => a75,
    :left_col => :iter,
    :right_col => :inner

a15 = Rownum.new :id => "a15",
    :input => a16,
    :newcol => :pos1,
    :order => [ :sort, :pos ],
    :part => :outer

a14 = Project.new :id => "a14",
    :input => a15,
    :projlist => [ [ :iter, :outer ], [ :pos, :pos1 ], [ :item ]]

a9 = a14     # ERRORContent.new

a8 = a9 # fncs
a6 = ElemConstr.new :id => "a6",
    :tagnames => a7,
    :content => a8

a5 = a6  # twig
a78 = Project.new :id => "a78",
    :input => a5,
    :projlist => [ [ :iter ], [ :item ]]

a77 = Project.new :id => "a77",
    :input => a78,
    :projlist => [[ :pos, 1 ],  [ :iter ], [ :item ]]

# serialize (:pos => :pos, :item => :item)
$root = a77
