#!/bin/bash

set -x

OUTPUT_PATH=$1
mkdir -p $OUTPUT_PATH

for query in xmark/XMark-*.rb
do

    echo -n `date`: Processing query $query

    OUTFILE=$OUTPUT_PATH/`basename $query .rb`.texpart

    ./Run.rb --compare $query > $OUTFILE

    echo

done
