a6 = LiteralTable.new :id => "a6",
    :colnames => [ :iter, :item ],
    :data => [[1, "auction.xml"]]

a5 = Doc.new :id => "a5",
    :input => a6,
    :src => :item,
    :dest => :res

a32 = Project.new :id => "a32",
    :input => a5,
    :projlist => [ [ :iter ], [ :item ], [ :res ]]

a31 = Project.new :id => "a31",
    :input => a32,
    :projlist => [ [ :iter ], [ :item, :res ]]

a30 = Scj.new :id => "a30",
    :input => a31,
    :src => :item,
    :step => "child::site"

a29 = Project.new :id => "a29",
    :input => a30,
    :projlist => [ [ :iter ], [ :item ]]

a28 = Scj.new :id => "a28",
    :input => a29,
    :src => :item,
    :step => "child::people"

a27 = Project.new :id => "a27",
    :input => a28,
    :projlist => [ [ :iter ], [ :item ]]

a26 = Scj.new :id => "a26",
    :input => a27,
    :src => :item,
    :step => "child::person"

a25 = Rownum.new :id => "a25",
    :input => a26,
    :newcol => :pos,
    :order => [ :item ],
    :part => :iter

a24 = Rownum.new :id => "a24",
    :input => a25,
    :newcol => :inner,
    :order => [ :iter, :pos ]

a23 = Project.new :id => "a23",
    :input => a24,
    :projlist => [ [ :iter, :inner ], [ :item ]]

a22 = Project.new :id => "a22",
    :input => a23,
    :projlist => [[ :pos, 1 ],  [ :iter ], [ :item ]]

a55 = Project.new :id => "a55",
    :input => a22,
    :projlist => [ [ :iter ], [ :item ]]

a54 = Scj.new :id => "a54",
    :input => a55,
    :src => :item,
    :step => "attribute::id"

a53 = Rownum.new :id => "a53",
    :input => a54,
    :newcol => :pos,
    :order => [ :item ],
    :part => :iter

a52 = Atomize.new :id => "a52",
    :input => a53,
    :src => :item,
    :dest => :res

a51 = Project.new :id => "a51",
    :input => a52,
    :projlist => [ [ :iter ], [ :pos ], [ :item, :res ]]

a50 = Rownum.new :id => "a50",
    :input => a51,
    :newcol => :inner,
    :order => [ :iter, :pos ]

a49 = Project.new :id => "a49",
    :input => a50,
    :projlist => [ [ :iter, :inner ], [ :item ]]

a58 = Project.new :id => "a58",
    :input => a49,
    :projlist => [ [ :iter ]]

a57 = Project.new :id => "a57",
    :input => a58,
    :projlist => [[ :item, "person0" ],  [ :iter ]]

a56 = Project.new :id => "a56",
    :input => a57,
    :projlist => [ [ :iter1, :iter ], [ :item1, :item ]]

a48 = Join.new :id => "a48",
    :left_rel => a49,
    :right_rel => a56,
    :left_col => :iter,
    :right_col => :iter1

a47 = EqualOp.new :id => "a47",
    :input => a48,
    :newcol => :res,
    :arg1 => :item,
    :arg2 => :item1

a46 = Project.new :id => "a46",
    :input => a47,
    :projlist => [ [ :iter ], [ :item, :res ]]

a45 = Select.new :id => "a45",
    :input => a46,
    :column => :item

a44 = Project.new :id => "a44",
    :input => a45,
    :projlist => [ [ :iter ]]

a43 = Project.new :id => "a43",
    :input => a44,
    :projlist => [ [ :iter ]]

a42 = Distinct.new :id => "a42",
    :input => a43

a41 = Project.new :id => "a41",
    :input => a42,
    :projlist => [[ :item, true ],  [ :iter ]]

a40 = Select.new :id => "a40",
    :input => a41,
    :column => :item

a39 = Project.new :id => "a39",
    :input => a40,
    :projlist => [ [ :iter ]]

a59 = Project.new :id => "a59",
    :input => a50,
    :projlist => [ [ :outer, :iter ], [ :inner ]]

a38 = Join.new :id => "a38",
    :left_rel => a39,
    :right_rel => a59,
    :left_col => :iter,
    :right_col => :inner

a37 = Project.new :id => "a37",
    :input => a38,
    :projlist => [ [ :iter, :outer ]]

a36 = Distinct.new :id => "a36",
    :input => a37

a35 = Project.new :id => "a35",
    :input => a36,
    :projlist => [[ :item, true ],  [ :iter ]]

a34 = Select.new :id => "a34",
    :input => a35,
    :column => :item

a33 = Project.new :id => "a33",
    :input => a34,
    :projlist => [ [ :outer, :iter ], [ :inner, :iter ]]

a21 = Join.new :id => "a21",
    :left_rel => a22,
    :right_rel => a33,
    :left_col => :iter,
    :right_col => :outer

a20 = Project.new :id => "a20",
    :input => a21,
    :projlist => [ [ :iter, :inner ], [ :pos ], [ :item ]]

a60 = Project.new :id => "a60",
    :input => a24,
    :projlist => [ [ :outer, :iter ], [ :sort, :pos ], [ :inner ]]

a19 = Join.new :id => "a19",
    :left_rel => a20,
    :right_rel => a60,
    :left_col => :iter,
    :right_col => :inner

a18 = Rownum.new :id => "a18",
    :input => a19,
    :newcol => :pos1,
    :order => [ :sort, :pos ],
    :part => :outer

a17 = Project.new :id => "a17",
    :input => a18,
    :projlist => [ [ :iter, :outer ], [ :pos, :pos1 ], [ :item ]]

a16 = Rownum.new :id => "a16",
    :input => a17,
    :newcol => :inner,
    :order => [ :iter, :pos ]

a15 = Project.new :id => "a15",
    :input => a16,
    :projlist => [ [ :iter, :inner ], [ :item ]]

a14 = Project.new :id => "a14",
    :input => a15,
    :projlist => [ [ :iter ], [ :item ]]

a13 = Scj.new :id => "a13",
    :input => a14,
    :src => :item,
    :step => "child::name"

a12 = Project.new :id => "a12",
    :input => a13,
    :projlist => [ [ :iter ], [ :item ]]

a11 = Scj.new :id => "a11",
    :input => a12,
    :src => :item,
    :step => "child::text()"

a10 = Rownum.new :id => "a10",
    :input => a11,
    :newcol => :pos,
    :order => [ :item ],
    :part => :iter

a61 = Project.new :id => "a61",
    :input => a16,
    :projlist => [ [ :outer, :iter ], [ :sort, :pos ], [ :inner ]]

a9 = Join.new :id => "a9",
    :left_rel => a10,
    :right_rel => a61,
    :left_col => :iter,
    :right_col => :inner

a8 = Rownum.new :id => "a8",
    :input => a9,
    :newcol => :pos1,
    :order => [ :sort, :pos ],
    :part => :outer

a7 = Project.new :id => "a7",
    :input => a8,
    :projlist => [ [ :pos, :pos1 ], [ :item ]]

# serialize (:pos => :pos, :item => :item)
$root = a7
