a47 = LiteralTable.new :id => "a47",
    :colnames => [ :iter, :item ],
    :data => [[1, "auction.xml"]]

a46 = Doc.new :id => "a46",
    :input => a47,
    :src => :item,
    :dest => :res

a72 = Project.new :id => "a72",
    :input => a46,
    :projlist => [ [ :iter ], [ :item ], [ :res ]]

a71 = Project.new :id => "a71",
    :input => a72,
    :projlist => [ [ :iter ], [ :item, :res ]]

a70 = Scj.new :id => "a70",
    :input => a71,
    :src => :item,
    :step => "child::site"

a69 = Project.new :id => "a69",
    :input => a70,
    :projlist => [ [ :iter ], [ :item ]]

a68 = Scj.new :id => "a68",
    :input => a69,
    :src => :item,
    :step => "child::open_auctions"

a67 = Project.new :id => "a67",
    :input => a68,
    :projlist => [ [ :iter ], [ :item ]]

a66 = Scj.new :id => "a66",
    :input => a67,
    :src => :item,
    :step => "child::open_auction"

a65 = Rownum.new :id => "a65",
    :input => a66,
    :newcol => :pos,
    :order => [ :item ],
    :part => :iter

a64 = Rownum.new :id => "a64",
    :input => a65,
    :newcol => :inner,
    :order => [ :iter, :pos ]

a63 = Project.new :id => "a63",
    :input => a64,
    :projlist => [ [ :iter, :inner ], [ :item ]]

a62 = Project.new :id => "a62",
    :input => a63,
    :projlist => [ [ :iter ], [ :item ]]

a61 = Scj.new :id => "a61",
    :input => a62,
    :src => :item,
    :step => "child::bidder"

a60 = Rownum.new :id => "a60",
    :input => a61,
    :newcol => :pos,
    :order => [ :item ],
    :part => :iter

a59 = Rownum.new :id => "a59",
    :input => a60,
    :newcol => :pos1,
    :order => [ :pos ],
    :part => :iter

a58 = Rownum.new :id => "a58",
    :input => a59,
    :newcol => :inner,
    :order => [ :iter, :pos ]

a57 = Project.new :id => "a57",
    :input => a58,
    :projlist => [ [ :iter, :inner ], [ :item ]]

a79 = Project.new :id => "a79",
    :input => a57,
    :projlist => [ [ :iter ]]

a78 = Project.new :id => "a78",
    :input => a79,
    :projlist => [[ :item, 1 ],  [ :iter ]]

a82 = Project.new :id => "a82",
    :input => a58,
    :projlist => [[ :cast, :pos1 ],  [ :iter ], [ :item ], [ :pos ], [ :pos1 ], [ :inner ]]

a81 = Project.new :id => "a81",
    :input => a82,
    :projlist => [ [ :iter, :inner ], [ :item, :cast ]]

a80 = Project.new :id => "a80",
    :input => a81,
    :projlist => [ [ :iter1, :iter ], [ :item1, :item ]]

a77 = Join.new :id => "a77",
    :left_rel => a78,
    :right_rel => a80,
    :left_col => :iter,
    :right_col => :iter1

a76 = EqualOp.new :id => "a76",
    :input => a77,
    :newcol => :res,
    :arg1 => :item,
    :arg2 => :item1

a75 = Project.new :id => "a75",
    :input => a76,
    :projlist => [ [ :iter ], [ :item, :res ]]

a74 = Select.new :id => "a74",
    :input => a75,
    :column => :item

a73 = Project.new :id => "a73",
    :input => a74,
    :projlist => [ [ :outer, :iter ], [ :inner, :iter ]]

a56 = Join.new :id => "a56",
    :left_rel => a57,
    :right_rel => a73,
    :left_col => :iter,
    :right_col => :outer

a55 = Project.new :id => "a55",
    :input => a56,
    :projlist => [ [ :iter, :inner ], [ :item ]]

a83 = Project.new :id => "a83",
    :input => a58,
    :projlist => [ [ :outer, :iter ], [ :inner ]]

a54 = Join.new :id => "a54",
    :left_rel => a55,
    :right_rel => a83,
    :left_col => :iter,
    :right_col => :inner

a53 = Project.new :id => "a53",
    :input => a54,
    :projlist => [ [ :iter, :outer ], [ :item ]]

a52 = Scj.new :id => "a52",
    :input => a53,
    :src => :item,
    :step => "child::increase"

a51 = Project.new :id => "a51",
    :input => a52,
    :projlist => [ [ :iter ], [ :item ]]

a50 = Scj.new :id => "a50",
    :input => a51,
    :src => :item,
    :step => "child::text()"

a49 = Rownum.new :id => "a49",
    :input => a50,
    :newcol => :pos,
    :order => [ :item ],
    :part => :iter

a48 = a49     # ERRORerror.new

a43 = Atomize.new :id => "a43",
    :input => a48,
    :src => :item,
    :dest => :res

a42 = Project.new :id => "a42",
    :input => a43,
    :projlist => [ [ :iter ], [ :pos ], [ :item, :res ]]

a41 = Rownum.new :id => "a41",
    :input => a42,
    :newcol => :inner,
    :order => [ :iter, :pos ]

a40 = Project.new :id => "a40",
    :input => a41,
    :projlist => [ [ :iter, :inner ], [ :item ]]

a39 = Project.new :id => "a39",
    :input => a40,
    :projlist => [[ :pos, 1 ],  [ :iter ], [ :item ]]

a38 = Project.new :id => "a38",
    :input => a39,
    :projlist => [[ :cast, :item ],  [ :iter ], [ :item ], [ :pos ]]

a37 = Project.new :id => "a37",
    :input => a38,
    :projlist => [ [ :iter ], [ :pos ], [ :item, :cast ]]

a88 = Project.new :id => "a88",
    :input => a41,
    :projlist => [ [ :outer, :iter ], [ :sort, :pos ], [ :inner ]]

a36 = Join.new :id => "a36",
    :left_rel => a37,
    :right_rel => a88,
    :left_col => :iter,
    :right_col => :inner

a35 = Rownum.new :id => "a35",
    :input => a36,
    :newcol => :pos1,
    :order => [ :sort, :pos ],
    :part => :outer

a34 = Project.new :id => "a34",
    :input => a35,
    :projlist => [ [ :iter, :outer ], [ :pos, :pos1 ], [ :item ]]

a92 = Project.new :id => "a92",
    :input => a63,
    :projlist => [ [ :iter ]]

a91 = Project.new :id => "a91",
    :input => a92,
    :projlist => [[ :item, 2 ],  [ :iter ]]

a90 = Project.new :id => "a90",
    :input => a91,
    :projlist => [[ :cast, :item ],  [ :iter ], [ :item ]]

a89 = Project.new :id => "a89",
    :input => a90,
    :projlist => [ [ :iter1, :iter ], [ :item1, :cast ]]

a33 = Join.new :id => "a33",
    :left_rel => a34,
    :right_rel => a89,
    :left_col => :iter,
    :right_col => :iter1

a32 = fun_1to1 :id => "a32",
    :input => a33,
    :fun_name => "multiply",
    :res => :res,
    :args => [ :item, :item1 ]


a31 = Project.new :id => "a31",
    :input => a32,
    :projlist => [ [ :iter ], [ :pos ], [ :item, :res ]]

a30 = Rownum.new :id => "a30",
    :input => a31,
    :newcol => :inner,
    :order => [ :iter, :pos ]

a29 = Project.new :id => "a29",
    :input => a30,
    :projlist => [ [ :iter, :inner ], [ :item ]]

a112 = Project.new :id => "a112",
    :input => a30,
    :projlist => [ [ :outer, :iter ], [ :inner ]]

a111 = Join.new :id => "a111",
    :left_rel => a63,
    :right_rel => a112,
    :left_col => :iter,
    :right_col => :outer

a110 = Project.new :id => "a110",
    :input => a111,
    :projlist => [ [ :iter, :inner ], [ :item ]]

a109 = Scj.new :id => "a109",
    :input => a110,
    :src => :item,
    :step => "child::bidder"

a108 = Rownum.new :id => "a108",
    :input => a109,
    :newcol => :pos,
    :order => [ :item ],
    :part => :iter

a107 = Rownum.new :id => "a107",
    :input => a108,
    :newcol => :pos1,
    :order => [ :pos ],
    :part => :iter

a106 = Rownum.new :id => "a106",
    :input => a107,
    :newcol => :inner,
    :order => [ :iter, :pos ]

a105 = Project.new :id => "a105",
    :input => a106,
    :projlist => [ [ :iter, :inner ], [ :item ]]

a122 = Project.new :id => "a122",
    :input => a108,
    :projlist => [ [ :iter ]]

a121 = Count.new :id => "a121",
    :input => a122,
    :newcol => :item,
    :part => :iter


a125 = Project.new :id => "a125",
    :input => a29,
    :projlist => [ [ :iter ]]

a126 = Project.new :id => "a126",
    :input => a121,
    :projlist => [ [ :iter ]]

a124 = Difference.new :id => "a124",
    :left_rel => a125,
    :right_rel => a126

a123 = Project.new :id => "a123",
    :input => a124,
    :projlist => [[ :item, 0 ],  [ :iter ]]

a120 = Union.new :id => "a120",
    :left_rel => a121,
    :right_rel => a123

a127 = Project.new :id => "a127",
    :input => a106,
    :projlist => [ [ :outer, :iter ], [ :inner ]]

a119 = Join.new :id => "a119",
    :left_rel => a120,
    :right_rel => a127,
    :left_col => :iter,
    :right_col => :outer

a118 = Project.new :id => "a118",
    :input => a119,
    :projlist => [ [ :iter, :inner ], [ :item ]]

a130 = Project.new :id => "a130",
    :input => a106,
    :projlist => [[ :cast, :pos1 ],  [ :iter ], [ :item ], [ :pos ], [ :pos1 ], [ :inner ]]

a129 = Project.new :id => "a129",
    :input => a130,
    :projlist => [ [ :iter, :inner ], [ :item, :cast ]]

a128 = Project.new :id => "a128",
    :input => a129,
    :projlist => [ [ :iter1, :iter ], [ :item1, :item ]]

a117 = Join.new :id => "a117",
    :left_rel => a118,
    :right_rel => a128,
    :left_col => :iter,
    :right_col => :iter1

a116 = EqualOp.new :id => "a116",
    :input => a117,
    :newcol => :res,
    :arg1 => :item,
    :arg2 => :item1

a115 = Project.new :id => "a115",
    :input => a116,
    :projlist => [ [ :iter ], [ :item, :res ]]

a114 = Select.new :id => "a114",
    :input => a115,
    :column => :item

a113 = Project.new :id => "a113",
    :input => a114,
    :projlist => [ [ :outer, :iter ], [ :inner, :iter ]]

a104 = Join.new :id => "a104",
    :left_rel => a105,
    :right_rel => a113,
    :left_col => :iter,
    :right_col => :outer

a103 = Project.new :id => "a103",
    :input => a104,
    :projlist => [ [ :iter, :inner ], [ :item ]]

a102 = Join.new :id => "a102",
    :left_rel => a103,
    :right_rel => a127,
    :left_col => :iter,
    :right_col => :inner

a101 = Project.new :id => "a101",
    :input => a102,
    :projlist => [ [ :iter, :outer ], [ :item ]]

a100 = Scj.new :id => "a100",
    :input => a101,
    :src => :item,
    :step => "child::increase"

a99 = Project.new :id => "a99",
    :input => a100,
    :projlist => [ [ :iter ], [ :item ]]

a98 = Scj.new :id => "a98",
    :input => a99,
    :src => :item,
    :step => "child::text()"

a97 = Rownum.new :id => "a97",
    :input => a98,
    :newcol => :pos,
    :order => [ :item ],
    :part => :iter

a96 = Atomize.new :id => "a96",
    :input => a97,
    :src => :item,
    :dest => :res

a95 = Project.new :id => "a95",
    :input => a96,
    :projlist => [ [ :iter ], [ :pos ], [ :item, :res ]]

a94 = Rownum.new :id => "a94",
    :input => a95,
    :newcol => :inner,
    :order => [ :iter, :pos ]

a93 = Project.new :id => "a93",
    :input => a94,
    :projlist => [ [ :outer, :iter ], [ :inner ]]

a28 = Join.new :id => "a28",
    :left_rel => a29,
    :right_rel => a93,
    :left_col => :iter,
    :right_col => :outer

a27 = Project.new :id => "a27",
    :input => a28,
    :projlist => [ [ :iter, :inner ], [ :item ]]

a133 = Project.new :id => "a133",
    :input => a94,
    :projlist => [ [ :iter, :inner ], [ :item ]]

a132 = fun_1to1 :id => "a132",
    :input => a133,
    :fun_name => "fn:number",
    :res => :res,
    :args => [ :item ]


a131 = Project.new :id => "a131",
    :input => a132,
    :projlist => [ [ :iter1, :iter ], [ :item1, :res ]]

a26 = Join.new :id => "a26",
    :left_rel => a27,
    :right_rel => a131,
    :left_col => :iter,
    :right_col => :iter1

a25 = GreaterThanOp.new :id => "a25",
    :input => a26,
    :newcol => :res,
    :arg1 => :item,
    :arg2 => :item1

a24 = Project.new :id => "a24",
    :input => a25,
    :projlist => [ [ :iter ], [ :item, :res ]]

a23 = Not.new :id => "a23",
    :input => a24,
    :newcol => :res,
    :arg => :item

a22 = Project.new :id => "a22",
    :input => a23,
    :projlist => [ [ :iter ], [ :item, :res ]]

a21 = Select.new :id => "a21",
    :input => a22,
    :column => :item

a20 = Project.new :id => "a20",
    :input => a21,
    :projlist => [ [ :iter ]]

a19 = Join.new :id => "a19",
    :left_rel => a20,
    :right_rel => a93,
    :left_col => :iter,
    :right_col => :inner

a18 = Project.new :id => "a18",
    :input => a19,
    :projlist => [ [ :iter, :outer ]]

a17 = Distinct.new :id => "a17",
    :input => a18

a16 = Project.new :id => "a16",
    :input => a17,
    :projlist => [[ :item, true ],  [ :iter ]]

a15 = Select.new :id => "a15",
    :input => a16,
    :column => :item

a14 = Project.new :id => "a14",
    :input => a15,
    :projlist => [ [ :iter ]]

a13 = Join.new :id => "a13",
    :left_rel => a14,
    :right_rel => a112,
    :left_col => :iter,
    :right_col => :inner

a12 = Project.new :id => "a12",
    :input => a13,
    :projlist => [ [ :iter, :outer ]]

a11 = Distinct.new :id => "a11",
    :input => a12

a10 = Project.new :id => "a10",
    :input => a11,
    :projlist => [[ :item, true ],  [ :iter ]]

a9 = Select.new :id => "a9",
    :input => a10,
    :column => :item

a8 = Project.new :id => "a8",
    :input => a9,
    :projlist => [ [ :iter ]]

a7 = Project.new :id => "a7",
    :input => a8,
    :projlist => [[ :item, "increase" ],  [ :iter ]]

a134 = LiteralTable.new :id => "a134", # fncs
    :colnames => [ :iter, :pos, :item ],
    :data => []

a6 = ElemConstr.new :id => "a6",
    :tagnames => a7,
    :content => a134

a5 = a6  # twig
a140 = Project.new :id => "a140",
    :input => a5,
    :projlist => [ [ :iter ], [ :item ]]

a139 = Project.new :id => "a139",
    :input => a140,
    :projlist => [[ :pos, 1 ],  [ :iter ], [ :item ]]

a141 = Project.new :id => "a141",
    :input => a64,
    :projlist => [ [ :outer, :iter ], [ :sort, :pos ], [ :inner ]]

a138 = Join.new :id => "a138",
    :left_rel => a139,
    :right_rel => a141,
    :left_col => :iter,
    :right_col => :inner

a137 = Rownum.new :id => "a137",
    :input => a138,
    :newcol => :pos1,
    :order => [ :sort, :pos ],
    :part => :outer

a136 = Project.new :id => "a136",
    :input => a137,
    :projlist => [ [ :pos, :pos1 ], [ :item ]]

# serialize (:pos => :pos, :item => :item)
$root = a136
