a14 = LiteralTable.new :id => "a14",
    :colnames => [ :iter, :item ],
    :data => [[1, "auction.xml"]]

a13 = Doc.new :id => "a13",
    :input => a14,
    :src => :item,
    :dest => :res

a27 = Project.new :id => "a27",
    :input => a13,
    :projlist => [ [ :iter ], [ :item ], [ :res ]]

a26 = Project.new :id => "a26",
    :input => a27,
    :projlist => [ [ :iter ], [ :item, :res ]]

a25 = Scj.new :id => "a25",
    :input => a26,
    :src => :item,
    :step => "descendant-or-self::node()"

a24 = Project.new :id => "a24",
    :input => a25,
    :projlist => [ [ :iter ], [ :item ]]

a23 = Scj.new :id => "a23",
    :input => a24,
    :src => :item,
    :step => "child::site"

a22 = Project.new :id => "a22",
    :input => a23,
    :projlist => [ [ :iter ], [ :item ]]

a21 = Scj.new :id => "a21",
    :input => a22,
    :src => :item,
    :step => "child::regions"

a20 = Rownum.new :id => "a20",
    :input => a21,
    :newcol => :pos,
    :order => [ :item ],
    :part => :iter

a19 = Rownum.new :id => "a19",
    :input => a20,
    :newcol => :inner,
    :order => [ :iter, :pos ]

a18 = Project.new :id => "a18",
    :input => a19,
    :projlist => [ [ :iter, :inner ], [ :item ]]

a17 = Project.new :id => "a17",
    :input => a18,
    :projlist => [ [ :iter ], [ :item ]]

a16 = Scj.new :id => "a16",
    :input => a17,
    :src => :item,
    :step => "descendant-or-self::node()"

a15 = Project.new :id => "a15",
    :input => a16,
    :projlist => [ [ :iter ], [ :item ]]

a10 = Scj.new :id => "a10",
    :input => a15,
    :src => :item,
    :step => "child::item"

a9 = Project.new :id => "a9",
    :input => a10,
    :projlist => [ [ :iter ]]

a8 = Count.new :id => "a8",
    :input => a9,
    :newcol => :item,
    :part => :iter


a30 = Project.new :id => "a30",
    :input => a18,
    :projlist => [ [ :iter ]]

a31 = Project.new :id => "a31",
    :input => a8,
    :projlist => [ [ :iter ]]

a29 = Difference.new :id => "a29",
    :left_rel => a30,
    :right_rel => a31

a28 = Project.new :id => "a28",
    :input => a29,
    :projlist => [[ :item, 0 ],  [ :iter ]]

a7 = Union.new :id => "a7",
    :left_rel => a8,
    :right_rel => a28

a6 = Project.new :id => "a6",
    :input => a7,
    :projlist => [[ :pos, 1 ],  [ :item ], [ :iter ]]

a32 = Project.new :id => "a32",
    :input => a19,
    :projlist => [ [ :outer, :iter ], [ :sort, :pos ], [ :inner ]]

a5 = Join.new :id => "a5",
    :left_rel => a6,
    :right_rel => a32,
    :left_col => :iter,
    :right_col => :inner

a4 = Rownum.new :id => "a4",
    :input => a5,
    :newcol => :pos1,
    :order => [ :sort, :pos ],
    :part => :outer

a3 = Project.new :id => "a3",
    :input => a4,
    :projlist => [ [ :pos, :pos1 ], [ :item ]]

# serialize (:pos => :pos, :item => :item)
$root = a3
