a16 = LiteralTable.new :id => "a16",
    :colnames => [ :iter, :item ],
    :data => [[1, "auction.xml"]]

a15 = Doc.new :id => "a15",
    :input => a16,
    :src => :item,
    :dest => :res

a22 = Project.new :id => "a22",
    :input => a15,
    :projlist => [ [ :iter ], [ :item ], [ :res ]]

a21 = Project.new :id => "a21",
    :input => a22,
    :projlist => [ [ :iter ], [ :item, :res ]]

a20 = Scj.new :id => "a20",
    :input => a21,
    :src => :item,
    :step => "child::site"

a19 = Project.new :id => "a19",
    :input => a20,
    :projlist => [ [ :iter ], [ :item ]]

a18 = Scj.new :id => "a18",
    :input => a19,
    :src => :item,
    :step => "child::people"

a17 = Project.new :id => "a17",
    :input => a18,
    :projlist => [ [ :iter ], [ :item ]]

a12 = Scj.new :id => "a12",
    :input => a17,
    :src => :item,
    :step => "child::person"

a11 = Rownum.new :id => "a11",
    :input => a12,
    :newcol => :pos,
    :order => [ :item ],
    :part => :iter

a10 = Rownum.new :id => "a10",
    :input => a11,
    :newcol => :inner,
    :order => [ :iter, :pos ]

a9 = Project.new :id => "a9",
    :input => a10,
    :projlist => [ [ :iter, :inner ], [ :item ]]

a8 = Project.new :id => "a8",
    :input => a9,
    :projlist => [ [ :iter ]]

a7 = Project.new :id => "a7",
    :input => a8,
    :projlist => [[ :item, "item" ],  [ :iter ]]

a43 = Project.new :id => "a43",
    :input => a10,
    :projlist => [ [ :outer, :iter ], [ :inner ]]

a42 = Join.new :id => "a42",
    :left_rel => a21,
    :right_rel => a43,
    :left_col => :iter,
    :right_col => :outer

a41 = Project.new :id => "a41",
    :input => a42,
    :projlist => [ [ :iter, :inner ], [ :item ]]

a40 = Scj.new :id => "a40",
    :input => a41,
    :src => :item,
    :step => "child::site"

a39 = Project.new :id => "a39",
    :input => a40,
    :projlist => [ [ :iter ], [ :item ]]

a38 = Scj.new :id => "a38",
    :input => a39,
    :src => :item,
    :step => "child::closed_auctions"

a37 = Project.new :id => "a37",
    :input => a38,
    :projlist => [ [ :iter ], [ :item ]]

a36 = Scj.new :id => "a36",
    :input => a37,
    :src => :item,
    :step => "child::closed_auction"

a35 = Rownum.new :id => "a35",
    :input => a36,
    :newcol => :pos,
    :order => [ :item ],
    :part => :iter

a34 = Rownum.new :id => "a34",
    :input => a35,
    :newcol => :inner,
    :order => [ :iter, :pos ]

a33 = Project.new :id => "a33",
    :input => a34,
    :projlist => [ [ :iter, :inner ], [ :item ]]

a71 = Project.new :id => "a71",
    :input => a33,
    :projlist => [ [ :iter ], [ :item ]]

a70 = Scj.new :id => "a70",
    :input => a71,
    :src => :item,
    :step => "child::buyer"

a69 = Project.new :id => "a69",
    :input => a70,
    :projlist => [ [ :iter ], [ :item ]]

a68 = Scj.new :id => "a68",
    :input => a69,
    :src => :item,
    :step => "attribute::person"

a67 = Rownum.new :id => "a67",
    :input => a68,
    :newcol => :pos,
    :order => [ :item ],
    :part => :iter

a66 = Atomize.new :id => "a66",
    :input => a67,
    :src => :item,
    :dest => :res

a65 = Project.new :id => "a65",
    :input => a66,
    :projlist => [ [ :iter ], [ :pos ], [ :item, :res ]]

a64 = Rownum.new :id => "a64",
    :input => a65,
    :newcol => :inner,
    :order => [ :iter, :pos ]

a63 = Project.new :id => "a63",
    :input => a64,
    :projlist => [ [ :iter, :inner ], [ :item ]]

a82 = Project.new :id => "a82",
    :input => a34,
    :projlist => [ [ :iter, :inner ], [ :outer, :iter ]]

a83 = Project.new :id => "a83",
    :input => a64,
    :projlist => [ [ :iter2, :iter ], [ :inner ]]

a81 = Join.new :id => "a81",
    :left_rel => a82,
    :right_rel => a83,
    :left_col => :iter,
    :right_col => :iter2

a80 = Project.new :id => "a80",
    :input => a81,
    :projlist => [ [ :outer ], [ :inner ]]

a79 = Join.new :id => "a79",
    :left_rel => a9,
    :right_rel => a80,
    :left_col => :iter,
    :right_col => :outer

a78 = Project.new :id => "a78",
    :input => a79,
    :projlist => [ [ :iter, :inner ], [ :item ]]

a77 = Scj.new :id => "a77",
    :input => a78,
    :src => :item,
    :step => "attribute::id"

a76 = Rownum.new :id => "a76",
    :input => a77,
    :newcol => :pos,
    :order => [ :item ],
    :part => :iter

a75 = Atomize.new :id => "a75",
    :input => a76,
    :src => :item,
    :dest => :res

a74 = Project.new :id => "a74",
    :input => a75,
    :projlist => [ [ :iter ], [ :pos ], [ :item, :res ]]

a73 = Rownum.new :id => "a73",
    :input => a74,
    :newcol => :inner,
    :order => [ :iter, :pos ]

a72 = Project.new :id => "a72",
    :input => a73,
    :projlist => [ [ :outer, :iter ], [ :inner ]]

a62 = Join.new :id => "a62",
    :left_rel => a63,
    :right_rel => a72,
    :left_col => :iter,
    :right_col => :outer

a61 = Project.new :id => "a61",
    :input => a62,
    :projlist => [ [ :iter, :inner ], [ :item ]]

a85 = Project.new :id => "a85",
    :input => a73,
    :projlist => [ [ :iter, :inner ], [ :item ]]

a84 = Project.new :id => "a84",
    :input => a85,
    :projlist => [ [ :iter1, :iter ], [ :item1, :item ]]

a60 = Join.new :id => "a60",
    :left_rel => a61,
    :right_rel => a84,
    :left_col => :iter,
    :right_col => :iter1

a59 = EqualOp.new :id => "a59",
    :input => a60,
    :newcol => :res,
    :arg1 => :item,
    :arg2 => :item1

a58 = Project.new :id => "a58",
    :input => a59,
    :projlist => [ [ :iter ], [ :item, :res ]]

a57 = Select.new :id => "a57",
    :input => a58,
    :column => :item

a56 = Project.new :id => "a56",
    :input => a57,
    :projlist => [ [ :iter ]]

a55 = Join.new :id => "a55",
    :left_rel => a56,
    :right_rel => a72,
    :left_col => :iter,
    :right_col => :inner

a54 = Project.new :id => "a54",
    :input => a55,
    :projlist => [ [ :iter, :outer ]]

a53 = Distinct.new :id => "a53",
    :input => a54

a52 = Project.new :id => "a52",
    :input => a53,
    :projlist => [[ :item, true ],  [ :iter ]]

a51 = Select.new :id => "a51",
    :input => a52,
    :column => :item

a50 = Project.new :id => "a50",
    :input => a51,
    :projlist => [ [ :iter ]]

a86 = Project.new :id => "a86",
    :input => a64,
    :projlist => [ [ :outer, :iter ], [ :inner ]]

a49 = Join.new :id => "a49",
    :left_rel => a50,
    :right_rel => a86,
    :left_col => :iter,
    :right_col => :inner

a48 = Project.new :id => "a48",
    :input => a49,
    :projlist => [ [ :iter, :outer ]]

a47 = Distinct.new :id => "a47",
    :input => a48

a46 = Project.new :id => "a46",
    :input => a47,
    :projlist => [[ :item, true ],  [ :iter ]]

a45 = Select.new :id => "a45",
    :input => a46,
    :column => :item

a44 = Project.new :id => "a44",
    :input => a45,
    :projlist => [ [ :outer, :iter ], [ :inner, :iter ]]

a32 = Join.new :id => "a32",
    :left_rel => a33,
    :right_rel => a44,
    :left_col => :iter,
    :right_col => :outer

a31 = Project.new :id => "a31",
    :input => a32,
    :projlist => [ [ :iter, :inner ]]

a87 = Project.new :id => "a87",
    :input => a34,
    :projlist => [ [ :outer, :iter ], [ :inner ]]

a30 = Join.new :id => "a30",
    :left_rel => a31,
    :right_rel => a87,
    :left_col => :iter,
    :right_col => :inner

a29 = Project.new :id => "a29",
    :input => a30,
    :projlist => [ [ :iter, :outer ]]

a28 = Count.new :id => "a28",
    :input => a29,
    :newcol => :item,
    :part => :iter


a90 = Project.new :id => "a90",
    :input => a28,
    :projlist => [ [ :iter ]]

a89 = Difference.new :id => "a89",
    :left_rel => a8,
    :right_rel => a90

a88 = Project.new :id => "a88",
    :input => a89,
    :projlist => [[ :item, 0 ],  [ :iter ]]

a27 = Union.new :id => "a27",
    :left_rel => a28,
    :right_rel => a88

a26 = Project.new :id => "a26",
    :input => a27,
    :projlist => [[ :cast, :item ],  [ :item ], [ :iter ]]

a25 = Project.new :id => "a25",
    :input => a26,
    :projlist => [ [ :iter ], [ :item, :cast ]]

a24 = TextConstr.new :id => "a24",
    :input => a25,
    :iter => :iter,
    :item => :item


a23 = a24 # fncs
a6 = ElemConstr.new :id => "a6",
    :tagnames => a7,
    :content => a23

a5 = a6  # twig
a96 = Project.new :id => "a96",
    :input => a5,
    :projlist => [ [ :iter ], [ :item ]]

a95 = Project.new :id => "a95",
    :input => a96,
    :projlist => [[ :pos, 1 ],  [ :iter ], [ :item ]]

a97 = Project.new :id => "a97",
    :input => a10,
    :projlist => [ [ :outer, :iter ], [ :sort, :pos ], [ :inner ]]

a94 = Join.new :id => "a94",
    :left_rel => a95,
    :right_rel => a97,
    :left_col => :iter,
    :right_col => :inner

a93 = Rownum.new :id => "a93",
    :input => a94,
    :newcol => :pos1,
    :order => [ :sort, :pos ],
    :part => :outer

a92 = Project.new :id => "a92",
    :input => a93,
    :projlist => [ [ :pos, :pos1 ], [ :item ]]

# serialize (:pos => :pos, :item => :item)
$root = a92
