a16 = LiteralTable.new :id => "a16",
    :colnames => [ :iter, :item ],
    :data => [[1, "auction.xml"]]

a15 = Doc.new :id => "a15",
    :input => a16,
    :src => :item,
    :dest => :res

a22 = Project.new :id => "a22",
    :input => a15,
    :projlist => [ [ :iter ], [ :item ], [ :res ]]

a21 = Project.new :id => "a21",
    :input => a22,
    :projlist => [ [ :iter ], [ :item, :res ]]

a20 = Scj.new :id => "a20",
    :input => a21,
    :src => :item,
    :step => "child::site"

a19 = Project.new :id => "a19",
    :input => a20,
    :projlist => [ [ :iter ], [ :item ]]

a18 = Scj.new :id => "a18",
    :input => a19,
    :src => :item,
    :step => "child::people"

a17 = Project.new :id => "a17",
    :input => a18,
    :projlist => [ [ :iter ], [ :item ]]

a12 = Scj.new :id => "a12",
    :input => a17,
    :src => :item,
    :step => "child::person"

a11 = Rownum.new :id => "a11",
    :input => a12,
    :newcol => :pos,
    :order => [ :item ],
    :part => :iter

a10 = Rownum.new :id => "a10",
    :input => a11,
    :newcol => :inner,
    :order => [ :iter, :pos ]

a9 = Project.new :id => "a9",
    :input => a10,
    :projlist => [ [ :iter, :inner ], [ :item ]]

a8 = Project.new :id => "a8",
    :input => a9,
    :projlist => [ [ :iter ]]

a7 = Project.new :id => "a7",
    :input => a8,
    :projlist => [[ :item, "person" ],  [ :iter ]]

a64 = Scj.new :id => "a64",
    :input => a19,
    :src => :item,
    :step => "child::closed_auctions"

a63 = Project.new :id => "a63",
    :input => a64,
    :projlist => [ [ :iter ], [ :item ]]

a62 = Scj.new :id => "a62",
    :input => a63,
    :src => :item,
    :step => "child::closed_auction"

a61 = Rownum.new :id => "a61",
    :input => a62,
    :newcol => :pos,
    :order => [ :item ],
    :part => :iter

a65 = Project.new :id => "a65",
    :input => a10,
    :projlist => [ [ :outer, :iter ], [ :inner ]]

a60 = Join.new :id => "a60",
    :left_rel => a61,
    :right_rel => a65,
    :left_col => :iter,
    :right_col => :outer

a59 = Project.new :id => "a59",
    :input => a60,
    :projlist => [ [ :iter, :inner ], [ :pos ], [ :item ]]

a58 = Rownum.new :id => "a58",
    :input => a59,
    :newcol => :inner,
    :order => [ :iter, :pos ]

a57 = Project.new :id => "a57",
    :input => a58,
    :projlist => [ [ :outer, :iter ], [ :inner ]]

a56 = Join.new :id => "a56",
    :left_rel => a9,
    :right_rel => a57,
    :left_col => :iter,
    :right_col => :outer

a55 = Project.new :id => "a55",
    :input => a56,
    :projlist => [ [ :iter, :inner ], [ :item ]]

a54 = Scj.new :id => "a54",
    :input => a55,
    :src => :item,
    :step => "attribute::id"

a53 = Rownum.new :id => "a53",
    :input => a54,
    :newcol => :pos,
    :order => [ :item ],
    :part => :iter

a52 = Atomize.new :id => "a52",
    :input => a53,
    :src => :item,
    :dest => :res

a51 = Project.new :id => "a51",
    :input => a52,
    :projlist => [ [ :iter ], [ :pos ], [ :item, :res ]]

a50 = Rownum.new :id => "a50",
    :input => a51,
    :newcol => :inner,
    :order => [ :iter, :pos ]

a49 = Project.new :id => "a49",
    :input => a50,
    :projlist => [ [ :iter, :inner ], [ :item ]]

a76 = Project.new :id => "a76",
    :input => a58,
    :projlist => [ [ :iter, :inner ], [ :item ]]

a77 = Project.new :id => "a77",
    :input => a50,
    :projlist => [ [ :outer, :iter ], [ :inner ]]

a75 = Join.new :id => "a75",
    :left_rel => a76,
    :right_rel => a77,
    :left_col => :iter,
    :right_col => :outer

a74 = Project.new :id => "a74",
    :input => a75,
    :projlist => [ [ :iter, :inner ], [ :item ]]

a73 = Scj.new :id => "a73",
    :input => a74,
    :src => :item,
    :step => "child::buyer"

a72 = Project.new :id => "a72",
    :input => a73,
    :projlist => [ [ :iter ], [ :item ]]

a71 = Scj.new :id => "a71",
    :input => a72,
    :src => :item,
    :step => "attribute::person"

a70 = Rownum.new :id => "a70",
    :input => a71,
    :newcol => :pos,
    :order => [ :item ],
    :part => :iter

a69 = Atomize.new :id => "a69",
    :input => a70,
    :src => :item,
    :dest => :res

a68 = Project.new :id => "a68",
    :input => a69,
    :projlist => [ [ :iter ], [ :pos ], [ :item, :res ]]

a67 = Rownum.new :id => "a67",
    :input => a68,
    :newcol => :inner,
    :order => [ :iter, :pos ]

a66 = Project.new :id => "a66",
    :input => a67,
    :projlist => [ [ :outer, :iter ], [ :inner ]]

a48 = Join.new :id => "a48",
    :left_rel => a49,
    :right_rel => a66,
    :left_col => :iter,
    :right_col => :outer

a47 = Project.new :id => "a47",
    :input => a48,
    :projlist => [ [ :iter, :inner ], [ :item ]]

a79 = Project.new :id => "a79",
    :input => a67,
    :projlist => [ [ :iter, :inner ], [ :item ]]

a78 = Project.new :id => "a78",
    :input => a79,
    :projlist => [ [ :iter1, :iter ], [ :item1, :item ]]

a46 = Join.new :id => "a46",
    :left_rel => a47,
    :right_rel => a78,
    :left_col => :iter,
    :right_col => :iter1

a45 = EqualOp.new :id => "a45",
    :input => a46,
    :newcol => :res,
    :arg1 => :item,
    :arg2 => :item1

a44 = Project.new :id => "a44",
    :input => a45,
    :projlist => [ [ :iter ], [ :item, :res ]]

a43 = Select.new :id => "a43",
    :input => a44,
    :column => :item

a42 = Project.new :id => "a42",
    :input => a43,
    :projlist => [ [ :iter ]]

a41 = Join.new :id => "a41",
    :left_rel => a42,
    :right_rel => a66,
    :left_col => :iter,
    :right_col => :inner

a40 = Project.new :id => "a40",
    :input => a41,
    :projlist => [ [ :iter, :outer ]]

a39 = Distinct.new :id => "a39",
    :input => a40

a38 = Project.new :id => "a38",
    :input => a39,
    :projlist => [[ :item, true ],  [ :iter ]]

a37 = Select.new :id => "a37",
    :input => a38,
    :column => :item

a36 = Project.new :id => "a36",
    :input => a37,
    :projlist => [ [ :iter ]]

a35 = Join.new :id => "a35",
    :left_rel => a36,
    :right_rel => a77,
    :left_col => :iter,
    :right_col => :inner

a34 = Project.new :id => "a34",
    :input => a35,
    :projlist => [ [ :iter, :outer ]]

a33 = Distinct.new :id => "a33",
    :input => a34

a32 = Project.new :id => "a32",
    :input => a33,
    :projlist => [[ :item, true ],  [ :iter ]]

a31 = Select.new :id => "a31",
    :input => a32,
    :column => :item

a30 = Project.new :id => "a30",
    :input => a31,
    :projlist => [ [ :iter ]]

a29 = Project.new :id => "a29",
    :input => a30,
    :projlist => [[ :item, "item" ],  [ :iter ]]

a102 = Scj.new :id => "a102",
    :input => a19,
    :src => :item,
    :step => "child::regions"

a101 = Project.new :id => "a101",
    :input => a102,
    :projlist => [ [ :iter ], [ :item ]]

a100 = Scj.new :id => "a100",
    :input => a101,
    :src => :item,
    :step => "child::europe"

a99 = Project.new :id => "a99",
    :input => a100,
    :projlist => [ [ :iter ], [ :item ]]

a98 = Scj.new :id => "a98",
    :input => a99,
    :src => :item,
    :step => "child::item"

a97 = Rownum.new :id => "a97",
    :input => a98,
    :newcol => :pos,
    :order => [ :item ],
    :part => :iter

a107 = Project.new :id => "a107",
    :input => a10,
    :projlist => [ [ :iter, :inner ], [ :outer, :iter ]]

a108 = Project.new :id => "a108",
    :input => a58,
    :projlist => [ [ :iter2, :iter ], [ :inner ]]

a106 = Join.new :id => "a106",
    :left_rel => a107,
    :right_rel => a108,
    :left_col => :iter,
    :right_col => :iter2

a105 = Project.new :id => "a105",
    :input => a106,
    :projlist => [ [ :outer ], [ :inner ]]

a104 = Join.new :id => "a104",
    :left_rel => a105,
    :right_rel => a30,
    :left_col => :inner,
    :right_col => :iter

a103 = Project.new :id => "a103",
    :input => a104,
    :projlist => [ [ :outer ], [ :inner ]]

a96 = Join.new :id => "a96",
    :left_rel => a97,
    :right_rel => a103,
    :left_col => :iter,
    :right_col => :outer

a95 = Project.new :id => "a95",
    :input => a96,
    :projlist => [ [ :iter, :inner ], [ :pos ], [ :item ]]

a94 = Rownum.new :id => "a94",
    :input => a95,
    :newcol => :inner,
    :order => [ :iter, :pos ]

a93 = Project.new :id => "a93",
    :input => a94,
    :projlist => [ [ :iter, :inner ], [ :item ]]

a140 = Project.new :id => "a140",
    :input => a31,
    :projlist => [ [ :iter ], [ :outer, :iter ]]

a141 = Project.new :id => "a141",
    :input => a94,
    :projlist => [ [ :iter2, :iter ], [ :inner ]]

a139 = Join.new :id => "a139",
    :left_rel => a140,
    :right_rel => a141,
    :left_col => :iter,
    :right_col => :iter2

a138 = Project.new :id => "a138",
    :input => a139,
    :projlist => [ [ :outer ], [ :inner ]]

a137 = Join.new :id => "a137",
    :left_rel => a76,
    :right_rel => a138,
    :left_col => :iter,
    :right_col => :outer

a136 = Project.new :id => "a136",
    :input => a137,
    :projlist => [ [ :iter, :inner ], [ :item ]]

a135 = Scj.new :id => "a135",
    :input => a136,
    :src => :item,
    :step => "child::itemref"

a134 = Project.new :id => "a134",
    :input => a135,
    :projlist => [ [ :iter ], [ :item ]]

a133 = Scj.new :id => "a133",
    :input => a134,
    :src => :item,
    :step => "attribute::item"

a132 = Rownum.new :id => "a132",
    :input => a133,
    :newcol => :pos,
    :order => [ :item ],
    :part => :iter

a131 = Atomize.new :id => "a131",
    :input => a132,
    :src => :item,
    :dest => :res

a130 = Project.new :id => "a130",
    :input => a131,
    :projlist => [ [ :iter ], [ :pos ], [ :item, :res ]]

a129 = Rownum.new :id => "a129",
    :input => a130,
    :newcol => :inner,
    :order => [ :iter, :pos ]

a128 = Project.new :id => "a128",
    :input => a129,
    :projlist => [ [ :iter, :inner ], [ :item ]]

a150 = Project.new :id => "a150",
    :input => a129,
    :projlist => [ [ :outer, :iter ], [ :inner ]]

a149 = Join.new :id => "a149",
    :left_rel => a93,
    :right_rel => a150,
    :left_col => :iter,
    :right_col => :outer

a148 = Project.new :id => "a148",
    :input => a149,
    :projlist => [ [ :iter, :inner ], [ :item ]]

a147 = Scj.new :id => "a147",
    :input => a148,
    :src => :item,
    :step => "attribute::id"

a146 = Rownum.new :id => "a146",
    :input => a147,
    :newcol => :pos,
    :order => [ :item ],
    :part => :iter

a145 = Atomize.new :id => "a145",
    :input => a146,
    :src => :item,
    :dest => :res

a144 = Project.new :id => "a144",
    :input => a145,
    :projlist => [ [ :iter ], [ :pos ], [ :item, :res ]]

a143 = Rownum.new :id => "a143",
    :input => a144,
    :newcol => :inner,
    :order => [ :iter, :pos ]

a142 = Project.new :id => "a142",
    :input => a143,
    :projlist => [ [ :outer, :iter ], [ :inner ]]

a127 = Join.new :id => "a127",
    :left_rel => a128,
    :right_rel => a142,
    :left_col => :iter,
    :right_col => :outer

a126 = Project.new :id => "a126",
    :input => a127,
    :projlist => [ [ :iter, :inner ], [ :item ]]

a152 = Project.new :id => "a152",
    :input => a143,
    :projlist => [ [ :iter, :inner ], [ :item ]]

a151 = Project.new :id => "a151",
    :input => a152,
    :projlist => [ [ :iter1, :iter ], [ :item1, :item ]]

a125 = Join.new :id => "a125",
    :left_rel => a126,
    :right_rel => a151,
    :left_col => :iter,
    :right_col => :iter1

a124 = EqualOp.new :id => "a124",
    :input => a125,
    :newcol => :res,
    :arg1 => :item,
    :arg2 => :item1

a123 = Project.new :id => "a123",
    :input => a124,
    :projlist => [ [ :iter ], [ :item, :res ]]

a122 = Select.new :id => "a122",
    :input => a123,
    :column => :item

a121 = Project.new :id => "a121",
    :input => a122,
    :projlist => [ [ :iter ]]

a120 = Join.new :id => "a120",
    :left_rel => a121,
    :right_rel => a142,
    :left_col => :iter,
    :right_col => :inner

a119 = Project.new :id => "a119",
    :input => a120,
    :projlist => [ [ :iter, :outer ]]

a118 = Distinct.new :id => "a118",
    :input => a119

a117 = Project.new :id => "a117",
    :input => a118,
    :projlist => [[ :item, true ],  [ :iter ]]

a116 = Select.new :id => "a116",
    :input => a117,
    :column => :item

a115 = Project.new :id => "a115",
    :input => a116,
    :projlist => [ [ :iter ]]

a114 = Join.new :id => "a114",
    :left_rel => a115,
    :right_rel => a150,
    :left_col => :iter,
    :right_col => :inner

a113 = Project.new :id => "a113",
    :input => a114,
    :projlist => [ [ :iter, :outer ]]

a112 = Distinct.new :id => "a112",
    :input => a113

a111 = Project.new :id => "a111",
    :input => a112,
    :projlist => [[ :item, true ],  [ :iter ]]

a110 = Select.new :id => "a110",
    :input => a111,
    :column => :item

a109 = Project.new :id => "a109",
    :input => a110,
    :projlist => [ [ :outer, :iter ], [ :inner, :iter ]]

a92 = Join.new :id => "a92",
    :left_rel => a93,
    :right_rel => a109,
    :left_col => :iter,
    :right_col => :outer

a91 = Project.new :id => "a91",
    :input => a92,
    :projlist => [ [ :iter, :inner ], [ :item ]]

a153 = Project.new :id => "a153",
    :input => a94,
    :projlist => [ [ :outer, :iter ], [ :inner ]]

a90 = Join.new :id => "a90",
    :left_rel => a91,
    :right_rel => a153,
    :left_col => :iter,
    :right_col => :inner

a89 = Project.new :id => "a89",
    :input => a90,
    :projlist => [ [ :iter, :outer ], [ :item ]]

a88 = Scj.new :id => "a88",
    :input => a89,
    :src => :item,
    :step => "child::name"

a87 = Project.new :id => "a87",
    :input => a88,
    :projlist => [ [ :iter ], [ :item ]]

a86 = Scj.new :id => "a86",
    :input => a87,
    :src => :item,
    :step => "child::text()"

a85 = Rownum.new :id => "a85",
    :input => a86,
    :newcol => :pos,
    :order => [ :item ],
    :part => :iter

a84 = a85     # ERROR#pf:merge-adjacent-text-nodes.new

a154 = Project.new :id => "a154",
    :input => a84,
    :projlist => [ [ :iter ], [ :pos ], [ :item ]]

a81 = a154     # ERRORContent.new

a80 = a81 # fncs
a28 = ElemConstr.new :id => "a28",
    :tagnames => a29,
    :content => a80

a27 = a28  # twig
a160 = Project.new :id => "a160",
    :input => a27,
    :projlist => [ [ :iter ], [ :item ]]

a159 = Project.new :id => "a159",
    :input => a160,
    :projlist => [[ :pos, 1 ],  [ :iter ], [ :item ]]

a161 = Project.new :id => "a161",
    :input => a58,
    :projlist => [ [ :outer, :iter ], [ :sort, :pos ], [ :inner ]]

a158 = Join.new :id => "a158",
    :left_rel => a159,
    :right_rel => a161,
    :left_col => :iter,
    :right_col => :inner

a157 = Rownum.new :id => "a157",
    :input => a158,
    :newcol => :pos1,
    :order => [ :sort, :pos ],
    :part => :outer

a156 = Project.new :id => "a156",
    :input => a157,
    :projlist => [ [ :iter, :outer ], [ :pos, :pos1 ], [ :item ]]

a24 = a156     # ERRORContent.new

a23 = a24 # fncs
a6 = ElemConstr.new :id => "a6",
    :tagnames => a7,
    :content => a23

a5 = a6  # twig
a166 = Project.new :id => "a166",
    :input => a5,
    :projlist => [ [ :iter ], [ :item ]]

a165 = Project.new :id => "a165",
    :input => a166,
    :projlist => [[ :pos, 1 ],  [ :iter ], [ :item ]]

a167 = Project.new :id => "a167",
    :input => a10,
    :projlist => [ [ :outer, :iter ], [ :sort, :pos ], [ :inner ]]

a164 = Join.new :id => "a164",
    :left_rel => a165,
    :right_rel => a167,
    :left_col => :iter,
    :right_col => :inner

a163 = Rownum.new :id => "a163",
    :input => a164,
    :newcol => :pos1,
    :order => [ :sort, :pos ],
    :part => :outer

a162 = Project.new :id => "a162",
    :input => a163,
    :projlist => [ [ :pos, :pos1 ], [ :item ]]

# serialize (:pos => :pos, :item => :item)
$root = a162
