a16 = LiteralTable.new :id => "a16",
    :colnames => [ :iter, :item ],
    :data => [[1, "auction.xml"]]

a15 = Doc.new :id => "a15",
    :input => a16,
    :src => :item,
    :dest => :res

a22 = Project.new :id => "a22",
    :input => a15,
    :projlist => [ [ :iter ], [ :item ], [ :res ]]

a21 = Project.new :id => "a21",
    :input => a22,
    :projlist => [ [ :iter ], [ :item, :res ]]

a20 = Scj.new :id => "a20",
    :input => a21,
    :src => :item,
    :step => "child::site"

a19 = Project.new :id => "a19",
    :input => a20,
    :projlist => [ [ :iter ], [ :item ]]

a18 = Scj.new :id => "a18",
    :input => a19,
    :src => :item,
    :step => "child::people"

a17 = Project.new :id => "a17",
    :input => a18,
    :projlist => [ [ :iter ], [ :item ]]

a12 = Scj.new :id => "a12",
    :input => a17,
    :src => :item,
    :step => "child::person"

a11 = Rownum.new :id => "a11",
    :input => a12,
    :newcol => :pos,
    :order => [ :item ],
    :part => :iter

a10 = Rownum.new :id => "a10",
    :input => a11,
    :newcol => :inner,
    :order => [ :iter, :pos ]

a9 = Project.new :id => "a9",
    :input => a10,
    :projlist => [ [ :iter, :inner ], [ :item ]]

a8 = Project.new :id => "a8",
    :input => a9,
    :projlist => [ [ :iter ]]

a7 = Project.new :id => "a7",
    :input => a8,
    :projlist => [[ :item, "items" ],  [ :iter ]]

a45 = Project.new :id => "a45",
    :input => a10,
    :projlist => [ [ :outer, :iter ], [ :inner ]]

a44 = Join.new :id => "a44",
    :left_rel => a21,
    :right_rel => a45,
    :left_col => :iter,
    :right_col => :outer

a43 = Project.new :id => "a43",
    :input => a44,
    :projlist => [ [ :iter, :inner ], [ :item ]]

a42 = Scj.new :id => "a42",
    :input => a43,
    :src => :item,
    :step => "child::site"

a41 = Project.new :id => "a41",
    :input => a42,
    :projlist => [ [ :iter ], [ :item ]]

a40 = Scj.new :id => "a40",
    :input => a41,
    :src => :item,
    :step => "child::open_auctions"

a39 = Project.new :id => "a39",
    :input => a40,
    :projlist => [ [ :iter ], [ :item ]]

a38 = Scj.new :id => "a38",
    :input => a39,
    :src => :item,
    :step => "child::open_auction"

a37 = Project.new :id => "a37",
    :input => a38,
    :projlist => [ [ :iter ], [ :item ]]

a36 = Scj.new :id => "a36",
    :input => a37,
    :src => :item,
    :step => "child::initial"

a35 = Rownum.new :id => "a35",
    :input => a36,
    :newcol => :pos,
    :order => [ :item ],
    :part => :iter

a34 = Rownum.new :id => "a34",
    :input => a35,
    :newcol => :inner,
    :order => [ :iter, :pos ]

a33 = Project.new :id => "a33",
    :input => a34,
    :projlist => [ [ :iter, :inner ], [ :item ]]

a74 = Project.new :id => "a74",
    :input => a34,
    :projlist => [ [ :outer, :iter ], [ :inner ]]

a73 = Join.new :id => "a73",
    :left_rel => a9,
    :right_rel => a74,
    :left_col => :iter,
    :right_col => :outer

a72 = Project.new :id => "a72",
    :input => a73,
    :projlist => [ [ :iter, :inner ], [ :item ]]

a71 = Scj.new :id => "a71",
    :input => a72,
    :src => :item,
    :step => "child::profile"

a70 = Project.new :id => "a70",
    :input => a71,
    :projlist => [ [ :iter ], [ :item ]]

a69 = Scj.new :id => "a69",
    :input => a70,
    :src => :item,
    :step => "attribute::income"

a68 = Rownum.new :id => "a68",
    :input => a69,
    :newcol => :pos,
    :order => [ :item ],
    :part => :iter

a67 = Atomize.new :id => "a67",
    :input => a68,
    :src => :item,
    :dest => :res

a66 = Project.new :id => "a66",
    :input => a67,
    :projlist => [ [ :iter ], [ :pos ], [ :item, :res ]]

a65 = Rownum.new :id => "a65",
    :input => a66,
    :newcol => :inner,
    :order => [ :iter, :pos ]

a64 = Project.new :id => "a64",
    :input => a65,
    :projlist => [ [ :iter, :inner ], [ :item ]]

a63 = fun_1to1 :id => "a63",
    :input => a64,
    :fun_name => "fn:number",
    :res => :res,
    :args => [ :item ]


a62 = Project.new :id => "a62",
    :input => a63,
    :projlist => [ [ :iter ], [ :item, :res ]]

a81 = Project.new :id => "a81",
    :input => a64,
    :projlist => [ [ :iter ]]

a80 = Project.new :id => "a80",
    :input => a81,
    :projlist => [[ :item, 5000 ],  [ :iter ]]

a79 = Project.new :id => "a79",
    :input => a80,
    :projlist => [[ :cast, :item ],  [ :iter ], [ :item ]]

a78 = Project.new :id => "a78",
    :input => a79,
    :projlist => [ [ :iter ], [ :item, :cast ]]

a90 = Project.new :id => "a90",
    :input => a65,
    :projlist => [ [ :outer, :iter ], [ :inner ]]

a89 = Join.new :id => "a89",
    :left_rel => a33,
    :right_rel => a90,
    :left_col => :iter,
    :right_col => :outer

a88 = Project.new :id => "a88",
    :input => a89,
    :projlist => [ [ :iter, :inner ], [ :item ]]

a87 = Scj.new :id => "a87",
    :input => a88,
    :src => :item,
    :step => "child::text()"

a86 = a87     # ERRORerror.new

a85 = Atomize.new :id => "a85",
    :input => a86,
    :src => :item,
    :dest => :res

a84 = Project.new :id => "a84",
    :input => a85,
    :projlist => [ [ :iter ], [ :item, :res ]]

a83 = Project.new :id => "a83",
    :input => a84,
    :projlist => [[ :cast, :item ],  [ :iter ], [ :item ]]

a82 = Project.new :id => "a82",
    :input => a83,
    :projlist => [ [ :iter1, :iter ], [ :item1, :cast ]]

a77 = Join.new :id => "a77",
    :left_rel => a78,
    :right_rel => a82,
    :left_col => :iter,
    :right_col => :iter1

a76 = fun_1to1 :id => "a76",
    :input => a77,
    :fun_name => "multiply",
    :res => :res,
    :args => [ :item, :item1 ]


a75 = Project.new :id => "a75",
    :input => a76,
    :projlist => [ [ :iter1, :iter ], [ :item1, :res ]]

a61 = Join.new :id => "a61",
    :left_rel => a62,
    :right_rel => a75,
    :left_col => :iter,
    :right_col => :iter1

a60 = GreaterThanOp.new :id => "a60",
    :input => a61,
    :newcol => :res,
    :arg1 => :item,
    :arg2 => :item1

a59 = Project.new :id => "a59",
    :input => a60,
    :projlist => [ [ :iter ], [ :item, :res ]]

a58 = Select.new :id => "a58",
    :input => a59,
    :column => :item

a57 = Project.new :id => "a57",
    :input => a58,
    :projlist => [ [ :iter ]]

a56 = Project.new :id => "a56",
    :input => a57,
    :projlist => [ [ :iter ]]

a55 = Distinct.new :id => "a55",
    :input => a56

a54 = Project.new :id => "a54",
    :input => a55,
    :projlist => [[ :item, true ],  [ :iter ]]

a53 = Select.new :id => "a53",
    :input => a54,
    :column => :item

a52 = Project.new :id => "a52",
    :input => a53,
    :projlist => [ [ :iter ]]

a51 = Join.new :id => "a51",
    :left_rel => a52,
    :right_rel => a90,
    :left_col => :iter,
    :right_col => :inner

a50 = Project.new :id => "a50",
    :input => a51,
    :projlist => [ [ :iter, :outer ]]

a49 = Distinct.new :id => "a49",
    :input => a50

a48 = Project.new :id => "a48",
    :input => a49,
    :projlist => [[ :item, true ],  [ :iter ]]

a47 = Select.new :id => "a47",
    :input => a48,
    :column => :item

a46 = Project.new :id => "a46",
    :input => a47,
    :projlist => [ [ :outer, :iter ], [ :inner, :iter ]]

a32 = Join.new :id => "a32",
    :left_rel => a33,
    :right_rel => a46,
    :left_col => :iter,
    :right_col => :outer

a31 = Project.new :id => "a31",
    :input => a32,
    :projlist => [ [ :iter, :inner ]]

a30 = Join.new :id => "a30",
    :left_rel => a31,
    :right_rel => a74,
    :left_col => :iter,
    :right_col => :inner

a29 = Project.new :id => "a29",
    :input => a30,
    :projlist => [ [ :iter, :outer ]]

a28 = Count.new :id => "a28",
    :input => a29,
    :newcol => :item,
    :part => :iter


a103 = Project.new :id => "a103",
    :input => a28,
    :projlist => [ [ :iter ]]

a102 = Difference.new :id => "a102",
    :left_rel => a8,
    :right_rel => a103

a101 = Project.new :id => "a101",
    :input => a102,
    :projlist => [[ :item, 0 ],  [ :iter ]]

a27 = Union.new :id => "a27",
    :left_rel => a28,
    :right_rel => a101

a26 = Project.new :id => "a26",
    :input => a27,
    :projlist => [[ :cast, :item ],  [ :item ], [ :iter ]]

a25 = Project.new :id => "a25",
    :input => a26,
    :projlist => [ [ :iter ], [ :item, :cast ]]

a24 = TextConstr.new :id => "a24",
    :input => a25,
    :iter => :iter,
    :item => :item


a23 = a24 # fncs
a6 = ElemConstr.new :id => "a6",
    :tagnames => a7,
    :content => a23

a5 = a6  # twig
a109 = Project.new :id => "a109",
    :input => a5,
    :projlist => [ [ :iter ], [ :item ]]

a108 = Project.new :id => "a108",
    :input => a109,
    :projlist => [[ :pos, 1 ],  [ :iter ], [ :item ]]

a110 = Project.new :id => "a110",
    :input => a10,
    :projlist => [ [ :outer, :iter ], [ :sort, :pos ], [ :inner ]]

a107 = Join.new :id => "a107",
    :left_rel => a108,
    :right_rel => a110,
    :left_col => :iter,
    :right_col => :inner

a106 = Rownum.new :id => "a106",
    :input => a107,
    :newcol => :pos1,
    :order => [ :sort, :pos ],
    :part => :outer

a105 = Project.new :id => "a105",
    :input => a106,
    :projlist => [ [ :pos, :pos1 ], [ :item ]]

# serialize (:pos => :pos, :item => :item)
$root = a105
