a33 = LiteralTable.new :id => "a33",
    :colnames => [ :iter, :item ],
    :data => [[1, "auction.xml"]]

a32 = Doc.new :id => "a32",
    :input => a33,
    :src => :item,
    :dest => :res

a48 = Project.new :id => "a48",
    :input => a32,
    :projlist => [ [ :iter ], [ :item ], [ :res ]]

a47 = Project.new :id => "a47",
    :input => a48,
    :projlist => [ [ :iter ], [ :item, :res ]]

a46 = Scj.new :id => "a46",
    :input => a47,
    :src => :item,
    :step => "child::site"

a45 = Project.new :id => "a45",
    :input => a46,
    :projlist => [ [ :iter ], [ :item ]]

a44 = Scj.new :id => "a44",
    :input => a45,
    :src => :item,
    :step => "child::people"

a43 = Project.new :id => "a43",
    :input => a44,
    :projlist => [ [ :iter ], [ :item ]]

a42 = Scj.new :id => "a42",
    :input => a43,
    :src => :item,
    :step => "child::person"

a41 = Rownum.new :id => "a41",
    :input => a42,
    :newcol => :pos,
    :order => [ :item ],
    :part => :iter

a40 = Rownum.new :id => "a40",
    :input => a41,
    :newcol => :inner,
    :order => [ :iter, :pos ]

a39 = Project.new :id => "a39",
    :input => a40,
    :projlist => [ [ :iter, :inner ], [ :item ]]

a38 = Project.new :id => "a38",
    :input => a39,
    :projlist => [ [ :iter ], [ :item ]]

a37 = Scj.new :id => "a37",
    :input => a38,
    :src => :item,
    :step => "child::profile"

a36 = Project.new :id => "a36",
    :input => a37,
    :projlist => [ [ :iter ], [ :item ]]

a35 = Scj.new :id => "a35",
    :input => a36,
    :src => :item,
    :step => "attribute::income"

a34 = Rownum.new :id => "a34",
    :input => a35,
    :newcol => :pos,
    :order => [ :item ],
    :part => :iter

a29 = Atomize.new :id => "a29",
    :input => a34,
    :src => :item,
    :dest => :res

a28 = Project.new :id => "a28",
    :input => a29,
    :projlist => [ [ :iter ], [ :pos ], [ :item, :res ]]

a27 = Rownum.new :id => "a27",
    :input => a28,
    :newcol => :inner,
    :order => [ :iter, :pos ]

a26 = Project.new :id => "a26",
    :input => a27,
    :projlist => [ [ :iter, :inner ], [ :item ]]

a25 = fun_1to1 :id => "a25",
    :input => a26,
    :fun_name => "fn:number",
    :res => :res,
    :args => [ :item ]


a24 = Project.new :id => "a24",
    :input => a25,
    :projlist => [ [ :iter ], [ :item, :res ]]

a52 = Project.new :id => "a52",
    :input => a26,
    :projlist => [ [ :iter ]]

a51 = Project.new :id => "a51",
    :input => a52,
    :projlist => [[ :item, 50000 ],  [ :iter ]]

a50 = Project.new :id => "a50",
    :input => a51,
    :projlist => [[ :cast, :item ],  [ :iter ], [ :item ]]

a49 = Project.new :id => "a49",
    :input => a50,
    :projlist => [ [ :iter1, :iter ], [ :item1, :cast ]]

a23 = Join.new :id => "a23",
    :left_rel => a24,
    :right_rel => a49,
    :left_col => :iter,
    :right_col => :iter1

a22 = GreaterThanOp.new :id => "a22",
    :input => a23,
    :newcol => :res,
    :arg1 => :item,
    :arg2 => :item1

a21 = Project.new :id => "a21",
    :input => a22,
    :projlist => [ [ :iter ], [ :item, :res ]]

a20 = Select.new :id => "a20",
    :input => a21,
    :column => :item

a19 = Project.new :id => "a19",
    :input => a20,
    :projlist => [ [ :iter ]]

a18 = Project.new :id => "a18",
    :input => a19,
    :projlist => [ [ :iter ]]

a17 = Distinct.new :id => "a17",
    :input => a18

a16 = Project.new :id => "a16",
    :input => a17,
    :projlist => [[ :item, true ],  [ :iter ]]

a15 = Select.new :id => "a15",
    :input => a16,
    :column => :item

a14 = Project.new :id => "a14",
    :input => a15,
    :projlist => [ [ :iter ]]

a53 = Project.new :id => "a53",
    :input => a27,
    :projlist => [ [ :outer, :iter ], [ :inner ]]

a13 = Join.new :id => "a13",
    :left_rel => a14,
    :right_rel => a53,
    :left_col => :iter,
    :right_col => :inner

a12 = Project.new :id => "a12",
    :input => a13,
    :projlist => [ [ :iter, :outer ]]

a11 = Distinct.new :id => "a11",
    :input => a12

a10 = Project.new :id => "a10",
    :input => a11,
    :projlist => [[ :item, true ],  [ :iter ]]

a9 = Select.new :id => "a9",
    :input => a10,
    :column => :item

a8 = Project.new :id => "a8",
    :input => a9,
    :projlist => [ [ :iter ]]

a7 = Project.new :id => "a7",
    :input => a8,
    :projlist => [[ :item, "items" ],  [ :iter ]]

a78 = Project.new :id => "a78",
    :input => a40,
    :projlist => [ [ :outer, :iter ], [ :inner ]]

a77 = Join.new :id => "a77",
    :left_rel => a78,
    :right_rel => a8,
    :left_col => :inner,
    :right_col => :iter

a76 = Project.new :id => "a76",
    :input => a77,
    :projlist => [ [ :outer ], [ :inner ]]

a75 = Join.new :id => "a75",
    :left_rel => a47,
    :right_rel => a76,
    :left_col => :iter,
    :right_col => :outer

a74 = Project.new :id => "a74",
    :input => a75,
    :projlist => [ [ :iter, :inner ], [ :item ]]

a73 = Scj.new :id => "a73",
    :input => a74,
    :src => :item,
    :step => "child::site"

a72 = Project.new :id => "a72",
    :input => a73,
    :projlist => [ [ :iter ], [ :item ]]

a71 = Scj.new :id => "a71",
    :input => a72,
    :src => :item,
    :step => "child::open_auctions"

a70 = Project.new :id => "a70",
    :input => a71,
    :projlist => [ [ :iter ], [ :item ]]

a69 = Scj.new :id => "a69",
    :input => a70,
    :src => :item,
    :step => "child::open_auction"

a68 = Project.new :id => "a68",
    :input => a69,
    :projlist => [ [ :iter ], [ :item ]]

a67 = Scj.new :id => "a67",
    :input => a68,
    :src => :item,
    :step => "child::initial"

a66 = Rownum.new :id => "a66",
    :input => a67,
    :newcol => :pos,
    :order => [ :item ],
    :part => :iter

a65 = Rownum.new :id => "a65",
    :input => a66,
    :newcol => :inner,
    :order => [ :iter, :pos ]

a64 = Project.new :id => "a64",
    :input => a65,
    :projlist => [ [ :iter, :inner ], [ :item ]]

a109 = Project.new :id => "a109",
    :input => a9,
    :projlist => [ [ :iter ], [ :outer, :iter ]]

a110 = Project.new :id => "a110",
    :input => a65,
    :projlist => [ [ :iter2, :iter ], [ :inner ]]

a108 = Join.new :id => "a108",
    :left_rel => a109,
    :right_rel => a110,
    :left_col => :iter,
    :right_col => :iter2

a107 = Project.new :id => "a107",
    :input => a108,
    :projlist => [ [ :outer ], [ :inner ]]

a106 = Join.new :id => "a106",
    :left_rel => a39,
    :right_rel => a107,
    :left_col => :iter,
    :right_col => :outer

a105 = Project.new :id => "a105",
    :input => a106,
    :projlist => [ [ :iter, :inner ], [ :item ]]

a104 = Scj.new :id => "a104",
    :input => a105,
    :src => :item,
    :step => "child::profile"

a103 = Project.new :id => "a103",
    :input => a104,
    :projlist => [ [ :iter ], [ :item ]]

a102 = Scj.new :id => "a102",
    :input => a103,
    :src => :item,
    :step => "attribute::income"

a101 = Rownum.new :id => "a101",
    :input => a102,
    :newcol => :pos,
    :order => [ :item ],
    :part => :iter

a100 = Atomize.new :id => "a100",
    :input => a101,
    :src => :item,
    :dest => :res

a99 = Project.new :id => "a99",
    :input => a100,
    :projlist => [ [ :iter ], [ :pos ], [ :item, :res ]]

a98 = Rownum.new :id => "a98",
    :input => a99,
    :newcol => :inner,
    :order => [ :iter, :pos ]

a97 = Project.new :id => "a97",
    :input => a98,
    :projlist => [ [ :iter, :inner ], [ :item ]]

a96 = fun_1to1 :id => "a96",
    :input => a97,
    :fun_name => "fn:number",
    :res => :res,
    :args => [ :item ]


a95 = Project.new :id => "a95",
    :input => a96,
    :projlist => [ [ :iter ], [ :item, :res ]]

a117 = Project.new :id => "a117",
    :input => a97,
    :projlist => [ [ :iter ]]

a116 = Project.new :id => "a116",
    :input => a117,
    :projlist => [[ :item, 5000 ],  [ :iter ]]

a115 = Project.new :id => "a115",
    :input => a116,
    :projlist => [[ :cast, :item ],  [ :iter ], [ :item ]]

a114 = Project.new :id => "a114",
    :input => a115,
    :projlist => [ [ :iter ], [ :item, :cast ]]

a126 = Project.new :id => "a126",
    :input => a98,
    :projlist => [ [ :outer, :iter ], [ :inner ]]

a125 = Join.new :id => "a125",
    :left_rel => a64,
    :right_rel => a126,
    :left_col => :iter,
    :right_col => :outer

a124 = Project.new :id => "a124",
    :input => a125,
    :projlist => [ [ :iter, :inner ], [ :item ]]

a123 = Scj.new :id => "a123",
    :input => a124,
    :src => :item,
    :step => "child::text()"

a122 = a123     # ERRORerror.new

a121 = Atomize.new :id => "a121",
    :input => a122,
    :src => :item,
    :dest => :res

a120 = Project.new :id => "a120",
    :input => a121,
    :projlist => [ [ :iter ], [ :item, :res ]]

a119 = Project.new :id => "a119",
    :input => a120,
    :projlist => [[ :cast, :item ],  [ :iter ], [ :item ]]

a118 = Project.new :id => "a118",
    :input => a119,
    :projlist => [ [ :iter1, :iter ], [ :item1, :cast ]]

a113 = Join.new :id => "a113",
    :left_rel => a114,
    :right_rel => a118,
    :left_col => :iter,
    :right_col => :iter1

a112 = fun_1to1 :id => "a112",
    :input => a113,
    :fun_name => "multiply",
    :res => :res,
    :args => [ :item, :item1 ]


a111 = Project.new :id => "a111",
    :input => a112,
    :projlist => [ [ :iter1, :iter ], [ :item1, :res ]]

a94 = Join.new :id => "a94",
    :left_rel => a95,
    :right_rel => a111,
    :left_col => :iter,
    :right_col => :iter1

a93 = GreaterThanOp.new :id => "a93",
    :input => a94,
    :newcol => :res,
    :arg1 => :item,
    :arg2 => :item1

a92 = Project.new :id => "a92",
    :input => a93,
    :projlist => [ [ :iter ], [ :item, :res ]]

a91 = Select.new :id => "a91",
    :input => a92,
    :column => :item

a90 = Project.new :id => "a90",
    :input => a91,
    :projlist => [ [ :iter ]]

a89 = Project.new :id => "a89",
    :input => a90,
    :projlist => [ [ :iter ]]

a88 = Distinct.new :id => "a88",
    :input => a89

a87 = Project.new :id => "a87",
    :input => a88,
    :projlist => [[ :item, true ],  [ :iter ]]

a86 = Select.new :id => "a86",
    :input => a87,
    :column => :item

a85 = Project.new :id => "a85",
    :input => a86,
    :projlist => [ [ :iter ]]

a84 = Join.new :id => "a84",
    :left_rel => a85,
    :right_rel => a126,
    :left_col => :iter,
    :right_col => :inner

a83 = Project.new :id => "a83",
    :input => a84,
    :projlist => [ [ :iter, :outer ]]

a82 = Distinct.new :id => "a82",
    :input => a83

a81 = Project.new :id => "a81",
    :input => a82,
    :projlist => [[ :item, true ],  [ :iter ]]

a80 = Select.new :id => "a80",
    :input => a81,
    :column => :item

a79 = Project.new :id => "a79",
    :input => a80,
    :projlist => [ [ :outer, :iter ], [ :inner, :iter ]]

a63 = Join.new :id => "a63",
    :left_rel => a64,
    :right_rel => a79,
    :left_col => :iter,
    :right_col => :outer

a62 = Project.new :id => "a62",
    :input => a63,
    :projlist => [ [ :iter, :inner ]]

a137 = Project.new :id => "a137",
    :input => a65,
    :projlist => [ [ :outer, :iter ], [ :inner ]]

a61 = Join.new :id => "a61",
    :left_rel => a62,
    :right_rel => a137,
    :left_col => :iter,
    :right_col => :inner

a60 = Project.new :id => "a60",
    :input => a61,
    :projlist => [ [ :iter, :outer ]]

a59 = Count.new :id => "a59",
    :input => a60,
    :newcol => :item,
    :part => :iter


a140 = Project.new :id => "a140",
    :input => a59,
    :projlist => [ [ :iter ]]

a139 = Difference.new :id => "a139",
    :left_rel => a8,
    :right_rel => a140

a138 = Project.new :id => "a138",
    :input => a139,
    :projlist => [[ :item, 0 ],  [ :iter ]]

a58 = Union.new :id => "a58",
    :left_rel => a59,
    :right_rel => a138

a57 = Project.new :id => "a57",
    :input => a58,
    :projlist => [[ :cast, :item ],  [ :item ], [ :iter ]]

a56 = Project.new :id => "a56",
    :input => a57,
    :projlist => [ [ :iter ], [ :item, :cast ]]

a55 = TextConstr.new :id => "a55",
    :input => a56,
    :iter => :iter,
    :item => :item


a54 = a55 # fncs
a6 = ElemConstr.new :id => "a6",
    :tagnames => a7,
    :content => a54

a5 = a6  # twig
a146 = Project.new :id => "a146",
    :input => a5,
    :projlist => [ [ :iter ], [ :item ]]

a145 = Project.new :id => "a145",
    :input => a146,
    :projlist => [[ :pos, 1 ],  [ :iter ], [ :item ]]

a147 = Project.new :id => "a147",
    :input => a40,
    :projlist => [ [ :outer, :iter ], [ :sort, :pos ], [ :inner ]]

a144 = Join.new :id => "a144",
    :left_rel => a145,
    :right_rel => a147,
    :left_col => :iter,
    :right_col => :inner

a143 = Rownum.new :id => "a143",
    :input => a144,
    :newcol => :pos1,
    :order => [ :sort, :pos ],
    :part => :outer

a142 = Project.new :id => "a142",
    :input => a143,
    :projlist => [ [ :pos, :pos1 ], [ :item ]]

# serialize (:pos => :pos, :item => :item)
$root = a142
