a17 = LiteralTable.new :id => "a17",
    :colnames => [ :iter, :item ],
    :data => [[1, "auction.xml"]]

a16 = Doc.new :id => "a16",
    :input => a17,
    :src => :item,
    :dest => :res

a43 = Project.new :id => "a43",
    :input => a16,
    :projlist => [ [ :iter ], [ :item ], [ :res ]]

a42 = Project.new :id => "a42",
    :input => a43,
    :projlist => [ [ :iter ], [ :item, :res ]]

a41 = Scj.new :id => "a41",
    :input => a42,
    :src => :item,
    :step => "child::site"

a40 = Project.new :id => "a40",
    :input => a41,
    :projlist => [ [ :iter ], [ :item ]]

a39 = Scj.new :id => "a39",
    :input => a40,
    :src => :item,
    :step => "child::closed_auctions"

a38 = Project.new :id => "a38",
    :input => a39,
    :projlist => [ [ :iter ], [ :item ]]

a37 = Scj.new :id => "a37",
    :input => a38,
    :src => :item,
    :step => "child::closed_auction"

a36 = Project.new :id => "a36",
    :input => a37,
    :projlist => [ [ :iter ], [ :item ]]

a35 = Scj.new :id => "a35",
    :input => a36,
    :src => :item,
    :step => "child::annotation"

a34 = Project.new :id => "a34",
    :input => a35,
    :projlist => [ [ :iter ], [ :item ]]

a33 = Scj.new :id => "a33",
    :input => a34,
    :src => :item,
    :step => "child::description"

a32 = Project.new :id => "a32",
    :input => a33,
    :projlist => [ [ :iter ], [ :item ]]

a31 = Scj.new :id => "a31",
    :input => a32,
    :src => :item,
    :step => "child::parlist"

a30 = Project.new :id => "a30",
    :input => a31,
    :projlist => [ [ :iter ], [ :item ]]

a29 = Scj.new :id => "a29",
    :input => a30,
    :src => :item,
    :step => "child::listitem"

a28 = Project.new :id => "a28",
    :input => a29,
    :projlist => [ [ :iter ], [ :item ]]

a27 = Scj.new :id => "a27",
    :input => a28,
    :src => :item,
    :step => "child::parlist"

a26 = Project.new :id => "a26",
    :input => a27,
    :projlist => [ [ :iter ], [ :item ]]

a25 = Scj.new :id => "a25",
    :input => a26,
    :src => :item,
    :step => "child::listitem"

a24 = Project.new :id => "a24",
    :input => a25,
    :projlist => [ [ :iter ], [ :item ]]

a23 = Scj.new :id => "a23",
    :input => a24,
    :src => :item,
    :step => "child::text"

a22 = Project.new :id => "a22",
    :input => a23,
    :projlist => [ [ :iter ], [ :item ]]

a21 = Scj.new :id => "a21",
    :input => a22,
    :src => :item,
    :step => "child::emph"

a20 = Project.new :id => "a20",
    :input => a21,
    :projlist => [ [ :iter ], [ :item ]]

a19 = Scj.new :id => "a19",
    :input => a20,
    :src => :item,
    :step => "child::keyword"

a18 = Project.new :id => "a18",
    :input => a19,
    :projlist => [ [ :iter ], [ :item ]]

a13 = Scj.new :id => "a13",
    :input => a18,
    :src => :item,
    :step => "child::text()"

a12 = Rownum.new :id => "a12",
    :input => a13,
    :newcol => :pos,
    :order => [ :item ],
    :part => :iter

a11 = Rownum.new :id => "a11",
    :input => a12,
    :newcol => :inner,
    :order => [ :iter, :pos ]

a10 = Project.new :id => "a10",
    :input => a11,
    :projlist => [ [ :iter, :inner ], [ :item ]]

a9 = Project.new :id => "a9",
    :input => a10,
    :projlist => [[ :pos, 1 ],  [ :iter ], [ :item ]]

a8 = Project.new :id => "a8",
    :input => a9,
    :projlist => [ [ :iter ]]

a7 = Project.new :id => "a7",
    :input => a8,
    :projlist => [[ :item, "text" ],  [ :iter ]]

a9 = Project.new :id => "a9",
    :input => a10,
    :projlist => [[ :pos, 1 ],  [ :iter ], [ :item ]]

a45 = a9     # ERRORContent.new

a44 = a45 # fncs
a6 = ElemConstr.new :id => "a6",
    :tagnames => a7,
    :content => a44

a5 = a6  # twig
a51 = Project.new :id => "a51",
    :input => a5,
    :projlist => [ [ :iter ], [ :item ]]

a50 = Project.new :id => "a50",
    :input => a51,
    :projlist => [[ :pos, 1 ],  [ :iter ], [ :item ]]

a52 = Project.new :id => "a52",
    :input => a11,
    :projlist => [ [ :outer, :iter ], [ :sort, :pos ], [ :inner ]]

a49 = Join.new :id => "a49",
    :left_rel => a50,
    :right_rel => a52,
    :left_col => :iter,
    :right_col => :inner

a48 = Rownum.new :id => "a48",
    :input => a49,
    :newcol => :pos1,
    :order => [ :sort, :pos ],
    :part => :outer

a47 = Project.new :id => "a47",
    :input => a48,
    :projlist => [ [ :pos, :pos1 ], [ :item ]]

# serialize (:pos => :pos, :item => :item)
$root = a47
