a20 = LiteralTable.new :id => "a20",
    :colnames => [ :iter, :item ],
    :data => [[1, "auction.xml"]]

a19 = Doc.new :id => "a19",
    :input => a20,
    :src => :item,
    :dest => :res

a49 = Project.new :id => "a49",
    :input => a19,
    :projlist => [ [ :iter ], [ :item ], [ :res ]]

a48 = Project.new :id => "a48",
    :input => a49,
    :projlist => [ [ :iter ], [ :item, :res ]]

a47 = Scj.new :id => "a47",
    :input => a48,
    :src => :item,
    :step => "child::site"

a46 = Project.new :id => "a46",
    :input => a47,
    :projlist => [ [ :iter ], [ :item ]]

a45 = Scj.new :id => "a45",
    :input => a46,
    :src => :item,
    :step => "child::closed_auctions"

a44 = Project.new :id => "a44",
    :input => a45,
    :projlist => [ [ :iter ], [ :item ]]

a43 = Scj.new :id => "a43",
    :input => a44,
    :src => :item,
    :step => "child::closed_auction"

a42 = Rownum.new :id => "a42",
    :input => a43,
    :newcol => :pos,
    :order => [ :item ],
    :part => :iter

a41 = Rownum.new :id => "a41",
    :input => a42,
    :newcol => :inner,
    :order => [ :iter, :pos ]

a40 = Project.new :id => "a40",
    :input => a41,
    :projlist => [ [ :iter, :inner ], [ :item ]]

a39 = Project.new :id => "a39",
    :input => a40,
    :projlist => [ [ :iter ], [ :item ]]

a38 = Scj.new :id => "a38",
    :input => a39,
    :src => :item,
    :step => "child::annotation"

a37 = Project.new :id => "a37",
    :input => a38,
    :projlist => [ [ :iter ], [ :item ]]

a36 = Scj.new :id => "a36",
    :input => a37,
    :src => :item,
    :step => "child::description"

a35 = Project.new :id => "a35",
    :input => a36,
    :projlist => [ [ :iter ], [ :item ]]

a34 = Scj.new :id => "a34",
    :input => a35,
    :src => :item,
    :step => "child::parlist"

a33 = Project.new :id => "a33",
    :input => a34,
    :projlist => [ [ :iter ], [ :item ]]

a32 = Scj.new :id => "a32",
    :input => a33,
    :src => :item,
    :step => "child::listitem"

a31 = Project.new :id => "a31",
    :input => a32,
    :projlist => [ [ :iter ], [ :item ]]

a30 = Scj.new :id => "a30",
    :input => a31,
    :src => :item,
    :step => "child::parlist"

a29 = Project.new :id => "a29",
    :input => a30,
    :projlist => [ [ :iter ], [ :item ]]

a28 = Scj.new :id => "a28",
    :input => a29,
    :src => :item,
    :step => "child::listitem"

a27 = Project.new :id => "a27",
    :input => a28,
    :projlist => [ [ :iter ], [ :item ]]

a26 = Scj.new :id => "a26",
    :input => a27,
    :src => :item,
    :step => "child::text"

a25 = Project.new :id => "a25",
    :input => a26,
    :projlist => [ [ :iter ], [ :item ]]

a24 = Scj.new :id => "a24",
    :input => a25,
    :src => :item,
    :step => "child::emph"

a23 = Project.new :id => "a23",
    :input => a24,
    :projlist => [ [ :iter ], [ :item ]]

a22 = Scj.new :id => "a22",
    :input => a23,
    :src => :item,
    :step => "child::keyword"

a21 = Project.new :id => "a21",
    :input => a22,
    :projlist => [ [ :iter ], [ :item ]]

a16 = Scj.new :id => "a16",
    :input => a21,
    :src => :item,
    :step => "child::text()"

a15 = Project.new :id => "a15",
    :input => a16,
    :projlist => [ [ :iter ]]

a14 = Distinct.new :id => "a14",
    :input => a15

a13 = Project.new :id => "a13",
    :input => a14,
    :projlist => [[ :item, false ],  [ :iter ]]

a50 = LiteralTable.new :id => "a50",
    :colnames => [ :iter, :item ],
    :data => []

a12 = Union.new :id => "a12",
    :left_rel => a13,
    :right_rel => a50

a11 = Not.new :id => "a11",
    :input => a12,
    :newcol => :res,
    :arg => :item

a10 = Project.new :id => "a10",
    :input => a11,
    :projlist => [ [ :iter ], [ :item, :res ]]

a9 = Select.new :id => "a9",
    :input => a10,
    :column => :item

a8 = Project.new :id => "a8",
    :input => a9,
    :projlist => [ [ :iter ]]

a7 = Project.new :id => "a7",
    :input => a8,
    :projlist => [[ :item, "person" ],  [ :iter ]]

a51 = LiteralTable.new :id => "a51", # fncs
    :colnames => [ :iter, :pos, :item ],
    :data => []

a6 = ElemConstr.new :id => "a6",
    :tagnames => a7,
    :content => a51

a5 = a6  # twig
a57 = Project.new :id => "a57",
    :input => a5,
    :projlist => [ [ :iter ], [ :item ]]

a56 = Project.new :id => "a56",
    :input => a57,
    :projlist => [[ :pos, 1 ],  [ :iter ], [ :item ]]

a58 = Project.new :id => "a58",
    :input => a41,
    :projlist => [ [ :outer, :iter ], [ :sort, :pos ], [ :inner ]]

a55 = Join.new :id => "a55",
    :left_rel => a56,
    :right_rel => a58,
    :left_col => :iter,
    :right_col => :inner

a54 = Rownum.new :id => "a54",
    :input => a55,
    :newcol => :pos1,
    :order => [ :sort, :pos ],
    :part => :outer

a53 = Project.new :id => "a53",
    :input => a54,
    :projlist => [ [ :pos, :pos1 ], [ :item ]]

# serialize (:pos => :pos, :item => :item)
$root = a53
