a19 = LiteralTable.new :id => "a19",
    :colnames => [ :iter, :item ],
    :data => [[1, "auction.xml"]]

a18 = Doc.new :id => "a18",
    :input => a19,
    :src => :item,
    :dest => :res

a25 = Project.new :id => "a25",
    :input => a18,
    :projlist => [ [ :iter ], [ :item ], [ :res ]]

a24 = Project.new :id => "a24",
    :input => a25,
    :projlist => [ [ :iter ], [ :item, :res ]]

a23 = Scj.new :id => "a23",
    :input => a24,
    :src => :item,
    :step => "child::site"

a22 = Project.new :id => "a22",
    :input => a23,
    :projlist => [ [ :iter ], [ :item ]]

a21 = Scj.new :id => "a21",
    :input => a22,
    :src => :item,
    :step => "child::open_auctions"

a20 = Project.new :id => "a20",
    :input => a21,
    :projlist => [ [ :iter ], [ :item ]]

a15 = Scj.new :id => "a15",
    :input => a20,
    :src => :item,
    :step => "child::open_auction"

a14 = Rownum.new :id => "a14",
    :input => a15,
    :newcol => :pos,
    :order => [ :item ],
    :part => :iter

a13 = Rownum.new :id => "a13",
    :input => a14,
    :newcol => :inner,
    :order => [ :iter, :pos ]

a12 = Project.new :id => "a12",
    :input => a13,
    :projlist => [ [ :iter, :inner ], [ :item ]]

a11 = Project.new :id => "a11",
    :input => a12,
    :projlist => [ [ :iter ]]

a10 = Project.new :id => "a10",
    :input => a11,
    :projlist => [[ :pos, 1 ],  [ :iter ]]

a9 = Project.new :id => "a9",
    :input => a10,
    :projlist => [[ :item, 2.20371 ],  [ :iter ], [ :pos ]]

a37 = Project.new :id => "a37",
    :input => a12,
    :projlist => [ [ :iter ], [ :item ]]

a36 = Scj.new :id => "a36",
    :input => a37,
    :src => :item,
    :step => "child::reserve"

a35 = Rownum.new :id => "a35",
    :input => a36,
    :newcol => :pos,
    :order => [ :item ],
    :part => :iter

a34 = a35     # ERRORerror.new

a33 = Atomize.new :id => "a33",
    :input => a34,
    :src => :item,
    :dest => :res

a32 = Project.new :id => "a32",
    :input => a33,
    :projlist => [ [ :iter ], [ :pos ], [ :item, :res ]]

a31 = Rownum.new :id => "a31",
    :input => a32,
    :newcol => :inner,
    :order => [ :iter, :pos ]

a30 = Project.new :id => "a30",
    :input => a31,
    :projlist => [ [ :iter, :inner ], [ :item ]]

a29 = Project.new :id => "a29",
    :input => a30,
    :projlist => [[ :cast, :item ],  [ :iter ], [ :item ]]

a28 = Project.new :id => "a28",
    :input => a29,
    :projlist => [ [ :iter ], [ :item, :cast ]]

a42 = Project.new :id => "a42",
    :input => a31,
    :projlist => [ [ :outer, :iter ], [ :inner ]]

a27 = Join.new :id => "a27",
    :left_rel => a28,
    :right_rel => a42,
    :left_col => :iter,
    :right_col => :inner

a26 = Project.new :id => "a26",
    :input => a27,
    :projlist => [ [ :iter1, :outer ], [ :item1, :item ]]

a8 = Join.new :id => "a8",
    :left_rel => a9,
    :right_rel => a26,
    :left_col => :iter,
    :right_col => :iter1

a7 = fun_1to1 :id => "a7",
    :input => a8,
    :fun_name => "multiply",
    :res => :res,
    :args => [ :item, :item1 ]


a6 = Project.new :id => "a6",
    :input => a7,
    :projlist => [ [ :iter ], [ :pos ], [ :item, :res ]]

a43 = Project.new :id => "a43",
    :input => a13,
    :projlist => [ [ :outer, :iter ], [ :sort, :pos ], [ :inner ]]

a5 = Join.new :id => "a5",
    :left_rel => a6,
    :right_rel => a43,
    :left_col => :iter,
    :right_col => :inner

a4 = Rownum.new :id => "a4",
    :input => a5,
    :newcol => :pos1,
    :order => [ :sort, :pos ],
    :part => :outer

a3 = Project.new :id => "a3",
    :input => a4,
    :projlist => [ [ :pos, :pos1 ], [ :item ]]

# serialize (:pos => :pos, :item => :item)
$root = a3
