a16 = LiteralTable.new :id => "a16",
    :colnames => [ :iter, :item ],
    :data => [[1, "auction.xml"]]

a15 = Doc.new :id => "a15",
    :input => a16,
    :src => :item,
    :dest => :res

a24 = Project.new :id => "a24",
    :input => a15,
    :projlist => [ [ :iter ], [ :item ], [ :res ]]

a23 = Project.new :id => "a23",
    :input => a24,
    :projlist => [ [ :iter ], [ :item, :res ]]

a22 = Scj.new :id => "a22",
    :input => a23,
    :src => :item,
    :step => "child::site"

a21 = Project.new :id => "a21",
    :input => a22,
    :projlist => [ [ :iter ], [ :item ]]

a20 = Scj.new :id => "a20",
    :input => a21,
    :src => :item,
    :step => "child::regions"

a19 = Project.new :id => "a19",
    :input => a20,
    :projlist => [ [ :iter ], [ :item ]]

a18 = Scj.new :id => "a18",
    :input => a19,
    :src => :item,
    :step => "descendant-or-self::node()"

a17 = Project.new :id => "a17",
    :input => a18,
    :projlist => [ [ :iter ], [ :item ]]

a12 = Scj.new :id => "a12",
    :input => a17,
    :src => :item,
    :step => "child::item"

a11 = Rownum.new :id => "a11",
    :input => a12,
    :newcol => :pos,
    :order => [ :item ],
    :part => :iter

a10 = Rownum.new :id => "a10",
    :input => a11,
    :newcol => :inner,
    :order => [ :iter, :pos ]

a9 = Project.new :id => "a9",
    :input => a10,
    :projlist => [ [ :iter, :inner ], [ :item ]]

a8 = Project.new :id => "a8",
    :input => a9,
    :projlist => [ [ :iter ]]

a7 = Project.new :id => "a7",
    :input => a8,
    :projlist => [[ :item, "item" ],  [ :iter ]]

a35 = Project.new :id => "a35",
    :input => a9,
    :projlist => [ [ :iter ], [ :item ]]

a34 = Scj.new :id => "a34",
    :input => a35,
    :src => :item,
    :step => "child::location"

a33 = Rownum.new :id => "a33",
    :input => a34,
    :newcol => :pos,
    :order => [ :item ],
    :part => :iter

a32 = Project.new :id => "a32",
    :input => a33,
    :projlist => [ [ :iter ], [ :item ]]

a31 = Scj.new :id => "a31",
    :input => a32,
    :src => :item,
    :step => "child::text()"

a30 = Rownum.new :id => "a30",
    :input => a31,
    :newcol => :pos,
    :order => [ :item ],
    :part => :iter

a29 = a30     # ERROR#pf:merge-adjacent-text-nodes.new

a36 = Project.new :id => "a36",
    :input => a29,
    :projlist => [ [ :iter ], [ :pos ], [ :item ]]

a26 = a36     # ERRORContent.new

a25 = a26 # fncs
a6 = ElemConstr.new :id => "a6",
    :tagnames => a7,
    :content => a25

a5 = a6  # twig
a42 = Project.new :id => "a42",
    :input => a5,
    :projlist => [ [ :iter ], [ :item ]]

a41 = Project.new :id => "a41",
    :input => a42,
    :projlist => [[ :pos, 1 ],  [ :iter ], [ :item ]]

a45 = Project.new :id => "a45",
    :input => a10,
    :projlist => [ [ :outer, :iter ], [ :inner ]]

a33 = Rownum.new :id => "a33",
    :input => a34,
    :newcol => :pos,
    :order => [ :item ],
    :part => :iter

a54 = a33     # ERRORerror.new

a53 = Atomize.new :id => "a53",
    :input => a54,
    :src => :item,
    :dest => :res

a52 = Project.new :id => "a52",
    :input => a53,
    :projlist => [ [ :iter ], [ :pos ], [ :item, :res ]]

a51 = Rownum.new :id => "a51",
    :input => a52,
    :newcol => :inner,
    :order => [ :iter, :pos ]

a50 = Project.new :id => "a50",
    :input => a51,
    :projlist => [ [ :iter, :inner ], [ :item ]]

a59 = Project.new :id => "a59",
    :input => a51,
    :projlist => [ [ :outer, :iter ], [ :inner ]]

a49 = Join.new :id => "a49",
    :left_rel => a50,
    :right_rel => a59,
    :left_col => :iter,
    :right_col => :inner

a48 = Project.new :id => "a48",
    :input => a49,
    :projlist => [ [ :iter, :outer ], [ :item ]]

a47 = Project.new :id => "a47",
    :input => a48,
    :projlist => [[ :pos, 0 ],  [ :iter ], [ :item ]]

a63 = Project.new :id => "a63",
    :input => a49,
    :projlist => [ [ :iter, :outer ]]

a62 = Difference.new :id => "a62",
    :left_rel => a8,
    :right_rel => a63

a61 = Project.new :id => "a61",
    :input => a62,
    :projlist => [[ :item, "" ],  [ :iter ]]

a60 = Project.new :id => "a60",
    :input => a61,
    :projlist => [[ :pos, 1 ],  [ :iter ], [ :item ]]

a46 = Union.new :id => "a46",
    :left_rel => a47,
    :right_rel => a60

a44 = Join.new :id => "a44",
    :left_rel => a45,
    :right_rel => a46,
    :left_col => :inner,
    :right_col => :iter

a43 = Project.new :id => "a43",
    :input => a44,
    :projlist => [ [ :outer ], [ :inner ], [ :sort, :pos ], [ :sort1, :item ]]

a40 = Join.new :id => "a40",
    :left_rel => a41,
    :right_rel => a43,
    :left_col => :iter,
    :right_col => :inner

a39 = Rownum.new :id => "a39",
    :input => a40,
    :newcol => :pos1,
    :order => [ :sort, :sort1, :iter, :pos ],
    :part => :outer

a38 = Project.new :id => "a38",
    :input => a39,
    :projlist => [ [ :pos, :pos1 ], [ :item ]]

# serialize (:pos => :pos, :item => :item)
$root = a38
