a7 = LiteralTable.new :id => "a7",
    :colnames => [ :iter, :item ],
    :data => [[1, "result"]]

a10 = LiteralTable.new :id => "a10",
    :colnames => [ :iter, :item ],
    :data => [[1, "preferred"]]

a28 = LiteralTable.new :id => "a28",
    :colnames => [ :iter, :item ],
    :data => [[1, "auction.xml"]]

a27 = Doc.new :id => "a27",
    :input => a28,
    :src => :item,
    :dest => :res

a37 = Project.new :id => "a37",
    :input => a27,
    :projlist => [ [ :iter ], [ :item ], [ :res ]]

a36 = Project.new :id => "a36",
    :input => a37,
    :projlist => [ [ :iter ], [ :item, :res ]]

a35 = Scj.new :id => "a35",
    :input => a36,
    :src => :item,
    :step => "child::site"

a34 = Project.new :id => "a34",
    :input => a35,
    :projlist => [ [ :iter ], [ :item ]]

a33 = Scj.new :id => "a33",
    :input => a34,
    :src => :item,
    :step => "child::people"

a32 = Project.new :id => "a32",
    :input => a33,
    :projlist => [ [ :iter ], [ :item ]]

a31 = Scj.new :id => "a31",
    :input => a32,
    :src => :item,
    :step => "child::person"

a30 = Rownum.new :id => "a30",
    :input => a31,
    :newcol => :pos,
    :order => [ :item ],
    :part => :iter

a29 = Project.new :id => "a29",
    :input => a30,
    :projlist => [ [ :iter ], [ :item ]]

a24 = Scj.new :id => "a24",
    :input => a29,
    :src => :item,
    :step => "child::profile"

a23 = Rownum.new :id => "a23",
    :input => a24,
    :newcol => :pos,
    :order => [ :item ],
    :part => :iter

a22 = Rownum.new :id => "a22",
    :input => a23,
    :newcol => :inner,
    :order => [ :iter, :pos ]

a21 = Project.new :id => "a21",
    :input => a22,
    :projlist => [ [ :iter, :inner ], [ :item ]]

a66 = Project.new :id => "a66",
    :input => a21,
    :projlist => [ [ :iter ], [ :item ]]

a65 = Scj.new :id => "a65",
    :input => a66,
    :src => :item,
    :step => "attribute::income"

a64 = Rownum.new :id => "a64",
    :input => a65,
    :newcol => :pos,
    :order => [ :item ],
    :part => :iter

a63 = Atomize.new :id => "a63",
    :input => a64,
    :src => :item,
    :dest => :res

a62 = Project.new :id => "a62",
    :input => a63,
    :projlist => [ [ :iter ], [ :pos ], [ :item, :res ]]

a61 = Rownum.new :id => "a61",
    :input => a62,
    :newcol => :inner,
    :order => [ :iter, :pos ]

a60 = Project.new :id => "a60",
    :input => a61,
    :projlist => [ [ :iter, :inner ], [ :item ]]

a59 = Project.new :id => "a59",
    :input => a60,
    :projlist => [ [ :iter ]]

a58 = Project.new :id => "a58",
    :input => a59,
    :projlist => [[ :item, 100000 ],  [ :iter ]]

a57 = Project.new :id => "a57",
    :input => a58,
    :projlist => [[ :cast, :item ],  [ :iter ], [ :item ]]

a56 = Project.new :id => "a56",
    :input => a57,
    :projlist => [ [ :iter ], [ :item, :cast ]]

a68 = fun_1to1 :id => "a68",
    :input => a60,
    :fun_name => "fn:number",
    :res => :res,
    :args => [ :item ]


a67 = Project.new :id => "a67",
    :input => a68,
    :projlist => [ [ :iter1, :iter ], [ :item1, :res ]]

a55 = Join.new :id => "a55",
    :left_rel => a56,
    :right_rel => a67,
    :left_col => :iter,
    :right_col => :iter1

a54 = GreaterThanOp.new :id => "a54",
    :input => a55,
    :newcol => :res,
    :arg1 => :item,
    :arg2 => :item1

a53 = Project.new :id => "a53",
    :input => a54,
    :projlist => [ [ :iter ], [ :item, :res ]]

a52 = Not.new :id => "a52",
    :input => a53,
    :newcol => :res,
    :arg => :item

a51 = Project.new :id => "a51",
    :input => a52,
    :projlist => [ [ :iter ], [ :item, :res ]]

a50 = Select.new :id => "a50",
    :input => a51,
    :column => :item

a49 = Project.new :id => "a49",
    :input => a50,
    :projlist => [ [ :iter ]]

a48 = Project.new :id => "a48",
    :input => a49,
    :projlist => [ [ :iter ]]

a47 = Distinct.new :id => "a47",
    :input => a48

a46 = Project.new :id => "a46",
    :input => a47,
    :projlist => [[ :item, true ],  [ :iter ]]

a45 = Select.new :id => "a45",
    :input => a46,
    :column => :item

a44 = Project.new :id => "a44",
    :input => a45,
    :projlist => [ [ :iter ]]

a69 = Project.new :id => "a69",
    :input => a61,
    :projlist => [ [ :outer, :iter ], [ :inner ]]

a43 = Join.new :id => "a43",
    :left_rel => a44,
    :right_rel => a69,
    :left_col => :iter,
    :right_col => :inner

a42 = Project.new :id => "a42",
    :input => a43,
    :projlist => [ [ :iter, :outer ]]

a41 = Distinct.new :id => "a41",
    :input => a42

a40 = Project.new :id => "a40",
    :input => a41,
    :projlist => [[ :item, true ],  [ :iter ]]

a39 = Select.new :id => "a39",
    :input => a40,
    :column => :item

a38 = Project.new :id => "a38",
    :input => a39,
    :projlist => [ [ :outer, :iter ], [ :inner, :iter ]]

a20 = Join.new :id => "a20",
    :left_rel => a21,
    :right_rel => a38,
    :left_col => :iter,
    :right_col => :outer

a19 = Project.new :id => "a19",
    :input => a20,
    :projlist => [ [ :iter, :inner ]]

a70 = Project.new :id => "a70",
    :input => a22,
    :projlist => [ [ :outer, :iter ], [ :inner ]]

a18 = Join.new :id => "a18",
    :left_rel => a19,
    :right_rel => a70,
    :left_col => :iter,
    :right_col => :inner

a17 = Project.new :id => "a17",
    :input => a18,
    :projlist => [ [ :iter, :outer ]]

a16 = Count.new :id => "a16",
    :input => a17,
    :newcol => :item,
    :part => :iter


a73 = LiteralTable.new :id => "a73",
    :colnames => [ :iter ],
    :data => [[1]]

a74 = Project.new :id => "a74",
    :input => a16,
    :projlist => [ [ :iter ]]

a72 = Difference.new :id => "a72",
    :left_rel => a73,
    :right_rel => a74

a71 = Project.new :id => "a71",
    :input => a72,
    :projlist => [[ :item, 0 ],  [ :iter ]]

a15 = Union.new :id => "a15",
    :left_rel => a16,
    :right_rel => a71

a14 = Project.new :id => "a14",
    :input => a15,
    :projlist => [[ :cast, :item ],  [ :item ], [ :iter ]]

a13 = Project.new :id => "a13",
    :input => a14,
    :projlist => [ [ :iter ], [ :item, :cast ]]

a12 = TextConstr.new :id => "a12",
    :input => a13,
    :iter => :iter,
    :item => :item


a11 = a12 # fncs
a9 = ElemConstr.new :id => "a9",
    :tagnames => a10,
    :content => a11

a78 = LiteralTable.new :id => "a78",
    :colnames => [ :iter, :item ],
    :data => [[1, "standard"]]

a103 = Select.new :id => "a103",
    :input => a53,
    :column => :item

a102 = Project.new :id => "a102",
    :input => a103,
    :projlist => [ [ :iter ]]

a101 = Project.new :id => "a101",
    :input => a102,
    :projlist => [ [ :iter ]]

a100 = Distinct.new :id => "a100",
    :input => a101

a99 = Project.new :id => "a99",
    :input => a100,
    :projlist => [[ :item, true ],  [ :iter ]]

a98 = Select.new :id => "a98",
    :input => a99,
    :column => :item

a97 = Project.new :id => "a97",
    :input => a98,
    :projlist => [ [ :iter ]]

a96 = Join.new :id => "a96",
    :left_rel => a97,
    :right_rel => a69,
    :left_col => :iter,
    :right_col => :inner

a95 = Project.new :id => "a95",
    :input => a96,
    :projlist => [ [ :iter, :outer ]]

a94 = Distinct.new :id => "a94",
    :input => a95

a93 = Project.new :id => "a93",
    :input => a94,
    :projlist => [[ :item, true ],  [ :iter ]]

a92 = Select.new :id => "a92",
    :input => a93,
    :column => :item

a91 = Project.new :id => "a91",
    :input => a92,
    :projlist => [ [ :outer, :iter ], [ :inner, :iter ]]

a133 = Join.new :id => "a133",
    :left_rel => a21,
    :right_rel => a91,
    :left_col => :iter,
    :right_col => :outer

a132 = Project.new :id => "a132",
    :input => a133,
    :projlist => [ [ :iter, :inner ], [ :item ]]

a131 = Scj.new :id => "a131",
    :input => a132,
    :src => :item,
    :step => "attribute::income"

a130 = Rownum.new :id => "a130",
    :input => a131,
    :newcol => :pos,
    :order => [ :item ],
    :part => :iter

a129 = Atomize.new :id => "a129",
    :input => a130,
    :src => :item,
    :dest => :res

a128 = Project.new :id => "a128",
    :input => a129,
    :projlist => [ [ :iter ], [ :pos ], [ :item, :res ]]

a127 = Rownum.new :id => "a127",
    :input => a128,
    :newcol => :inner,
    :order => [ :iter, :pos ]

a126 = Project.new :id => "a126",
    :input => a127,
    :projlist => [ [ :iter, :inner ], [ :item ]]

a125 = Project.new :id => "a125",
    :input => a126,
    :projlist => [ [ :iter ]]

a124 = Project.new :id => "a124",
    :input => a125,
    :projlist => [[ :item, 30000 ],  [ :iter ]]

a123 = Project.new :id => "a123",
    :input => a124,
    :projlist => [[ :cast, :item ],  [ :iter ], [ :item ]]

a122 = Project.new :id => "a122",
    :input => a123,
    :projlist => [ [ :iter ], [ :item, :cast ]]

a135 = fun_1to1 :id => "a135",
    :input => a126,
    :fun_name => "fn:number",
    :res => :res,
    :args => [ :item ]


a134 = Project.new :id => "a134",
    :input => a135,
    :projlist => [ [ :iter1, :iter ], [ :item1, :res ]]

a121 = Join.new :id => "a121",
    :left_rel => a122,
    :right_rel => a134,
    :left_col => :iter,
    :right_col => :iter1

a120 = GreaterThanOp.new :id => "a120",
    :input => a121,
    :newcol => :res,
    :arg1 => :item,
    :arg2 => :item1

a119 = Project.new :id => "a119",
    :input => a120,
    :projlist => [ [ :iter ], [ :item, :res ]]

a118 = Not.new :id => "a118",
    :input => a119,
    :newcol => :res,
    :arg => :item

a117 = Project.new :id => "a117",
    :input => a118,
    :projlist => [ [ :iter ], [ :item, :res ]]

a116 = Select.new :id => "a116",
    :input => a117,
    :column => :item

a115 = Project.new :id => "a115",
    :input => a116,
    :projlist => [ [ :iter ]]

a114 = Project.new :id => "a114",
    :input => a115,
    :projlist => [ [ :iter ]]

a113 = Distinct.new :id => "a113",
    :input => a114

a112 = Project.new :id => "a112",
    :input => a113,
    :projlist => [[ :item, true ],  [ :iter ]]

a111 = Select.new :id => "a111",
    :input => a112,
    :column => :item

a110 = Project.new :id => "a110",
    :input => a111,
    :projlist => [ [ :iter ]]

a136 = Project.new :id => "a136",
    :input => a127,
    :projlist => [ [ :outer, :iter ], [ :inner ]]

a109 = Join.new :id => "a109",
    :left_rel => a110,
    :right_rel => a136,
    :left_col => :iter,
    :right_col => :inner

a108 = Project.new :id => "a108",
    :input => a109,
    :projlist => [ [ :iter, :outer ]]

a107 = Distinct.new :id => "a107",
    :input => a108

a106 = Project.new :id => "a106",
    :input => a107,
    :projlist => [[ :item, true ],  [ :iter ]]

a105 = Select.new :id => "a105",
    :input => a106,
    :column => :item

a104 = Project.new :id => "a104",
    :input => a105,
    :projlist => [ [ :iter ]]

a90 = Join.new :id => "a90",
    :left_rel => a91,
    :right_rel => a104,
    :left_col => :inner,
    :right_col => :iter

a89 = Project.new :id => "a89",
    :input => a90,
    :projlist => [ [ :outer ], [ :inner ]]

a88 = Join.new :id => "a88",
    :left_rel => a21,
    :right_rel => a89,
    :left_col => :iter,
    :right_col => :outer

a87 = Project.new :id => "a87",
    :input => a88,
    :projlist => [ [ :iter, :inner ]]

a86 = Join.new :id => "a86",
    :left_rel => a87,
    :right_rel => a70,
    :left_col => :iter,
    :right_col => :inner

a85 = Project.new :id => "a85",
    :input => a86,
    :projlist => [ [ :iter, :outer ]]

a84 = Count.new :id => "a84",
    :input => a85,
    :newcol => :item,
    :part => :iter


a139 = Project.new :id => "a139",
    :input => a84,
    :projlist => [ [ :iter ]]

a138 = Difference.new :id => "a138",
    :left_rel => a73,
    :right_rel => a139

a137 = Project.new :id => "a137",
    :input => a138,
    :projlist => [[ :item, 0 ],  [ :iter ]]

a83 = Union.new :id => "a83",
    :left_rel => a84,
    :right_rel => a137

a82 = Project.new :id => "a82",
    :input => a83,
    :projlist => [[ :cast, :item ],  [ :item ], [ :iter ]]

a81 = Project.new :id => "a81",
    :input => a82,
    :projlist => [ [ :iter ], [ :item, :cast ]]

a80 = TextConstr.new :id => "a80",
    :input => a81,
    :iter => :iter,
    :item => :item


a79 = a80 # fncs
a77 = ElemConstr.new :id => "a77",
    :tagnames => a78,
    :content => a79

a142 = LiteralTable.new :id => "a142",
    :colnames => [ :iter, :item ],
    :data => [[1, "challenge"]]

a171 = Project.new :id => "a171",
    :input => a59,
    :projlist => [[ :item, 30000 ],  [ :iter ]]

a170 = Project.new :id => "a170",
    :input => a171,
    :projlist => [[ :cast, :item ],  [ :iter ], [ :item ]]

a169 = Project.new :id => "a169",
    :input => a170,
    :projlist => [ [ :iter ], [ :item, :cast ]]

a168 = Join.new :id => "a168",
    :left_rel => a169,
    :right_rel => a67,
    :left_col => :iter,
    :right_col => :iter1

a167 = GreaterThanOp.new :id => "a167",
    :input => a168,
    :newcol => :res,
    :arg1 => :item,
    :arg2 => :item1

a166 = Project.new :id => "a166",
    :input => a167,
    :projlist => [ [ :iter ], [ :item, :res ]]

a165 = Select.new :id => "a165",
    :input => a166,
    :column => :item

a164 = Project.new :id => "a164",
    :input => a165,
    :projlist => [ [ :iter ]]

a163 = Project.new :id => "a163",
    :input => a164,
    :projlist => [ [ :iter ]]

a162 = Distinct.new :id => "a162",
    :input => a163

a161 = Project.new :id => "a161",
    :input => a162,
    :projlist => [[ :item, true ],  [ :iter ]]

a160 = Select.new :id => "a160",
    :input => a161,
    :column => :item

a159 = Project.new :id => "a159",
    :input => a160,
    :projlist => [ [ :iter ]]

a158 = Join.new :id => "a158",
    :left_rel => a159,
    :right_rel => a69,
    :left_col => :iter,
    :right_col => :inner

a157 = Project.new :id => "a157",
    :input => a158,
    :projlist => [ [ :iter, :outer ]]

a156 = Distinct.new :id => "a156",
    :input => a157

a155 = Project.new :id => "a155",
    :input => a156,
    :projlist => [[ :item, true ],  [ :iter ]]

a154 = Select.new :id => "a154",
    :input => a155,
    :column => :item

a153 = Project.new :id => "a153",
    :input => a154,
    :projlist => [ [ :outer, :iter ], [ :inner, :iter ]]

a152 = Join.new :id => "a152",
    :left_rel => a21,
    :right_rel => a153,
    :left_col => :iter,
    :right_col => :outer

a151 = Project.new :id => "a151",
    :input => a152,
    :projlist => [ [ :iter, :inner ]]

a150 = Join.new :id => "a150",
    :left_rel => a151,
    :right_rel => a70,
    :left_col => :iter,
    :right_col => :inner

a149 = Project.new :id => "a149",
    :input => a150,
    :projlist => [ [ :iter, :outer ]]

a148 = Count.new :id => "a148",
    :input => a149,
    :newcol => :item,
    :part => :iter


a174 = Project.new :id => "a174",
    :input => a148,
    :projlist => [ [ :iter ]]

a173 = Difference.new :id => "a173",
    :left_rel => a73,
    :right_rel => a174

a172 = Project.new :id => "a172",
    :input => a173,
    :projlist => [[ :item, 0 ],  [ :iter ]]

a147 = Union.new :id => "a147",
    :left_rel => a148,
    :right_rel => a172

a146 = Project.new :id => "a146",
    :input => a147,
    :projlist => [[ :cast, :item ],  [ :item ], [ :iter ]]

a145 = Project.new :id => "a145",
    :input => a146,
    :projlist => [ [ :iter ], [ :item, :cast ]]

a144 = TextConstr.new :id => "a144",
    :input => a145,
    :iter => :iter,
    :item => :item


a143 = a144 # fncs
a141 = ElemConstr.new :id => "a141",
    :tagnames => a142,
    :content => a143

a177 = LiteralTable.new :id => "a177",
    :colnames => [ :iter, :item ],
    :data => [[1, "na"]]

a189 = Rownum.new :id => "a189",
    :input => a30,
    :newcol => :inner,
    :order => [ :iter, :pos ]

a188 = Project.new :id => "a188",
    :input => a189,
    :projlist => [ [ :iter, :inner ], [ :item ]]

a194 = Project.new :id => "a194",
    :input => a188,
    :projlist => [ [ :iter ]]

a199 = Project.new :id => "a199",
    :input => a188,
    :projlist => [ [ :iter ], [ :item ]]

a198 = Scj.new :id => "a198",
    :input => a199,
    :src => :item,
    :step => "child::profile"

a197 = Project.new :id => "a197",
    :input => a198,
    :projlist => [ [ :iter ], [ :item ]]

a196 = Scj.new :id => "a196",
    :input => a197,
    :src => :item,
    :step => "attribute::income"

a195 = Project.new :id => "a195",
    :input => a196,
    :projlist => [ [ :iter ]]

a193 = Difference.new :id => "a193",
    :left_rel => a194,
    :right_rel => a195

a192 = Project.new :id => "a192",
    :input => a193,
    :projlist => [[ :item, true ],  [ :iter ]]

a191 = Select.new :id => "a191",
    :input => a192,
    :column => :item

a190 = Project.new :id => "a190",
    :input => a191,
    :projlist => [ [ :outer, :iter ], [ :inner, :iter ]]

a187 = Join.new :id => "a187",
    :left_rel => a188,
    :right_rel => a190,
    :left_col => :iter,
    :right_col => :outer

a186 = Project.new :id => "a186",
    :input => a187,
    :projlist => [ [ :iter, :inner ]]

a200 = Project.new :id => "a200",
    :input => a189,
    :projlist => [ [ :outer, :iter ], [ :inner ]]

a185 = Join.new :id => "a185",
    :left_rel => a186,
    :right_rel => a200,
    :left_col => :iter,
    :right_col => :inner

a184 = Project.new :id => "a184",
    :input => a185,
    :projlist => [ [ :iter, :outer ]]

a183 = Count.new :id => "a183",
    :input => a184,
    :newcol => :item,
    :part => :iter


a203 = Project.new :id => "a203",
    :input => a183,
    :projlist => [ [ :iter ]]

a202 = Difference.new :id => "a202",
    :left_rel => a73,
    :right_rel => a203

a201 = Project.new :id => "a201",
    :input => a202,
    :projlist => [[ :item, 0 ],  [ :iter ]]

a182 = Union.new :id => "a182",
    :left_rel => a183,
    :right_rel => a201

a181 = Project.new :id => "a181",
    :input => a182,
    :projlist => [[ :cast, :item ],  [ :item ], [ :iter ]]

a180 = Project.new :id => "a180",
    :input => a181,
    :projlist => [ [ :iter ], [ :item, :cast ]]

a179 = TextConstr.new :id => "a179",
    :input => a180,
    :iter => :iter,
    :item => :item


a178 = a179 # fncs
a176 = ElemConstr.new :id => "a176",
    :tagnames => a177,
    :content => a178

a175 = a176 # fncs
a140 = Union.new :id => "a140",
    :left_rel => a141,
    :right_rel => a175
a76 = Union.new :id => "a76",
    :left_rel => a77,
    :right_rel => a140
a8 = Union.new :id => "a8",
    :left_rel => a9,
    :right_rel => a76
a6 = ElemConstr.new :id => "a6",
    :tagnames => a7,
    :content => a8

a5 = a6  # twig
a205 = Project.new :id => "a205",
    :input => a5,
    :projlist => [ [ :iter ], [ :item ]]

a204 = Project.new :id => "a204",
    :input => a205,
    :projlist => [[ :pos, 1 ],  [ :iter ], [ :item ]]

# serialize (:pos => :pos, :item => :item)
$root = a204
